<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_ads_features_group.php                             ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("ads");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_ads_features_group.html");

	$t->set_var("admin_href",                 "admin.php");
	$t->set_var("admin_ads_href",             "admin_ads.php");
	$t->set_var("admin_ads_features_groups_href", "admin_ads_features_groups.php");
	$t->set_var("admin_ads_features_group_href",  "admin_ads_features_group.php");

	$group_id = get_param("group_id");
	$operation = get_param("operation");
	$max_order = 1;
	if (!$operation && !$group_id) {
		$sql = " SELECT MAX(group_order) FROM " . $table_prefix . "ads_features_groups ";
		$db->query($sql);
		if ($db->next_record()) {
			$max_order = $db->f(0);
			$max_order++;
		}
	}

	$r = new VA_Record($table_prefix . "ads_features_groups");
	$r->return_page = "admin_ads_features_groups.php";
	
	$r->add_where("group_id", INTEGER);
	$r->add_textbox("group_order", INTEGER, "Group Order");
	$r->change_property("group_order", REQUIRED, true);
	$r->change_property("group_order", DEFAULT_VALUE, $max_order);
	$r->add_textbox("group_name", TEXT, "Group Name");
	$r->change_property("group_name", REQUIRED, true);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
