<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_black_ips.php                                      ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("black_ips");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_black_ips.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_black_ip_href", "admin_black_ip.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_black_ips.php");
	$s->set_sorter("IP", "sorter_ip_address", 1, "ip_address");
	$s->set_sorter("Action", "sorter_address_action", 2, "address_action");
	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_black_ips.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "black_ips");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = get_param("q") > 0 ? get_param("q") : 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "black_ips" . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do {
			$address_action = $db->f("address_action");
			if ($address_action == 1) {
				$address_action = "Block all activities";
			} else {
				$address_action = "Warning";
			}

			$t->set_var("ip_address", $db->f("ip_address"));
			$t->set_var("address_action", $address_action);

			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>
