<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_credit_card.php                                    ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_credit_card.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_credit_cards_href", "admin_credit_cards.php");
	$t->set_var("admin_credit_card_href", "admin_credit_card.php");

	$r = new VA_Record($table_prefix . "credit_cards");
	$r->return_page = "admin_credit_cards.php";

	$r->add_where("credit_card_id", INTEGER);

	$r->add_textbox("credit_card_code", TEXT, "Credit Card Code");
	$r->change_property("credit_card_code", REQUIRED, true);
	$r->add_textbox("credit_card_name", TEXT, "Credit Card Name");
	$r->change_property("credit_card_name", REQUIRED, true);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
