<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_default_properties.php                             ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("products_categories");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_default_properties.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_items_list_href", "admin_items_list.php");
	$t->set_var("admin_default_properties_href", "admin_default_properties.php");

	$errors = "";
	$properties = array();
	$properties_number = get_param("properties_number");
	$operation = get_param("operation");
	$rp = get_param("rp");
	$category_id = get_param("category_id");
	if(!strlen($rp)) {
		if(strlen($category_id)) {
			$rp = "admin_items_list.php?category_id=" . urlencode($category_id);
		} else {
			$rp = "admin.php";
		}
	}

	if(strlen($operation))
	{
		if ($operation == "cancel") {
			header("Location: " . $rp);
			exit;
		} else if ($operation == "more") {
			for ($i = 1; $i <= $properties_number; $i++) {
				$properties[] = get_param("property_name_" . $i);
			}
			for ($i = 1; $i <= 5; $i++) {
				$properties[] = "";
			}
		} else if ($operation == "save") {
			$sql = "DELETE FROM " . $table_prefix . "global_settings WHERE setting_type='default_property'";
			$db->query($sql);
			$order_number = 0;
			for ($i = 1; $i <= $properties_number; $i++) {
				$property_delete = get_param("property_delete_" . $i);
				$property_name = get_param("property_name_" . $i);
				if(!$property_delete && strlen($property_name)) {
					$order_number++;
					$sql  = "INSERT INTO " . $table_prefix . "global_settings (setting_type, setting_name, setting_value) VALUES (";
					$sql .= "'default_property', " . $db->tosql($property_name, TEXT) . ", '" . $order_number . "')";
					$db->query($sql);
				}
			}

			header("Location: " . $rp);
			exit;
		}
	}
	else // get default settings
	{
		$sql  = " SELECT setting_name FROM " . $table_prefix . "global_settings ";
		$sql .= " WHERE setting_type='default_property'";
		$sql .= " ORDER BY setting_value ";
		$db->query($sql);
		if($db->next_record()) {
			do {
				$properties[] = $db->f("setting_name");
			} while ($db->next_record());
		} else {
			$properties = array("", "", "", "", "");
		}
	}

	for ($i = 0; $i < sizeof($properties); $i++) {
		$t->set_var("property_number", ($i + 1));
		$t->set_var("property_name", $properties[$i]);
		$t->parse("default_properties", true);
	}

	$t->set_var("properties_number", sizeof($properties));
	$t->set_var("rp", htmlspecialchars($rp));
	$t->set_var("category_id", htmlspecialchars($category_id));

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>