<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_newsletters.php                                    ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("newsletter");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_newsletters.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_newsletter_href",  "admin_newsletter.php");
	$t->set_var("admin_newsletters_href", "admin_newsletters.php");
	$t->set_var("admin_newsletter_send_href", "admin_newsletter_send.php");


	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_newsletters.php");
	$s->set_default_sorting(3, "desc");
	$s->set_sorter("ID", "sorter_newsletter_id", "1", "newsletter_id");
	$s->set_sorter("Subject", "sorter_newsletter_subject", "2", "newsletter_subject");
	$s->set_sorter("Date", "sorter_newsletter_date", "3", "newsletter_date");
	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_newsletters.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "newsletters ");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = get_param("q") > 0 ? get_param("q") : 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT * FROM " . $table_prefix . "newsletters ";
	$db->query($sql . $s->order_by);
	if($db->next_record())
	{
		$t->parse("sorters", false);
		$t->set_var("no_records", "");
		do {
			$newsletter_subject = $db->f("newsletter_subject");
			$newsletter_date = $db->f("newsletter_date", DATETIME);
			$newsletter_date = va_date($datetime_show_format, $newsletter_date);
			$is_sent = $db->f("is_sent");
			$is_active = $db->f("is_active");
			$emails_sent = $db->f("emails_sent");
			if ($is_sent) {
				$status = "Sent";
			} else if (!$is_active) {
				$status = "Non Active";
			} else if ($emails_sent > 0) {
				$status = "Sending not finished";
			} else {
				$status = "Ready for sending";
			}
			$t->set_var("newsletter_id", $db->f("newsletter_id"));
			$t->set_var("newsletter_subject", $newsletter_subject);
			$t->set_var("newsletter_date", $newsletter_date);
			$t->set_var("newsletter_status", $status);
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("sorters", "");
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>