<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_shipping_time.php                                  ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("shipping_times");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_shipping_time.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_shipping_times_href", "admin_shipping_times.php");
	$t->set_var("admin_shipping_time_href", "admin_shipping_time.php");

	$r = new VA_Record($table_prefix . "shipping_times");
	$r->return_page = "admin_shipping_times.php";
	

	$r->add_where("shipping_time_id", INTEGER);

	$r->add_textbox("shipping_time_desc", TEXT, "Shipping Time");
	$r->change_property("shipping_time_desc", REQUIRED, true);
	$r->add_textbox("availability_time", TEXT, "Availability Time");


	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
