<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_support_product.php                                ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("support_static_data");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_support_product.html");

	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_support_product_href", "admin_support_product.php");
	$t->set_var("admin_support_products_href", "admin_support_products.php");

	$r = new VA_Record($table_prefix . "support_products");
	$r->return_page = "admin_support_products.php";

	$r->add_where("product_id", INTEGER);

	$r->add_textbox("product_name", TEXT, "Product Name");
	$r->parameters["product_name"][REQUIRED] = true;
	$r->add_checkbox("show_for_user", INTEGER);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>
