<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_table_categories.php                               ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$table_name = $table_prefix . "categories";
	$table_alias = "c";
	$table_pk = "category_id";
	$table_title = "Categories";
	$min_column_allowed = 1;

	$tree = new VA_Tree("category_id", "category_name", "parent_category_id", $table_prefix . "categories", "tree");
	$category_id = get_param("category_id");
	if (!strlen($category_id)) { $category_id = 0; }

	$db_columns = array(
		"category_id" => array("Category ID", INTEGER, 1, false),
		"is_showing" => array("Is Category Shown", INTEGER, 2, true, 1),
		"allowed_post" => array("Allowed Post", INTEGER, 2, false, 0),
		"parent_category_id" => array("Parent Category ID", INTEGER, 2, true, $category_id),
		"category_name" => array("Category Name", TEXT, 2, true),
		"friendly_url" => array("Friendly URL", TEXT, 2, false, ""),
		"category_path" => array("Category Path", TEXT, 4, true, $tree->get_path($category_id)),
		"category_order" => array("Category Order", INTEGER, 2, true, 1),
		"short_description" => array("Short Description", TEXT, 2, false),
		"full_description" => array("Full Description", TEXT, 2, false),
		"image" => array("Image", TEXT, 2, false),
		"meta_title" => array(META_TITLE_MSG, TEXT, 2, false),
		"meta_keywords" => array(META_KEYWORDS_MSG, TEXT, 2, false),
		"meta_description" => array(META_DESCRIPTION_MSG, TEXT, 2, false),
		"total_views" => array("Total Views", INTEGER, 2, false, 0),
	);

	$db_aliases["id"] = "category_id";
	$db_aliases["category_id"] = "category_id";
	$db_aliases["category id"] = "category_id";
	$db_aliases["title"] = "category_name";
	$db_aliases["category"] = "category_name";
	$db_aliases["category title"] = "category_name";
	$db_aliases["category name"] = "category_name";
	$db_aliases["category_title"] = "category_name";
	$db_aliases["category_name"] = "category_name";
	$db_aliases["category shown"] = "is_showing";
	$db_aliases["category_shown"] = "is_showing";
	$db_aliases["is show"] = "is_showing";
	$db_aliases["is shown"] = "is_showing";
	$db_aliases["is showning"] = "is_showing";
	$db_aliases["is_show"] = "is_showing";
	$db_aliases["is_shown"] = "is_showing";
	$db_aliases["is_showning"] = "is_showing";
	$db_aliases["category order"] = "category_order";
	$db_aliases["category_order"] = "category_order";

?>