<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_table_users.php                                    ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$table_name = $table_prefix . "users";
	$table_alias = "u";
	$table_pk = "user_id";
	$table_title = "Users";
	$min_column_allowed = 2;

	$default_user_type = "";
	$db->query("SELECT type_id FROM " . $table_prefix . "user_types WHERE is_default=1");
	if ($db->next_record()) {
		$default_user_type = $db->f("type_id");
	} else {
		$sql = "SELECT type_id FROM " . $table_prefix . "user_types ";
		$default_user_type = get_db_value($sql);
	}

	$db_columns = array(
		"user_id" => array("User ID", INTEGER, 1, false),
		"login" => array("Login", TEXT, 2, true),
		"affiliate_code" => array("Affiliate Code", TEXT, 2, false),
		"password" => array("Password", TEXT, 2, true),
		"friendly_url" => array("Friendly URL", TEXT, 2, false),

		"name" => array("Name", TEXT, 2, false, ""),
		"first_name" => array("First Name", TEXT, 2, false, ""),
		"last_name" => array("Last Name", TEXT, 2, false, ""),
		"company_id" => array("Company ID", INTEGER, 3, false),
		"company_name" => array("Company Name", TEXT, 2, false),
		"email" => array("Email", TEXT, 2, false),
		"address1" => array("Street Address First Line", TEXT, 2, false),
		"address2" => array("Street Address Second Line", TEXT, 2, false),
		"city" => array("City", TEXT, 2, false),
		"province" => array("Province", TEXT, 2, false),
		"state_code" => array("State", TEXT, 3, false),
		"zip" => array("Zip", TEXT, 2, false),
		"country_code" => array("Country", TEXT, 3, false),
		"phone" => array("Phone", TEXT, 2, false),
		"daytime_phone" => array("Daytime Phone", TEXT, 2, false),
		"evening_phone" => array("Evening Phone", TEXT, 2, false),
		"cell_phone" => array("Cell Phone", TEXT, 2, false),
		"fax" => array("Fax", TEXT, 2, false),

		"delivery_name" => array("Delivery Name", TEXT, 2, false),
		"delivery_first_name" => array("Delivery First Name", TEXT, 2, false),
		"delivery_last_name" => array("Delivery Last Name", TEXT, 2, false),
		"delivery_company_id" => array("Delivery Company ID", INTEGER, 3, false),
		"delivery_company_name" => array("Delivery Company Name", TEXT, 2, false),
		"delivery_email" => array("Delivery Email", TEXT, 2, false),
		"delivery_address1" => array("Delivery Address First Line", TEXT, 2, false),
		"delivery_address2" => array("Delivery Address Second Line", TEXT, 2, false),
		"delivery_city" => array("Delivery City", TEXT, 2, false),
		"delivery_province" => array("Delivery Province", TEXT, 2, false),
		"delivery_state_code" => array("Delivery State", TEXT, 3, false),
		"delivery_zip" => array("Delivery Zip", TEXT, 2, false),
		"delivery_country_code" => array("Delivery Country", TEXT, 3, false),
		"delivery_phone" => array("Delivery Phone", TEXT, 2, false),
		"delivery_daytime_phone" => array("Delivery Daytime Phone", TEXT, 2, false),
		"delivery_evening_phone" => array("Delivery Evening Phone", TEXT, 2, false),
		"delivery_cell_phone" => array("Delivery Cell Phone", TEXT, 2, false),
		"delivery_fax" => array("Delivery Fax", TEXT, 2, false),

		"paypal_account" => array("PayPal Account", TEXT, 2, false),
		"tax_id" => array("Tax Number", TEXT, 2, false),
		"short_description" => array("Short Description", TEXT, 2, false),
		"full_description" => array("Full Description", TEXT, 2, false),

		"user_type_id" => array("User Type", INTEGER, 2, true, $default_user_type),
		"is_approved" => array("Approved", INTEGER, 2, true, 1),
		"registration_date" => array("Registration Date", DATETIME, 4, true, va_time()),
		"modified_date" => array("Modified Date", DATETIME, 4, true, va_time())
	);

	$db_aliases["id"] = "user_id";

?>