<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_user_profile.php                                   ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("users_groups");

	$type_id = get_param("type_id");
	$setting_type = "user_profile_" . $type_id;
	$sql = " SELECT type_name FROM " . $table_prefix . "user_types WHERE type_id=" . $db->tosql($type_id, INTEGER);
	$db->query($sql);
	if ($db->next_record()) {
		$type_name = $db->f("type_name");
	} else {
		header ("Location: admin_user_types.php");
		exit;
	}

	$validation_types = 
		array( 
			array(2, "All Users"), array(1, "Unregistered User Only"), array(0, "Not Used")
		);

	$message_types = 
		array( 
			array(1, "HTML"), array(0, "Plain Text")
		);

	$html_editors = 
		array( 
			array(1, "WYSIWYG Editor"),
			array(0, "Textarea Editor")
			);

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_user_profile.html");

	$t->set_var("admin_href",              "admin.php");
	$t->set_var("admin_users_href",        "admin_users.php");
	$t->set_var("admin_user_types_href",   "admin_user_types.php");
	$t->set_var("admin_user_type_href",    "admin_user_type.php");
	$t->set_var("admin_user_property_href","admin_user_property.php");
	$t->set_var("admin_user_profile_href", "admin_user_profile.php");
	$t->set_var("admin_user_profile_help_href", "admin_user_profile_help.php");
	$t->set_var("admin_user_sections_href","admin_user_sections.php");
	$t->set_var("admin_email_help_href",   "admin_email_help.php");
	$t->set_var("user_home_href",          "user_home.php");
	$t->set_var("type_id",   $type_id);
	$t->set_var("type_name", $type_name);

	$r = new VA_Record($table_prefix . "global_settings");

	// set up html form parameters
	$r->add_radio("use_random_image", TEXT, $validation_types);
	$r->add_textbox("intro_text_new", TEXT);
	$r->add_textbox("registration_redirect", TEXT);
	$r->add_textbox("intro_text_registered", TEXT);
	$r->add_textbox("update_redirect", TEXT);

	// login fields
	$r->add_checkbox("show_nickname", INTEGER);
	$r->add_checkbox("nickname_required", INTEGER);

	// personal details
	$r->add_checkbox("show_name", INTEGER);
	$r->add_checkbox("show_first_name", INTEGER);
	$r->add_checkbox("show_last_name", INTEGER);
	$r->add_checkbox("show_company_id", INTEGER);
	$r->add_checkbox("show_company_name", INTEGER);
	$r->add_checkbox("show_email", INTEGER);
	$r->add_checkbox("show_address1", INTEGER);
	$r->add_checkbox("show_address2", INTEGER);
	$r->add_checkbox("show_city", INTEGER);
	$r->add_checkbox("show_province", INTEGER);
	$r->add_checkbox("show_state_code", INTEGER);
	$r->add_checkbox("show_zip", INTEGER);
	$r->add_checkbox("show_country_code", INTEGER);
	$r->add_checkbox("show_phone", INTEGER);
	$r->add_checkbox("show_daytime_phone", INTEGER);
	$r->add_checkbox("show_evening_phone", INTEGER);
	$r->add_checkbox("show_cell_phone", INTEGER);
	$r->add_checkbox("show_fax", INTEGER);

	$r->add_checkbox("show_delivery_name", INTEGER);
	$r->add_checkbox("show_delivery_first_name", INTEGER);
	$r->add_checkbox("show_delivery_last_name", INTEGER);
	$r->add_checkbox("show_delivery_company_id", INTEGER);
	$r->add_checkbox("show_delivery_company_name", INTEGER);
	$r->add_checkbox("show_delivery_email", INTEGER);
	$r->add_checkbox("show_delivery_address1", INTEGER);
	$r->add_checkbox("show_delivery_address2", INTEGER);
	$r->add_checkbox("show_delivery_city", INTEGER);
	$r->add_checkbox("show_delivery_province", INTEGER);
	$r->add_checkbox("show_delivery_state_code", INTEGER);
	$r->add_checkbox("show_delivery_zip", INTEGER);
	$r->add_checkbox("show_delivery_country_code", INTEGER);
	$r->add_checkbox("show_delivery_phone", INTEGER);
	$r->add_checkbox("show_delivery_daytime_phone", INTEGER);
	$r->add_checkbox("show_delivery_evening_phone", INTEGER);
	$r->add_checkbox("show_delivery_cell_phone", INTEGER);
	$r->add_checkbox("show_delivery_fax", INTEGER);

	$r->add_checkbox("name_required", INTEGER);
	$r->add_checkbox("first_name_required", INTEGER);
	$r->add_checkbox("last_name_required", INTEGER);
	$r->add_checkbox("company_id_required", INTEGER);
	$r->add_checkbox("company_name_required", INTEGER);
	$r->add_checkbox("email_required", INTEGER);
	$r->add_checkbox("address1_required", INTEGER);
	$r->add_checkbox("address2_required", INTEGER);
	$r->add_checkbox("city_required", INTEGER);
	$r->add_checkbox("province_required", INTEGER);
	$r->add_checkbox("state_code_required", INTEGER);
	$r->add_checkbox("zip_required", INTEGER);
	$r->add_checkbox("country_code_required", INTEGER);
	$r->add_checkbox("phone_required", INTEGER);
	$r->add_checkbox("daytime_phone_required", INTEGER);
	$r->add_checkbox("evening_phone_required", INTEGER);
	$r->add_checkbox("cell_phone_required", INTEGER);
	$r->add_checkbox("fax_required", INTEGER);

	$r->add_checkbox("delivery_name_required", INTEGER);
	$r->add_checkbox("delivery_first_name_required", INTEGER);
	$r->add_checkbox("delivery_last_name_required", INTEGER);
	$r->add_checkbox("delivery_company_id_required", INTEGER);
	$r->add_checkbox("delivery_company_name_required", INTEGER);
	$r->add_checkbox("delivery_email_required", INTEGER);
	$r->add_checkbox("delivery_address1_required", INTEGER);
	$r->add_checkbox("delivery_address2_required", INTEGER);
	$r->add_checkbox("delivery_city_required", INTEGER);
	$r->add_checkbox("delivery_province_required", INTEGER);
	$r->add_checkbox("delivery_state_code_required", INTEGER);
	$r->add_checkbox("delivery_zip_required", INTEGER);
	$r->add_checkbox("delivery_country_code_required", INTEGER);
	$r->add_checkbox("delivery_phone_required", INTEGER);
	$r->add_checkbox("delivery_daytime_phone_required", INTEGER);
	$r->add_checkbox("delivery_evening_phone_required", INTEGER);
	$r->add_checkbox("delivery_cell_phone_required", INTEGER);
	$r->add_checkbox("delivery_fax_required", INTEGER);

	$r->add_checkbox("show_birth_date", INTEGER);
	$r->add_checkbox("birth_date_required", INTEGER);

	$r->add_checkbox("show_personal_image", INTEGER);
	$r->add_textbox("personal_image_size", INTEGER, "Personal Image Filesize");
	$r->add_textbox("personal_image_width", INTEGER, "Personal Image Width");
	$r->add_textbox("personal_image_height", INTEGER, "Personal Image Height");
	
	// additional fields
	$r->add_checkbox("show_friendly_url", INTEGER);
	$r->add_checkbox("friendly_url_required", INTEGER);
	$r->add_checkbox("show_tax_id", INTEGER);
	$r->add_checkbox("tax_id_required", INTEGER);
	$r->add_checkbox("show_paypal_account", INTEGER);
	$r->add_checkbox("paypal_account_required", INTEGER);
	$r->add_checkbox("show_msn_account", INTEGER);
	$r->add_checkbox("msn_account_required", INTEGER);
	$r->add_checkbox("show_icq_number", INTEGER);
	$r->add_checkbox("icq_number_required", INTEGER);
	$r->add_checkbox("show_user_site_url", INTEGER);
	$r->add_checkbox("user_site_url_required", INTEGER);
	$r->add_checkbox("show_short_description", INTEGER);
	$r->add_checkbox("short_description_required", INTEGER);
	$r->add_radio("short_description_editor", INTEGER, $html_editors);
	$r->add_checkbox("show_full_description", INTEGER);
	$r->add_checkbox("full_description_required", INTEGER);
	$r->add_radio("full_description_editor", INTEGER, $html_editors);
	$r->add_checkbox("show_is_hidden", INTEGER);
	$r->add_checkbox("is_hidden_required", INTEGER);

	// email notification settings
	$r->add_checkbox("admin_notification", INTEGER);
	$r->add_textbox("admin_email", TEXT);
	$r->add_textbox("admin_mail_from", TEXT);
	$r->add_textbox("cc_emails", TEXT);
	$r->add_textbox("admin_mail_bcc", TEXT);
	$r->add_textbox("admin_mail_reply_to", TEXT);
	$r->add_textbox("admin_mail_return_path", TEXT);
	$r->add_textbox("admin_subject", TEXT);
	$r->add_radio("admin_message_type", TEXT, $message_types);
	$r->add_textbox("admin_message", TEXT);

	$r->add_checkbox("user_notification", INTEGER);
	$r->add_textbox("user_mail_from", TEXT);
	$r->add_textbox("user_mail_cc", TEXT);
	$r->add_textbox("user_mail_bcc", TEXT);
	$r->add_textbox("user_mail_reply_to", TEXT);
	$r->add_textbox("user_mail_return_path", TEXT);
	$r->add_textbox("user_subject", TEXT);
	$r->add_radio("user_message_type", TEXT, $message_types);
	$r->add_textbox("user_message", TEXT);

	// sms notification settings
	$r->add_checkbox("admin_sms_notification", INTEGER);
	$r->add_textbox("admin_sms_recipient", TEXT, "Administrator SMS Recipient");
	$r->add_textbox("admin_sms_originator", TEXT, "Administator SMS Originator");
	$r->add_textbox("admin_sms_message", TEXT, "Administator SMS Message");

	$r->add_checkbox("user_sms_notification", INTEGER);
	$r->add_textbox("user_sms_recipient", TEXT, "User SMS Recipient");
	$r->add_textbox("user_sms_originator", TEXT, "User SMS Originator");
	$r->add_textbox("user_sms_message", TEXT, "User SMS Message");


	// email birthday greetings settings
	$r->add_checkbox("user_birth_mail_greetings", INTEGER);
	$r->add_textbox("user_birth_mail_from", TEXT);
	$r->add_textbox("user_birth_mail_cc", TEXT);
	$r->add_textbox("user_birth_mail_bcc", TEXT);
	$r->add_textbox("user_birth_mail_reply_to", TEXT);
	$r->add_textbox("user_birth_mail_return_path", TEXT);
	$r->add_textbox("user_birth_subject", TEXT);
	$r->add_radio("user_birth_message_type", TEXT, $message_types);
	$r->add_textbox("user_birth_message", TEXT);

	// sms birthday greetings settings
	$r->add_checkbox("user_birth_sms_greetings", INTEGER);
	$r->add_textbox("user_birth_sms_recipient", TEXT, "User SMS Recipient");
	$r->add_textbox("user_birth_sms_originator", TEXT, "User SMS Originator");
	$r->add_textbox("user_birth_sms_message", TEXT, "User SMS Message");

	$r->get_form_values();

	$operation = get_param("operation");
	$tab = get_param("tab");
	if (!$tab) { $tab = "general"; }
	$return_page = get_param("rp");
	if(!strlen($return_page)) $return_page = "admin_user_types.php";
	$t->set_var("rp", htmlspecialchars($return_page));

	if(strlen($operation))
	{
		$tab = "general";
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		if ($r->get_value("admin_sms_notification")) {
			$r->change_property("admin_sms_recipient", REQUIRED, true);
			$r->change_property("admin_sms_message", REQUIRED, true);
		}
		if ($r->get_value("user_sms_notification")) {
			$r->change_property("user_sms_message", REQUIRED, true);
		}

		if (!function_exists('imagecreate') && $r->get_value("use_random_image")) {	
		  $r->errors .= "Sorry, to use Random Image Validation please install <a href='http://www.php.net/gd' target='_blank'> php graphical library gd</a>.";
			$r->set_value("use_random_image",0);
		} 
 		
		$r->validate();

		if(!strlen($r->errors))
		{
			$sql = "DELETE FROM " . $table_prefix . "global_settings WHERE setting_type=" . $db->tosql($setting_type, TEXT);
			$db->query($sql);
			foreach($r->parameters as $key => $value)
			{
				$sql  = "INSERT INTO " . $table_prefix . "global_settings (setting_type, setting_name, setting_value) VALUES (";
				$sql .= $db->tosql($setting_type, TEXT) . ", '" . $key . "'," . $db->tosql($value[CONTROL_VALUE], TEXT) . ")";
				$db->query($sql);
			}

			header("Location: " . $return_page);
			exit;
		}
	}
	else // get user_profile settings
	{
		$sql  = "SELECT setting_name, setting_value FROM " . $table_prefix . "global_settings ";
		$sql .= "WHERE setting_type=" . $db->tosql($setting_type, TEXT);
		$db->query($sql);
		while ($db->next_record()) {
			$setting_name = $db->f("setting_name");
			$setting_value = $db->f("setting_value");
			if ($r->parameter_exists($setting_name)) {
				$r->set_value($setting_name, $setting_value);
			}
		}
	}

	$sections = array();
	$sql = "SELECT section_id, section_name FROM " . $table_prefix . "user_profile_sections ORDER BY section_order, section_id ";
	$db->query($sql);
	while ($db->next_record()) {
		$section_id = $db->f("section_id");
		$section_name = get_translation($db->f("section_name"));
		$sections[$section_id] = $section_name;
	}

	$sql  = " SELECT upp.property_id, upp.property_name, upp.property_order, upp.property_show, ups.section_name ";
	$sql .= " FROM (" . $table_prefix . "user_profile_properties upp ";
	$sql .= " LEFT JOIN " . $table_prefix . "user_profile_sections ups ON ups.section_id=upp.section_id) ";
	$sql .= " WHERE user_type_id=" . $db->tosql($type_id, INTEGER);
	$sql .= " ORDER BY ups.section_order, upp.property_order ";
	$db->query($sql);
	if ($db->next_record()) {
		
		$show_options = array(0 => "Don't show", 1 => "For all users", 2 => "Only for new users", 3 => "Only for registered users");
		do {
			$property_id = $db->f("property_id");
			$property_name = $db->f("property_name");
			$property_order = $db->f("property_order");
			$property_show = $db->f("property_show");

			$section_name = get_translation($db->f("section_name"));

			$t->set_var("property_id",   $property_id);
			$t->set_var("property_name", $property_name);
			$t->set_var("property_order", $property_order);
			$t->set_var("property_show", $show_options[$property_show]);

			$t->set_var("section_name",  $section_name);

			$t->parse("properties", true);
		} while ($db->next_record());
	} else {
		$t->parse("no_properties", false);
	}

	$r->set_parameters();
	$t->set_var("type_id", htmlspecialchars($type_id));

	$t->set_var("LOGIN_INFO_MSG", $sections[1]);
	$t->set_var("PERSONAL_DETAILS_MSG", $sections[2]);
	$t->set_var("DELIVERY_DETAILS_MSG", $sections[3]);
	$t->set_var("ADDITIONAL_DETAILS_MSG", $sections[4]);

	$tabs = array("general" => "General", "predefined_fields" => "Predefined Fields", "custom_fields" => "Custom Fields",
		"registration_notify" => "Registration Notify", "birthday_greetings" => "Birthday Greetings"
	);
	foreach ($tabs as $tab_name => $tab_title) {
		$t->set_var("tab_id", "tab_" . $tab_name);
		$t->set_var("tab_name", $tab_name);
		$t->set_var("tab_title", $tab_title);
		if ($tab_name == $tab) {
			$t->set_var("tab_class", "adminTabActive");
			$t->set_var($tab_name . "_style", "display: block;");
		} else {
			$t->set_var("tab_class", "adminTab");
			$t->set_var($tab_name . "_style", "display: none;");
		}
		$t->parse("tabs", $tab_title);
	}
	$t->set_var("tab", $tab);

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>