<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  block_forum_search.php                                   ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


function forum_search($block_name) 
{
	global $t, $db, $table_prefix, $language_code;
	global $category_id;
	global $page_settings;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	$user_id = get_session("session_user_id");		

	$t->set_var("forum_href",   "forum.php");
	$t->set_file("block_body", "block_forum_search.html");
	$t->set_var("SEARCH_TITLE",  SEARCH_TITLE);
	$t->set_var("SEARCH_BUTTON", SEARCH_BUTTON);

	$search_categories[] = array("", SEARCH_IN_ALL_MSG);
	$sql  = " SELECT fc.category_id, fc.category_name, fl.forum_id, fl.forum_name ";
	$sql .= " FROM " . $table_prefix . "forum_categories fc, " . $table_prefix . "forum_list fl ";
	$sql .= " WHERE fc.category_id=fl.category_id ";
	$sql .= " AND fc.allowed_view > 0 ";
	if (strlen($user_id)) {
		$sql .= " AND fl.allowed_view IN (1,2) AND fl.allowed_view_topics IN (1,2) ";
	} else {
		$sql .= " AND fl.allowed_view=1 AND fl.allowed_view_topics=1 ";
	}
	$sql .= " ORDER BY fc.category_order, fc.category_id, fl.forum_order ";
	$db->query($sql);
	if ($db->next_record()) {
		$last_category_id = "";
		do {
			$category_id = $db->f("category_id");
			$category_name = get_translation($db->f("category_name"));
			$forum_id = $db->f("forum_id");
			$forum_name = get_translation($db->f("forum_name"));
			if ($last_category_id != $category_id) {
				$search_categories[] = array("c".$category_id, $category_name);
			}
			$search_categories[] = array("f".$forum_id, " -- " . $forum_name);
			$last_category_id = $category_id;
		} while ($db->next_record());
	}

	$sf = get_param("sf");
	$sw = get_param("sw");
	if (sizeof($search_categories) > 1) {
		set_options($search_categories, $sf, "sf");
		$t->global_parse("search_categories", false, false, true);
	} else {
		$t->set_var("search_categories", "");
	}
	$t->set_var("sw", htmlspecialchars($sw));
	$t->set_var("current_category_id", htmlspecialchars($category_id));

	$t->parse("block_body", false);
	$t->parse($block_name, true);

}
?>