<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  footer.php                                               ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$friendly_urls = get_setting_value($settings, "friendly_urls", 0);
	$friendly_extension = get_setting_value($settings, "friendly_extension", "");

	$t->templates_path = "./js";
	$t->set_file("footer_js","footer.js");
	$t->parse("footer_js", false);

	$t->templates_path = $settings["templates_dir"];
	$t->set_file("footer","footer.html");
	$t->set_var("site_url", $settings["site_url"]);

	$t->set_var("index_href", "index.php");
	$t->set_var("products_href", "products.php");
	$t->set_var("basket_href", "basket.php");
	$t->set_var("user_profile_href", "user_profile.php");
	$t->set_var("admin_href", "admin.php");
	$t->set_var("events_href", "events.php");
	$sql  = " SELECT page_type, page_title, page_code, page_url, friendly_url FROM " . $table_prefix . "pages ";
	$sql .= " WHERE is_showing = 1 AND link_in_footer = 1 ";
	$sql .= " ORDER BY page_order ";
	$db->query($sql);
	if ($db->next_record()) {
		do {
			$page_url = $db->f("page_url");
			$friendly_url = $db->f("friendly_url");
			$page_title = get_translation($db->f("page_title"));
			if ($friendly_urls && strlen($friendly_url)) {
				$page_url = $friendly_url . $friendly_extension;
			} else if (!strlen($page_url)) {
				$page_url = "page.php?page=" . urlencode($db->f("page_code"));
			}
			$popup_js = ($db->f("page_type") == 2) ? "return openPopup('" . $page_url . "', 600, 450);" : "";
			$t->set_var("popup_js", $popup_js);
			$t->set_var("custom_page_title", htmlspecialchars($page_title));
			$t->set_var("custom_page_href", $page_url);
			$t->sparse("custom_pages");
		} while($db->next_record());
		$t->sparse("page_separator", false);
	} else {
		$t->set_var("custom_pages", "");
	}
	if ($settings["html_below_footer"]) {
		$html_below_footer = get_translation($settings["html_below_footer"]);
		if (get_setting_value($settings, "php_in_footer_body", 0)) {
			eval_php_code($html_below_footer);
		}
		$t->set_block("footer_html", $html_below_footer);
		$t->parse("footer_html", false);

		if ($t->block_exists("footer_block")) {
			$t->parse("footer_block", false);
		}
	} else {
		$t->set_var("footer_block", "");
	}
	
	$google_analytics = get_setting_value($settings, "google_analytics", 0);
	$google_tracking_code = get_setting_value($settings, "google_tracking_code", "");
	if ($google_analytics && $google_tracking_code) {
		if ($is_ssl) {
			$google_analytics_js = "https://ssl.google-analytics.com/urchin.js";
		} else {
			$google_analytics_js = "http://www.google-analytics.com/urchin.js";
		}
		$t->set_var("google_analytics_js", $google_analytics_js);
		$t->set_var("google_tracking_code", $google_tracking_code);
		$t->sparse("google_analytics", false);
	}

	$t->parse("footer");

?>