<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  messages.php                                             ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	define("CHARSET", "iso-8859-1");
	// date messages
	define("YEAR_MSG", "Year");
	define("YEARS_QTY_MSG", "{quantity} years");
	define("MONTH_MSG", "Month");
	define("MONTHS_QTY_MSG", "{quantity} months");
	define("DAY_MSG", "Day");
	define("DAYS_MSG", "Days");
	define("DAYS_QTY_MSG", "{quantity} days");
	define("HOUR_MSG", "Hour");
	define("HOURS_QTY_MSG", "{quantity} hours");
	define("MINUTE_MSG", "Minute");
	define("MINUTES_QTY_MSG", "{quantity} minutes");
	define("SECOND_MSG", "Second");
	define("SECONDS_QTY_MSG", "{quantity} seconds");
	define("WEEK_MSG", "Week");
	define("WEEKS_QTY_MSG", "{quantity} weeks");
	define("TODAY_MSG", "Today");
	define("YESTERDAY_MSG", "Yesterday");
	define("LAST_7DAYS_MSG", "Last 7 Days");
	define("THIS_MONTH_MSG", "This Month");
	define("LAST_MONTH_MSG", "Last Month");
	define("THIS_QUARTER_MSG", "This Quarter");
	define("THIS_YEAR_MSG", "This Year");

	// months
	define("JANUARY", "January");
	define("FEBRUARY", "February");
	define("MARCH", "March");
	define("APRIL", "April");
	define("MAY", "May");
	define("JUNE", "June");
	define("JULY", "July");
	define("AUGUST", "August");
	define("SEPTEMBER", "September");
	define("OCTOBER", "October");
	define("NOVEMBER", "November");
	define("DECEMBER", "December");

	define("JANUARY_SHORT", "Jan");
	define("FEBRUARY_SHORT", "Feb");
	define("MARCH_SHORT", "Mar");
	define("APRIL_SHORT", "Apr");
	define("MAY_SHORT", "May");
	define("JUNE_SHORT", "Jun");
	define("JULY_SHORT", "Jul");
	define("AUGUST_SHORT", "Aug");
	define("SEPTEMBER_SHORT", "Sep");
	define("OCTOBER_SHORT", "Oct");
	define("NOVEMBER_SHORT", "Nov");
	define("DECEMBER_SHORT", "Dec");

	// weekdays
	define("SUNDAY", "Sunday");
	define("MONDAY", "Monday");
	define("TUESDAY", "Tuesday");
	define("WEDNESDAY", "Wednesday");
	define("THURSDAY", "Thursday");
	define("FRIDAY", "Friday");
	define("SATURDAY", "Saturday");

	define("SUNDAY_SHORT", "Sun");
	define("MONDAY_SHORT", "Mon");
	define("TUESDAY_SHORT", "Tue");
	define("WEDNESDAY_SHORT", "Wed");
	define("THURSDAY_SHORT", "Thu");
	define("FRIDAY_SHORT", "Fri");
	define("SATURDAY_SHORT", "Sat");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> is required");
	define("UNIQUE_MESSAGE", "The value in field <b>{field_name}</b> is already in database");
	define("VALIDATION_MESSAGE", "Validation failed for field <b>{field_name}</b>");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> and <b>{field_two}</b> didn't match");
	define("INSERT_ALLOWED_ERROR", "Sorry, but insert operation is not allowed for you");
	define("UPDATE_ALLOWED_ERROR", "Sorry, but update operation is not allowed for you");
	define("DELETE_ALLOWED_ERROR", "Sorry, but delete operation is not allowed for you");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Only alpha-numeric characters, hyphen and underscore are allowed for field <b>{field_name}</b>");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> has incorrect date value. Use calendar dates");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> didn't match with mask. Use following '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Invalid email format in field {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Incorrect value in field <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "The value in field <b>{field_name}</b> can't be less than {min_value}");
	define("MAX_VALUE_MESSAGE", "The value in field <b>{field_name}</b> can't be greater than {max_value}");
	define("MIN_LENGTH_MESSAGE", "The length in field <b>{field_name}</b> can't be less than {min_length} symbols");
	define("MAX_LENGTH_MESSAGE", "The length in field <b>{field_name}</b> can't be greater than {max_length} symbols");

	define("FILE_PERMISSION_MESSAGE", "Don't have writable permission to file <b>'{file_name}'</b>. Please change file permission before continue");
	define("FOLDER_PERMISSION_MESSAGE", "Don't have writable permission to folder <b>'{folder_name}'</b>. Please change folder permission before continue");
	define("INVALID_EMAIL_MSG", "Your email is not valid.");
	define("DATABASE_ERROR_MSG", "Database error has occurred");
	define("BLACK_IP_MSG", "This action is not permitted from your host.");
	define("BANNED_CONTENT_MSG", "Sorry, the provided content contains illegal statement.");
	define("ERRORS_MSG", "Errors");
	define("REGISTERED_ACCESS_MSG", "Only registered users could access this option.");

	// titles 
	define("TOP_RATED_TITLE", "Top Rated");
	define("TOP_VIEWED_TITLE", "Top Viewed");
	define("RECENTLY_VIEWED_TITLE", "Recently Viewed");
	define("HOT_TITLE", "Hot");
	define("LATEST_TITLE", "Latest");
	define("CONTENT_TITLE", "Content");
	define("RELATED_TITLE", "Related");
	define("SEARCH_TITLE", "Search");
	define("ADVANCED_SEARCH_TITLE", "Advanced Search");
	define("LOGIN_TITLE", "User Login");
	define("CATEGORIES_TITLE", "Categories");
	define("MANUFACTURERS_TITLE", "Manufacturers");
	define("SPECIAL_OFFER_TITLE", "Special Offer");
	define("NEWS_TITLE", "News");
	define("EVENTS_TITLE", "Events");
	define("PROFILE_TITLE", "Profile");
	define("USER_HOME_TITLE", "Home Page");
	define("DOWNLOAD_TITLE", "Download");
	define("FAQ_TITLE", "Frequently Asked Questions");
	define("POLL_TITLE", "Poll");
	define("HOME_PAGE_TITLE", "Home Page");
	define("CURRENCY_TITLE", "Currency");
	define("SUBSCRIBE_TITLE", "Subscribe");
	define("UNSUBSCRIBE_TITLE", "Unsubscribe");
	define("UPLOAD_TITLE", "Upload");
	define("ADS_TITLE", "Ads");
	define("ADS_COMPARE_TITLE", "Ads Comparison");
	define("ADS_SELLERS_TITLE", "Sellers");
	define("AD_REQUEST_TITLE", "Make an Offer / Ask Seller a Question");
	define("LANGUAGE_TITLE", "Languages");
	define("MERCHANTS_TITLE", "Merchants");
	define("PREVIEW_TITLE", "Preview");
	define("ARTICLES_TITLE", "Articles");
	define("SITE_MAP_TITLE", "Site Map");

	// menu items
	define("MENU_ABOUT", "about us");
	define("MENU_ACCOUNT", "your account");
	define("MENU_BASKET", "your basket");
	define("MENU_CONTACT", "contact us");
	define("MENU_DOCUMENTATION", "documentation");
	define("MENU_DOWNLOADS", "downloads");
	define("MENU_EVENTS", "events");
	define("MENU_FAQ", "faq");
	define("MENU_FORUM", "forum");
	define("MENU_HELP", "help");
	define("MENU_HOME", "home");
	define("MENU_HOW", "how to shop");
	define("MENU_MEMBERS", "members");
	define("MENU_MYPROFILE", "my profile");
	define("MENU_NEWS", "news");
	define("MENU_PRIVACY", "privacy");
	define("MENU_PRODUCTS", "products");
	define("MENU_REGISTRATION", "registration");
	define("MENU_SHIPPING", "shipping");
	define("MENU_SIGNIN", "sign in");
	define("MENU_SIGNOUT", "sign out");
	define("MENU_SUPPORT", "support");
	define("MENU_USERHOME", "user home");
	define("MENU_ADS", "classified ads");
	define("MENU_ADMIN", "administration");
	define("MENU_KNOWLEDGE", "Knowledge Base");

	// main terms
	define("NO_MSG", "No");
	define("YES_MSG", "Yes");
	define("NOT_AVAILABLE_MSG", "N/A");
	define("MORE_MSG", "more...");
	define("READ_MORE_MSG", "read more...");
	define("CLICK_HERE_MSG", "click here");
	define("ENTER_YOUR_MSG", "Enter your");
	define("CHOOSE_A_MSG", "Choose a");
	define("PLEASE_CHOOSE_MSG", "Please choose");
	define("SELECT_MSG", "Select");
	define("DATE_FORMAT_MSG", "use following format <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Next");
	define("PREV_PAGE_MSG", "Previous");
	define("FIRST_PAGE_MSG", "First");
	define("LAST_PAGE_MSG", "Last");
	define("OF_PAGE_MSG", "of");
	define("TOP_CATEGORY_MSG", "Top");
	define("SEARCH_IN_CURRENT_MSG", "Current Category");
	define("SEARCH_IN_ALL_MSG", "All Categories");
	define("FOUND_IN_MSG", "Found in");
	define("TOTAL_VIEWS_MSG", "Total Views");
	define("VOTES_MSG", "Votes");
	define("TOTAL_VOTES_MSG", "Total Votes");
	define("TOTAL_POINTS_MSG", "Total Points");
	define("VIEW_RESULTS_MSG", "View Results");
	define("PREVIOUS_POLLS_MSG", "Previous Polls");
	define("TOTAL_MSG", "Total");
	define("CLOSED_MSG", "Closed");
	define("CLOSE_WINDOW_MSG", "Close Window");
	define("ASTERISK_MSG", "asterisk (*) - required fields");
	define("PROVIDE_INFO_MSG", "Please provide information in the sections with red then click '{button_name}'");
	define("FOUND_ARTICLES_MSG", "We've found <b>{found_records}</b> articles matching the term(s) '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "Article with this ID isn't available");
	define("NO_ARTICLES_MSG", "No articles were found");
	define("NOTES_MSG", "Notes");
	define("KEYWORDS_MSG", "Keywords");
	define("LINK_URL_MSG", "Link");
	define("DOWNLOAD_URL_MSG", "Download");
	define("SUBSCRIBE_FORM_MSG", "To get our newsletter please enter your email address in the box below and press '{button_name}' button.");
	define("UNSUBSCRIBE_FORM_MSG", "Please type your email address in the box below and press '{button_name}' button.");
	define("SUBSCRIBE_LINK_MSG", "Subscribe");
	define("UNSUBSCRIBE_LINK_MSG", "Unsubscribe");
	define("SUBSCRIBED_MSG", "Congratulations! You are now a fully subscribed member of the newsletter.");
	define("ALREADY_SUBSCRIBED_MSG", "You have already subscribed to our mailing list. Thank you.");
	define("UNSUBSCRIBED_MSG", "You have successfully unsubscribed from the newsletter. Thank you.");
	define("UNSUBSCRIBED_ERROR_MSG", "We're sorry but we cannot find a match for your email address in our database; you have probably already unsubscribed from the newsletter.");
	define("FORGOT_PASSWORD_MSG", "Forgot your password?");
	define("FORGOT_PASSWORD_DESC", "Please enter the email address you used when you registered:");
	define("FORGOT_EMAIL_ERROR_MSG", "We're sorry but we cannot find a match for your email address in our database.");
	define("FORGOT_EMAIL_SENT_MSG", "Login instructions details have been sent to your email address.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Some required parameters were missed.");
	define("RESET_PASSWORD_PARAMS_MSG", "The parameters you supplied does not match any in the database.");
	define("RESET_PASSWORD_EXPIRY_MSG", "The reset code you supplied has expired. Please request a new code to reset your password.");
	define("RESET_PASSWORD_SAVED_MSG", "Your new password was successfully saved.");
	define("PRINTER_FRIENDLY_MSG", "Printer Friendly");
	define("PRINT_PAGE_MSG", "Print this page");
	define("ATTACHMENTS_MSG", "Attachments");
	define("VIEW_DETAILS_MSG", "View Details");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Plain Text");
	define("META_DATA_MSG", "Meta Data");
	define("META_TITLE_MSG", "Page Title");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Description");
	define("FRIENDLY_URL_MSG", "Friendly URL");
	define("IMAGES_MSG", "Images");
	define("IMAGE_MSG", "Image");
	define("IMAGE_SMALL_MSG", "Small Image");
	define("IMAGE_SMALL_DESC", "shown on list page");
	define("IMAGE_SMALL_ALT_MSG", "Small Image Alt");
	define("IMAGE_LARGE_MSG", "Large Image");
	define("IMAGE_LARGE_DESC", "shown on details page");
	define("IMAGE_LARGE_ALT_MSG", "Large Image Alt");
	define("IMAGE_SUPER_MSG", "Super-Sized Image");
	define("IMAGE_SUPER_DESC", "image popup in the new window");
	define("IS_APPROVED_MSG", "Approved");
	define("IS_ACTIVE_MSG", "Is Active");
	define("CATEGORY_MSG", "Category");
	define("SELECT_CATEGORY_MSG", "Select Category");
	define("DESCRIPTION_MSG", "Description");
	define("SHORT_DESCRIPTION_MSG", "Short Description");
	define("FULL_DESCRIPTION_MSG", "Full Description");
	define("HIGHLIGHTS_MSG", "Highlights");
	define("SPECIAL_OFFER_MSG", "Special Offer");
	define("OTHER_MSG", "Other");
	define("WIDTH_MSG", "Width");
	define("HEIGHT_MSG", "Height");
	define("LENGTH_MSG", "Length");
	define("WEIGHT_MSG", "Weight");
	define("QUANTITY_MSG", "Quantity");
	define("CALENDAR_MSG", "Calendar");
	define("FROM_DATE_MSG", "From Date");
	define("TO_DATE_MSG", "To Date");
	define("TIME_PERIOD_MSG", "Time Period");
	define("GROUP_BY_MSG", "Group By");
	define("BIRTHDAY_MSG", "Birthday");
	define("BIRTH_DATE_MSG", "Birth Date");
	define("BIRTH_YEAR_MSG", "Birth Year");
	define("BIRTH_MONTH_MSG", "Birth Month");
	define("BIRTH_DAY_MSG", "Birth Day");
	define("STEP_NUMBER_MSG", "Step {current_step} of {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Where status is");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Email Notification");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Administrator Email Notification");
	define("EMAIL_NOTIFICATION_USER_MSG", "User Email Notification");
	define("EMAIL_SEND_ADMIN_MSF", "Send notification to administrator ");
	define("EMAIL_SEND_USER_MSG", "Send notification to user");
	define("EMAIL_USER_IF_STATUS_MSG", "Send notification email to user when the status is applied");
	define("EMAIL_TO_MSG", "To");
	define("EMAIL_TO_USER_DESC", "Customer email used if is empty");
	define("EMAIL_FROM_MSG", "From");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Reply To");
	define("EMAIL_RETURN_PATH_MSG", "Return Path");
	define("EMAIL_SUBJECT_MSG", "Subject");
	define("EMAIL_MESSAGE_TYPE_MSG", "Message Type");
	define("EMAIL_MESSAGE_MSG", "Message");
	define("SMS_NOTIFICATION_MSG", "SMS Notification");
	define("SMS_NOTIFICATION_ADMIN_MSG", "Administrator SMS Notification");
	define("SMS_NOTIFICATION_USER_MSG", "User SMS Notification ");
	define("SMS_SEND_ADMIN_MSF", "Send SMS Notification to Administrator");
	define("SMS_SEND_USER_MSG", "Send SMS Notification to User ");
	define("SMS_USER_IF_STATUS_MSG", "Send SMS notification to user when the status is applied");
	define("SMS_RECIPIENT_MSG", "SMS Recipient");
	define("SMS_RECIPIENT_ADMIN_DESC", "administrator cell phone number");
	define("SMS_RECIPIENT_USER_DESC", "Cell phone' field used if is empty");
	define("SMS_ORIGINATOR_MSG", "SMS Originator");
	define("SMS_MESSAGE_MSG", "SMS Message");

	// account messages
	define("LOGIN_AS_MSG", "You login as");
	define("LOGIN_INFO_MSG", "Login Information");
	define("ACCESS_HOME_MSG", "To access your home");
	define("REMEMBER_LOGIN_MSG", "Remember my login and password");
	define("ENTER_LOGIN_MSG", "Enter your login and password to continue");
	define("LOGIN_PASSWORD_ERROR", "Password or Login is incorrect");
	define("ACCOUNT_APPROVE_ERROR", "Sorry, your account has not yet been approved.");
	define("ACCOUNT_EXPIRED_MSG", "Your account has expired.");
	define("NEW_PROFILE_ERROR", "You don't have permissions to open an account.");
	define("EDIT_PROFILE_ERROR", "You don't have permissions to edit this profile.");
	define("CHANGE_DETAILS_MSG", "Change your details");
	define("CHANGE_DETAILS_DESC", "Click the link above if you would like to change the contact or login information you entered when creating your account.");
	define("CHANGE_PASSWORD_MSG", "Change password");
	define("CHANGE_PASSWORD_DESC", "The link below will take you to the page were you can change your password");
	define("SIGN_UP_MSG", "Sign up now");
	define("MY_ACCOUNT_MSG", "My Account");
	define("NEW_USER_MSG", "New User");
	define("EXISTS_USER_MSG", "Existing users");
	define("EDIT_PROFILE_MSG", "Edit Profile");
	define("PERSONAL_DETAILS_MSG", "Personal Details");
	define("DELIVERY_DETAILS_MSG", "Delivery Details");
	define("SAME_DETAILS_MSG", "If the delivery details are the same as above tick here<br> if not, please complete the details below");
	define("DELIVERY_MSG", "Delivery");
	define("SUBSCRIBE_CHECKBOX_MSG", "Please tick this checkbox if you want to receive our newsletter.");
	define("ADDITIONAL_DETAILS_MSG", "Additional Details");
	define("GUEST_MSG", "Guest");

	// ads messages
	define("MY_ADS_MSG", "My Ads");
	define("MY_ADS_DESC", "If you have items that you would like to sell, place an ad here. It's quick and easy to place ads.");
	define("EDIT_AD_MSG", "Edit Ad");
	define("ADD_NEW_AD_MSG", "Add New Ad");
	define("AD_ID_COLUMN", "ID");
	define("AD_TITLE_COLUMN", "Title");
	define("AD_PRICE_COLUMN", "Price");
	define("AD_STATUS_COLUMN", "Status");
	define("AD_GENERAL_MSG", "General Ad Information");
	define("AD_CATEGORY_MSG", "Category");
	define("AD_SELECT_CATEGORY_MSG", "Select Category");
	define("AD_TYPE_MSG", "Type");
	define("AD_TITLE_MSG", "Title");
	define("AD_SELLER_MSG", "Seller");
	define("AD_START_MSG", "Date Start");
	define("AD_RUNS_MSG", "Days to run");
	define("AD_PRICE_MSG", "Price");
	define("AD_QTY_MSG", "Quantity");
	define("AD_AVAILABILITY_MSG", "Availability");
	define("AD_COMPARED_MSG", "Allow ad comparison");
	define("AD_IMAGES_MSG", "Images");
	define("AD_UPLOAD_MSG", "Upload Image");
	define("AD_SMALL_IMAGE_MSG", "Small Image");
	define("AD_LARGE_IMAGE_MSG", "Large Image");
	define("AD_DESCRIPTION_MSG", "Description");
	define("AD_SHORT_DESC_MSG", "Short Description");
	define("AD_FULL_DESC_MSG", "Full Description");
	define("AD_LOCATION_MSG", "Location");
	define("AD_CITY_MSG", "City");
	define("AD_STATE_MSG", "State");
	define("AD_COUNTRY_MSG", "Country");
	define("AD_LOCATION_INFO_MSG", "Additional Information");
	define("AD_PROPERTIES_MSG", "Ad Properties");
	define("AD_SPECIFICATION_MSG", "Ad Specification");
	define("AD_MORE_IMAGES_MSG", "More Images");
	define("AD_IMAGE_MSG", "Image");
	define("AD_IMAGE_TITLE_MSG", "Title");
	define("AD_IMAGE_PREVIEW_MSG", "Preview Image");
	define("AD_IMAGE_LARGE_MSG", "Large Image");
	define("AD_IMAGE_DESC_MSG", "Image Description");
	define("AD_DELETE_CONFIRM_MSG", "Do you want delete this Ad?");
	define("AD_NOT_APPROVED_MSG", "Not Approved");
	define("AD_RUNNING_MSG", "Running");
	define("AD_CLOSED_MSG", "Closed");
	define("AD_EXPIRED_MSG", "Expired");
	define("AD_NOT_STARTED_MSG", "Not Started");
	define("AD_NEW_ERROR", "You don't have permissions to create a new Ad.");
	define("AD_EDIT_ERROR", "You don't have permissions to edit this Ad.");
	define("AD_DELETE_ERROR", "You don't have permissions to delete this Ad.");
	define("NO_ADS_MSG", "No ads were found");
	define("NO_AD_MSG", "No Ad with this ID is available in this category");
	define("FOUND_ADS_MSG", "We've found <b>{found_records}</b> ads matching the term(s) '<b>{search_string}</b>'");
	define("AD_OFFER_PRICE_MSG", "Price");
	define("AD_OFFER_MESSAGE_MSG", "Offer");
	define("AD_OFFER_LOGIN_ERROR", "You need to be logged in before proceeding.");
	define("AD_REQUEST_BUTTON", "Send Enquiry");
	define("AD_SENT_MSG", "Your offer was successfully sent.");

	// search message
	define("SEARCH_FOR_MSG", "Search for");
	define("SEARCH_IN_MSG", "Search in");
	define("SEARCH_TITLE_MSG", "Title");
	define("SEARCH_CODE_MSG", "Code");
	define("SEARCH_SHORT_DESC_MSG", "Short description");
	define("SEARCH_FULL_DESC_MSG", "Detailed description");
	define("SEARCH_CATEGORY_MSG", "Search in category");
	define("SEARCH_MANUFACTURER_MSG", "Manufacturer");
	define("SEARCH_SELLER_MSG", "Seller");
	define("SEARCH_PRICE_MSG", "Price range");
	define("SEARCH_WEIGHT_MSG", "Weight limits");
	define("SEARCH_RESULTS_MSG", "Search Results");

	// compare messages
	define("COMPARE_MSG", "Compare");
	define("COMPARE_REMOVE_MSG", "Remove");
	define("COMPARE_REMOVE_HELP_MSG", "Click here to remove this product from the comparison table");
	define("COMPARE_MIN_ALLOWED_MSG", "You must select at least 2 products");
	define("COMPARE_MAX_ALLOWED_MSG", "You must select no more than 5 products");
	define("COMPARE_PARAM_ERROR_MSG", "Comparison parameter has a wrong value");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Tell a Friend");
	define("TELL_FRIEND_SUBJECT_MSG", "Your friend has sent you this link.");
	define("TELL_FRIEND_DEFAULT_MSG", "Hi {friend_name} - I thought you might be interested in seeing the {item_title} at this site {site_url}");
	define("TELL_YOUR_NAME_FIELD", "Your name");
	define("TELL_YOUR_EMAIL_FIELD", "Your e-mail");
	define("TELL_FRIENDS_NAME_FIELD", "Friend's name");
	define("TELL_FRIENDS_EMAIL_FIELD", "Friend's e-mail");
	define("TELL_COMMENT_FIELD", "Comment");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "PRIVACY NOTICE: We will not save or reuse your, or your friend's email address(es) for any other purpose.");
	define("TELL_SENT_MSG", "Your message has been sent sucessfully!<br>Thank you!");

	define("CONTACT_US_TITLE", "Contact Us");
	define("CONTACT_USER_NAME_FIELD", "Your Name");
	define("CONTACT_USER_EMAIL_FIELD", "Your Email Address");
	define("CONTACT_SUMMARY_FIELD", "One-line Summary");
	define("CONTACT_DESCRIPTION_FIELD", "Description");
	define("CONTACT_REQUEST_SENT_MSG", "Your request was successfully sent.");

	// buttons
	define("GO_BUTTON", "Go");
	define("CONTINUE_BUTTON", "Continue");
	define("BACK_BUTTON", "Back");
	define("NEXT_BUTTON", "Next");
	define("PREV_BUTTON", "Previous");
	define("SIGN_IN_BUTTON", "Sign in");
	define("LOGIN_BUTTON", "Login");
	define("LOGOUT_BUTTON", "Logout");
	define("SEARCH_BUTTON", "Search");
	define("RATE_IT_BUTTON", "Rate it!");
	define("ADD_BUTTON", "Add");
	define("UPDATE_BUTTON", "Update");
	define("APPLY_BUTTON", "Apply");
	define("REGISTER_BUTTON", "Register");
	define("VOTE_BUTTON", "Vote");
	define("CANCEL_BUTTON", "Cancel");
	define("CLEAR_BUTTON", "Clear");
	define("RESET_BUTTON", "Reset");
	define("DELETE_BUTTON", "Delete");
	define("SUBSCRIBE_BUTTON", "Subscribe");
	define("UNSUBSCRIBE_BUTTON", "Unsubscribe");
	define("SUBMIT_BUTTON", "Submit");
	define("UPLOAD_BUTTON", "Upload");
	define("SEND_BUTTON", "Send");
	define("PREVIEW_BUTTON", "Preview");
	define("FILTER_BUTTON", "Filter");
	define("DOWNLOAD_BUTTON", "Download");

	// fields
	define("LOGIN_FIELD", "Username");
	define("PASSWORD_FIELD", "Password");
	define("CONFIRM_PASS_FIELD", "Confirm Password");
	define("NEW_PASS_FIELD", "New Password");
	define("CURRENT_PASS_FIELD", "Current Password");
	define("NAME_FIELD", "Name");
	define("FIRST_NAME_FIELD", "First Name");
	define("LAST_NAME_FIELD", "Last Name");
	define("NICKNAME_FIELD", "Nickname");
	define("PERSONAL_IMAGE_FIELD", "Personal Image");
	define("COMPANY_SELECT_FIELD", "Company");
	define("SELECT_COMPANY_MSG", "Select Company");
	define("COMPANY_NAME_FIELD", "Company Name");
	define("EMAIL_FIELD", "Email");
	define("STREET_FIRST_FIELD", "Street Address 1");
	define("STREET_SECOND_FIELD", "Street Address 2");
	define("CITY_FIELD", "City");
	define("PROVINCE_FIELD", "Province");
	define("SELECT_STATE_MSG", "Non US");
	define("STATE_FIELD", "State (for US only)");
	define("ZIP_FIELD", "Zip/Postal Code");
	define("SELECT_COUNTRY_MSG", "Select Country");
	define("COUNTRY_FIELD", "Country");
	define("PHONE_FIELD", "Phone");
	define("DAYTIME_PHONE_FIELD", "Daytime Phone");
	define("EVENING_PHONE_FIELD", "Evening Phone");
	define("CELL_PHONE_FIELD", "Cell phone");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Validation Code");
	define("AFFILIATE_CODE_FIELD", "Affiliate Code");
	define("AFFILIATE_CODE_HELP_MSG", "Please use the following URL {affiliate_url} to create a link affiliated with our site");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal Account");
	define("TAX_ID_FIELD", "Tax Number");
	define("MSN_ACCOUNT_FIELD", "MSN Account");
	define("ICQ_NUMBER_FIELD", "ICQ Number");
	define("USER_SITE_URL_FIELD", "Customer Site URL");
	define("HIDDEN_STATUS_FIELD", "Hidden Status");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Do not show my online status");

	// no records messages
	define("NO_RECORDS_MSG", "No records were found");
	define("NO_EVENTS_MSG", "No events were found");
	define("NO_QUESTIONS_MSG", "No questions were found");
	define("NO_NEWS_MSG", "No news articles were found");
	define("NO_POLLS_MSG", "No polls were found");

	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Please enter your cell phone number and press button 'SEND_BUTTON' to receive test message");
	define("INVALID_CELL_PHONE", "Incorrect cell phone number");

?>
