<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// installation messages
	define("INSTALL_TITLE", "Viart Shop asennus");

	define("INSTALL_STEP_1_TITLE", "Asennus: Vaihe 1");
	define("INSTALL_STEP_1_DESC", "Kiitos kun asennat ViArt ostoskortin. Ole hyva ja taydenna alla olevat tiedot. Huomio etta tietokannan tulisi jo olla olemassa. Jos asennat kayttaen ODBC/Microsoft Access, luo ensin DNS");
	define("INSTALL_STEP_2_TITLE", "Asennus: Vaihe 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "Asennus: Vaihe 3");
	define("INSTALL_STEP_3_DESC", "Valitse sivun teema, tata asetusta voit muuttaa myohemmin");
	define("INSTALL_FINAL_TITLE", "Asennus: Valmis");
	define("SELECT_DATE_TITLE", "Valitse paivayksen naytto");

	define("DB_SETTINGS_MSG", "Tietokanta-asetukset");
	define("DB_PROGRESS_MSG", "Tietokannan luominen");
	define("SELECT_PHP_LIB_MSG", "Valitse PHP kirjasto");
	define("SELECT_DB_TYPE_MSG", "Valitse tietokannan tyyppi");
	define("SELECT_FROM_LIST_MSG", "Valitse listasta");
	define("ADMIN_SETTINGS_MSG", "Hallinnalliset asetukset");
	define("DATE_SETTINGS_MSG", "Aika/Paivaasetukset");
	define("NO_DATE_FORMATS_MSG", "Ei saatavilla");
	define("INSTALL_FINISHED_MSG", "Tassa vaiheessa perusasennus on valmis. Ole hyva ja kayta hallinta-asetuksia muuttaaksesi muita toimintoja");
	define("ACCESS_ADMIN_MSG", "Paastaksesi hallintaosioon, paina tasta");
	define("ADMIN_URL_MSG", "Hallinnan osoite");
	define("SITE_URL_MSG", "Sivun kotiosoite");
	define("MANUAL_URL_MSG", "Manuaaliosoite (URL)");
	define("THANKS_MSG", "Kiitos kun valitsit <b>ViArt SHOP:in</b>.");

	define("DB_TYPE_FIELD", "Tietokannan tyyppi");
	define("DB_TYPE_DESC", "Valitse <b>tietokannan tyyppi</b> jota kaytat. Jos kaytat SQL Serveria tai Microsoft Accessia, valitse ODBC.");
	define("DB_PHP_LIB_FIELD", "PHP Kirjasto");
	define("DB_HOST_FIELD", "Isantanimi");
	define("DB_HOST_DESC", "Anna <b>nimi</b> tai <b>serverin IP osoite</b> jossa ViArt tietokanta on. Jos serveri on omalla koneellasti, luultavasti \"<b>localhost</b>\" ja jata portti tyhjaksi. Tarvittaessa kysy palveluntarjoajaltasi lisatietoja tietokannoista.");
	define("DB_PORT_FIELD", "Portti");
	define("DB_NAME_FIELD", "Tietokannan nimi / DSN");
	define("DB_NAME_DESC", "Jos kaytat tietokantaa kuten MySQL tai PostgreSQL ole hyva ja anna <b>tietokannan nimi</b> mihin haluat ViArtin luovan taulukot. Taman tietokannan pitaa olla jo olemassa. Jos olet vain asentamassa testitarkoituksessa, yleensa on olemassa \"<b>test</b>\" tietokanta jota voit kayttaa. Jos ei, ole hyva ja luo esim tietokanta 'viart'. ");
	define("DB_USER_FIELD", "Kayttajatunnus");
	define("DB_PASS_FIELD", "Salasana");
	define("DB_USER_PASS_DESC", "<b>Kayttajatunnus</b> ja <b>Salasana</b> -Ole hyva ja anna kayttajatunnus ja salasana tietokannalle.Jos kaytat paikallista konetta, kayttajatunnus on tod.nak \"<b>root</b>\" ja salasana tyhja. Tama on ok testauksessa, mutta ei varsinaisessa asennuksessa!");
	define("DB_PERSISTENT_FIELD", "Jatkuva yhteys");
	define("DB_PERSISTENT_DESC", "MYSQL/Postgre jatkuva yhteys. Jos et tieda mita se tarkoittaa, on parempi olla koskematta tahan kohtaan");
	define("DB_CREATE_DB_FIELD", "Create DB");
	define("DB_CREATE_DB_DESC", "to create database if possible, tick this box. Works only for MySQL and Postgre");
	define("DB_POPULATE_FIELD", "Luo tietokanta");
	define("DB_POPULATE_DESC", "Luo tietokanta ja rakenne");
	define("DB_TEST_DATA_FIELD", "Testidata");
	define("DB_TEST_DATA_DESC", "Tekee testidataa taulukkoon");
	define("SITE_URL_FIELD", "Sivun osoite");
	define("ADMIN_EMAIL_FIELD", "Hallinnan sahkoposti");
	define("ADMIN_LOGIN_FIELD", "Hallinan sisaankirjaus");
	define("ADMIN_PASS_FIELD", "Hallinan salasana");
	define("ADMIN_CONF_FIELD", "Vahvista salasana");
	define("DATETIME_SHOWN_FIELD", "Paivamaaran naytto (sivustolla)");
	define("DATE_SHOWN_FIELD", "Paivayksen naytto (sivustolla)");
	define("DATETIME_EDIT_FIELD", "Paivayksen naytto (muokatessa)");
	define("DATE_EDIT_FIELD", "Paivamaaran naytto (muokatessa)");
	define("DATE_FORMAT_COLUMN", "Paivaysmuoto");
	define("CURRENT_DATE_COLUMN", "Nykyinen paiva");

	define("DB_LIBRARY_ERROR", "PHP toiminnot {db_library} eivat ole maariteltyina. Tarkista tietokannan maaritykset tiedostosta - php.ini.");
	define("DB_CONNECT_ERROR", "En saa yhteytta tietokantaan, tarkista asetukset");
	define("INSTALL_FINISHED_ERROR", "Asennus on jo tehty!");
	define("WRITE_FILE_ERROR", "Tiedostoon<b>'includes/var_definition.php'</b>. Ei voi kirjoittaa. Vaihda asetukset ennen jatkamista");
	define("WRITE_DIR_ERROR", "Kansioon <b>'includes/'</b>. Ei voi kirjoittaa. Vaihda asetuksia ennen jatkamista");
	define("DUMP_FILE_ERROR", "Dumppitiedostoa '{file_name}' ei loytynyt");
	define("DB_TABLE_ERROR", "Taulukkoa '{table_name}' ei loytynyt. Tee tarvittavat muutokset tietokantaan.");
	define("TEST_DATA_ERROR", "Tarkia<b>{POPULATE_DB_FIELD}</b> ennen testitaulukkojen tekemista");
	define("DB_HOST_ERROR", "Isantanimea jonka annoit ei loydy");
	define("DB_PORT_ERROR", "Yhteytta tahan porttiin (MYSQL) ei voitu luoda");
	define("DB_USER_PASS_ERROR", "Salasana tai kayttajatunnus ovat vaarin");
	define("DB_NAME_ERROR", "Sisaankirjaus onnistui, mutta tietokantaa '{db_name}' ei loytynyt");

	// upgrade messages
	define("UPGRADE_TITLE", "ViArt SHOP paivitys");
	define("UPGRADE_NOTE", "HUOM! Tee varmuuskopiot ennen jatkamista");
	define("UPGRADE_AVAILABLE_MSG", "Tietokannan paivitys saatavilla");
	define("UPGRADE_BUTTON", "Paivita tietokanta versioon {version_number} nyt");
	define("CURRENT_VERSION_MSG", "Nyt asennettu versio");
	define("LATEST_VERSION_MSG", "Versio saatavilla");
	define("UPGRADE_RESULTS_MSG", "Paivityksen tulos");
	define("SQL_SUCCESS_MSG", "SQL kyselyt onnistuivat");
	define("SQL_FAILED_MSG", "SQL kyselyt epaonnistuivat");
	define("SQL_TOTAL_MSG", "SQL kyselyita suoritettu");
	define("VERSION_UPGRADED_MSG", "Tietokantasi on paivitetty");
	define("ALREADY_LATEST_MSG", "Sinulla on jo viimeisin versio");
	define("DOWNLOAD_NEW_MSG", "Uusin versio havaittu");
	define("DOWNLOAD_NOW_MSG", "Lataa versio {version_number} nyt");
	define("DOWNLOAD_FOUND_MSG", "Huomasimme, etta uusi versio {version_number} on saatavilla. Klikkaa linkkia aloittaaksesi latauksen.ladattuasi ja paivitettyasi, muista kaynnistaa paivitystoiminto uudelleen");
	define("NO_XML_CONNECTION", "Varoitus! Yhteytta osoitteeseen 'http://www.viart.com/' ei voida luoda!");

?>
