<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// installation messages
	define("INSTALL_TITLE", "ViArt SHOP Installatie");

	define("INSTALL_STEP_1_TITLE", "Installatie: Stap 1");
	define("INSTALL_STEP_1_DESC", "Bedankt dat u voor ViArt SHOP heeft gekozen. Vul a.u.b. onderstaande gegevens in om de installatie succesvol af te kunnen ronden . Let er op dat de database die u installeert ook daadwerkelijk bestaat. Als u naar een database installeert die gebruik maakt van ODBC, of MS Access dient u eerst een DSN te maken alvorens door te gaan.");
	define("INSTALL_STEP_2_TITLE", "Installatie: Stap 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "Installatie: Stap 3");
	define("INSTALL_STEP_3_DESC", "Selecteer a.u.b. een site-layout. Deze kunt u later altijd nog wijzigen.");
	define("INSTALL_FINAL_TITLE", "Installatie: Afsluiting");
	define("SELECT_DATE_TITLE", "Selecteer Datumformat");

	define("DB_SETTINGS_MSG", "Database Instellingen");
	define("DB_PROGRESS_MSG", "Populating database structure progress");
	define("SELECT_PHP_LIB_MSG", "Selecteer PHP Bibliotheek");
	define("SELECT_DB_TYPE_MSG", "Selecteer Database Type");
	define("SELECT_FROM_LIST_MSG", "Selecteer van lijst");
	define("ADMIN_SETTINGS_MSG", "Administratieve Instellingen");
	define("DATE_SETTINGS_MSG", "Datumformaten");
	define("NO_DATE_FORMATS_MSG", "Geen datumformaten beschikbaar");
	define("INSTALL_FINISHED_MSG", "Op dit punt is uw basisinsstallatie gereed. Controleer a.u.b. nu uw instellingen in het administratiedeel en doe de noodzakelijke aanpassingen.");
	define("ACCESS_ADMIN_MSG", "Voor toegang tot het administratiedeel klik hier");
	define("ADMIN_URL_MSG", "Administratie URL");
	define("SITE_URL_MSG", "Site Home URL");
	define("MANUAL_URL_MSG", "Manual URL");
	define("THANKS_MSG", "Bedankt voor het kiezen van<b>ViArt SHOP</b>.");

	define("DB_TYPE_FIELD", "Database Type");
	define("DB_TYPE_DESC", "Please select the <b>type of database</b> that you are using. If you using SQL Server or Microsoft Access, please select ODBC.");
	define("DB_PHP_LIB_FIELD", "PHP Bibliotheek");
	define("DB_HOST_FIELD", "Hostname");
	define("DB_HOST_DESC", "Please enter the <b>name</b> or <b>IP address of the server</b> on which your ViArt database will run. If you are running your database on your local PC then you can probably just leave this as \"<b>localhost</b>\" and the port blank. If you using a database provided by your hosting company, please see your hosting company's documentation for the server settings.");
	define("DB_PORT_FIELD", "Port");
	define("DB_NAME_FIELD", "Database Naam / DSN");
	define("DB_NAME_DESC", "If you are using a database such as MySQL or PostgreSQL then please enter the <b>name of the database</b> where you would like ViArt to create its tables. This database must exist already. If you are just installing ViArt for testing purposes on your local PC then most systems have a \"<b>test</b>\" database you can use. If not, please create a database such as \"viart\" and use that. If you are using Microsoft Access or SQL Server then the Database Name should be the <b>name of the DSN</b> that you have set up in the Data Sources (ODBC) section of your Control Panel.");
	define("DB_USER_FIELD", "Username");
	define("DB_PASS_FIELD", "Password");
	define("DB_USER_PASS_DESC", "<b>Username</b> and <b>Password</b> - please enter the username and password you want to use to access the database. If you are using a local test installation the username is probably \"<b>root</b>\" and the password is probably blank. This is fine for testing, but please note that this is not secure on production servers.");
	define("DB_PERSISTENT_FIELD", "Persistent Connection");
	define("DB_PERSISTENT_DESC", "to use MySQL or Postgre persistent connections, tick this box. If you do not know what it means, then leaving it unticked is probably best.");
	define("DB_CREATE_DB_FIELD", "Create DB");
	define("DB_CREATE_DB_DESC", "to create database if possible, tick this box. Works only for MySQL and Postgre");
	define("DB_POPULATE_FIELD", "Populate DB");
	define("DB_POPULATE_DESC", "om de structuur van tabbellen aan te maken en te synchroniseren met data plaats een vinkje");
	define("DB_TEST_DATA_FIELD", "Test Data");
	define("DB_TEST_DATA_DESC", "to add some test data to your database tick the checkbox");
	define("SITE_URL_FIELD", "Site URL");
	define("ADMIN_EMAIL_FIELD", "Administrateur Email");
	define("ADMIN_LOGIN_FIELD", "Administrateur Login");
	define("ADMIN_PASS_FIELD", "Administrateur Password");
	define("ADMIN_CONF_FIELD", "Bevestig Password");
	define("DATETIME_SHOWN_FIELD", "Datumtijd Formaat (getoond op site)");
	define("DATE_SHOWN_FIELD", "Datum Formaat (getoond op site)");
	define("DATETIME_EDIT_FIELD", "Datumtijd Formaat (bij bewerkingen)");
	define("DATE_EDIT_FIELD", "Datum Formaat (bij bewerkingen)");
	define("DATE_FORMAT_COLUMN", "Datum Formaat");
	define("CURRENT_DATE_COLUMN", "Huidige Datum");

	define("DB_LIBRARY_ERROR", "PHP functions for {db_library} are not defined. Please check your database settings in your configuration file - php.ini.");
	define("DB_CONNECT_ERROR", "Kan geen verbinding maken met de database. Controleer a.ui.b. de database parameters.");
	define("INSTALL_FINISHED_ERROR", "Installatie proces is al beKindigd.");
	define("WRITE_FILE_ERROR", "Geen schrijfrechten naar bestand <b>'includes/var_definition.php'</b>. Verander a.u.b. toegangsrechten van bestand alvorens door te gaan.");
	define("WRITE_DIR_ERROR", "Geen schrijfrechten naar map <b>'includes/'</b>. Verander a.u.b. toegangsrechten van map alvorens door te gaan.");
	define("DUMP_FILE_ERROR", "Dump bestand '{file_name}' niet gevonden.");
	define("DB_TABLE_ERROR", "Tabel '{table_name}' niet gevonden. Synchronisser de database a.u.b. met noodzakelijke data.");
	define("TEST_DATA_ERROR", "Check <b>{POPULATE_DB_FIELD}</b> before populating tables with test data");
	define("DB_HOST_ERROR", "The hostname that you specified could not be found.");
	define("DB_PORT_ERROR", "Can't connect to database server using specified port.");
	define("DB_USER_PASS_ERROR", "The username or password you specified is not correct.");
	define("DB_NAME_ERROR", "Login settings were correct, but the database '{db_name}' could not be found.");

	// upgrade messages
	define("UPGRADE_TITLE", "ViArt SHOP Upgrade");
	define("UPGRADE_NOTE", "Opmerking: Maak a.u.b. eerst een backup alvorens door te gaan.");
	define("UPGRADE_AVAILABLE_MSG", "Upgrade Beschikbaar");
	define("UPGRADE_BUTTON", "Upgrade naar {version_number} now");
	define("CURRENT_VERSION_MSG", "U heeft momenteel geOnstalleerd versie");
	define("LATEST_VERSION_MSG", "Versie beschikbaar om te installeren");
	define("UPGRADE_RESULTS_MSG", "Upgrade Resultaten");
	define("SQL_SUCCESS_MSG", "SQL queries succesvol");
	define("SQL_FAILED_MSG", "SQL queries mislukt");
	define("SQL_TOTAL_MSG", "Totaal uitgevoerde SQL queries");
	define("VERSION_UPGRADED_MSG", "Uw versie is bijgewerkt naar");
	define("ALREADY_LATEST_MSG", "U heeft reeds de laatste versie");
	define("DOWNLOAD_NEW_MSG", "The new version was detected");
	define("DOWNLOAD_NOW_MSG", "Download version {version_number} now");
	define("DOWNLOAD_FOUND_MSG", "We have detected that the new {version_number} version is available to download. Please click the link below to start downloading. After completing the download and replacing the files don't forget to run Upgrade routine again.");
	define("NO_XML_CONNECTION", "Warning! No connection to 'http://www.viart.com/' available!");

?>
