<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// installation messages
	define("INSTALL_TITLE", "ViArt SHOP - Installation");

	define("INSTALL_STEP_1_TITLE", "Installation: Steg 1");
	define("INSTALL_STEP_1_DESC", "Tack fr att du valt att installera ViArt SHOP. Fr att komma igng med installationen behver du fylla i nedanstende obligatoriska flt. Vnligen se till att databasen du valt redan finns. Om du installerar till en databas som anvnder ODBC eller MS Access, s behver du frst skapa en DSN-koppling till den fre du fortstter.");
	define("INSTALL_STEP_2_TITLE", "Installation: Steg 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "Installation: Steg 3");
	define("INSTALL_STEP_3_DESC", "Vnligen vlj en sajt-layout. Du kan ndra layouten senare.");
	define("INSTALL_FINAL_TITLE", "Installation: Sista Steget");
	define("SELECT_DATE_TITLE", "Vlj Datumformat");

	define("DB_SETTINGS_MSG", "Databasinstllningar");
	define("DB_PROGRESS_MSG", "Skapar nu databasstrukturen");
	define("SELECT_PHP_LIB_MSG", "Vlj PHP-library");
	define("SELECT_DB_TYPE_MSG", "Vlj Database-typ");
	define("SELECT_FROM_LIST_MSG", "Vlj frn listan");
	define("ADMIN_SETTINGS_MSG", "Administrativa Instllningar");
	define("DATE_SETTINGS_MSG", "Datumformat");
	define("NO_DATE_FORMATS_MSG", "Inget datumformat tillgnligt");
	define("INSTALL_FINISHED_MSG", "Just nu r grundinstallationen genomfrd. Vnligen se till att alla instllningar i adminstrationssektionen r som de ska.");
	define("ACCESS_ADMIN_MSG", "Fr att komma t administrationen, klicka hr");
	define("ADMIN_URL_MSG", "Administration-URL");
	define("SITE_URL_MSG", "Hemside-URL");
	define("MANUAL_URL_MSG", "Manual URL");
	define("THANKS_MSG", "Tack fr att du valt <b>ViArt SHOP</b>.");

	define("DB_TYPE_FIELD", "Databastyp");
	define("DB_TYPE_DESC", "Please select the <b>type of database</b> that you are using. If you using SQL Server or Microsoft Access, please select ODBC.");
	define("DB_PHP_LIB_FIELD", "PHP-Library");
	define("DB_HOST_FIELD", "Domn");
	define("DB_HOST_DESC", "Please enter the <b>name</b> or <b>IP address of the server</b> on which your ViArt database will run. If you are running your database on your local PC then you can probably just leave this as \"<b>localhost</b>\" and the port blank. If you using a database provided by your hosting company, please see your hosting company's documentation for the server settings.");
	define("DB_PORT_FIELD", "Port");
	define("DB_NAME_FIELD", "Databasnamn / DSN");
	define("DB_NAME_DESC", "If you are using a database such as MySQL or PostgreSQL then please enter the <b>name of the database</b> where you would like ViArt to create its tables. This database must exist already. If you are just installing ViArt for testing purposes on your local PC then most systems have a \"<b>test</b>\" database you can use. If not, please create a database such as \"viart\" and use that. If you are using Microsoft Access or SQL Server then the Database Name should be the <b>name of the DSN</b> that you have set up in the Data Sources (ODBC) section of your Control Panel.");
	define("DB_USER_FIELD", "Anvndarnamn");
	define("DB_PASS_FIELD", "Lsenord");
	define("DB_USER_PASS_DESC", "<b>Username</b> and <b>Password</b> - please enter the username and password you want to use to access the database. If you are using a local test installation the username is probably \"<b>root</b>\" and the password is probably blank. This is fine for testing, but please note that this is not secure on production servers.");
	define("DB_PERSISTENT_FIELD", "Persistent Connection");
	define("DB_PERSISTENT_DESC", "to use MySQL or Postgre persistent connections, tick this box. If you do not know what it means, then leaving it unticked is probably best.");
	define("DB_CREATE_DB_FIELD", "Create DB");
	define("DB_CREATE_DB_DESC", "to create database if possible, tick this box. Works only for MySQL and Postgre");
	define("DB_POPULATE_FIELD", "Populera DB");
	define("DB_POPULATE_DESC", "fr att skapa databasens tabeller och populera dom, kryssa i rutan");
	define("DB_TEST_DATA_FIELD", "Test Data");
	define("DB_TEST_DATA_DESC", "to add some test data to your database tick the checkbox");
	define("SITE_URL_FIELD", "Hemsidans URL");
	define("ADMIN_EMAIL_FIELD", "Administratorns E-mail");
	define("ADMIN_LOGIN_FIELD", "Administratorns Namn");
	define("ADMIN_PASS_FIELD", "Administratorns Lsenord");
	define("ADMIN_CONF_FIELD", "Bekrfta Lsenord");
	define("DATETIME_SHOWN_FIELD", "Tidformat (visad p sajten)");
	define("DATE_SHOWN_FIELD", "Datumformat (visad p sajten)");
	define("DATETIME_EDIT_FIELD", "Tidformat (fr ndring)");
	define("DATE_EDIT_FIELD", "Datumformat (fr ndring)");
	define("DATE_FORMAT_COLUMN", "Datumformat");
	define("CURRENT_DATE_COLUMN", "Dagens datum");

	define("DB_LIBRARY_ERROR", "PHP functions for {db_library} are not defined. Please check your database settings in your configuration file - php.ini.");
	define("DB_CONNECT_ERROR", "Kan inte koppla till databasen. Vnligen kolla dina databas-parametrar.");
	define("INSTALL_FINISHED_ERROR", "Installationsprocessen r frdig.");
	define("WRITE_FILE_ERROR", "Har inte skrivrttigheter till filen <b>'includes/var_definition.php'</b>. Vnligen gr ndringar fr skrivrttigheter p filen innan du fortstter.");
	define("WRITE_DIR_ERROR", "Har inte skrivrttigheter till katalogen <b>'includes/'</b>. Vnligen ndra katalogens rttigheter innan du fortstter.");
	define("DUMP_FILE_ERROR", "Dump-filen '{file_name}' hittades inte.");
	define("DB_TABLE_ERROR", "Tabellen '{table_name}' hittades inte. Vnligen populera databasen med ndvndig information.");
	define("TEST_DATA_ERROR", "Check <b>{POPULATE_DB_FIELD}</b> before populating tables with test data");
	define("DB_HOST_ERROR", "The hostname that you specified could not be found.");
	define("DB_PORT_ERROR", "Can't connect to database server using specified port.");
	define("DB_USER_PASS_ERROR", "The username or password you specified is not correct.");
	define("DB_NAME_ERROR", "Login settings were correct, but the database '{db_name}' could not be found.");

	// upgrade messages
	define("UPGRADE_TITLE", "ViaArt Shop - Uppgradering");
	define("UPGRADE_NOTE", "OBS: Vnligen tnk p att gra en backup av databasen innan du fortstter med uppgraderingen.");
	define("UPGRADE_AVAILABLE_MSG", "Uppgradering Tillgnglig");
	define("UPGRADE_BUTTON", "Uppgradera till {version_number} nu");
	define("CURRENT_VERSION_MSG", "Din nuvarande version");
	define("LATEST_VERSION_MSG", "Version tillgnglig att installera");
	define("UPGRADE_RESULTS_MSG", "Uppgraderingsresultat");
	define("SQL_SUCCESS_MSG", "SQL-queries - lyckade");
	define("SQL_FAILED_MSG", "SQL-queries - misslyckade");
	define("SQL_TOTAL_MSG", "Totalt antal SQL-queries krda");
	define("VERSION_UPGRADED_MSG", "Din version har uppgraderas till");
	define("ALREADY_LATEST_MSG", "Du har redan den senaste versionen");
	define("DOWNLOAD_NEW_MSG", "The new version was detected");
	define("DOWNLOAD_NOW_MSG", "Download version {version_number} now");
	define("DOWNLOAD_FOUND_MSG", "We have detected that the new {version_number} version is available to download. Please click the link below to start downloading. After completing the download and replacing the files don't forget to run Upgrade routine again.");
	define("NO_XML_CONNECTION", "Warning! No connection to 'http://www.viart.com/' available!");

?>
