<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  page.php                                                 ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./includes/common.php");

	$t = new VA_Template($settings["templates_dir"]);
	$t->set_var("CHARSET", CHARSET);

	$template_name = "page.html";
	$page_code = get_param("page");
	$currency = get_currency();

	$html_title = ""; $meta_description = ""; $meta_keywords = "";
	if(strlen($page_code))
	{
		$sql = "SELECT * FROM " . $table_prefix . "pages WHERE is_showing=1 AND page_code=" . $db->tosql($page_code, TEXT);
		$db->query($sql);
		if($db->next_record())
		{
			// meta data
			$html_title = get_translation($db->f("meta_title"));
			$meta_description = get_translation($db->f("meta_description"));
			$meta_keywords = get_translation($db->f("meta_keywords"));

			$is_html = $db->f("is_html");
			$page_type = $db->f("page_type");
			$page_url = $db->f("page_url");
			$page_path = $db->f("page_path");
			if(strlen($page_url))
			{
				header("Location: " . $page_url);
				exit;
			}
			$page_title = get_translation($db->f("page_title"));
			$page_body = get_translation($db->f("page_body"));
			$page_body = strlen($page_path) ? @join("", file($page_path)) : $page_body;
			$page_body = get_currency_message($page_body, $currency);
			if (get_setting_value($settings, "php_in_custom_pages", 0)) {
				eval_php_code($page_body);
			}

			if (!strlen($meta_description)) {
				$meta_description = $page_body;
			}
			if ($page_type == 2) { 
				$template_name = "page_popup.html"; 
			}
			$page_body = $is_html ? $page_body : "<div align=\"justify\">" . nl2br(htmlspecialchars($page_body)) . "</div>";

		}
		else
		{
			$page_title = "Page Error";
			$page_body = "<div align=\"center\"><font color=\"red\"><b>Page '" . htmlspecialchars($page_code) . "' was not found</b></font></div>";
		}
	}
	else
	{
		$page_title = "Page Error";
		$page_body = "<font color=\"red\"><b>You must select some page</b></font><br>";
	}

	$t->set_file("main", $template_name);

	if (!strlen($html_title)) {
		$html_title = $page_title;
	}
	$t->set_var("page_title", $page_title);
	$t->set_var("html_title", $html_title);
	$t->set_var("meta_keywords", $meta_keywords);
	$t->set_var("meta_description", get_meta_desc($meta_description));
	$t->set_var("page_body", $page_body);			

	$t->set_var("CLOSE_WINDOW_MSG", CLOSE_WINDOW_MSG);			

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>