<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  google_checkout.php                                      ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

/*
 * Google Checkout (https://checkout.google.com/) transaction handler by www.viart.com
 */

	$is_admin_path = true;
	$root_folder_path = "../";

	include_once ($root_folder_path ."includes/common.php");
	include_once ($root_folder_path ."messages/".$language_code."/cart_messages.php");
	include_once ($root_folder_path ."payments/google_functions.php");

	$xml_response = $HTTP_RAW_POST_DATA;
	if (get_magic_quotes_gpc()) {
		$xml_response = stripslashes($xml_response);
	}

	if (preg_match_all("/<new-order-notification(.*)\<\/new-order-notification>/Uis", $xml_response, $matches, PREG_SET_ORDER)){
		preg_match_all("/<merchant-note>(.*)\<\/merchant-note>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_id = (isset($value[0][1]))?intval($value[0][1]):0;
		preg_match_all("/<google-order-number>(.*)\<\/google-order-number>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$google_order_id = (isset($value[0][1]))?$value[0][1]:0;
		preg_match_all("/<order-total(.*)\<\/order-total>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_total = (isset($value[0][1]))?$value[0][1]:0;
		preg_match_all("/<financial-order-state>(.*)\<\/financial-order-state>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_status = (isset($value[0][1]))?$value[0][1]:0;
		if ($order_id){
			if ($google_order_id){
				$payment_params = g_c_payment_params($order_id);
				if ($order_status == 'PAYMENT_DECLINED' || $order_status == 'CANCELLED' || $order_status == 'CANCELLED_BY_GOOGLE'){
					$sql  = " UPDATE " . $table_prefix . "orders ";
					$sql .= " SET order_status=" . $db->tosql($payment_params['failure_status_id'], TEXT) ;
					$sql .= ", transaction_id=" . $db->tosql($google_order_id, TEXT) ;
					$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
					$db->query($sql);
				}else if ($order_status == 'CHARGED'){
					$sql  = " UPDATE " . $table_prefix . "orders ";
					$sql .= " SET order_status=" . $db->tosql($payment_params['success_status_id'], TEXT) ;
					$sql .= ", transaction_id=" . $db->tosql($google_order_id, TEXT) ;
					$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
					$db->query($sql);
				}else{
					$sql  = " UPDATE " . $table_prefix . "orders ";
					$sql .= " SET order_status=" . $db->tosql($payment_params['pending_status_id'], TEXT) ;
					$sql .= ", transaction_id=" . $db->tosql($google_order_id, TEXT) ;
					$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
					$db->query($sql);
				}
			}else{
				g_c_set_error($order_id, "'google order number' was not received");
			}
		}
	}
	if (preg_match_all("/<order-state-change-notification(.*)\<\/order-state-change-notification>/Uis", $xml_response, $matches, PREG_SET_ORDER)){
		preg_match_all ("/<([^>]*?)>([^<]*?)\<\/[^>]*>/", $xml_response, $matches, PREG_SET_ORDER);
		preg_match_all("/<google-order-number>(.*)\<\/google-order-number>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$google_order_id = (isset($value[0][1]))?$value[0][1]:0;
		preg_match_all("/<new-financial-order-state>(.*)\<\/new-financial-order-state>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_status = (isset($value[0][1]))?$value[0][1]:0;
		$order_id = 0;
		if ($google_order_id) {
			$sql  = " SELECT order_id ";
			$sql .= " FROM " . $table_prefix . "orders ";
			$sql .= " WHERE transaction_id=" . $db->tosql($google_order_id, TEXT);
			$db->query($sql);
			while ($db->next_record()) {
				$order_id = $db->f("order_id");
			}
		}
		if ($order_id){
			$payment_params = g_c_payment_params($order_id);
			if ($order_status == 'PAYMENT_DECLINED' || $order_status == 'CANCELLED' || $order_status == 'CANCELLED_BY_GOOGLE'){
				$sql  = " UPDATE " . $table_prefix . "orders ";
				$sql .= " SET order_status=" . $db->tosql($payment_params['failure_status_id'], TEXT) ;
				$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
				$db->query($sql);
			}else if ($order_status == 'CHARGED'){
				$sql  = " UPDATE " . $table_prefix . "orders ";
				$sql .= " SET order_status=" . $db->tosql($payment_params['success_status_id'], TEXT) ;
				$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
				$db->query($sql);
			}else{
				$sql  = " UPDATE " . $table_prefix . "orders ";
				$sql .= " SET order_status=" . $db->tosql($payment_params['pending_status_id'], TEXT) ;
				$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
				$db->query($sql);
			}
		}
	}
?>