<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  posnet_functions.php                                     ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


/*
 * Posnet functions by ViArt Limited - [www.viart.com]
 */


	function posnet_payment_request($pdata)
	{
		$xml  = "xmldata=";
		$xml .=		"<posnetRequest>";
		if (isset($pdata["mid"])) {
		$xml .=			"<mid>".$pdata["mid"]."</mid>";
		}
		if (isset($pdata["tid"])) {
		$xml .=			"<tid>".$pdata["tid"]."</tid>";
		}
		if (isset($pdata["username"])) {
		$xml .=			"<username>".$pdata["username"]."</username>";
		}
		if (isset($pdata["password"])) {
		$xml .=			"<password>".$pdata["password"]."</password>";
		}
		$xml .=			"<sale>";
		if (isset($pdata["ccno"])) {
		$xml .=				"<ccno>".$pdata["ccno"]."</ccno>";
		}
		if (isset($pdata["cardexpmonth"]) && isset($pdata["cardexpyear"])) {
		$xml .=				"<expDate>".$pdata["cardexpyear"].$pdata["cardexpmonth"]."</expDate>";
		}
		if (isset($pdata["cvc"])) {
		$xml .=				"<cvc>".$pdata["cvc"]."</cvc>";
		}
		if (isset($pdata["amount"])) {
		$xml .=				"<amount>".intval($pdata["amount"]*100)."</amount>";
		}
		if (isset($pdata["currencycode"])) {
		$xml .=				"<currencyCode>".$pdata["currencycode"]."</currencyCode>";
		}
		if (isset($pdata["orderid"])) {
			$orderid = strval($pdata["orderid"]);
			for ($i = strlen($orderid); $i < 24; $i++) {
				$orderid = '0'.$orderid;
			}
		$xml .=				"<orderID>".$orderid."</orderID>";
		}
		if (isset($pdata["installment"])) {
		$xml .=				"<installment>".$pdata["installment"]."</installment>";
		}
		if (isset($pdata["extrapoint"])) {
		$xml .=				"<extraPoint>".$pdata["extrapoint"]."</extraPoint>";
		}
		if (isset($pdata["multiplepoint"])) {
		$xml .=				"<multiplePoint>".$pdata["multiplepoint"]."</multiplePoint>";
		}
		$xml .=			"</sale>";
		$xml .=		"</posnetRequest>";
		return $xml;
	}

?>