<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  protx_server_checkout.php                                ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

/*
 * VSP (www.protx.com) transaction handler by www.viart.com
 */
	$is_admin_path = true;
	$root_folder_path = "../";

	include_once ($root_folder_path ."includes/common.php");
	include_once ($root_folder_path ."includes/date_functions.php");
	include_once ($root_folder_path ."messages/".$language_code."/cart_messages.php");
	include_once ($root_folder_path ."payments/protx_vsp_functions.php");

	$VPSProtocol    = get_param("VPSProtocol");
	$TxType         = get_param("TxType");
	$VendorTxCode   = get_param("VendorTxCode");
	$VPSTxId        = get_param("VPSTxId");
	$Status         = get_param("Status");
	$StatusDetail   = get_param("StatusDetail");
	$TxAuthNo       = get_param("TxAuthNo");
	$AVSCV2         = get_param("AVSCV2");
	$AddressResult  = get_param("AddressResult");
	$PostCodeResult = get_param("PostCodeResult");
	$CV2Result      = get_param("CV2Result");
	$GiftAid        = get_param("GiftAid");
	$D3SecureStatus = get_param("3DSecureStatus");
	$CAVV           = get_param("CAVV");
	$VPSSignature   = get_param("VPSSignature");
	
	if(!strlen($VendorTxCode)){
		$error_message = "Not exist 'VendorTxCode'";
		if (strlen($TxAuthNo)){
			$error_message .= ' TxAuthNo:'.$TxAuthNo;
		}
		if (strlen($Status)){
			$error_message .= ' Status:'.$Status;
		}
		if (strlen($StatusDetail)){
			$error_message .= ' StatusDetail:'.$StatusDetail;
		}
		if (strlen($VPSTxId)){
			$error_message .= ' VPSTxId:'.$VPSTxId;
		}
		$response = 
			"Status=ERROR\r\n" .
//			"RedirectURL=".'http://your.site'." \r\n".
			"StatusDetail=Not exist 'VendorTxCode'"
		;
		echo ($response);
		exit;
	}
	$sql  = " UPDATE " . $table_prefix . "orders ";
	$sql .= " SET authorization_code=" . $db->tosql($TxAuthNo, TEXT) ;
	$sql .= ", avs_message=" . $db->tosql($AVSCV2, TEXT) ;
	$sql .= ", avs_address_match=" . $db->tosql($AddressResult, TEXT) ;
	$sql .= ", avs_zip_match=" . $db->tosql($PostCodeResult, TEXT) ;
	$sql .= ", cvv2_match=" . $db->tosql($CV2Result, TEXT) ;
	$sql .= ", secure_3d_status=" . $db->tosql($D3SecureStatus, TEXT) ;
	$sql .= ", secure_3d_cavv=" . $db->tosql($CAVV, TEXT) ;
	$sql .= " WHERE order_id=" . $db->tosql($VendorTxCode, INTEGER) ;
	$db->query($sql);

	$error_message = '';

	$payment_params = protx_vsp_payment_params($db->tosql($VendorTxCode, INTEGER));
	if ($Status == 'OK'){
		$sql  = " SELECT transaction_id FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_id=" . $db->tosql($VendorTxCode, INTEGER);
	    $str_transaction_id = get_db_value($sql);
		$array_transaction_id = explode(' ',$str_transaction_id);
		$array_transaction_id = protx_vsp_get_associative_array('=', $array_transaction_id);

		$signature_src  = $VPSTxId.$VendorTxCode.$Status.$TxAuthNo.$payment_params['Vendor'].$AVSCV2.$array_transaction_id['SecurityKey'];
		$signature_src .= $AddressResult.$PostCodeResult.$CV2Result.$GiftAid.$D3SecureStatus.$CAVV;
		$str_VPSSignature = strtoupper(MD5($signature_src));

		if($str_VPSSignature == $VPSSignature){
			$sql  = " UPDATE " . $table_prefix . "orders ";
			$sql .= " SET order_status=" . $db->tosql($payment_params['success_status_id'], TEXT) ;
			$sql .= ", success_message='OK'";
			$sql .= " WHERE order_id=" . $db->tosql($VendorTxCode, INTEGER) ;
			$db->query($sql);
			$response  = "Status=OK\r\n";
			$response .= "RedirectURL=".$payment_params['RedirectURL'];
			$response .= "?oid=".$VendorTxCode;
			$response .= "\r\n";
			$response .= "StatusDetail=";
			echo ($response);
		}else{
			$error_message = "HASH corrupted ";
			$sql  = " UPDATE " . $table_prefix . "orders ";
			$sql .= " SET order_status=" . $db->tosql($payment_params['failure_status_id'], TEXT) ;
			$sql .= ", error_message=" . $db->tosql($error_message, TEXT) ;
			$sql .= " WHERE order_id=" . $db->tosql($VendorTxCode, INTEGER) ;
			$db->query($sql);
			$response  = "Status=INVALID\r\n";
			$response .= "RedirectURL=".$payment_params['RedirectURL'];
			if (strlen($VendorTxCode)){
				$response .= "?oid=".$VendorTxCode;
			}
			$response .= "\r\n";
			$response .= "StatusDetail=".$error_message;
			echo ($response);
		}
	}else{
		$error_message = "Status:".$Status;
		if (strlen($StatusDetail)){
			$error_message .= ' StatusDetail:'.$StatusDetail;
		}
		if (strlen($TxAuthNo)){
			$error_message .= ' TxAuthNo:'.$TxAuthNo;
		}
		if (strlen($VPSTxId)){
			$error_message .= ' VPSTxId:'.$VPSTxId;
		}
		$error_message .=' ';
		$sql  = " UPDATE " . $table_prefix . "orders ";
		$sql .= " SET order_status=" . $db->tosql($payment_params['failure_status_id'], TEXT) ;
		$sql .= ", error_message=" . $db->tosql($error_message, TEXT) ;
		$sql .= " WHERE order_id=" . $db->tosql($VendorTxCode, INTEGER) ;
		$db->query($sql);

		$response  = "Status=INVALID\r\n";
		$response .= "RedirectURL=".$payment_params['RedirectURL'];
		if (strlen($VendorTxCode)){
			$response .= "?oid=".$VendorTxCode;
		}
		$response .= "\r\n";
		$response .= "StatusDetail=".$error_message;
		echo ($response);
	}
?>