<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  user_ad.php                                              ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./includes/common.php");
	include_once ("./includes/record.php");
	include_once ("./includes/friendly_functions.php");
	include_once ("./messages/".$language_code."/download_messages.php");

	check_user_session();

	// get user type settings
	$type_id = "";
	$item_id = get_param("item_id");
	if (strlen($item_id)) {
		$sql  = " SELECT t.type_id, t.type_name FROM " . $table_prefix . "ads_items i, " . $table_prefix . "ads_types t ";
		$sql .= " WHERE i.type_id=t.type_id ";
		$sql .= " AND i.item_id=" . $db->tosql($item_id, INTEGER);
		$db->query($sql);
		if ($db->next_record()) {
			$type_id = $db->f("type_id");
			$type_name = get_translation($db->f("type_name"));
		}
	} else {
		$type_id = get_param("type_id");
		$db->query("SELECT type_id,type_name FROM " . $table_prefix . "ads_types WHERE type_id=" . $db->tosql($type_id, INTEGER));
		if($db->next_record()) {
			$type_id = $db->f("type_id");
			$type_name = get_translation($db->f("type_name"));
		} else {
			$type_id = "";
		}
	}

	if (!strlen($type_id)) {
	  header("Location: user_ads.php");
		exit;
	}

	$eol = get_eol();
	$currency = get_currency();
	$currency_left = $currency["left"];
	$currency_right = $currency["right"];
	$currency_rate = $currency["rate"];

	$user_settings = array();
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "user_types_settings WHERE type_id=" . $db->tosql(get_session("session_user_type_id"), INTEGER);
	$db->query($sql);
	while($db->next_record()) {
		$user_settings[$db->f("setting_name")] = $db->f("setting_value");
	}

	$ads_images = array();
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type=" . $db->tosql("ads_images", TEXT);
	$db->query($sql);
	while($db->next_record()) {
		$ads_images[$db->f("setting_name")] = $db->f("setting_value");
	}

	$date_format_msg = str_replace("{date_format}", join("", $date_edit_format), DATE_FORMAT_MSG);

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","user_ad.html");
  $t->set_var("site_url",        $settings["site_url"]);
	$t->set_var("user_home_href",  "user_home.php");
	$t->set_var("user_ads_href",   "user_ads.php");
	$t->set_var("user_ad_href",    "user_ad.php");
	$t->set_var("user_upload_href","user_upload.php");
	$t->set_var("user_select_href","user_select.php");
	$t->set_var("type_name",       $type_name);
	$t->set_var("currency_sign",   $currency_left.$currency_right);
	$t->set_var("date_edit_format",join("", $date_edit_format));
	$t->set_var("date_format_msg", $date_format_msg);
	$t->set_var("MY_ACCOUNT_MSG",  MY_ACCOUNT_MSG);
	$t->set_var("MY_ADS_MSG",      MY_ADS_MSG);
	$t->set_var("ASTERISK_MSG",    ASTERISK_MSG);
	$t->set_var("EDIT_AD_MSG",     EDIT_AD_MSG);
	$t->set_var("MY_ADS_MSG",            MY_ADS_MSG);
	$t->set_var("MY_ADS_DESC",           MY_ADS_DESC);
	$t->set_var("NO_ADS_MSG",            NO_ADS_MSG);
	$t->set_var("EDIT_AD_MSG",           EDIT_AD_MSG);
	$t->set_var("ADD_NEW_AD_MSG",        ADD_NEW_AD_MSG);
	$t->set_var("AD_ID_COLUMN",          AD_ID_COLUMN);
	$t->set_var("AD_TITLE_COLUMN",       AD_TITLE_COLUMN);
	$t->set_var("AD_PRICE_COLUMN",       AD_PRICE_COLUMN);
	$t->set_var("AD_STATUS_COLUMN",      AD_STATUS_COLUMN);
	$t->set_var("AD_GENERAL_MSG",        AD_GENERAL_MSG);
	$t->set_var("AD_CATEGORY_MSG",     AD_CATEGORY_MSG);
	$t->set_var("AD_TITLE_MSG",        AD_TITLE_MSG);
	$t->set_var("AD_START_MSG",        AD_START_MSG);
	$t->set_var("AD_DATE_FORMAT_MSG",    $date_format_msg);
	$t->set_var("AD_RUNS_MSG",         AD_RUNS_MSG);
	$t->set_var("AD_PRICE_MSG",        AD_PRICE_MSG);
	$t->set_var("AD_QTY_MSG",          AD_QTY_MSG);
	$t->set_var("AD_AVAILABILITY_MSG", AD_AVAILABILITY_MSG);
	$t->set_var("AD_COMPARED_MSG",     AD_COMPARED_MSG);
	$t->set_var("AD_IMAGES_MSG",         AD_IMAGES_MSG);
	$t->set_var("AD_UPLOAD_MSG",         AD_UPLOAD_MSG);
	$t->set_var("AD_SMALL_IMAGE_MSG",  AD_SMALL_IMAGE_MSG);
	$t->set_var("AD_LARGE_IMAGE_MSG",  AD_LARGE_IMAGE_MSG);
	$t->set_var("AD_DESCRIPTION_MSG",    AD_DESCRIPTION_MSG);
	$t->set_var("AD_SHORT_DESC_MSG",   AD_SHORT_DESC_MSG);
	$t->set_var("AD_FULL_DESC_MSG",    AD_FULL_DESC_MSG);
	$t->set_var("AD_LOCATION_MSG",       AD_LOCATION_MSG);
	$t->set_var("AD_CITY_MSG",         AD_CITY_MSG);
	$t->set_var("AD_STATE_MSG",        AD_STATE_MSG);
	$t->set_var("AD_COUNTRY_MSG",      AD_COUNTRY_MSG);
	$t->set_var("AD_LOCATION_INFO_MSG",AD_LOCATION_INFO_MSG);
	$t->set_var("AD_DELETE_CONFIRM_MSG", AD_DELETE_CONFIRM_MSG);
	$t->set_var("AD_PROPERTIES_MSG",     AD_PROPERTIES_MSG);
	$t->set_var("AD_SPECIFICATION_MSG",  AD_SPECIFICATION_MSG);
	$t->set_var("AD_IMAGES_MSG",       AD_IMAGES_MSG);
	$t->set_var("AD_IMAGE_MSG",        AD_IMAGE_MSG);
	$t->set_var("AD_IMAGE_TITLE_MSG",  AD_IMAGE_TITLE_MSG);
	$t->set_var("AD_IMAGE_PREVIEW_MSG",AD_IMAGE_PREVIEW_MSG);
	$t->set_var("AD_IMAGE_LARGE_MSG",  AD_IMAGE_LARGE_MSG);
	$t->set_var("AD_IMAGE_DESC_MSG",   AD_IMAGE_DESC_MSG);

	$t->set_var("CANCEL_BUTTON", CANCEL_BUTTON);
	$t->set_var("DELETE_BUTTON", DELETE_BUTTON);

	$days_to_run = array(
		array("", ""), array(0, CLOSED_MSG), array(1, "1 " . DAY_MSG), array(3, "3 " . DAYS_MSG), 
		array(7, "7 " . DAYS_MSG), array(14, "14 " . DAYS_MSG), array(30, "30 " . DAYS_MSG), 
		array(60, "60 " . DAYS_MSG), array(90, "90 " . DAYS_MSG), array(180, "180 " . DAYS_MSG)
	);
	$item_types = get_db_values("SELECT * FROM " . $table_prefix . "ads_types", array(array("", "")));
	$states = get_db_values("SELECT state_code,state_name FROM " . $table_prefix . "states", array(array("", SELECT_STATE_MSG)));
	$countries = get_db_values("SELECT country_code,country_name FROM " . $table_prefix . "countries ORDER BY country_order, country_name ", array(array("", SELECT_COUNTRY_MSG)));
	// prepare categories options
	$categories = array();
	$sql = "SELECT category_id,category_name,category_path FROM " . $table_prefix . "ads_categories WHERE allowed_post=1 ORDER BY category_order ";
	$db->query($sql);
	while ($db->next_record()) {
		$category_id = $db->f("category_id");
		$category_name = get_translation($db->f("category_name"));
		$category_path = $db->f("category_path");
		$categories[$category_id] = array($category_name, $category_path);
	}

	$categories_options = array();
	$categories_options[] = array("", AD_SELECT_CATEGORY_MSG);
	foreach ($categories as $category_id => $category_info) {
		$category_name = $category_info[0];
		$category_path = $category_info[1];
		if ($category_path != "0,") {
			$categories_ids = explode(",", $category_path);
			$max_index = sizeof($categories_ids) - 2;
			for($i = $max_index; $i > 0; $i--) {
				$parent_id = $categories_ids[$i];
				if(isset($categories[$parent_id])) {
					$parent_name = $categories[$parent_id][0];
				} else {
					$sql = " SELECT category_name FROM " . $table_prefix . "ads_categories WHERE category_id=" . $db->tosql($parent_id, INTEGER);
					$parent_name = get_translation(get_db_value($sql));
					$categories[$parent_id] = array($parent_name);
				}
				$category_name = $parent_name . " > " . $category_name;
			}
		}
		$categories_options[] = array($category_id, $category_name);
	}

	$r = new VA_Record($table_prefix . "ads_items");

	// set up html form parameters
	$r->add_where("item_id", INTEGER);
	$r->change_property("item_id", USE_IN_INSERT, true);

	$r->add_where("user_id", INTEGER);
	$r->change_property("user_id", USE_IN_INSERT, true);

	$r->add_select("category_id", INTEGER, $categories_options, AD_CATEGORY_MSG);
	$r->change_property("category_id", REQUIRED, true);
	$r->change_property("category_id", USE_IN_INSERT, false);
	$r->change_property("category_id", USE_IN_UPDATE, false);
	$r->change_property("category_id", USE_IN_SELECT, false);

	$r->add_textbox("is_approved", INTEGER);
	$r->add_textbox("type_id",     INTEGER);
	$r->change_property("type_id", REQUIRED, true);
	$r->change_property("type_id", USE_IN_UPDATE, false);

	//$r->add_textbox("language_code", TEXT);
	$r->add_textbox("item_title", TEXT, AD_TITLE_MSG);
	$r->parameters["item_title"][REQUIRED] = true;

	$r->add_textbox("friendly_url", TEXT, FRIENDLY_URL_MSG);
	$r->change_property("friendly_url", USE_SQL_NULL, false);

	$r->add_textbox("admin_id", INTEGER);

	$r->add_textbox("date_start",     DATETIME, AD_START_MSG);
	$r->change_property("date_start", REQUIRED, true);
	$r->change_property("date_start", VALUE_MASK, $date_edit_format);
	$r->add_select("days_to_run", INTEGER, $days_to_run, AD_RUNS_MSG);
	$r->change_property("days_to_run",   REQUIRED, true);
	$r->change_property("days_to_run", USE_IN_INSERT, false);
	$r->change_property("days_to_run", USE_IN_UPDATE, false);
	$r->change_property("days_to_run", USE_IN_SELECT, false);

	$r->add_textbox("date_end",     DATETIME);
	$r->change_property("date_end", VALUE_MASK, $date_edit_format);
	$r->add_textbox("date_added",   DATETIME);
	$r->change_property("date_added", USE_IN_UPDATE, false);
	$r->add_textbox("date_updated", DATETIME);

	$r->add_textbox("price", NUMBER, AD_PRICE_COLUMN);
	$r->parameters["price"][REQUIRED] = true;
	$r->add_textbox("quantity", NUMBER, AD_QTY_MSG);
	$r->add_textbox("availability", TEXT);
	$r->add_checkbox("is_compared", INTEGER);

	$r->add_textbox("image_small", TEXT);
	$r->add_textbox("image_large", TEXT);
	$r->add_textbox("short_description", TEXT);
	$r->add_textbox("full_description", TEXT);

	$r->add_textbox("location_info", TEXT);
	$r->add_textbox("location_city", TEXT);
	$r->add_select("location_state", TEXT, $states, "State");
	$r->add_select("location_country", TEXT, $countries, "Country");

	$r->get_form_values();
	$r->set_value("user_id", get_session("session_user_id"));

	$item_id = get_param("item_id");
	$operation = get_param("operation");
	$return_page = "user_ads.php";
	$properties = array();
	$features = array();
	$images = array();

	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		else if($operation == "delete" && $item_id)
		{
			if (!isset($user_settings["delete_ad"]) || $user_settings["delete_ad"] != 1) {
				$r->errors = AD_DELETE_ERROR;
			} else {
				// ads tables with item_id: 
				$db->query("DELETE FROM " . $table_prefix . "ads_properties WHERE item_id=" . $db->tosql($item_id, INTEGER));		
				$db->query("DELETE FROM " . $table_prefix . "ads_assigned WHERE item_id=" . $db->tosql($item_id, INTEGER));		
				$db->query("DELETE FROM " . $table_prefix . "ads_features WHERE item_id=" . $db->tosql($item_id, INTEGER));		
				$db->query("DELETE FROM " . $table_prefix . "ads_images WHERE item_id=" . $db->tosql($item_id, INTEGER));		
				$db->query("DELETE FROM " . $table_prefix . "ads_items WHERE item_id=" . $db->tosql($item_id, INTEGER));		
		  
				header("Location: " . $return_page);
				exit;
			} 
		} else if ($operation == "save") {

			$is_valid = $r->validate();
			if(strlen($item_id)) {
				if (!isset($user_settings["edit_ad"]) || $user_settings["edit_ad"] != 1) {
					$is_valid = false;
					$r->errors = AD_EDIT_ERROR;
				}
			} else {
				if (!isset($user_settings["add_ad"]) || $user_settings["add_ad"] != 1) {
					$is_valid = false;
					$r->errors = AD_NEW_ERROR;
				}
			}
			
			$properties_number = get_param("properties_number");
			$features_number = get_param("features_number");
			$images_number = get_param("images_number");
			if($is_valid)
			{
				set_friendly_url();
				$date_start = $r->get_value("date_start");
				$days_to_run = $r->get_value("days_to_run");
				$date_end_ts = mktime(0,0,0, $date_start[MONTH], $date_start[DAY] + $days_to_run, $date_start[YEAR]);
				$r->set_value("date_end", va_time($date_end_ts));
				$price = $r->get_value("price");
				$price = round($price / $currency_rate, 2); 
				$r->set_value("price", $price);
	  
				$is_approved = (isset($user_settings["approve_ad"]) && $user_settings["approve_ad"] == 1) ? 1 : 0;
				$r->set_value("is_approved", $is_approved);
					  
				if (strlen($item_id)) {
					$r->set_value("date_updated", va_time());
					$record_updated = $r->update_record();
					if ($record_updated) {
						$sql  = " DELETE FROM " . $table_prefix . "ads_assigned ";
						$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
						$db->query($sql);
						$sql  = " INSERT INTO " . $table_prefix . "ads_assigned (item_id,category_id) VALUES (";
						$sql .= $db->tosql($item_id, INTEGER) . ",";
						$sql .= $db->tosql($r->get_value("category_id"), INTEGER) . ")";
						$db->query($sql);
						for ($i = 1; $i <= $properties_number; $i++) {
							$property_id = get_param("property_id_" . $i);
							$property_value = get_param("property_value_" . $i);
							$sql  = " UPDATE " . $table_prefix . "ads_properties ";
							$sql .= " SET property_value=" . $db->tosql($property_value, TEXT);
							$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
							$sql .= " AND property_id=" . $db->tosql($property_id, INTEGER);
							$db->query($sql);
						}
						for ($i = 1; $i <= $features_number; $i++) {
							$feature_id = get_param("feature_id_" . $i);
							$feature_value = get_param("feature_value_" . $i);
							$sql  = " UPDATE " . $table_prefix . "ads_features ";
							$sql .= " SET feature_value=" . $db->tosql($feature_value, TEXT);
							$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
							$sql .= " AND feature_id=" . $db->tosql($feature_id, INTEGER);
							$db->query($sql);
						}
						for ($i = 1; $i <= $images_number; $i++) {
							$image_id = get_param("image_id_" . $i);
							$picture_small = get_param("image_small_" . $i);
							$picture_large = get_param("image_large_" . $i);
							$image_title = get_param("image_title_" . $i);
							$image_description = get_param("image_description_" . $i);
							$sql  = " UPDATE " . $table_prefix . "ads_images SET ";
							$sql .= " image_small=" . $db->tosql($picture_small, TEXT) . ",";
							$sql .= " image_large=" . $db->tosql($picture_large, TEXT) . ",";
							$sql .= " image_title=" . $db->tosql($image_title, TEXT) . ",";
							$sql .= " image_description=" . $db->tosql($image_description, TEXT);
							$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
							$sql .= " AND image_id=" . $db->tosql($image_id, INTEGER);
							$db->query($sql);
						}
	        }
				} else {
					$r->set_value("date_added", va_time());
					$r->set_value("date_updated", va_time());
					$db->query("SELECT MAX(item_id) FROM " . $table_prefix . "ads_items");
					$db->next_record();
					$item_id = $db->f(0) + 1;
					$r->set_value("item_id", $item_id);
					$record_updated = $r->insert_record();
					if ($record_updated) {
						$sql  = " INSERT INTO " . $table_prefix . "ads_assigned (item_id,category_id) VALUES (";
						$sql .= $db->tosql($item_id, INTEGER) . ",";
						$sql .= $db->tosql($r->get_value("category_id"), INTEGER) . ")";
						$db->query($sql);
						for ($i = 1; $i <= $properties_number; $i++) {
							$property_name = get_param("property_name_" . $i);
							$property_value = get_param("property_value_" . $i);
							$sql  = " INSERT INTO " . $table_prefix . "ads_properties ";
							$sql .= " (item_id, property_name, property_value) VALUES (";
							$sql .= $db->tosql($item_id, INTEGER) . ", ";
							$sql .= $db->tosql($property_name, TEXT) . ", ";
							$sql .= $db->tosql($property_value, TEXT) . ") ";
							$db->query($sql);
						}
	        
						for ($i = 1; $i <= $features_number; $i++) {
							$group_id = get_param("group_id_" . $i);
							$feature_name = get_param("feature_name_" . $i);
							$feature_value = get_param("feature_value_" . $i);
							$sql  = " INSERT INTO " . $table_prefix . "ads_features ";
							$sql .= " (item_id, group_id, feature_name, feature_value) VALUES (";
							$sql .= $db->tosql($item_id, INTEGER) . ", ";
							$sql .= $db->tosql($group_id, INTEGER) . ", ";
							$sql .= $db->tosql($feature_name, TEXT) . ", ";
							$sql .= $db->tosql($feature_value, TEXT) . ") ";
							$db->query($sql);
						}
						for ($i = 1; $i <= $images_number; $i++) {
							$picture_small = get_param("image_small_" . $i);
							$picture_large = get_param("image_large_" . $i);
							$image_title = get_param("image_title_" . $i);
							$image_description = get_param("image_description_" . $i);
							$sql  = " INSERT INTO " . $table_prefix . "ads_images ";
							$sql .= " (item_id, image_small,image_large, image_title, image_description) VALUES (";
							$sql .= $db->tosql($item_id, TEXT) . ",";
							$sql .= $db->tosql($picture_small, TEXT) . ",";
							$sql .= $db->tosql($picture_large, TEXT) . ",";
							$sql .= $db->tosql($image_title, TEXT) . ",";
							$sql .= $db->tosql($image_description, TEXT) . ")";
							$db->query($sql);
						}
					} else {
						$item_id = "";
						$r->set_value("item_id", "");
					}
				}

				if ($record_updated) {
					$ads_notify = array();
					$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type=" . $db->tosql("ads_notify", TEXT);
					$db->query($sql);
					while($db->next_record()) {
						$ads_notify[$db->f("setting_name")] = $db->f("setting_value");
					}
			  
					if($ads_notify["admin_notification"] || $ads_notify["user_notification"]) {
						$r->set_parameters();
						$date_start = va_date($date_show_format, $r->get_value("date_start"));
						$days_to_run = $r->get_value("days_to_run");
						$sql = "SELECT date_added FROM " . $table_prefix . "ads_items WHERE item_id=" . $db->tosql($item_id, INTEGER);
						$db->query($sql);
						if ($db->next_record()) {
							$date_added = $db->f("date_added", DATETIME);
						}
						$date_added = va_date($datetime_show_format, $date_added);
						$date_updated = va_date($datetime_show_format, $r->get_value("date_updated"));
						$t->set_var("date_start", $date_start);
						$t->set_var("days_to_run", $days_to_run);
						$t->set_var("date_added", $date_added);
						$t->set_var("date_updated", $date_updated);
						$t->set_var("seller_id", get_session("session_user_id"));
						$t->set_var("seller_name", get_session("session_user_name"));
						$t->set_var("type", $type_name);
						$t->set_var("category", get_db_value("SELECT category_name FROM " . $table_prefix . "ads_categories WHERE category_id=" . $db->tosql($r->get_value("category_id"), INTEGER)));
						$t->set_var("location_state", get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($r->get_value("location_state"), TEXT)));
						$t->set_var("location_country", get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($r->get_value("location_country"), TEXT)));
					}
			  
					if($ads_notify["admin_notification"])
					{
						$t->set_block("admin_subject", $ads_notify["admin_subject"]);
						$t->set_block("admin_message", $ads_notify["admin_message"]);
						$t->parse("admin_subject", false);
						$t->parse("admin_message", false);
			  
						$mail_to = get_setting_value($ads_notify, "admin_email", $settings["admin_email"]);
						$mail_to = str_replace(";", ",", $mail_to);
						$mail_from = get_setting_value($ads_notify, "admin_mail_from", $settings["admin_email"]);
						$mail_cc = get_setting_value($ads_notify, "cc_emails");
						$mail_bcc = get_setting_value($ads_notify, "admin_mail_bcc");
						$mail_reply_to = get_setting_value($ads_notify, "admin_mail_reply_to");
						$mail_return_path = get_setting_value($ads_notify, "admin_mail_return_path");
						$mail_type = get_setting_value($ads_notify, "admin_message_type");
						$email_headers = get_email_headers($mail_from, $mail_cc, $mail_bcc, $mail_reply_to, $mail_return_path, $mail_type);
			  
						$admin_message = preg_replace("/\r\n|\r|\n/", $eol, $t->get_var("admin_message"));
						mail($mail_to, $t->get_var("admin_subject"), $admin_message, $email_headers);
					}		 
					if($ads_notify["user_notification"])
					{
						$t->set_block("user_subject", $ads_notify["user_subject"]);
						$t->set_block("user_message", $ads_notify["user_message"]);
						$t->parse("user_subject", false);
						$t->parse("user_message", false);
			  
			      $mail_to = get_session("session_user_email");
						$mail_from = get_setting_value($ads_notify, "user_mail_from", $settings["admin_email"]);
						$mail_cc = get_setting_value($ads_notify, "user_mail_cc");
						$mail_bcc = get_setting_value($ads_notify, "user_mail_bcc");
						$mail_reply_to = get_setting_value($ads_notify, "user_mail_reply_to");
						$mail_return_path = get_setting_value($ads_notify, "user_mail_return_path");
						$mail_type = get_setting_value($ads_notify, "user_message_type");
						$email_headers = get_email_headers($mail_from, $mail_cc, $mail_bcc, $mail_reply_to, $mail_return_path, $mail_type);
			  
						$user_message = preg_replace("/\r\n|\r|\n/", $eol, $t->get_var("user_message"));
						mail($mail_to, $t->get_var("user_subject"), $user_message, $email_headers);
					}		 
			  
	      
					header("Location: " . $return_page);
					exit;
				}

			} else {
				for ($i = 1; $i <= $properties_number; $i++) {
					$property_id = get_param("property_id_" . $i);
					$property_name = get_param("property_name_" . $i);
					$property_value = get_param("property_value_" . $i);
					$property_values = get_param("property_values_" . $i);
					$properties[] = array($property_id, $property_name, $property_value, $property_values);
				}
				for ($i = 1; $i <= $features_number; $i++) {
					$feature_id = get_param("feature_id_" . $i);
					$group_id = get_param("group_id_" . $i);
					$group_name = get_param("group_name_" . $i);
					$feature_name = get_param("feature_name_" . $i);
					$feature_value = get_param("feature_value_" . $i);
					$feature_values = get_param("feature_values_" . $i);
					$features[] = array($feature_id, $group_id, $group_name, $feature_name, $feature_value, $feature_values);
				}
				for ($i = 1; $i <= $images_number; $i++) {
					$image_id = get_param("image_id_" . $i);
					$picture_small = get_param("image_small_" . $i);
					$picture_large = get_param("image_large_" . $i);
					$image_title = get_param("image_title_" . $i);
					$image_description = get_param("image_description_" . $i);
					$images[] = array($image_id, $image_title, $picture_small, $picture_large, $image_description);
				}
			}
		}
	}
	else if(strlen($item_id))
	{
		$r->get_db_values();
		$date_start = $r->get_value("date_start");
		$date_end = $r->get_value("date_end");
		$date_start_ts = mktime(0,0,0, $date_start[MONTH], $date_start[DAY], $date_start[YEAR]);
		$date_end_ts = mktime(0,0,0, $date_end[MONTH], $date_end[DAY], $date_end[YEAR]);
		$time_to_run = $date_end_ts - $date_start_ts;
		$days_to_run = round($time_to_run / (60 * 60 * 24));
		$r->set_value("days_to_run", $days_to_run);
		$price = $r->get_value("price");
		$price = round($price * $currency_rate, 2); 
		$r->set_value("price", $price);


		$sql  = " SELECT category_id FROM " . $table_prefix . "ads_assigned ";
		$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
		$category_id = get_db_value($sql);
		$r->set_value("category_id", $category_id);
		// get properties
		$sql  = " SELECT * FROM " . $table_prefix . "ads_properties ";
		$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
		$sql .= " ORDER BY property_id ";
		$db->query($sql);
		while ($db->next_record()) {
			$property_id = $db->f("property_id");
			$property_name = $db->f("property_name");
			$property_value = $db->f("property_value");
			$properties[] = array($property_id, $property_name, $property_value, "");
		}
		for($i = 0; $i < sizeof($properties); $i++) {
			$property_name = $properties[$i][1];
			$sql  = " SELECT property_value FROM " . $table_prefix . "ads_properties_default ";
			$sql .= " WHERE type_id=" . $db->tosql($type_id, INTEGER);
			$sql .= " AND property_name=" . $db->tosql($property_name, TEXT);
			$properties[$i][3] = get_db_value($sql);
		}
		// get features 
		$sql  = " SELECT f.feature_id, f.group_id, fg.group_name, f.feature_name, f.feature_value ";
		$sql .= " FROM " . $table_prefix . "ads_features f, " . $table_prefix . "ads_features_groups fg ";;
		$sql .= " WHERE f.group_id=fg.group_id ";
		$sql .= " AND item_id=" . $db->tosql($item_id, INTEGER);
		$sql .= " ORDER BY fg.group_order, f.feature_id ";
		$db->query($sql);
		while ($db->next_record()) {
			$feature_id = $db->f("feature_id");
			$group_id = $db->f("group_id");
			$group_name = $db->f("group_name");
			$feature_name = $db->f("feature_name");
			$feature_value = $db->f("feature_value");
			$features[] = array($feature_id, $group_id, $group_name, $feature_name, $feature_value, "");
		}
		for($i = 0; $i < sizeof($features); $i++) {
			$group_id = $features[$i][1];
			$feature_name = $features[$i][3];
			$sql  = " SELECT feature_value FROM " . $table_prefix . "ads_features_default ";
			$sql .= " WHERE type_id=" . $db->tosql($type_id, INTEGER);
			$sql .= " AND group_id=" . $db->tosql($group_id, INTEGER);
			$sql .= " AND feature_name=" . $db->tosql($feature_name, TEXT);
			$features[$i][5] = get_db_value($sql);
		}
		// get images 
		$sql  = " SELECT image_id,image_small,image_large,image_title,image_description ";
		$sql .= " FROM " . $table_prefix . "ads_images  ";
		$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
		$sql .= " ORDER BY item_id  ";
		$db->query($sql);
		while ($db->next_record()) {
			$image_id = $db->f("image_id");
			$picture_small = $db->f("image_small");
			$picture_large = $db->f("image_large");
			$image_title = $db->f("image_title");
			$image_description = $db->f("image_description");
			$images[] = array($image_id, $image_title, $picture_small, $picture_large, $image_description);
		}
	}
	else // new record (set default values)
	{
		$r->set_value("date_start", va_time());
		$r->set_value("days_to_run", 14);
		// get default properties
		$sql  = " SELECT * FROM " . $table_prefix . "ads_properties_default ";
		$sql .= " WHERE type_id=" . $db->tosql($type_id, INTEGER);
		$db->query($sql);
		while ($db->next_record()) {
			$property_name = $db->f("property_name");
			$property_values = $db->f("property_value");
			$properties[] = array("", $property_name, "", $property_values);
		}
		// get default features
		$sql  = " SELECT fd.group_id, fg.group_name, fd.feature_name, fd.feature_value ";
		$sql .= " FROM " . $table_prefix . "ads_features_default fd ";
		$sql .= " , " . $table_prefix . "ads_features_groups fg ";
		$sql .= " WHERE fd.group_id=fg.group_id ";
		$sql .= " AND fd.type_id=" . $db->tosql($type_id, INTEGER);
		$sql .= " ORDER BY fg.group_order, fd.feature_id ";
		$db->query($sql);
		while ($db->next_record()) {
			$group_id = $db->f("group_id");
			$group_name = $db->f("group_name");
			$feature_name = $db->f("feature_name");
			$feature_values = $db->f("feature_value");
			$features[] = array("", $group_id, $group_name, $feature_name, "", $feature_values);
		}
		// get default images
		$images_number = get_setting_value($ads_images, "images_number", 4);
		for($i = 0; $i < $images_number; $i++) {
			$images[] = array("", "", "", "", "");
		}


	}

	$r->set_form_parameters();

	// set properties
	if (sizeof($properties) > 0) {
		$property_index = 0;
		for ($i = 0; $i < sizeof($properties); $i++) {
			$property_index++;
			$property_id = $properties[$i][0];
			$property_name = $properties[$i][1];
			$property_value = $properties[$i][2];
			$property_values = $properties[$i][3];

			$default_values  = array();
			if (strlen(trim($property_values))) {
				$default_values[] = array("", "");
				$property_values_array = explode("\n", $property_values);
				for ($j = 0; $j < sizeof($property_values_array); $j++) {
					if (strlen(trim($property_values_array[$j]))) {
						$default_values[] = array($property_values_array[$j], $property_values_array[$j]);
					}
				}
			}
			$t->set_var("property_index", htmlspecialchars($property_index));
			$t->set_var("property_id", htmlspecialchars($property_id));
			$t->set_var("property_name", htmlspecialchars($property_name));
			$t->set_var("property_values", htmlspecialchars($property_values));
			$t->set_var("property_select", "");
			$t->set_var("property_textbox", "");
			if (sizeof($default_values) > 0) {
				set_options($default_values, $property_value, "property_value_list");
				$t->parse("property_select", false);
			} else {
				$t->set_var("property_value", htmlspecialchars($property_value));
				$t->parse("property_textbox", false);
			}

			$t->parse("properties", true);
		}

		$t->set_var("properties_number", sizeof($properties));
		$t->parse("properties_block", false);
	} else {
		$t->set_var("properties_block", "");
	}

	// set features 
	if (sizeof($features) > 0) {
		$feature_index = 0;
		for ($i = 0; $i < sizeof($features); $i++) {
			$feature_index++;
			$feature_id = $features[$i][0];
			$group_id = $features[$i][1];
			$group_name = $features[$i][2];
			$feature_name = $features[$i][3];
			$feature_value = $features[$i][4];
			$feature_values = $features[$i][5];

			$default_values  = array();
			if (strlen(trim($feature_values))) {
				$default_values[] = array("", "");
				$feature_values_array = explode("\n", $feature_values);
				for ($j = 0; $j < sizeof($feature_values_array); $j++) {
					if (strlen(trim($feature_values_array[$j]))) {
						$default_values[] = array($feature_values_array[$j], $feature_values_array[$j]);
					}
				}
			}
			$t->set_var("feature_index", htmlspecialchars($feature_index));
			$t->set_var("feature_id", htmlspecialchars($feature_id));
			$t->set_var("group_id", htmlspecialchars($group_id));
			$t->set_var("group_name", htmlspecialchars($group_name));
			$t->set_var("feature_name", htmlspecialchars($feature_name));
			$t->set_var("feature_values", htmlspecialchars($feature_values));
			$t->set_var("feature_select", "");
			$t->set_var("feature_textbox", "");
			if (sizeof($default_values) > 0) {
				set_options($default_values, $feature_value, "feature_value_list");
				$t->parse("feature_select", false);
			} else {
				$t->set_var("feature_value", htmlspecialchars($feature_value));
				$t->parse("feature_textbox", false);
			}

			$t->parse("features", true);
		}

		$t->set_var("features_number", sizeof($features));
		$t->parse("features_block", false);
	} else {
		$t->set_var("features_block", "");
	}


	// set images 
	if (sizeof($images) > 0) {
		$image_index = 0;
		for ($i = 0; $i < sizeof($images); $i++) {
			$image_index++;
			$image_id = $images[$i][0];
			$image_title = $images[$i][1];
			$picture_small = $images[$i][2];
			$picture_large = $images[$i][3];
			$image_description = $images[$i][4];

			$t->set_var("image_index", htmlspecialchars($image_index));
			$t->set_var("image_id", htmlspecialchars($image_id));
			$t->set_var("image_title", htmlspecialchars($image_title));
			$t->set_var("picture_small", htmlspecialchars($picture_small));
			$t->set_var("picture_large", htmlspecialchars($picture_large));
			$t->set_var("image_description", htmlspecialchars($image_description));

			$t->parse("images", true);
		}

		$t->set_var("images_number", sizeof($images));
		$t->parse("images_block", false);
	} else {
		$t->set_var("images_block", "");
	}


	if(strlen($item_id)) {
		if (isset($user_settings["edit_ad"]) && $user_settings["edit_ad"] == 1) {
			$t->set_var("save_button_title", UPDATE_BUTTON);
			$t->global_parse("save_button", false, false, true);
		}
		if (isset($user_settings["delete_ad"]) && $user_settings["delete_ad"] == 1) {
			$t->parse("delete", false);	
		}
	} else {
		if (isset($user_settings["add_ad"]) && $user_settings["add_ad"] == 1) {
			$t->set_var("save_button_title", ADD_BUTTON);
			$t->global_parse("save_button", false, false, true);
		}
		$t->set_var("delete", "");	
	}

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>