<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  user_carts.php                                           ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$includes_path = "./includes/";
	include_once ($includes_path . "/common.php");
	include_once ($includes_path . "/sorter.php");
	include_once ($includes_path . "/navigator.php");
	include_once ($includes_path . "/record.php");
	include_once ("./messages/".$language_code."/cart_messages.php");

	check_user_session();

	$currency = get_currency();
	$currency_left = $currency["left"];
	$currency_right = $currency["right"];
	$currency_rate = $currency["rate"];
	$currency_code = $currency["code"];

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","user_carts.html");
	$t->set_var("user_carts_href", "user_carts.php");
	$t->set_var("cart_retrieve_href", "cart_retrieve.php");
	$t->set_var("user_home_href", "user_home.php");

	$s = new VA_Sorter($settings["templates_dir"], "sorter_img.html", "user_carts.php");
	$s->set_parameters(false, true, true, false);
	$s->set_default_sorting(4, "desc");
	$s->set_sorter(CART_NO_FIELD, "sorter_id", "1", "cart_id");
	$s->set_sorter(CART_NAME_FIELD, "sorter_cart_name", "2", "cart_name");
	$s->set_sorter(CART_TOTAL_COLUMN, "sorter_total", "3", "cart_total");
	$s->set_sorter(CART_SAVED_DATE_COLUMN, "sorter_date", "4", "cart_added");

	$n = new VA_Navigator($settings["templates_dir"], "navigator.html", "user_carts.php");

	include("./header.php");
	include("./footer.php");

	// set up variables for navigator
	$sql  = " SELECT COUNT(*) FROM " . $table_prefix . "saved_carts sc ";
	$sql .= " WHERE sc.user_id=" . $db->tosql(get_session("session_user_id"), INTEGER);
	$db->query($sql);
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;

	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT sc.cart_id, sc.cart_name, sc.cart_total, sc.cart_added ";
	$sql .= " FROM " . $table_prefix . "saved_carts sc ";
	$sql .= " WHERE sc.user_id=" . $db->tosql(get_session("session_user_id"), INTEGER);
	$sql .= $s->order_by;
	$db->query($sql);
	if($db->next_record())
	{
		$t->parse("sorters", false);
		$t->set_var("no_records", "");
		do
		{
			$cart_total = $db->f("cart_total");
			$t->set_var("cart_id", $db->f("cart_id"));

			$cart_added = $db->f("cart_added", DATETIME);
			$t->set_var("cart_added", va_date($datetime_show_format, $cart_added));

			$t->set_var("cart_name", $db->f("cart_name"));
			$t->set_var("cart_total", $currency_left . number_format($cart_total * $currency_rate, 2) . $currency_right);

			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("sorters", "");
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>