<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin.php                                                ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security();
	
	$secure_admin_order_create = get_setting_value($settings, "secure_admin_order_create", 0);
	$secure_url = get_setting_value($settings, "secure_url", "");
	$site_url = get_setting_value($settings, "site_url", "");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main", "admin.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_href_encode", urlencode("admin.php"));
	$t->set_var("admin_orders_href", "admin_orders.php");

	$t->set_var("admin_global_settings_href", "admin_global_settings.php");
	$t->set_var("admin_registration_href",    "admin_registration.php");
	$t->set_var("admin_shipping_modules_href","admin_shipping_modules.php");
	$t->set_var("admin_settings_list_href",   "admin_settings_list.php");
	$t->set_var("admin_layout_header_href",   "admin_layout_header.php");
	$t->set_var("admin_order_info_href",      "admin_order_info.php");
	$t->set_var("admin_order_statuses_href",  "admin_order_statuses.php");
	$t->set_var("admin_tax_rates_href",       "admin_tax_rates.php");
	$t->set_var("admin_orders_report_href",   "admin_orders_report.php");
	$t->set_var("admin_filemanager_href",     "admin_fm.php");
	$t->set_var("admin_visits_report_href",   "admin_visits_report.php");

	$t->set_var("admin_coupons_href",         "admin_coupons.php");
	$t->set_var("admin_search_href",          "admin_search.php");
 
	$t->set_var("admin_order_confirmation_href", "admin_order_confirmation.php");
	$t->set_var("admin_order_final_href",        "admin_order_final.php");
	
	$t->set_var("admin_download_info_href",      "admin_download_info.php");

	$t->set_var("admin_support_settings_href",   "admin_support_settings.php");
	$t->set_var("admin_support_ranks_href",      "admin_support_ranks.php");
	$t->set_var("admin_support_priorities_href", "admin_support_priorities.php");
	$t->set_var("admin_support_statuses_href",   "admin_support_statuses.php");
	$t->set_var("admin_support_products_href",   "admin_support_products.php");
	$t->set_var("admin_support_types_href",      "admin_support_types.php");

	$t->set_var("admin_support_settings_href",     "admin_support_settings.php");
	$t->set_var("admin_support_departments_href",  "admin_support_departments.php");
	$t->set_var("admin_support_predefined_href",   "admin_support_predefined.php");
	$t->set_var("admin_support_admins_href",       "admin_support_admins.php");
	$t->set_var("admin_support_static_tables_href","admin_support_static_tables.php");
	
	$t->set_var("admin_forum_settings_href", "admin_forum_settings.php");
	$t->set_var("admin_items_list_href",     "admin_items_list.php");
	$t->set_var("admin_products_settings_href",     "admin_products_settings.php");
	$t->set_var("admin_layouts_href",        "admin_layouts.php");
	$t->set_var("admin_custom_blocks_href",  "admin_custom_blocks.php");

	$t->set_var("admin_payment_systems_href", "admin_payment_systems.php");
	$t->set_var("admin_lookup_tables_href",   "admin_lookup_tables.php");
	$t->set_var("admin_static_messages_href", "admin_messages.php");
	$t->set_var("admin_events_href", "admin_events.php");
	$t->set_var("admin_pages_href",  "admin_pages.php");

	$t->set_var("admin_reviews_href", "admin_reviews.php");
	$t->set_var("admin_faqs_href",    "admin_faqs.php");
	$t->set_var("admin_polls_href",   "admin_polls.php");
	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_news_href",    "admin_news.php");
	$t->set_var("admin_forum_href",   "admin_forum.php");
	$t->set_var("admin_manual_href",   "admin_manual.php");
	$t->set_var("admin_articles_top_href", "admin_articles_top.php");
	$t->set_var("admin_articles_statuses_href", "admin_articles_statuses.php");
	$t->set_var("admin_banners_href", "admin_banners.php");

	$t->set_var("admin_users_href",      "admin_users.php");
	$t->set_var("admin_user_types_href", "admin_user_types.php");
	$t->set_var("admin_user_sections_href", "admin_user_sections.php");
	$t->set_var("admin_forgotten_password_href", "admin_forgotten_password.php");
	$t->set_var("admin_user_payments_href", "admin_user_payments.php");
	$t->set_var("admin_user_commissions_href", "admin_user_commissions.php");


	$t->set_var("admin_newsletters_href",    "admin_newsletters.php");
	$t->set_var("admin_admins_href",         "admin_admins.php");
	$t->set_var("admin_privileges_href",     "admin_privileges.php");
	$t->set_var("admin_black_ips_href",      "admin_black_ips.php");
	$t->set_var("admin_banned_contents_href","admin_banned_contents.php");
	$t->set_var("admin_dump_href",           "admin_dump.php");
	$t->set_var("admin_upgrade_href",        "admin_upgrade.php");

	$t->set_var("admin_ads_href",          "admin_ads.php");
	$t->set_var("admin_ads_settings_href", "admin_ads_settings.php");
	$t->set_var("admin_ads_notify_href",   "admin_ads_notify.php");
	$t->set_var("admin_ads_images_settings_href", "admin_ads_images_settings.php");
	$t->set_var("admin_ads_search_href",   "admin_ads_search.php");
	$t->set_var("admin_ads_request_href",  "admin_ads_request.php");
	$t->set_var("admin_ads_features_groups_href", "admin_ads_features_groups.php");


	include("./admin_header.php");
	include("./admin_footer.php");

	$admin_blocks = array();
	if ($va_license_code & 1) {
		$admin_blocks[] = "products_categories";
		$admin_blocks[] = "sales_orders";
	}
	$admin_blocks[] = "layouts";
	if ($va_license_code & 2) {
		$admin_blocks[] = "articles";
	}
	if ($va_license_code & 4) {
		$admin_blocks[] = "support";
	}
	if ($va_license_code & 16) {
		$admin_blocks[] = "ads";
	}
	if ($va_license_code & 8) {
		$admin_blocks[] = "forum";
	}
	if ($va_license_code & 32) {
		$admin_blocks[] = "manual";
	}
	$admin_blocks[] = "site_users";
	$admin_blocks[] = "site_settings";

	for ($i = 0; $i < sizeof($admin_blocks); $i++) {
		$t->set_var($admin_blocks[$i], "");
	}

	$blocks_permissions = array();
	$sql  = " SELECT block_name, permission FROM " . $table_prefix . "admin_privileges_settings ";
	$sql .= " WHERE privilege_id=" . $db->tosql(get_session("session_admin_privilege_id"), INTEGER);
	$db->query($sql);
	while ($db->next_record())
	{
		$block_name = $db->f("block_name");
		$permission = $db->f("permission");
		$blocks_permissions[$block_name] = $permission;
	} 

	// parse articles menu
	if (isset($blocks_permissions["articles"]) && $blocks_permissions["articles"] == 1) {
		$sql  = " SELECT ac.category_id, ac.category_name ";
		$sql .= " FROM " . $table_prefix . "articles_categories ac ";
		$sql .= " WHERE ac.parent_category_id=0 ";
		$sql .= " ORDER BY ac.category_order ";
		$db->query($sql);
		if ($db->next_record()) {
			do {
				$category_id = $db->f("category_id");
				$admin_articles_url = "admin_articles.php?category_id=" . $category_id;
				$t->set_var("top_article", get_translation($db->f("category_name")));
				$t->set_var("admin_articles_url", $admin_articles_url);

				$t->parse("top_articles", true);
			} while ($db->next_record());
		}		
	}

	$block_number = 0;
	for ($i = 0; $i < sizeof($admin_blocks); $i++) {
		$block_name = $admin_blocks[$i];
		$permission = isset($blocks_permissions[$block_name]) ? $blocks_permissions[$block_name] : "";
		if ($permission) {
			$block_number++;
			$t->parse($block_name, false);
			$t->parse("cols", true);
			$t->set_var($block_name, "");
			if ($block_number % 2 == 0) {
				$t->parse("rows", true);
				$t->set_var("cols", "");
			}
		}
	}
	if ($block_number > 0 && $block_number % 2 != 0) {
		$t->parse("rows", true);
	}

	$t->pparse("main");

?>