<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_articles_status.php                                ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("articles");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_articles_status.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_articles_top_href", "admin_articles_top.php");
	$t->set_var("admin_articles_statuses_href", "admin_articles_statuses.php");
	$t->set_var("admin_articles_status_href", "admin_articles_statuses.php");

	$r = new VA_Record($table_prefix . "articles_statuses");
	$r->return_page = "admin_articles_statuses.php";

	$r->add_where("status_id", INTEGER);

	$r->add_checkbox("is_shown", INTEGER);
	$r->parameters["is_shown"][DEFAULT_VALUE] = 1;
	$r->add_textbox("status_name", TEXT, "Status Name");
	$r->parameters["status_name"][REQUIRED] = true;
	$r->add_textbox("status_description", TEXT, "Status Description");

	$allowed_values = array(array("0", "Nobody"), array("1", "All users"), array("2", "Only registered users"));
	$allowed_values = array(array("0", "Nobody"), array("1", "All users"));
	$r->add_radio("allowed_view", INTEGER, $allowed_values, "Allow view articles");
	$r->parameters["allowed_view"][REQUIRED] = true;
	$r->parameters["allowed_view"][DEFAULT_VALUE] = 1;

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
