<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_header.php                                         ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$secure_admin_order_create = get_setting_value($settings, "secure_admin_order_create", 0);
	$secure_url = get_setting_value($settings, "secure_url", "");
	$site_url = get_setting_value($settings, "site_url", "");

	if (!isset($va_type) || !$va_type) {
		$va_type = defined("VA_TYPE") ? strtolower(VA_TYPE) : "standard";
	}
	if (!isset($va_name) || !$va_name) {
		$va_name = defined("VA_PRODUCT") ? strtolower(VA_PRODUCT) : "shop"; 
	}

	$va_license_code = va_license_code();

	$t->set_file("admin_header", "admin_header.html");
	$t->set_var("CHARSET", CHARSET);
	$t->set_var("index_href", $root_folder_path . "index.php");
	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_orders_href", "admin_orders.php");

	$t->set_var("admin_global_settings_href", "admin_global_settings.php");
	$t->set_var("admin_settings_list_href",   "admin_settings_list.php");
	$t->set_var("admin_layout_header_href",   "admin_layout_header.php");
	$t->set_var("admin_registration_href",    "admin_registration.php");
	$t->set_var("admin_order_info_href",      "admin_order_info.php");
	$t->set_var("admin_order_confirmation_href", "admin_order_confirmation.php");
	$t->set_var("admin_order_info_href",         "admin_order_info.php");
	$t->set_var("admin_order_statuses_href",     "admin_order_statuses.php");
	$t->set_var("admin_tax_rates_href",          "admin_tax_rates.php");
	$t->set_var("admin_currencies_href",         "admin_currencies.php");
	$t->set_var("admin_orders_report_href", 	   "admin_orders_report.php");
	$t->set_var("admin_orders_products_report_href", "admin_orders_products_report.php");
	$t->set_var("admin_order_printable_href", 	     "admin_order_printable.php");

	$t->set_var("admin_support_settings_href",       "admin_support_settings.php");
	$t->set_var("admin_support_priorities_href",     "admin_support_priorities.php");
	$t->set_var("admin_support_statuses_href",       "admin_support_statuses.php");
	$t->set_var("admin_support_ranks_href",          "admin_support_ranks.php");
	$t->set_var("admin_support_departments_href",    "admin_support_departments.php");
	$t->set_var("admin_support_dep_edit_href",       "admin_support_dep_edit.php");
	$t->set_var("admin_support_predefined_href",     "admin_support_predefined.php");
	$t->set_var("admin_support_predefined_edit_href", "admin_support_predefined_edit.php");
	$t->set_var("admin_support_static_tables_href",  "admin_support_static_tables.php");
	$t->set_var("admin_support_admins_href",         "admin_support_admins.php");
	$t->set_var("admin_support_admin_edit_href",     "admin_support_admin_edit.php");
	$t->set_var("admin_support_products_href",       "admin_support_products.php");
	$t->set_var("admin_support_types_href",          "admin_support_types.php");
	$t->set_var("admin_support_users_report_href",   "admin_support_users_report.php");


	$t->set_var("admin_forum_settings_href",    "admin_forum_settings.php");

	$t->set_var("admin_items_list_href",        "admin_items_list.php");
	$t->set_var("admin_download_info_href",     "admin_download_info.php");
	$t->set_var("admin_shipping_modules_href",  "admin_shipping_modules.php");
	$t->set_var("admin_shipping_times_href",    "admin_shipping_times.php");
	$t->set_var("admin_shipping_rules_href",    "admin_shipping_rules.php");
	$t->set_var("admin_tell_friend_href",       "admin_tell_friend.php");
	$t->set_var("admin_layout_page_href",       "admin_layout_page.php");
	$t->set_var("admin_default_properties_href", "admin_default_properties.php");
	$t->set_var("admin_item_types_href",        "admin_item_types.php");
	$t->set_var("admin_manufacturers_href",     "admin_manufacturers.php");
	$t->set_var("admin_features_groups_href",   "admin_features_groups.php");
	$t->set_var("admin_export_froogle_href",    "admin_export_froogle.php");
	$t->set_var("admin_search_href",            "admin_search.php");
	$t->set_var("admin_tell_friend_href",       "admin_tell_friend.php");
	$t->set_var("admin_products_edit_href",     "admin_products_edit.php");
	$t->set_var("admin_coupons_href",           "admin_coupons.php");
	$t->set_var("admin_search_href",            "admin_search.php");
	$t->set_var("admin_products_settings_href", "admin_products_settings.php");
	$t->set_var("admin_products_notify_href",   "admin_products_notify.php");

	$t->set_var("admin_reviews_href", 			"admin_reviews.php");
	$t->set_var("admin_products_report_href", 	"admin_products_report.php");

	$t->set_var("admin_layouts_href", 			"admin_layouts.php");
	$t->set_var("admin_payment_systems_href", 	"admin_payment_systems.php");
	$t->set_var("admin_lookup_tables_href", 	"admin_lookup_tables.php");
	$t->set_var("admin_messages_href", 			"admin_messages.php");
	$t->set_var("admin_pages_href", 			"admin_pages.php");

	$t->set_var("admin_filemanager_href", 		"admin_fm.php");
	$t->set_var("admin_polls_href", 			"admin_polls.php");
	$t->set_var("admin_support_href", 			"admin_support.php");
	$t->set_var("admin_forum_href", 			"admin_forum.php");
	$t->set_var("admin_articles_top_href", 		"admin_articles_top.php");
	$t->set_var("admin_articles_statuses_href", "admin_articles_statuses.php");
	$t->set_var("admin_banners_href", 			"admin_banners.php");

	// manuals
	$t->set_var("admin_manual_href", "admin_manual.php");

	$t->set_var("admin_users_href", 			"admin_users.php");
	$t->set_var("admin_user_types_href", 		"admin_user_types.php");
	$t->set_var("admin_user_sections_href", "admin_user_sections.php");
	$t->set_var("admin_user_payments_href", 	"admin_user_payments.php");
	$t->set_var("admin_user_commissions_href", 	"admin_user_commissions.php");
	$t->set_var("admin_forgotten_password_href", "admin_forgotten_password.php");

	$t->set_var("admin_admins_href",        "admin_admins.php");
	$t->set_var("admin_newsletters_href",   "admin_newsletters.php");
	$t->set_var("admin_privileges_href",    "admin_privileges.php");
	$t->set_var("admin_custom_blocks_href", "admin_custom_blocks.php");
	$t->set_var("admin_upgrade_href",       "admin_upgrade.php");
	$t->set_var("admin_black_ips_href",     "admin_black_ips.php");
	$t->set_var("admin_banned_contents_href", "admin_banned_contents.php");
	$t->set_var("admin_visits_report_href", "admin_visits_report.php");
	$t->set_var("admin_dump_href",          "admin_dump.php");

	// set ads 
	$t->set_var("admin_ads_href",         "admin_ads.php");
	$t->set_var("admin_ads_types_href",   "admin_ads_types.php");
	$t->set_var("admin_ads_notify_href",  "admin_ads_notify.php");
	$t->set_var("admin_ads_request_href", "admin_ads_request.php");
	$t->set_var("admin_ads_images_settings_href", "admin_ads_images_settings.php");
	$t->set_var("admin_ads_search_href",  "admin_ads_search.php");
	$t->set_var("admin_ads_features_groups_href",  "admin_ads_features_groups.php");
	
	// bookmarks
	$t->set_var("admin_bookmark_href", "admin_bookmark.php");
	$t->set_var("admin_bookmark_hrefs", "admin_bookmarks.php");

	// set Call Center link
	$admin_folder = get_admin_dir();
	if ($secure_admin_order_create && strlen($secure_url)) {
		$admin_order_call_url = $secure_url . $admin_folder . "admin_order_call.php";
	} else {
		$admin_order_call_url = "admin_order_call.php";
	}
	$t->set_var("admin_order_call_href", $admin_order_call_url);


	$ads_menu = array(
		"admin_ads.php" => true, "admin_ads_assign.php" => true, "admin_ads_categories.php" => true,
		"admin_ads_category.php" => true, "admin_ads_edit.php" => true,
		"admin_ads_features.php" => true, "admin_ads_features_default.php" => true, "admin_ads_features_group.php" => true,
		"admin_ads_features_groups.php" => true, "admin_ads_image.php" => true, "admin_ads_images.php" => true, 
		"admin_ads_images_settings.php" => true, "admin_ads_notify.php" => true, "admin_ads_notify_help.php" => true, 
		"admin_ads_properties.php" => true, "admin_ads_properties_default.php" => true, "admin_ads_request.php" => true, 
		"admin_ads_search.php" => true, "admin_ads_type.php" => true, "admin_ads_types.php" => true, 
	);

	$users_menu = array(
		"admin_user.php" => true, "admin_user_login.php" => true, "admin_users.php" => true,
		"admin_user_types.php" => true, "admin_user_type.php" => true,
		"admin_forgotten_password.php" => true, "admin_registration.php" => true,
		"admin_user_profile_help.php" => true, "admin_user_profile.php" => true,
		"admin_newsletters.php" => true, "admin_newsletter.php" => true,
		"admin_user_payments.php" => true, "admin_user_payment.php" => true,
		"admin_user_commissions.php" => true,
		"admin_user_sections.php" => true, "admin_user_section.php" => true,
		"admin_user_property.php" => true, "admin_user_product.php" => true,
		
	);

	$shop_menu = array(
		"admin_categories_order.php" => true, "admin_category_edit.php" => true, "admin_default_properties.php" => true,
		"admin_item_categories.php" => true, "admin_items_list.php" => true, "admin_product.php" => true,
		"admin_products_order.php" => true, "admin_properties.php" => true, "admin_properties_add.php" => true,
		"admin_property.php" => true, "admin_release.php" => true, "admin_release_changes.php" => true,
		"admin_component_single.php" => true, "admin_component_selection.php" => true,
		"admin_release_type.php" => true, "admin_release_types.php" => true, "admin_releases.php" => true,
		"admin_select.php" => true, "admin_search.php" => true, "admin_download_info.php" => true,
		"admin_shipping_rule.php" => true, "admin_shipping_rules.php" => true, "admin_shipping_time.php" => true,
		"admin_shipping_times.php" => true, "admin_shipping_modules.php" => true, "admin_shipping_module.php" => true, 
		"admin_shipping_types.php" => true, "admin_shipping_type.php" => true,
		"admin_table_categories.php" => true, "admin_table_items.php" => true,
		"admin_coupons.php" => true, "admin_default_features.php" => true,                                 
		"admin_item_type.php" => true, "admin_item_types.php" => true, 
		"admin_manufacturer.php" => true, "admin_manufacturers.php" => true,
		"admin_features_group.php" => true, "admin_features_groups.php" => true, 
		"admin_item_features.php" => true, "admin_item_accessories.php" => true,
		"admin_item_images.php" => true, "admin_item_image.php" => true, 
		"admin_products_report.php" => true, "admin_item_prices.php" => true,
		"admin_products_settings.php" => true, "admin_products_notify.php" => true
	);

	$forum_menu = array(
		"admin_forum.php" => true, "admin_forum_help.php" => true, "admin_forum_message.php" => true,
		"admin_forum_settings.php" => true, "admin_forum_thread.php" => true, "admin_forum_topic.php" =>true,
		"admin_forum_category.php" => true, "admin_forum_edit.php" => true, "admin_forum_topic.php" =>true
	);

	$orders_menu = array(
		"admin_cc_expiry_year.php" => true, "admin_cc_expiry_years.php" => true,
		"admin_cc_start_year.php" => true, "admin_cc_start_years.php" => true, "admin_credit_card.php" => true,
		"admin_payment_help.php" => true , "admin_payment_system.php" => true, "admin_payment_systems.php" => true, 
		"admin_credit_cards.php" => true, "admin_credit_card_info.php" => true, "admin_order.php" => true,
		"admin_order_confirmation.php" => true, "admin_order_final.php" => true, "admin_order_help.php" => true,
		"admin_order_info.php" => true, "admin_order_link.php" => true, "admin_order_links.php" => true,
		"admin_order_status.php" => true, "admin_order_statuses.php" => true, "admin_orders.php" =>true,
		"admin_order_notes.php" => true, "admin_order_note.php" => true, "admin_order_property.php" => true,
		"admin_tax_rate.php" => true, "admin_tax_rates.php" => true, 
		"admin_orders_report.php" => true, "admin_orders_products_report.php" => true,
		"admin_order_printable.php" => true, "admin_invoice_html.php" => true,
		"admin_order_serials.php" => true, "admin_order_serial.php" => true,
		"admin_order_vouchers.php" => true, "admin_order_email.php" => true, "admin_order_call.php" => true
	);

	$cms_menu = array(
		"admin_custom_block.php" => true, "admin_custom_blocks.php" => true,
		"admin_layout.php" => true, "admin_layout_header.php" => true,
		"admin_layout_scheme.php" => true, "admin_layouts.php" => true,
		"admin_menus.php" => true, "admin_menu_item.php" => true,
		"admin_page.php" => true, "admin_pages.php" =>true, "admin_poll.php" => true, "admin_polls.php" => true,
		"admin_filemanager.php" => true,
		"admin_banners.php" => true, "admin_banner.php" => true,
		"admin_banners_groups.php" => true, "admin_banners_group.php" => true
	);

	$articles_menu = array(
		"admin_article.php" => true, "admin_article_related.php" => true, "admin_articles.php" => true, 
		"admin_articles_assign.php" => true, "admin_articles_categories.php" => true, "admin_articles_category.php" => true, 
		"admin_articles_order.php" => true, "admin_articles_top.php" => true,
		"admin_articles_statuses.php" => true, "admin_articles_status.php" => true
	);

	$helpdesk_menu = array(
		"admin_support.php" => true, "admin_support_help.php" => true,
		"admin_support_message.php" => true, "admin_support_priorities.php" => true,
		"admin_support_priority.php" => true, "admin_support_product.php" => true,
		"admin_support_products.php" => true, "admin_support_reply.php" => true,
		"admin_support_request.php" => true, "admin_support_settings.php" => true,
		"admin_support_status.php" => true, "admin_support_statuses.php" => true,
		"admin_support_static_tables.php" => true, "admin_support_types.php" => true,
		"admin_support_departments.php" => true, "admin_support_admins.php" => true,
		"admin_support_predefined.php" => true, "admin_support_predefined_edit.php" => true,
		"admin_support_dep_edit.php" => true, "admin_support_admin_edit.php" => true,
		"admin_support_type.php" => true, "admin_support_password.php" => true,
		"admin_support_ranks.php" => true, "admin_support_rank.php" => true,
		"admin_support_users_report.php" => true
	);

	$manual_menu = array(
		"admin_manual.php" => true, "admin_manual_article.php" => true,
		"admin_manual_category.php" => true, "admin_manual_edit.php" => true
	);

	$system_menu = array(
		"admin_admin.php" => true, "admin_admins.php" => true, 
		"admin_admin_password.php" => true, 
		"admin_registration_help.php" => true, "admin_global_settings.php" => true,
		"admin_lookup_tables.php" => true,
		"admin_countries.php" => true, "admin_country.php" => true, 
		"admin_messages.php" => true,	"admin_message.php" => true,
		"admin_languages.php" => true, "admin_language.php" => true, 
		"admin_change_type.php" => true, "admin_change_types.php" => true,
		"admin_privileges.php" => true, "admin_privileges_edit.php" => true,
		"admin_issue_number.php" => true, "admin_issue_numbers.php" => true,
		"admin_state.php" => true, "admin_states.php" => true, "admin_upgrade.php" => true,
		"admin_currencies.php" => true, "admin_currency.php" => true,
		"admin_companies.php" => true, "admin_company.php" => true,
		"admin_black_ips.php" => true, "admin_black_ip.php" => true,
		"admin_banned_contents.php" => true, "admin_banned_content.php" => true,
		"admin_visits_report.php" => true, "admin_dump.php" => true,
		"admin_dump_apply.php" => true, "admin_dump_create.php" => true
	);


	$table = get_param("table");
	if ($table == "users") {
		$system_menu["admin_import.php"] = true;
		$system_menu["admin_export.php"] = true;
	} elseif ($table == "items" || $table == "categories") {
		$shop_menu["admin_import.php"] = true;
		$shop_menu["admin_export.php"] = true;
	}
	$art_cat_id = get_param("art_cat_id");
	$type = get_param("type");
	if (strlen($art_cat_id)) {
		$articles_menu["admin_review.php"] = true;
		$articles_menu["admin_reviews.php"] = true;
		$articles_menu["admin_tell_friend.php"] = true;
	} else {
		$shop_menu["admin_review.php"] = true;
		$shop_menu["admin_reviews.php"] = true;
		if($type == "products") {
			$shop_menu["admin_tell_friend.php"] = true;
		} elseif ($type == "ads") {
			$ads_menu["admin_tell_friend.php"] = true;
		}
	}
	$rp = get_param("rp");
	$page_name = get_param("page_name");
	if ($rp == "admin_layouts.php") {
		$cms_menu["admin_layout_page.php"] = true;
	} elseif ($page_name == "products_list" || $page_name == "products_details") {
		$shop_menu["admin_layout_page.php"] = true;
	} elseif ($page_name == "ads_list" || $page_name == "ads_list") {
		$ads_menu["admin_layout_page.php"] = true;
	} elseif (strlen($art_cat_id)) {
		$articles_menu["admin_layout_page.php"] = true;
	} else {
		$cms_menu["admin_layout_page.php"] = true;
	}
	$order_id = get_param("order_id");
	if ($order_id > 0) {	
		$orders_menu["admin_coupon.php"] = true;
	} else {
		$shop_menu["admin_coupon.php"] = true;
	}

	$cur_script_name = get_script_name();

	if (isset($system_menu[$cur_script_name]) && $system_menu[$cur_script_name]) { $section = "System"; }
	elseif (isset($cms_menu[$cur_script_name]) && $cms_menu[$cur_script_name]) { $section = "CMS"; }
	elseif (isset($helpdesk_menu[$cur_script_name]) && $helpdesk_menu[$cur_script_name]) { $section = "Helpdesk"; }
	elseif (isset($shop_menu[$cur_script_name]) && $shop_menu[$cur_script_name]) { $section = "Shop"; }
	elseif (isset($orders_menu[$cur_script_name]) && $orders_menu[$cur_script_name]) { $section = "Orders"; }
	elseif (isset($forum_menu[$cur_script_name]) && $forum_menu[$cur_script_name]) { $section = "Forum"; }
	elseif (isset($ads_menu[$cur_script_name]) && $ads_menu[$cur_script_name]) { $section = "Ads"; }
	elseif (isset($users_menu[$cur_script_name]) && $users_menu[$cur_script_name]) { $section = "users"; }
	elseif (isset($articles_menu[$cur_script_name]) && $articles_menu[$cur_script_name]) { $section = "articles"; }
	elseif (isset($manual_menu[$cur_script_name]) && $manual_menu[$cur_script_name]) { $section = "manual"; }
	else { $section = ""; }

	$version_number = get_db_value("SELECT setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='version' AND setting_name='number'");
	if (!$version_number) $version_number = VA_RELEASE;
	$version_name = ucfirst($va_name);
	$version_type = ucfirst($va_type);
	$t->set_var("version_number", $version_number);
	$t->set_var("version_name", $version_name);
	if ($version_type != $version_name) {
		$t->set_var("version_type", $version_type);
	}

	// parse articles menu
	if ($va_license_code & 2) {
		$sql  = " SELECT ac.category_id, ac.category_name ";
		$sql .= " FROM " . $table_prefix . "articles_categories ac ";
		$sql .= " WHERE ac.parent_category_id=0 ";
		$sql .= " ORDER BY ac.category_order ";
		$db->query($sql);
		if ($db->next_record()) {
			do {
				$articles_category_id = $db->f("category_id");
				$admin_menu_articles_url = "admin_articles.php?category_id=" . $articles_category_id;
				$t->set_var("menu_top_article", get_translation($db->f("category_name")));
				$t->set_var("admin_menu_articles_url", $admin_menu_articles_url);

				$t->parse("menu_top_articles", true);
				$t->parse("submenu_top_articles", true);
			} while($db->next_record());
		}		
		$t->parse("menu_articles",false);
	}

  // shop - 1, cms - 2, helpdesk - 4, forum - 8, ads - 16, manuals - 32
	$t->parse("menu_CMS",false);
	$t->parse("menu_System",false);
	if ($va_license_code & 1) {
		$t->parse("menu_Shop",false);
		$t->parse("menu_Orders",false);
	}
	if ($va_license_code & 4) {
		$t->parse("menu_Helpdesk",false);
	}
	if ($va_license_code & 8) {
		$t->parse("menu_Forum",false);
	}
	if ($va_license_code & 16) {
		$t->parse("menu_ads",false);
	}
	if ($va_license_code & 32) {
		$t->parse("menu_manual",false);
	}

	$titles = array(
		"System"   => "System",
		"CMS"      => "ViArt CMS",
		"Helpdesk" => "ViArt Helpdesk Support",
		"Shop"     => "ViArt SHOPping Cart",
		"Forum"    => "ViArt Forum",
		"Orders"   => "Sales Orders",
		"Ads"      => "Classified Ads",
		"users"    => "Customers",
		"articles" => "Articles",
		"manual" => "Manual"
	);
    				
	if ($section) {
		$t->set_var("header_menu_title", $titles[$section]);
		$t->sparse("submenu_".$section,false);
	} else {
		$t->set_var("header_menu_title", "Administration Menu");
	}


	// begin bookmarks
	$admin_id = get_session("session_admin_id");
	$current_version = va_version();
	// bookmarks are available only from version 2.8.1
	if (comp_vers($current_version, "2.8.1") <= 1) {
		$t->set_var("bookmark", "");
		$bookmarks = array();
		$sql  = " SELECT bookmark_id, title, url, notes, is_popup, image_path ";
		$sql .= " FROM " . $table_prefix . "bookmarks ";
		$sql .= " WHERE admin_id = " . $db->tosql($admin_id, INTEGER);
		$sql .= " ORDER BY title ";
		$db->query($sql);
		while ($db->next_record()) {
			$bookmark_id = $db->f("bookmark_id");
			$bookmark_values = array(
				"bookmark_id" => $bookmark_id, 
				"url" => $db->f("url"), 
				"title" => $db->f("title"), 
				"notes" => $db->f("notes"), 
				"is_popup" => $db->f("is_popup"), 
				"image_path" => $db->f("image_path")
			);
			$bookmarks[$bookmark_id][] = $bookmark_values;
		}
		
		foreach ($bookmarks as $bookmark_id => $bookmark_values) 
		{
			$count = sizeof($bookmark_values);
			for ($i = 0; $i < $count; $i++) 
			{
				$bookmark_id = $bookmark_values[$i]["bookmark_id"];
				$url = $bookmark_values[$i]["url"];
				$title = $bookmark_values[$i]["title"];
				$notes = $bookmark_values[$i]["notes"];
				$is_popup = $bookmark_values[$i]["is_popup"];
				$src = $bookmark_values[$i]["image_path"];
				
				$t->set_var("header_bookmark_id",  $bookmark_id);		  
				$t->set_var("header_bookmark_url",  $url);
				$t->set_var("header_bookmark_title", $title);
				$t->set_var("header_bookmark_notes", $notes);

				if (strlen($src)!=0) {
					$t->set_var("src", $src);
				} else {
					$t->set_var("src", "../images/icons/no-img.gif");
				}

				if ($is_popup == 1) {
					$t->set_var("target", "_blank");
				} else {
					$t->set_var("target", "_self");
				}
				
				$t->sparse("bookmark", true);
			}
		}
		$t->sparse("bookmarks", false);
	} else {
		$t->set_var("bookmarks", "");
	}
	// end bookmarks

	$t->parse("admin_header", false);

?>