<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_layout_page.php                                    ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once("./admin_config.php");
	include_once($root_folder_path . "includes/common.php");
	include_once($root_folder_path . "includes/record.php");
	include_once("../messages/" . $language_code . "/cart_messages.php");
	include_once("../messages/" . $language_code . "/forum_messages.php");
	include_once($root_folder_path . "messages/".$language_code."/admin_messages.php");

	check_admin_security("layouts");

	$va_license_code = va_license_code();
	$layout_id = get_param("layout_id");
	if (!strlen($layout_id))  { $layout_id = 0; }
	$art_cat_id = get_param("art_cat_id");
	$page_name = get_param("page_name");
	$layout_name = "";	$art_cat_name = "";	$index_page = ""; $products_page = ""; $basket_page = ""; $user_page = ""; $ads_page = ""; $forums_page = "";
	$is_layout = false;

	if (strlen($art_cat_id)) {
		$sql = "SELECT category_name FROM " . $table_prefix . "articles_categories WHERE category_id=" . $db->tosql($art_cat_id, INTEGER);
		$db->query($sql);
		if ($db->next_record()) {
			$art_cat_name = get_translation($db->f("category_name"));
			$is_layout = true;
		}
	} elseif ($page_name == "index") {
		$index_page = "Home Page";
		$is_layout = true;
	} elseif ($page_name == "products_list") {
		$products_page = "Products List";
		$is_layout = true;
	} elseif ($page_name == "products_details") {
		$products_page = "Products Detailed";
		$is_layout = true;
	} elseif ($page_name == "products_search") {
		$products_page = "Products Search";
		$is_layout = true;
	} elseif ($page_name == "basket") {
		$basket_page = "Basket Page";
		$is_layout = true;
	} elseif ($page_name == "user_list") {
		$user_page = "User Listing";
		$is_layout = true;
	} elseif ($page_name == "ads_list") {
		$ads_page = "Ads List";
		$is_layout = true;
	} elseif ($page_name == "ads_details") {
		$ads_page = "Ads Detailed";
		$is_layout = true;
	} elseif ($page_name == "manuals_list") {
		$manual_page = "Manual List";
		$is_layout = true;
	} elseif ($page_name == "manuals_articles") {
		$manual_page = "Manual Articles";
		$is_layout = true;
	} elseif ($page_name == "manuals_article_details") {
		$manual_page = "Manual Article Detailes";
		$is_layout = true;
	} elseif ($page_name == "manuals_search") {
		$manual_page = "Manual Search Results";
		$is_layout = true;
	} elseif ($page_name == "support_new") {
		$support_page = "New Ticket Page";
		$is_layout = true;
	}	elseif ($page_name == "forum_list") {
		$forums_page = "Forums List";
		$is_layout = true;
	} elseif ($page_name == "forum_topics") {
		$forums_page = "Forum Topics";
		$is_layout = true;
	} elseif ($page_name == "forum_topic") {
		$forums_page = "Forum Topic Thread";
		$is_layout = true;
	} elseif ($page_name == "site_map") {
		$site_map_page = "Site map Page";
		$is_layout = true;
	} elseif (strlen($layout_id)) {
		$sql = "SELECT layout_name FROM " . $table_prefix . "layouts WHERE layout_id=" . $db->tosql($layout_id, INTEGER);
		$db->query($sql);
		if ($db->next_record()) {
			$layout_name = $db->f("layout_name");
			$is_layout = true;
		}
	}

	$rp = get_param("rp");
	if (strlen($rp)) {
		$return_page = $rp;
	} elseif (strlen($art_cat_id)) {
		$return_page = "admin_articles.php?category_id=" . urlencode($art_cat_id);
	} elseif (strlen($index_page)) {
		$return_page = "admin_layouts.php";
	} elseif (strlen($products_page)) {
		$return_page = "admin_items_list.php";
	} elseif (strlen($basket_page)) {
		$return_page = "admin_layouts.php";
	} elseif (strlen($user_page)) {
		$return_page = "admin_layouts.php";
	} elseif (strlen($ads_page)) {
		$return_page = "admin_ads.php";
	} else {
		$return_page = "admin_layouts.php";
	}

	if (!$is_layout) {
		header("Location: " . $return_page);
		exit;
	}

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main", "admin_layout_page.html");

	$t->set_var("admin_href",              "admin.php");
	$t->set_var("admin_layouts_href",      "admin_layouts.php");
	$t->set_var("admin_layout_href",       "admin_layout.php");
	$t->set_var("admin_layout_page_href",  "admin_layout_page.php");
	$t->set_var("admin_items_list_href",   "admin_items_list.php");
	$t->set_var("admin_ads_href",          "admin_ads.php");
	$t->set_var("admin_articles_href",     "admin_articles.php");
	$t->set_var("admin_articles_top_href", "admin_articles_top.php");


	$r = new VA_Record($table_prefix . "page_settings");
	$r->add_textbox("left_column_width", TEXT, "Left Column Width");
	$r->add_textbox("middle_column_width", TEXT, "Middle Column Width");
	$r->add_textbox("right_column_width", TEXT, "Right Column Width");
	$r->add_checkbox("left_column_hide", TEXT);
	$r->add_checkbox("middle_column_hide", TEXT);
	$r->add_checkbox("right_column_hide", TEXT);

	$columns_values =
		array(
			array(1, 1), array(2, 2), array(3, 3),
			array(4, 4), array(5, 5), array(6, 6)
		);

	$categories_types =
		array(
			array(3, "Multi-level list with all categories"),
			array(4, "Tree-type categories structure")
		);

	$subcategories_types =
		array(
			array(1, "One-level list with short description"),
			array(2, "Two-level list with subcategories"),
		);

	$categories_images =
		array(
			array(1, "Default image (tree_top.gif)"),
			array(2, IMAGE_SMALL_MSG),
		);

	$prod_image_types =
		array(
			array(0, "Don't show image"),
			array(2, IMAGE_SMALL_MSG),
			array(3, IMAGE_LARGE_MSG)
		);

	$prod_desc_types =
		array(
			array(0, "Don't show description"),
			array(1, SHORT_DESCRIPTION_MSG),
			array(2, FULL_DESCRIPTION_MSG),
			array(3, HIGHLIGHTS_MSG),
			array(4, SPECIAL_OFFER_MSG),
		);

	$cat_desc_types =
		array(
			array(0, "Don't show description"),
			array(1, SHORT_DESCRIPTION_MSG),
			array(2, FULL_DESCRIPTION_MSG),
		);

	$cat_desc_images =
		array(
			array(0, "Don't show image"),
			array(2, IMAGE_SMALL_MSG),
			array(3, IMAGE_LARGE_MSG)
		);

	$man_desc_types =
		array(
			array(0, "Don't show description"),
			array(1, SHORT_DESCRIPTION_MSG),
			array(2, FULL_DESCRIPTION_MSG),
		);

	$man_desc_images =
		array(
			array(0, "Don't show image"),
			array(2, IMAGE_SMALL_MSG),
			array(3, IMAGE_LARGE_MSG)
		);

	$articles_image_types =
		array(
			array(0, "Don't show image"),
			array(2, IMAGE_SMALL_MSG),
			array(3, IMAGE_LARGE_MSG)
		);

	$articles_desc_types =
		array(
			array(0, "Don't show description"),
			array(1, SHORT_DESCRIPTION_MSG),
			array(2, FULL_DESCRIPTION_MSG),
			array(3, "Hot description")
		);

	$subs =
		array(
			array("0", "All"), array(1, 1), array(2, 2),
			array(3, 3), array(4, 4), array(5, 5), array(6, 6),
			array(7, 7), array(8, 8), array(9, 9), array(10, 10)
		);

	$records_per_page =
		array(
			array(1, 1), array(2, 2), array(3, 3), array(4, 4),
			array(5, 5), array(6, 6), array(8, 8), array(9, 9),
			array(10, 10), array(12, 12), array(15, 15), array(16, 16),
			array(20, 20), array(25, 25), array(30, 30), array(50, 50),
			array(75, 75), array(100, 100)
		);

	$top_records =
		array(
			array(1, 1), array(2, 2), array(3, 3), array(4, 4),
			array(5, 5), array(6, 6), array(7, 7), array(8, 8),
			array(9, 9), array(10, 10)
		);

	$use_tabs =
		array(
			array(1, "On different pages delimited by tabs"),
			array(0, "On one page as one block")
		);

	$image_effect =
		array(
			array(1, "Open large image in the new window"),
			array(2, "Use rollover effect to show it in the frame")
		);

	$language_selection =
		array(
			array(1, "Show images for language selection"),
			array(2, "Show listbox for language selection")
		);

	$currency_selection =
		array(
			array(1, "Show images for currency selection"),
			array(2, "Show listbox for currency selection")
		);

	$manufacturers_selection =
		array(
			array(1, "Show manufacturers one per row"),
			array(2, "Use listbox for manufacturers selection")
		);

	$merchants_selection =
		array(
			array(1, "Show merchants one per row"),
			array(2, "Use listbox for merchants selection")
		);

	$bestsellers_days =
		array(
			array(1,  "day"),
			array(7,  "week"),
			array(14, "two weeks"),
			array(30, "month"),
			array(60, "two month"),
			array(90, "three month")
		);

	$group_by_categories =
		array(
			array(0, "No grouping"),
			array(1, "Top categories only"),
			array(2, "All available categories"),
			array(3, "Selected categories")
		);

	$navigator_types =
		array(
			array(1, "Simple - only current page is shown"),
			array(2, "The current page is shown in the navigator center"),
			array(3, "A navigator splits to pages series"),
			array(4, "Shows links to all available pages")
		);


	if ($va_license_code & 1) {
		$order_statuses = get_db_values("SELECT * FROM " . $table_prefix . "order_statuses", array(array("", "Any")));
	}

	$user_types = array(); $block_user_types = array();
	$user_types[] = array("", "Any");
	$block_user_types[] = array("", "");
	$block_user_types[] = array("NON", "Non registered users");
	$block_user_types[] = array("ANY", "Any registered users");
	$sql = "SELECT type_id, type_name FROM " . $table_prefix . "user_types ";
	$db->query($sql);
	while ($db->next_record()) {
		$type_id = $db->f("type_id");
		$type_name = $db->f("type_name");
		$user_types[] = array($type_id, $type_name);
		$block_user_types[] = array($type_id, $type_name);
	}

	$admin_types = get_db_values("SELECT privilege_id, privilege_name FROM " . $table_prefix . "admin_privileges", array(array("", ""), array("ANY", "Any registered admin")));

	$ps = array(); $ps_checkboxes = array();
	$ps["category_description_type"] = 2;
	$ps["category_description_image"] = 3;
	$ps["manufacturer_info_type"] = 2;
	$ps["manufacturer_info_image"] = 3;
	$ps["forum_description_type"] = 2;
	$ps["forum_description_image"] = 3;

	$ps["categories_type"] = 1;
	$ps["categories_image"] = 1;
	$ps["categories_columns"] = 2;
	$ps["categories_subs"] = 0;
	$ps["subcategories_type"] = 1;
	$ps["subcategories_columns"] = 2;
	$ps["subcategories_subs"] = 0;
	$ps["products_recent_records"] = 5;
	$ps["products_recent_cols"] = 1;
	$ps["recent_image"] = 0;
	$ps["recent_desc"] = 0;
	$ps["bestsellers_records"] = 10;
	$ps["bestsellers_days"] = 7;
	$ps["bestsellers_status"] = "";
	$ps["bestsellers_image"] = 0;
	$ps["bestsellers_desc"] = 0;
	$ps["top_rated_image"] = 0;
	$ps["top_rated_desc"] = 0;
	$ps["top_viewed_image"] = 0;
	$ps["top_viewed_desc"] = 0;
	$ps["prod_latest_image"] = 0;
	$ps["prod_latest_desc"] = 0;
	$ps["products_latest_cols"] = 1;
	$ps["products_latest_recs"] = 10;
	$ps["prod_top_viewed_cols"] = 1;
	$ps["prod_top_viewed_recs"] = 10;
	$ps["language_selection"] = 1;
	$ps["currency_selection"] = 1;
	$ps["manufacturers_selection"] = 1;
	$ps["merchants_selection"] = 1;
	if ($page_name == "index" || $page_name == "products_list" || $page_name == "products_search" || $page_name == "user_list" || $page_name == "basket") {
		$ps["products_columns"] = 1;
		$ps["products_per_page"] = 10;
		$ps["products_nav_type"] = 1;
		$ps["products_nav_first_last"] = 0;
		$ps["products_nav_prev_next"] = 1;
		$ps_checkboxes[] = "products_nav_first_last";
		$ps_checkboxes[] = "products_nav_prev_next";
		$ps["products_nav_pages"] = 5;
		$ps["products_sortings"] = 1;
		$ps_checkboxes[] = "products_sortings";
		$ps["prod_offers_cols"] = 1;
		$ps["prod_offers_recs"] = 10;
		$ps["prod_recom_cols"] = 1;
		$ps["prod_recom_per_page"] = 10;
	} elseif ($page_name == "products_details") {
		$ps["prod_offers_cols"] = 1;
		$ps["prod_offers_recs"] = 10;
		$ps["related_columns"] = 1;
		$ps["related_per_page"] = 4;
		$ps["use_tabs"] = 0;
		$ps["image_effect"] = 1;
		$ps["prod_recom_cols"] = 1;
		$ps["prod_recom_per_page"] = 10;
	}
	// forum default settings
	$ps["forum_latest_cols"] = 1;
	$ps["forum_latest_recs"] = 10;
	$ps["forum_top_viewed_cols"] = 1;
	$ps["forum_top_viewed_recs"] = 10;

	// ads default settings
	$ps["ads_categories_type"] = 1;
	$ps["ads_categories_image"] = 1;
	$ps["ads_subcategories_type"] = 1;
	$ps["ads_subcategories_columns"] = 2;
	$ps["ads_subcategories_subs"] = 0;
	$ps["ads_cat_desc_type"] = 2;
	$ps["ads_cat_desc_image"] = 3;
	$ps["ads_recent_records"] = 5;
	$ps["ads_hot_recs"] = 10;
	$ps["ads_hot_cols"] = 1;
	$ps["ads_list_per_page"] = 10;
	$ps["ads_list_columns"] = 1;
	$ps["ads_details_tabs"] = 0;
	$ps["ads_user_type_id"] = "";
	$ps["ads_latest_cols"] = 1;
	$ps["ads_latest_recs"] = 10;
	$ps["ads_top_viewed_cols"] = 1;
	$ps["ads_top_viewed_recs"] = 10;

	// SMS block default settings
	$ps["sms_originator"] = "";
	$ps["sms_test_message"] = "SMS test message";

	if ($page_name == "index") {
		if ($va_license_code & 1) {
			$blocks["offers_block"] = PRODUCTS_TITLE . " (Special Offers)";
			$blocks["top_products_block"] = PRODUCTS_TITLE . " (Top Rated)";
			$blocks["products_top_sellers"] = PRODUCTS_TITLE . " (Top Sellers)";
			$blocks["products_latest"] = PRODUCTS_TITLE . " (" . LATEST_TITLE . ")";
			$blocks["products_top_viewed"] = PRODUCTS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
			$blocks["categories_block"] = PRODUCTS_TITLE . " (Categories List)";
			$blocks["subcategories_block"] = PRODUCTS_TITLE . " (Subcategories List)";
			$blocks["manufacturers_block"] = PRODUCTS_TITLE . " Manufacturers";
			$blocks["merchants_block"] = PRODUCTS_TITLE . " Merchants";
			$blocks["search_block"] = PRODUCTS_TITLE . " (Search Form)";
			$blocks["products_recently_viewed"] = PRODUCTS_TITLE . " (Recently Viewed)";
			$blocks["products_recommended"] = PRODUCTS_TITLE . " (Recommended for User)";
			$blocks["products_releases"] = PRODUCTS_TITLE . " Releases";
			$blocks["cart_block"] = "Small Cart";
		}

		$blocks["support_block"] = "Helpdesk (Submit Ticket)";

		$blocks["forum_search_block"] = FORUM_TITLE . " (" . SEARCH_TITLE . ")";
		$blocks["forum_latest"] = FORUM_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["forum_top_viewed"] = FORUM_TITLE . " (" . TOP_VIEWED_TITLE . ")";

		$blocks["ads_search"] = ADS_TITLE . " (Search Form)";
		$blocks["ads_hot"] = ADS_TITLE . " (Hot Offers)";
		$blocks["ads_recently_viewed"] = ADS_TITLE . " (Recently Viewed)";
		$blocks["ads_categories"] = ADS_TITLE . " (Categories List)";
		$blocks["ads_subcategories"] = ADS_TITLE . " (Subcategories List)";
		$blocks["ads_sellers"] = ADS_TITLE . " (Sellers)";
		$blocks["ads_latest"] = ADS_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["ads_top_viewed"] = ADS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
	} elseif ($page_name == "products_list" || $page_name == "user_list" || $page_name == "products_search") {
		if ($va_license_code & 1) {
			$blocks["products_breadcrumb"] = PRODUCTS_TITLE . " (Breadcrumb)";
			$blocks["offers_block"] = PRODUCTS_TITLE . " (Special Offers)";
			$blocks["top_products_block"] = PRODUCTS_TITLE . " (Top Rated)";
			$blocks["products_top_sellers"] = PRODUCTS_TITLE . " (Top Sellers)";
			$blocks["products_latest"] = PRODUCTS_TITLE . " (" . LATEST_TITLE . ")";
			$blocks["products_top_viewed"] = PRODUCTS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
			$blocks["search_block"] = PRODUCTS_TITLE . " (Search Form)";
			$blocks["products_recently_viewed"] = PRODUCTS_TITLE . " (Recently Viewed)";
			$blocks["products_recommended"] = PRODUCTS_TITLE . " (Recommended for User)";
			$blocks["categories_block"] = PRODUCTS_TITLE . " (Categories List)";
			$blocks["subcategories_block"] = PRODUCTS_TITLE . " (Subcategories List)";
			$blocks["manufacturers_block"] = PRODUCTS_TITLE . " (Manufacturers)";
			$blocks["merchants_block"] = PRODUCTS_TITLE . " (Merchants)";
			if ($page_name == "user_list") {
				$blocks["merchant_info_block"] = PRODUCTS_TITLE . " (Merchant Info)";
				$blocks["merchant_contact_block"] = CONTACT_MERCHANT_TITLE;
			} else {
				$blocks["category_description_block"] = PRODUCTS_TITLE . " (Category Info)";
				$blocks["manufacturer_info_block"] = PRODUCTS_TITLE . " (Manufacturer Info)";
			}
			$blocks["cart_block"] = "Small Cart";
			$blocks["products_block"] = PRODUCTS_TITLE . " List";
		}
	} elseif ($page_name == "products_details") {
		if ($va_license_code & 1) {
			$blocks["products_breadcrumb"] = PRODUCTS_TITLE . " (Breadcrumb)";
			$blocks["offers_block"] = PRODUCTS_TITLE . " (Special Offers)";
			$blocks["top_products_block"] = PRODUCTS_TITLE . " (Top Rated)";
			$blocks["products_top_sellers"] = PRODUCTS_TITLE . " (Top Sellers)";
			$blocks["products_latest"] = PRODUCTS_TITLE . " (" . LATEST_TITLE . ")";
			$blocks["products_top_viewed"] = PRODUCTS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
			$blocks["search_block"] = PRODUCTS_TITLE . " (Search Form)";
			$blocks["products_recently_viewed"] = PRODUCTS_TITLE . " (Recently Viewed)";
			$blocks["products_recommended"] = PRODUCTS_TITLE . " (Recommended for User)";
			$blocks["category_description_block"] = PRODUCTS_TITLE . " (Category Info)";
			$blocks["categories_block"] = PRODUCTS_TITLE . " (Categories List)";
			$blocks["subcategories_block"] = PRODUCTS_TITLE . " (Subcategories List)";
			$blocks["manufacturers_block"] = PRODUCTS_TITLE . " Manufacturers";
			$blocks["manufacturer_info_block"] = PRODUCTS_TITLE . " (Manufacturer Info)";
			$blocks["merchants_block"] = PRODUCTS_TITLE . " Merchants";
			$blocks["cart_block"] = "Small Cart";
			$blocks["details_block"] = "Product Details";
			$blocks["related_block"] = PRODUCTS_TITLE . " (Related)";
		}
	} elseif ($page_name == "basket") {
		if ($va_license_code & 1) {
			$blocks["basket_block"] = CART_TITLE;
			$blocks["basket_recommended_block"] = PRODUCTS_RECOMMENDED_TITLE;
			$blocks["offers_block"] = PRODUCTS_TITLE . " (Special Offers)";
			$blocks["top_products_block"] = PRODUCTS_TITLE . " (Top Rated)";
			$blocks["products_top_sellers"] = PRODUCTS_TITLE . " (Top Sellers)";
			$blocks["products_latest"] = PRODUCTS_TITLE . " (" . LATEST_TITLE . ")";
			$blocks["products_top_viewed"] = PRODUCTS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
			$blocks["categories_block"] = PRODUCTS_TITLE . " (Categories List)";
			$blocks["subcategories_block"] = PRODUCTS_TITLE . " (Subcategories List)";
			$blocks["manufacturers_block"] = PRODUCTS_TITLE . " Manufacturers";
			$blocks["merchants_block"] = PRODUCTS_TITLE . " Merchants";
			$blocks["search_block"] = PRODUCTS_TITLE . " (Search Form)";
			$blocks["products_recently_viewed"] = PRODUCTS_TITLE . " (Recently Viewed)";
			$blocks["products_recommended"] = PRODUCTS_TITLE . " (Recommended for User)";
			$blocks["products_releases"] = PRODUCTS_TITLE . " Releases";
			$blocks["cart_block"] = "Small Cart";
		}
		$blocks["support_block"] = "Helpdesk (Submit Ticket)";

		$blocks["forum_search_block"] = FORUM_TITLE . " (" . SEARCH_TITLE . ")";
		$blocks["forum_latest"] = FORUM_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["forum_top_viewed"] = FORUM_TITLE . " (" . TOP_VIEWED_TITLE . ")";

		$blocks["ads_search"] = ADS_TITLE . " (Search Form)";
		$blocks["ads_hot"] = ADS_TITLE . " (Hot Offers)";
		$blocks["ads_recently_viewed"] = ADS_TITLE . " (Recently Viewed)";
		$blocks["ads_categories"] = ADS_TITLE . " (Categories List)";
		$blocks["ads_subcategories"] = ADS_TITLE . " (Subcategories List)";
		$blocks["ads_sellers"] = ADS_TITLE . " (Sellers)";
		$blocks["ads_latest"] = ADS_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["ads_top_viewed"] = ADS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
	} elseif ($page_name == "ads_list") {
		if ($va_license_code & 1) {
			$blocks["cart_block"] = "Small Cart";
		}

		$blocks["ads_breadcrumb"] = ADS_TITLE . " (Breadcrumb)";
		$blocks["ads_search"] = ADS_TITLE . " (Search Form)";
		$blocks["ads_hot"] = ADS_TITLE . " (Hot Offers)";
		$blocks["ads_recently_viewed"] = ADS_TITLE . " (Recently Viewed)";
		$blocks["ads_category_info"] = ADS_TITLE . " (Category Info)";
		$blocks["ads_categories"] = ADS_TITLE . " (Categories List)";
		$blocks["ads_subcategories"] = ADS_TITLE . " (Subcategories List)";
		$blocks["ads_sellers"] = ADS_TITLE . " (Sellers)";
		$blocks["ads_latest"] = ADS_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["ads_top_viewed"] = ADS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
		$blocks["ads_list"] = ADS_TITLE . " List";
	} elseif ($page_name == "ads_details") {
		if ($va_license_code & 1) {
			$blocks["cart_block"] = "Small Cart";
		}

		$blocks["ads_breadcrumb"] = ADS_TITLE . " (Breadcrumb)";
		$blocks["ads_search"] = ADS_TITLE . " (Search Form)";
		$blocks["ads_hot"] = ADS_TITLE . " (Hot Offers)";
		$blocks["ads_recently_viewed"] = ADS_TITLE . " (Recently Viewed)";
		$blocks["ads_category_info"] = ADS_TITLE . " (Category Info)";
		$blocks["ads_categories"] = ADS_TITLE . " (Categories List)";
		$blocks["ads_subcategories"] = ADS_TITLE . " (Subcategories List)";
		$blocks["ads_sellers"] = ADS_TITLE . " (Sellers)";
		$blocks["ads_latest"] = ADS_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["ads_top_viewed"] = ADS_TITLE . " (" . TOP_VIEWED_TITLE . ")";
		$blocks["ads_details"] = "Ad Details";
	} elseif ($page_name == "forum_list") {
		$blocks["forum_list"] = FORUM_TITLE . " List";
		$blocks["forum_breadcrumb"] = FORUM_TITLE ." (Breadcrumb)";
		$blocks["forum_search_block"] = FORUM_TITLE . " (" . SEARCH_TITLE . ")";
		$blocks["forum_latest"] = FORUM_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["forum_top_viewed"] = FORUM_TITLE . " (" . TOP_VIEWED_TITLE . ")";
	}	elseif ($page_name == "forum_topics") {
		$blocks["forum_breadcrumb"] = FORUM_TITLE . " (Breadcrumb)";
		$blocks["forum_search_block"] = FORUM_TITLE . " (" . SEARCH_TITLE . ")";
		$blocks["forum_latest"] = FORUM_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["forum_top_viewed"] = FORUM_TITLE . " (" . TOP_VIEWED_TITLE . ")";
		$blocks["forum_description"] = FORUM_TITLE . " (" . DESCRIPTION_MSG . ")";
		$blocks["forum_topics_block"] = FORUM_TITLE . " (Topics List / New Topic)";
	} elseif ($page_name == "forum_topic") {
		$blocks["forum_breadcrumb"] = FORUM_TITLE . " (Breadcrumb)";
		$blocks["forum_search_block"] = FORUM_TITLE . " (" . SEARCH_TITLE . ")";
		$blocks["forum_latest"] = FORUM_TITLE . " (" . LATEST_TITLE . ")";
		$blocks["forum_top_viewed"] = FORUM_TITLE . " (" . TOP_VIEWED_TITLE . ")";
		$blocks["forum_description"] = FORUM_TITLE . " (" . DESCRIPTION_MSG . ")";
		$blocks["forum_view_topic"] = FORUM_TITLE . " (Topic Thread)";
	} elseif ($page_name == "support_new") {
		// Support block
		$blocks["support_block"] = "Helpdesk (Submit Ticket)";
	} elseif ($page_name == "manuals_list" && ($va_license_code & 32) ) {
		// Add manuals block
		$blocks["manuals_list"] = "Manuals List";
		$blocks["manuals_search"] = "Manual (Search)";
		$blocks["manuals_breadcrumb"] = "Manual (Breadcrumb)";
	} elseif ($page_name == "manuals_articles" && ($va_license_code & 32) ) {
		// Add manuals block
		$blocks["manuals_articles"] = "Manual (Articles List)";
		$blocks["manuals_search"] = "Manual (Search)";
		$blocks["manuals_breadcrumb"] = "Manual (Breadcrumb)";
	} elseif ($page_name == "manuals_article_details" && ($va_license_code & 32) ) {
		// Add manuals block
		$blocks["manuals_article_details"] = "Manual (Article Details)";
		$blocks["manuals_articles"] = "Manual (Articles List)";
		$blocks["manuals_search"] = "Manual (Search)";
		$blocks["manuals_breadcrumb"] = "Manual (Breadcrumb)";
	} elseif ($page_name == "manuals_search" && ($va_license_code & 32) ) {
		// Add manuals block
		$blocks["manuals_search"] = "Manual (Search)";
		$blocks["manuals_search_results"] = "Manual (Search Results)";
		$blocks["manuals_breadcrumb"] = "Manual (Breadcrumb)";
	} elseif ($page_name == "site_map") {
		$blocks["site_map_block"] = "Site map";
	} else {
		if ($va_license_code & 1) {
			$blocks["cart_block"] = "Small Cart";
		}
	}

	$blocks["login_block"] = "Login Form";
	$blocks["subscribe_block"] = "Newsletter Subscription";
	$blocks["poll_block"] = "Poll";
	$blocks["language_block"] = "Languages";
	$blocks["currency_block"] = "Currencies";

	// Get all menus and add as blocks next name "navigation_block_<menu_id>"
	$sql  = " SELECT * FROM " . $table_prefix . "menus";
	$sql .= " ORDER BY menu_title ";
	$db->query($sql);
	$menus = array();
	while ($db->next_record()) {
		$navblock_title = $db->f("menu_title");
		$navblcok_notes = $db->f("menu_notes");
		if ($navblcok_notes != "") {
			$navblock_title .= " (" . $navblcok_notes . ")";
		}
		$blocks["navigation_block_" . $db->f("menu_id")] = $navblock_title;
	}

	$articles_categories = array();

	if ($va_license_code & 2) {
		if (strlen($art_cat_id) == 0) {
			$sql  = " SELECT ac.category_id, ac.category_name ";
			$sql .= " FROM " . $table_prefix . "articles_categories ac ";
			$sql .= " WHERE ac.parent_category_id=0 ";
		} else {
			$sql  = " SELECT ac.category_id, ac.category_name ";
			$sql .= " FROM " . $table_prefix . "articles_categories ac ";
			$sql .= " WHERE ac.category_id=" . $db->tosql($art_cat_id, INTEGER);
		}
		$db->query($sql);
		while ($db->next_record()) {
			$row_cat_id = $db->f("category_id");
			$row_cat_name = get_translation($db->f("category_name"));

			if (strlen($art_cat_id) != 0 || $page_name == "index" || $page_name == "support_new" || $page_name == "basket") {
				$articles_categories[$row_cat_id] = $row_cat_name;
				$blocks["a_cats_" . $row_cat_id] = $row_cat_name . " (Categories List)";
				$ps["a_cats_type_" . $row_cat_id] = 1;
				$ps["a_cats_image_" . $row_cat_id] = 1;
				$ps["a_subcats_cols_" . $row_cat_id] = 2;
				$ps["a_subcats_subs_" . $row_cat_id] = 0;
				$ps["a_subcats_type_" . $row_cat_id] = 1;
				$blocks["a_subcats_" . $row_cat_id] = $row_cat_name . " (Subcategories List)";

				$ps["a_cat_desc_image_" . $row_cat_id] = 2;
				$ps["a_cat_desc_type_" . $row_cat_id] = 3;

				$blocks["a_hot_" . $row_cat_id] = $row_cat_name . " (" . HOT_TITLE . ")";
				$ps["a_hot_cols_" . $row_cat_id] = 1;
				$ps["a_hot_recs_" . $row_cat_id] = 5;

				$blocks["a_latest_" . $row_cat_id] = $row_cat_name . " (" . LATEST_TITLE . ")";
				$ps["a_latest_group_by_" . $row_cat_id] = 0;
				$ps["a_latest_cats_" . $row_cat_id] = "";
				$ps["a_latest_subcats_" . $row_cat_id] = 0;
				$ps_checkboxes[] = "a_latest_subcats_" . $row_cat_id;
				$ps["a_latest_recs_" . $row_cat_id] = 10;
				$ps["a_latest_subrecs_" . $row_cat_id] = 0;
				$ps["a_latest_cols_" . $row_cat_id] = 1;
				$ps["a_latest_image_" . $row_cat_id] = 0;
				$ps["a_latest_desc_" . $row_cat_id] = 1;

				$blocks["a_top_rated_" . $row_cat_id] = $row_cat_name . " (" . TOP_RATED_TITLE . ")";
				$blocks["a_top_viewed_" . $row_cat_id] = $row_cat_name . " (" . TOP_VIEWED_TITLE . ")";
				$ps["a_top_viewed_recs_" . $row_cat_id] = 10;
				$ps["a_top_viewed_cols_" . $row_cat_id] = 1;

				$blocks["a_search_" . $row_cat_id] = $row_cat_name . " (" . SEARCH_TITLE . ")";

				if ($page_name == "list") {
					$ps["a_list_cols_" . $row_cat_id] = 1;
					$ps["a_list_recs_" . $row_cat_id] = 10;
					$blocks["a_breadcrumb_" . $row_cat_id] = $row_cat_name . " (Breadcrumb)";
					$blocks["a_list_" . $row_cat_id] = $row_cat_name . " (Articles List)";
					$blocks["a_content_" . $row_cat_id] = $row_cat_name . " (Category Content)";
					$blocks["a_cat_desc_" . $row_cat_id] = $row_cat_name . " (Category Info)";
				} elseif ($page_name == "details") {
					$blocks["a_breadcrumb_" . $row_cat_id] = $row_cat_name . " (Breadcrumb)";
					$blocks["a_details_" . $row_cat_id] = $row_cat_name . " (Article Details)";
					$blocks["a_related_" . $row_cat_id] = $row_cat_name . " (" . RELATED_TITLE . ")";
					$blocks["a_cat_desc_" . $row_cat_id] = $row_cat_name . " (Category Info)";
				}
			}
		}
	}

	// get all custom blocks
	$custom_blocks = array();
	$sql = " SELECT block_id, block_name FROM " . $table_prefix . "custom_blocks ";
	$db->query($sql);
	while ($db->next_record()) {
		$block_id = $db->f("block_id");
		$block_name = get_translation($db->f("block_name"));

		$custom_blocks[$block_id] = $block_name;
		$blocks["custom_block_" . $block_id] = "Block (" . $block_name. ")";
		$ps["cb_user_type_" . $block_id] = "";
		$ps["cb_admin_type_" . $block_id] = "";
		$ps["cb_params_" . $block_id] = "";
	}

	// get all banners groups
	$banners_groups = array();
	$sql = " SELECT * FROM " . $table_prefix . "banners_groups ";
	$db->query($sql);
	while ($db->next_record()) {
		$group_id = $db->f("group_id");
		$group_name = get_translation($db->f("group_name"));

		$banners_groups[$group_id] = $group_name;
		$blocks["banners_group_" . $group_id] = "Banners (" . $group_name . ")";
		$ps["bg_params_" . $group_id] = "";
		$ps["bg_limit_" . $group_id] = "";
	}

	// SMS block
	$blocks["sms_test_block"] = "SMS (Test Message)";

	$left_blocks = array();
	$middle_blocks = array();
	$right_blocks = array();
	$available_blocks = array();

	$r->get_form_parameters();

	$operation = get_param("operation");

	if (strlen($operation))
	{
		if ($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		$available_list = get_param("available_list");
		$left_list = get_param("left_list");
		$middle_list = get_param("middle_list");
		$right_list = get_param("right_list");
		if ($available_list) {
			$available_array = split(",", $available_list);
			for ($i = 0; $i < sizeof($available_array); $i++) {
				$available_blocks[] = array($available_array[$i], $blocks[$available_array[$i]]);
			}
		}
		if ($left_list) {
			if ($r->get_value("left_column_hide") == 0) {
				$r->parameters["left_column_width"][REQUIRED] = true;
			}
			$left_array = split(",", $left_list);
			for ($i = 0; $i < sizeof($left_array); $i++) {
				$left_blocks[] = array($left_array[$i], $blocks[$left_array[$i]]);
			}
		}
		if ($middle_list) {
			if ($r->get_value("middle_column_hide") == 0) {
				$r->parameters["middle_column_width"][REQUIRED] = true;
			}
			$middle_array = split(",", $middle_list);
			for ($i = 0; $i < sizeof($middle_array); $i++) {
				$middle_blocks[] = array($middle_array[$i], $blocks[$middle_array[$i]]);
			}
		}
		if ($right_list) {
			if ($r->get_value("right_column_hide") == 0) {
				$r->parameters["right_column_width"][REQUIRED] = true;
			}
			$right_array = split(",", $right_list);
			for ($i = 0; $i < sizeof($right_array); $i++) {
				$right_blocks[] = array($right_array[$i], $blocks[$right_array[$i]]);
			}
		}

		$r->validate();

		if (!strlen($r->errors))
		{
			if (strlen($art_cat_id)) {
				$page_name_value = "a_" . $page_name . "_" . $art_cat_id;
				$sql  = " DELETE FROM " . $table_prefix . "page_settings WHERE layout_id=" . $db->tosql($layout_id, INTEGER);
				$sql .= " AND page_name=" . $db->tosql($page_name_value, TEXT);
			} else {
				$page_name_value = $page_name;
				$sql  = " DELETE FROM " . $table_prefix . "page_settings WHERE layout_id=" . $db->tosql($layout_id, INTEGER);
				$sql .= " AND page_name=" . $db->tosql($page_name, TEXT);
			}
			set_session("session_" . $page_name_value .  "_settings", "");
			$db->query($sql);
			foreach ($r->parameters as $key => $value)
			{
				$sql  = " INSERT INTO " . $table_prefix . "page_settings (layout_id, page_name, setting_name, setting_value) VALUES (";
				$sql .= $db->tosql($layout_id, INTEGER) . ",";
				$sql .= $db->tosql($page_name_value, TEXT) . ",";
				$sql .= $db->tosql($key, TEXT) . ",";
				$sql .= $db->tosql($value[CONTROL_VALUE], TEXT) . ")";
				$db->query($sql);
			}
			foreach ($ps as $key => $value)
			{
				$value = get_param($key);
				if (!$value && in_array($key, $ps_checkboxes)) {
					$value = "0";
				}

				$sql  = " INSERT INTO " . $table_prefix . "page_settings (layout_id, page_name, setting_name, setting_value) VALUES (";
				$sql .= $db->tosql($layout_id, INTEGER) . ",";
				$sql .= $db->tosql($page_name_value, TEXT) . ",";
				$sql .= $db->tosql($key, TEXT) . ",";
				$sql .= $db->tosql($value, TEXT) . ")";
				$db->query($sql);
			}
			for ($i = 0; $i < sizeof($left_blocks); $i++) {
				$sql  = " INSERT INTO " . $table_prefix . "page_settings (layout_id, page_name, setting_name, setting_order, setting_value) VALUES (";
				$sql .= $db->tosql($layout_id, INTEGER) . ",";
				$sql .= $db->tosql($page_name_value, TEXT) . ",";
				$sql .= $db->tosql($left_blocks[$i][0], TEXT) . "," . $i . ",'left')";
				$db->query($sql);
			}
			for ($i = 0; $i < sizeof($middle_blocks); $i++) {
				$sql  = " INSERT INTO " . $table_prefix . "page_settings (layout_id, page_name, setting_name, setting_order, setting_value) VALUES (";
				$sql .= $db->tosql($layout_id, INTEGER) . ",";
				$sql .= $db->tosql($page_name_value, TEXT) . ",";
				$sql .= $db->tosql($middle_blocks[$i][0], TEXT) . "," . $i . ",'middle')";
				$db->query($sql);
			}
			for ($i = 0; $i < sizeof($right_blocks); $i++) {
				$sql  = " INSERT INTO " . $table_prefix . "page_settings (layout_id, page_name, setting_name, setting_order, setting_value) VALUES (";
				$sql .= $db->tosql($layout_id, INTEGER) . ",";
				$sql .= $db->tosql($page_name_value, TEXT) . ",";
				$sql .= $db->tosql($right_blocks[$i][0], TEXT) . "," . $i . ",'right')";
				$db->query($sql);
			}

			header("Location: " . $return_page);
			exit;
		}
	}
	else
	{
		if (strlen($art_cat_id)) {
			$page_name_value = "a_" . $page_name . "_" . $art_cat_id;
		} else {
			$page_name_value = $page_name;
		}
		$sql  = " SELECT setting_name,setting_value FROM " . $table_prefix . "page_settings ";
		$sql .= " WHERE layout_id=" . $db->tosql($layout_id, INTEGER);
		$sql .= " AND page_name=" . $db->tosql($page_name_value, TEXT);
		$sql .= " ORDER BY setting_order ";
		$db->query($sql);
		while ($db->next_record()) {
			$setting_name = $db->f("setting_name");
			$setting_value = $db->f("setting_value");
			if (isset($blocks[$setting_name])) {
			  if ($setting_value == "left") {
					$left_blocks[] = array($setting_name, $blocks[$setting_name]);
					$left_blocks_values[$setting_name] = $setting_value;
				} elseif ($setting_value == "middle") {
					$middle_blocks[] = array($setting_name, $blocks[$setting_name]);
					$middle_blocks_values[$setting_name] = $setting_value;
				} elseif ($setting_value == "right") {
					$right_blocks[] = array($setting_name, $blocks[$setting_name]);
					$right_blocks_values[$setting_name] = $setting_value;
				}
			} elseif (isset($r->parameters[$setting_name])) {
				$r->set_value($setting_name, $setting_value);
			} else {
				$ps[$setting_name] = $setting_value;
			}
		}

		foreach ($blocks as $block_name => $block_title)
		{
			if (!isset($left_blocks_values[$block_name]) &&
				!isset($middle_blocks_values[$block_name]) &&
				!isset($right_blocks_values[$block_name])) {
				$available_blocks[] = array($block_name, $block_title);
			}
		}

	}

	$r->set_form_parameters();

	// parse custom block options
	if (sizeof($custom_blocks) > 0) {
		foreach ($custom_blocks as $block_id => $block_name) {
			$t->set_var("block_id", $block_id);
			$t->set_var("block_name", $block_name);

			set_options($block_user_types, $ps["cb_user_type_" . $block_id], "cb_user_type");
			set_options($admin_types, $ps["cb_admin_type_" . $block_id], "cb_admin_type");
			$t->set_var("cb_params", htmlspecialchars($ps["cb_params_" . $block_id]));

			$t->parse("custom_options", true);
		}
	}

	// parse banners options
	if (sizeof($banners_groups) > 0) {
		foreach ($banners_groups as $group_id => $group_name) {
			$t->set_var("group_id", $group_id);
			$t->set_var("group_name", $group_name);

			$t->set_var("bg_params", htmlspecialchars($ps["bg_params_" . $group_id]));
			$t->set_var("bg_limit", htmlspecialchars($ps["bg_limit_" . $group_id]));

			$t->parse("banners_options", true);
		}
	}

	// set products categories settings
	set_options($categories_types, $ps["categories_type"], "categories_type");
	set_options($categories_images, $ps["categories_image"], "categories_image");
	set_options($language_selection, $ps["language_selection"], "language_selection");
	set_options($currency_selection, $ps["currency_selection"], "currency_selection");
	set_options($manufacturers_selection, $ps["manufacturers_selection"], "manufacturers_selection");
	set_options($merchants_selection, $ps["merchants_selection"], "merchants_selection");

	// set products subcategories settings
	set_options($subcategories_types, $ps["subcategories_type"], "subcategories_type");
	set_options($columns_values, $ps["subcategories_columns"], "subcategories_columns");
	set_options($subs, $ps["subcategories_subs"], "subcategories_subs");

	// set products blocks settings
	$t->set_var("products_recent_records", $ps["products_recent_records"]);
	set_options($columns_values, $ps["products_recent_cols"], "products_recent_cols");
	set_options($top_records, $ps["bestsellers_records"], "bestsellers_records");
	set_options($bestsellers_days, $ps["bestsellers_days"], "bestsellers_days");
	if ($va_license_code & 1) {
		set_options($prod_image_types, $ps["recent_image"], "recent_image");
		set_options($prod_desc_types, $ps["recent_desc"], "recent_desc");
		set_options($order_statuses, $ps["bestsellers_status"], "bestsellers_status");
		set_options($prod_image_types, $ps["bestsellers_image"], "bestsellers_image");
		set_options($prod_desc_types, $ps["bestsellers_desc"], "bestsellers_desc");
		set_options($prod_image_types, $ps["top_rated_image"], "top_rated_image");
		set_options($prod_desc_types, $ps["top_rated_desc"], "top_rated_desc");
		set_options($prod_image_types, $ps["top_viewed_image"], "top_viewed_image");
		set_options($prod_desc_types, $ps["top_viewed_desc"], "top_viewed_desc");
		set_options($prod_image_types, $ps["prod_latest_image"], "prod_latest_image");
		set_options($prod_desc_types, $ps["prod_latest_desc"], "prod_latest_desc");
		set_options($cat_desc_types, $ps["category_description_type"], "category_description_type");
		set_options($cat_desc_images, $ps["category_description_image"], "category_description_image");
		set_options($man_desc_types, $ps["manufacturer_info_type"], "manufacturer_info_type");
		set_options($man_desc_images, $ps["manufacturer_info_image"], "manufacturer_info_image");
	}
	set_options($columns_values, $ps["products_latest_cols"], "products_latest_cols");
	set_options($records_per_page, $ps["products_latest_recs"], "products_latest_recs");

	$t->set_var("prod_top_viewed_recs", $ps["prod_top_viewed_recs"]);
	set_options($columns_values, $ps["prod_top_viewed_cols"], "prod_top_viewed_cols");

	// set ads categories settings
	set_options($categories_types, $ps["ads_categories_type"], "ads_categories_type");
	set_options($categories_images, $ps["ads_categories_image"], "ads_categories_image");

	// set ads subcategories settings
	set_options($subcategories_types, $ps["ads_subcategories_type"], "ads_subcategories_type");
	set_options($columns_values, $ps["ads_subcategories_columns"], "ads_subcategories_columns");
	set_options($subs, $ps["ads_subcategories_subs"], "ads_subcategories_subs");

	// set ads category description settings
	set_options($cat_desc_types, $ps["ads_cat_desc_type"], "ads_cat_desc_type");
	set_options($cat_desc_images, $ps["ads_cat_desc_image"], "ads_cat_desc_image");

	// set forum blocks settings
	$t->set_var("forum_latest_recs", $ps["forum_latest_recs"]);
	$t->set_var("forum_latest_cols", $ps["forum_latest_cols"]);
	$t->set_var("forum_top_viewed_recs", $ps["forum_top_viewed_recs"]);
	$t->set_var("forum_top_viewed_cols", $ps["forum_top_viewed_cols"]);
	set_options($cat_desc_types, $ps["forum_description_type"], "forum_description_type");
	set_options($cat_desc_images, $ps["forum_description_image"], "forum_description_image");

	// set ads blocks settings
	set_options($top_records, $ps["ads_recent_records"], "ads_recent_records");
	set_options($records_per_page, $ps["ads_hot_recs"], "ads_hot_recs");
	set_options($columns_values, $ps["ads_hot_cols"], "ads_hot_cols");
	set_options($records_per_page, $ps["ads_list_per_page"], "ads_list_per_page");
	set_options($columns_values, $ps["ads_list_columns"], "ads_list_columns");
	set_options($use_tabs, $ps["ads_details_tabs"], "ads_details_tabs");
	set_options($user_types, $ps["ads_user_type_id"], "ads_user_type_id");
	set_options($columns_values, $ps["ads_latest_cols"], "ads_latest_cols");
	set_options($records_per_page, $ps["ads_latest_recs"], "ads_latest_recs");
	$t->set_var("ads_top_viewed_recs", $ps["ads_top_viewed_recs"]);
	$t->set_var("ads_top_viewed_cols", $ps["ads_top_viewed_cols"]);

	// SMS block settings
	$t->set_var("sms_originator", $ps["sms_originator"]);
	$t->set_var("sms_test_message", $ps["sms_test_message"]);

	if ($page_name == "index" || $page_name == "basket") {
		$t->set_var("prod_offers_recs", $ps["prod_offers_recs"]);
		$t->set_var("prod_offers_cols", $ps["prod_offers_cols"]);
		$t->set_var("prod_recom_per_page", $ps["prod_recom_per_page"]);
		$t->set_var("prod_recom_cols", $ps["prod_recom_cols"]);
	} elseif ($page_name == "products_list" || $page_name == "products_search" || $page_name == "user_list") {
		$t->set_var("prod_offers_recs", $ps["prod_offers_recs"]);
		$t->set_var("prod_offers_cols", $ps["prod_offers_cols"]);
		$t->set_var("prod_recom_per_page", $ps["prod_recom_per_page"]);
		$t->set_var("prod_recom_cols", $ps["prod_recom_cols"]);
		$t->set_var("products_per_page", $ps["products_per_page"]);
		$t->set_var("products_columns", $ps["products_columns"]);
		set_options($navigator_types, $ps["products_nav_type"], "products_nav_type");
		$t->set_var("products_nav_pages", $ps["products_nav_pages"]);
		if ($ps["products_nav_first_last"] == 1) {
			$t->set_var("products_nav_first_last", "checked");
		} else {
			$t->set_var("products_nav_first_last", "");
		}
		if ($ps["products_nav_prev_next"] == 1) {
			$t->set_var("products_nav_prev_next", "checked");
		} else {
			$t->set_var("products_nav_prev_next", "");
		}
		if ($ps["products_sortings"] == 1) {
			$t->set_var("products_sortings", "checked");
		} else {
			$t->set_var("products_sortings", "");
		}

		//set_options($records_per_page, $ps["products_per_page"], "products_per_page");
		$t->parse("products_settings", false);
	} elseif ($page_name == "products_details") {
		$t->set_var("prod_offers_recs", $ps["prod_offers_recs"]);
		$t->set_var("prod_offers_cols", $ps["prod_offers_cols"]);
		$t->set_var("prod_recom_per_page", $ps["prod_recom_per_page"]);
		$t->set_var("prod_recom_cols", $ps["prod_recom_cols"]);
		set_options($columns_values, $ps["related_columns"], "related_columns");
		set_options($records_per_page, $ps["related_per_page"], "related_per_page");
		set_options($use_tabs, $ps["use_tabs"], "use_tabs");
		set_options($image_effect, $ps["image_effect"], "image_effect");
		$t->parse("product_settings", false);
	}

	foreach ($articles_categories as $row_cat_id => $row_cat_name)
	{
		$t->set_var("row_cat_id", $row_cat_id);
		$t->set_var("row_cat_name", $row_cat_name);

		set_options($categories_types, $ps["a_cats_type_" . $row_cat_id], "a_cats_type");
		set_options($categories_images, $ps["a_cats_image_" . $row_cat_id], "a_cats_image");

		set_options($subcategories_types, $ps["a_subcats_type_" . $row_cat_id], "a_subcats_type");
		set_options($columns_values, $ps["a_subcats_cols_".$row_cat_id], "a_subcats_cols");
		set_options($subs, $ps["a_subcats_subs_" . $row_cat_id], "a_subcats_subs");

		set_options($cat_desc_images, $ps["a_cat_desc_image_".$row_cat_id], "a_cat_desc_image");
		set_options($cat_desc_types, $ps["a_cat_desc_type_".$row_cat_id], "a_cat_desc_type");

		set_options($group_by_categories, $ps["a_latest_group_by_".$row_cat_id], "a_latest_group_by");
		$t->set_var("a_latest_cats", $ps["a_latest_cats_".$row_cat_id]);
		if ($ps["a_latest_subcats_".$row_cat_id] == 1) {
			$t->set_var("a_latest_subcats", "checked");
		} else {
			$t->set_var("a_latest_subcats", "");
		}
		$t->set_var("a_latest_recs", $ps["a_latest_recs_".$row_cat_id]);
		$t->set_var("a_latest_subrecs", $ps["a_latest_subrecs_".$row_cat_id]);
		$t->set_var("a_latest_cols", $ps["a_latest_cols_".$row_cat_id]);

		set_options($articles_image_types, $ps["a_latest_image_".$row_cat_id], "a_latest_image");
		set_options($articles_desc_types, $ps["a_latest_desc_".$row_cat_id], "a_latest_desc");

		$t->set_var("a_top_viewed_cols", $ps["a_top_viewed_cols_".$row_cat_id]);
		$t->set_var("a_top_viewed_recs", $ps["a_top_viewed_recs_".$row_cat_id]);

		set_options($columns_values, $ps["a_hot_cols_".$row_cat_id], "a_hot_cols");
		set_options($records_per_page, $ps["a_hot_recs_".$row_cat_id], "a_hot_recs");

		if ($page_name == "list") {
			set_options($columns_values, $ps["a_list_cols_".$row_cat_id], "a_list_cols");
			set_options($records_per_page, $ps["a_list_recs_".$row_cat_id], "a_list_recs");
			$t->parse("articles_list_settings", true);
		} elseif ($page_name == "details") {
			$t->parse("articles_details_settings", true);
		}

		$t->parse("articles_settings", true);
	}


	set_options($available_blocks, "", "available_blocks");
	set_options($left_blocks, "", "left_blocks");
	set_options($middle_blocks, "", "middle_blocks");
	set_options($right_blocks, "", "right_blocks");


	if ($page_name == "index") {
		$t->set_var("page_name_desc", "Home");
	} elseif (strlen($art_cat_name)) {
		if ($page_name == "list") {
			$t->set_var("page_name_desc", "List");
		} elseif ($page_name == "details") {
			$t->set_var("page_name_desc", "Detailed");
		}
	} elseif ($products_page) {
		$t->set_var("page_name_desc", $products_page);
	} elseif ($basket_page) {
		$t->set_var("page_name_desc", $basket_page);
	} elseif ($user_page) {
		$t->set_var("page_name_desc", $user_page);
	} elseif ($ads_page) {
		$t->set_var("page_name_desc", $ads_page);
	} elseif ($forums_page) {
		$t->set_var("page_name_desc", $forums_page);
	}

	$t->set_var("layout_id", htmlspecialchars($layout_id));
	$t->set_var("art_cat_id", htmlspecialchars($art_cat_id));
	$t->set_var("page_name", htmlspecialchars($page_name));
	$t->set_var("rp", htmlspecialchars($return_page));


	$t->set_var("layouts_path", "");
	$t->set_var("articles_path", "");
	$t->set_var("products_path", "");
	$t->set_var("ads_path", "");
	if ($return_page == "admin_layouts.php") {
		if ($layout_name) {
		  $t->set_var("layout_name", $layout_name);
			$t->parse("layout_name_link", false);
		}
		$t->parse("layouts_path", false);
	} elseif (strlen($art_cat_name)) {
	  $t->set_var("art_cat_name", $art_cat_name);
		$t->parse("articles_path", false);
	} elseif (strlen($index_page)) {
		$t->parse("index_path", false);
	} elseif (strlen($products_page)) {
		$t->parse("products_path", false);
	} elseif (strlen($user_page)) {
		$t->parse("user_path", false);
	} elseif (strlen($ads_page)) {
		$t->parse("ads_path", false);
	} else {
		$t->set_var("layout_name", $layout_name);
		$t->parse("layout_name_link", false);
		$t->parse("layouts_path", false);
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>