<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_payment_systems.php                                ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("payment_systems");

	$operation = get_param("operation");
	$payment_id = get_param("payment_id");
	
	if(strlen($operation) && $payment_id) {
		if (strtolower($operation) == "off") {
			$sql  = " UPDATE " . $table_prefix . "payment_systems SET is_active=0 ";
			$sql .= " WHERE payment_id=" . $db->tosql($payment_id, INTEGER);
			$db->query($sql);
		} else if (strtolower($operation) == "on") {
			$sql  = " UPDATE " . $table_prefix . "payment_systems SET is_active=1 ";
			$sql .= " WHERE payment_id=" . $db->tosql($payment_id, INTEGER);
			$db->query($sql);
		}
	}

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_payment_systems.html");
	$t->set_var("admin_main", "admin.php");
	$t->set_var("admin_payment_system_href",   "admin_payment_system.php");
	$t->set_var("admin_credit_card_info_href", "admin_credit_card_info.php");
	$t->set_var("admin_order_final_href",      "admin_order_final.php");
	$t->set_var("admin_recurring_settings_href", "admin_recurring_settings.php");


	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_payment_systems.php");
	$s->set_sorter("ID", "sorter_payment_id", "1", "payment_id");
	$s->set_sorter("System Name", "sorter_payment_name", "2", "payment_name");
	$s->set_sorter("Active", "sorter_is_active", "3", "is_active");
	$s->set_sorter("Default", "sorter_is_default", "4", "is_default");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_payment_systems.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "payment_systems");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "payment_systems " . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$payment_id = $db->f("payment_id");
			$is_active = $db->f("is_active");
			$is_default = $db->f("is_default");
			$active = ($is_active == 1) ? "<b>Yes</b>" : "No";
			$is_default = ($is_default == 1) ? "<b>Yes</b>" : "No";
			$operation = ($is_active == 1) ? "Off" : "On";
			$t->set_var("payment_id", $payment_id);
			$t->set_var("payment_name", get_translation($db->f("payment_name"), $language_code));
			$t->set_var("active", $active);
			$t->set_var("is_default", $is_default);
			$t->set_var("operation", $operation);
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>