<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  admin_quote_print.php                                    ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./admin_config.php");
	include_once ($root_folder_path . "includes/common.php");
	include_once ($root_folder_path . "includes/record.php");
	include_once ($root_folder_path . "includes/order_items.php");
	include_once ($root_folder_path . "includes/parameters.php");
	include_once ("../messages/".$language_code."/cart_messages.php");

	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security();

	$currency = get_currency();
	$flag_mail = 0;
	$dbi = new VA_SQL();
	$dbi->DBType      = $db_type;
	$dbi->DBDatabase  = $db_name;
	$dbi->DBUser      = $db_user;
	$dbi->DBPassword  = $db_password;
	$dbi->DBHost      = $db_host;
	$dbi->DBPort      = $db_port;
	$dbi->DBPersistent= $db_persistent;

	$packing = array();
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='printable'";
	$db->query($sql);
	while($db->next_record()) {
		$packing[$db->f("setting_name")] = $db->f("setting_value");
	}

	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='order_info'";
	$db->query($sql);
	while($db->next_record()) {
		$order_info[$db->f("setting_name")] = $db->f("setting_value");
	}

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_quote_print.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_orders_href", "admin_orders.php");
	$t->set_var("admin_order_href", "admin_order.php");


	$t->set_var("CART_TITLE",          CART_TITLE);     
	$t->set_var("EMPTY_CART_MSG",      EMPTY_CART_MSG);     
	$t->set_var("PROD_TITLE_COLUMN",   PROD_TITLE_COLUMN);     
	$t->set_var("PROD_QTY_COLUMN",     PROD_QTY_COLUMN);         
	$t->set_var("PROD_PRICE_COLUMN",   PROD_PRICE_COLUMN);       
	$t->set_var("PROD_TOTAL_COLUMN",   PROD_TOTAL_COLUMN);  
	$t->set_var("GOODS_TOTAL_MSG",     GOODS_TOTAL_MSG); 
	$t->set_var("TOTAL_DISCOUNT_MSG",  TOTAL_DISCOUNT_MSG); 
	$t->set_var("GOODS_WITH_DISCOUNT_MSG",GOODS_WITH_DISCOUNT_MSG); 
	$t->set_var("CART_TOTAL_MSG",      CART_TOTAL_MSG);     

	$t->set_var("PERSONAL_DETAILS_MSG", PERSONAL_DETAILS_MSG);
	$t->set_var("DELIVERY_DETAILS_MSG", DELIVERY_DETAILS_MSG);
	$t->set_var("PAYMENT_DETAILS_MSG",  PAYMENT_DETAILS_MSG);
	$t->set_var("DELIVERY_MSG",         DELIVERY_MSG);
	$t->set_var("INVOICE_TO_MSG",       INVOICE_TO_MSG);
	$t->set_var("DELIVERY_TO_MSG",      DELIVERY_TO_MSG);

	$t->set_var("SAME_DETAILS_MSG",   SAME_DETAILS_MSG);
	$t->set_var("REGISTER_BUTTON",    REGISTER_BUTTON);
	$t->set_var("UPDATE_BUTTON",      UPDATE_BUTTON);
	$t->set_var("CANCEL_BUTTON",      CANCEL_BUTTON);
	$t->set_var("NAME_FIELD",         NAME_FIELD);
	$t->set_var("FIRST_NAME_FIELD",   FIRST_NAME_FIELD);
	$t->set_var("LAST_NAME_FIELD",    LAST_NAME_FIELD);
	$t->set_var("COMPANY_SELECT_FIELD", COMPANY_SELECT_FIELD);
	$t->set_var("COMPANY_NAME_FIELD", COMPANY_NAME_FIELD);
	$t->set_var("EMAIL_FIELD",        EMAIL_FIELD);
	$t->set_var("STREET_FIRST_FIELD", STREET_FIRST_FIELD);
	$t->set_var("STREET_SECOND_FIELD",STREET_SECOND_FIELD);
	$t->set_var("CITY_FIELD",         CITY_FIELD);
	$t->set_var("PROVINCE_FIELD",     PROVINCE_FIELD);
	$t->set_var("STATE_FIELD",        STATE_FIELD);
	$t->set_var("ZIP_FIELD",          ZIP_FIELD);
	$t->set_var("COUNTRY_FIELD",      COUNTRY_FIELD);
	$t->set_var("PHONE_FIELD",        PHONE_FIELD);
	$t->set_var("DAYTIME_PHONE_FIELD",DAYTIME_PHONE_FIELD);
	$t->set_var("EVENING_PHONE_FIELD",EVENING_PHONE_FIELD);
	$t->set_var("CELL_PHONE_FIELD",   CELL_PHONE_FIELD);
	$t->set_var("FAX_FIELD",          FAX_FIELD);

	$t->set_var("CC_NAME_FIELD",         CC_NAME_FIELD);
	$t->set_var("CC_NAME_DESC",          CC_NAME_DESC);
	$t->set_var("CC_FIRST_NAME_FIELD",   CC_FIRST_NAME_FIELD);
	$t->set_var("CC_LAST_NAME_FIELD",    CC_LAST_NAME_FIELD);
	$t->set_var("CC_NUMBER_FIELD",       CC_NUMBER_FIELD);
	$t->set_var("CC_START_DATE_FIELD",   CC_START_DATE_FIELD);
	$t->set_var("CC_EXPIRY_DATE_FIELD",  CC_EXPIRY_DATE_FIELD);
	$t->set_var("CC_TYPE_FIELD",         CC_TYPE_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_FIELD", CC_ISSUE_NUMBER_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_DESC",  CC_ISSUE_NUMBER_DESC);
	$t->set_var("CC_SECURITY_CODE_FIELD",CC_SECURITY_CODE_FIELD);
	$t->set_var("PAY_WITHOUT_CC_MSG",    PAY_WITHOUT_CC_MSG);
	$t->set_var("PAY_WITHOUT_CC_FIELD",  PAY_WITHOUT_CC_FIELD);
	$t->set_var("PAY_WITHOUT_CC_DESC",   PAY_WITHOUT_CC_DESC);


	$quote_id = get_param("quote_id");
	$t->set_var("quote_id", $quote_id);
	$r = new VA_Record($table_prefix . "quotes");
	$r->add_hidden("flag_mail", INTEGER);
	$r->add_hidden("quote_id", INTEGER);
	$r->add_where("quote_id", INTEGER);
	$r->get_form_values();
	$flag_mail = $r->get_value("flag_mail");
//	var_dump($_POST);
	$r->set_value("quote_id", $quote_id);
//	echo "FLAG".$flag_mail;

	
	$sql  = " SELECT * FROM " . $table_prefix . "quotes ";
	$sql .= " WHERE quote_id=" . $db->tosql($quote_id, INTEGER);
	$db->query($sql);
	if ($db->next_record()) {
	 	do {
			$user_name = $db->f("user_name");
			$user_email = $db->f("user_email");
			$quoted_price = $db->f("quoted_price");
			$date_added = $db->f("date_added");
			
			
		} while ($db->next_record());
	}
	
	$t->set_var("user_name", $user_name);
	$t->set_var("user_email", $user_email);
	$t->set_var("quoted_price", $quoted_price);
	$t->set_var("date_added", $date_added);
	

	
	if (isset($packing["packing_header"])) {
		$t->set_var("packing_header", nl2br($packing["packing_header"]));
	}
	if (isset($packing["packing_logo"]) && strlen($packing["packing_logo"])) {
		$image_path = $packing["packing_logo"];
		if (preg_match("/^http\:\/\//", $image_path)) {
			$image_size = "";
		} else {
      $image_size = @GetImageSize($image_path);
		}
    $t->set_var("image_path", htmlspecialchars($image_path));
		if(is_array($image_size))
		{
      $t->set_var("image_width", "width=\"" . $image_size[0] . "\"");
	    $t->set_var("image_height", "height=\"" . $image_size[1] . "\"");
		}
		else
		{
      $t->set_var("image_width", "");
	    $t->set_var("image_height", "");
		}
		$t->parse("packing_logo", false);
	}
	if (isset($packing["packing_footer"])) {
		$t->set_var("packing_footer", nl2br($packing["packing_footer"]));
	}
		$counter= 1;
		$sql  = " SELECT * FROM " . $table_prefix . "quotes_features ";
		$sql .= " WHERE quote_id=" . $db->tosql($quote_id, INTEGER);
		$db->query($sql);
			while ($db->next_record()) 
			{
				$feature_description = $db->f("feature_description");
				$price = $db->f("price");
				$date_due = $db->f("date_due");
				
				$t->set_var("feature_description", $feature_description);
				$t->set_var("price", $price);
				$t->set_var("date_due", $date_due);
				$t->set_var("counter", $counter);

				$t->parse("items", true);
				$counter++;
		    }

		$t->parse("packing", true);

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");
	// $eol="\r\n";
	// $mime_boundary=md5(time());
	if ($flag_mail == 1)
	{
	  	$mail_to = $user_email;
	  	$mail_subject = "Quote";
	  	$mail_from = "uliana@viart.com.ua";
		$headers = "Content-type: text/html; charset=iso-8859-1;";
	  	$mail_message = $t->get_var("main");
		 /*	$filename = "C:/www/viart_shop_2.8/images/silver/logo.jpg";
		 
			$file_name = substr($filename, (strrpos($filename, "/")+1));
		       	$handle=fopen($filename, 'rb');
	       		$f_contents=fread($handle, filesize($filename));
	       		$f_contents=chunk_split(base64_encode($f_contents));    //Encode The Data For Transition using base64_encode();
	       		fclose($handle);
	       		
	       $mail_message = "--".$mime_boundary.$eol;
	       $mail_message .= "Content-Type: image"."; name=\"".$file_name."\"".$eol;
	      	$mail_message .= "Content-Transfer-Encoding: base64".$eol;
	       	$mail_message .= "Content-Disposition: attachment; filename=\"".$file_name."\"".$eol.$eol; // !! This line needs TWO end of lines
	      	$mail_message .= $f_contents.$eol.$eol;
	      	$mail_message .= $t->get_var("main");*/
		if (mail($mail_to, $mail_subject, $mail_message, $headers))
		{
		  echo "<center>Quote was successfully sent!";
		}
	}
?>