<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  manual.php                                               ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include ("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include_once($root_folder_path."messages/".$language_code."/admin_messages.php");

	check_admin_security("static_tables");

//	$db->Database = "gps_test";
	$product_id     = get_param("product_id");
	$search_site_id = get_param("search_site_id");

	$db2 = new VA_SQL();
	$db2->DBType      = $db->DBType;
	$db2->DBDatabase  = $db->DBDatabase;
	$db2->DBHost      = $db->DBHost;
	$db2->DBPort      = $db->DBPort;
	$db2->DBUser      = $db->DBUser;
	$db2->DBPassword  = $db->DBPassword;

	$db3 = new VA_SQL();
	$db3->DBType      = $db->DBType;
	$db3->DBDatabase  = $db->DBDatabase;
	$db3->DBHost      = $db->DBHost;
	$db3->DBPort      = $db->DBPort;
	$db3->DBUser      = $db->DBUser;
	$db3->DBPassword  = $db->DBPassword;


	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","manual.html");

	//$parents = get_db_values2("SELECT manual_id,manual_name FROM manuals WHERE parent_manual_id=manual_id ORDER BY manual_path", "");
	//$r->add_select("parent_manual_id", INTEGER, $parents, "Parent manual");
	//$r->parameters["parent_manual_id"][DEFAULT_VALUE] = 0;

	$parent_id = 0;
	if ($manual_id)
	{
		$sql = "select parent_manual_id from manuals  where manual_id=$manual_id";
		$db->query($sql);
		if($db->next_record())
		{
			$parent_id = $db->Record["parent_manual_id"];
		}
	}

	$sql = "select manual_id, count(parent_manual_id) AS ch from manuals  group by parent_manual_id";
	$db->query($sql);

	$children = array();
	while ($db->next_record())
	{
		$children[$db->Record["manual_id"]] = ($db->Record["ch"] > 1);
	}

	$sql = "SELECT * FROM manuals ORDER BY manual_order,manual_path";
	//if ($search_site_id) $sql = "SELECT * FROM manuals AS c,sites_manuals AS s WHERE  c.manual_id=s.manual_id AND s.site_id=$search_site_id ORDER BY manual_path";

	$db->query($sql);

	$ids    = "";
	$values = "";
	$has_children = "";
	$manuals_path = "";
	if ($db->next_record())
	{
		do
		{
			$cat_name  = $db->Record["manual_name"];
			$cat_path  = $db->Record["manual_path"];
			$cat_id    = $db->Record["manual_id"];
			//$parent_id = $db->Record["parent_manual_id"];
			$arr_path = split("/",$cat_path);
  			$t->set_var("cat_name",$cat_name);

			$level = 0;
			if (is_array($arr_path)) $level = count($arr_path) - 3;
			$s = spaces_level($level);
			if (!$s) 
			{                               
				$s = "<b>"; $cat_name .= "</b>";
			}
  			$t->set_var("manual_name",$s . $cat_name);
  			$t->set_var("manual_id",$cat_id);

  			if ($cat_id == $parent_id) $t->set_var("selected","selected");
  			else                       $t->set_var("selected","");

  			$t->parse("parent_id",true);
	  	} 
	  	while ($db->next_record());
	}
	else $t->set_var("manuals","<tr><td colspan='3'>No manuals</td></tr>");


	$r = new VA_Record("manuals");
	$r->return_page = "manuals.php";

	$r->add_where("manual_id", INTEGER);

	$manual_products = 
		array( 
			array(1, "ViArt SHOP"), array(2, "ViArt Help Desk"), array(3, "ViArt Portal")
		);
	$r->add_select("manual_product_id", INTEGER, $manual_products, "Product");
	$r->parameters["manual_product_id"][REQUIRED] = true;

	$r->add_textbox("manual_name", TEXT, "manual Name");
	$r->add_checkbox("is_shown_contents", TEXT, "Shown in contents?");
	$r->change_property("manual_name", REQUIRED, true);
	$r->add_textbox("manual_page", TEXT, "Manual Page");
	$r->change_property("manual_page", UNIQUE, true);
	$r->add_textbox("alias_manual_page", TEXT, "Alias Page");

	$r->add_textbox("menu_image", TEXT, "menu_image");
	$r->add_textbox("description", TEXT, "description");
	$r->add_textbox("short_description", TEXT, "short_description");
	$r->add_textbox("image", TEXT, "Image");
	$r->add_textbox("alt", TEXT, "Alt Text");
	$r->add_textbox("icon_name", TEXT, "Icon Name");
	$r->add_textbox("manual_order", INTEGER, "Order");
	$r->add_textbox("parent_manual_id", INTEGER, "Parent manual");

	$r->events[AFTER_INSERT] = "update_manual";
	$r->events[AFTER_UPDATE] = "update_manual";
	$r->events[AFTER_DELETE] = "update_manual";

	$r->no_redirect = true;
	$r->process();

	function update_manual()
	{
		global $db;
		global $manual_id;

		if (!$manual_id) 
		{
			$sql = "SELECT LAST_INSERT_ID() AS lid;";
			$db->query($sql);
			if ($db->next_record()) $manual_id = $db->Record["lid"];
			$db->query("UPDATE manuals SET parent_manual_id=manual_id WHERE parent_manual_id=0");
		}
		
		build_manuals_tree();
		//find_children();

		//header("Location: manuals.php?product_id=$product_id&search_site_id=$search_site_id");
		//exit;
	}

	$messages = get_param("messages");
	$id       = get_param("id");

	$t->set_var("messages",$messages);
	$t->set_var("id",$id);
	$t->set_var("product_id",$product_id);
	$t->set_var("search_site_id",$search_site_id);

	$t->pparse("main");

//-------------------------------------------
function get_db_values2($sql, $values_before)
{
	global $db;
	$db_list = new DB_Sql();
	$db_list->Database = $db->Database;
	$db_list->User     = $db->User;
	$db_list->Password = $db->Password;
	$db_list->Host     = $db->Host;


	$i = 0;
	if(is_array($values_before))
	{
		for($j = 0; $j < sizeof($values_before); $j++)
		{
			$values[$i][0] = $values_before[$j][0];
			$values[$i][1] = $values_before[$j][1];
			$i++;
		}
	}

	$db_list->query($sql);
	if($db_list->next_record())
	{
		do
		{
			$values[$i][0] = $db_list->f(0);
			$values[$i][1] = $db_list->f(1);
			$i++;
		} while ($db_list->next_record());
	}

	return $values;
}

function find_children()
{
	global $db;
	global $db2;
	$sql = "SELECT manual_id,manual_path FROM manuals ORDER BY manual_path";
	$db->query($sql);

	while ($db->next_record())
	{
		$children      = "";
		$manual_path = $db->Record["manual_path"];
		$manual_id   = $db->Record["manual_id"];
		$sql = "SELECT manual_id FROM manuals WHERE manual_path like '$manual_path%'";
		$db2->query($sql);
		while ($db2->next_record())
		{
			if ($db2->Record["manual_id"] != $manual_id)
			{
				if ($children) $children .= ",";
				$children .= $db2->Record["manual_id"];
			}
		}
		if ($children)
		{
			$sql = "UPDATE manuals SET children='$children' WHERE manual_id=$manual_id";
			$db2->query($sql);
		}
	}
}

function build_manuals_tree()
{
global $db;
global $db2;

  $sql = "SELECT * FROM manuals ORDER BY manual_id";
  $db->query($sql);

  if ($db->next_record())
  {
  	do
  	{
  		$parent_id      = $db->Record["parent_manual_id"];
  		$cat_id         = $db->Record["manual_id"];
  		$order          = $db->Record["manual_order"];

  		$cats     		= get_path($parent_id,$cat_id);

  		$sql = "UPDATE manuals SET manual_path='$cats' WHERE manual_id=$cat_id";
  		$db2->query($sql);
  	}
  	while ($db->next_record());
  }

  $sql = "SELECT * FROM manuals WHERE is_shown_contents=1 ORDER BY manual_product_id,manual_order,manual_path";
  $db->query($sql);

  $sections = array();
  $sections[0] = 0; $prev_level = 0; $prev_product = 0;
  if ($db->next_record())
  {
  	do
  	{
  		$cat_id            = $db->Record["manual_id"];
  		$cat_path          = $db->Record["manual_path"];
  		$manual_product_id = $db->Record["manual_product_id"];

  		//calculate the level
  		$level = 0; 
		$arr_path = split("/",$cat_path);
		if (is_array($arr_path)) $level = count($arr_path) - 3;

		if ($prev_product != $manual_product_id) // -- new product
		{
  			for ($i = 0; $i <= 20; $i++) {
  				unset($sections[$i]);
  			}
		}
		$prev_product = $manual_product_id;

  		if ($level < $prev_level)  //-- clear previous accumulation
  		{
  			for ($i = ($level + 1); $i <= $prev_level; $i++) {
  				unset($sections[$i]);
  			}
  		}
  		$sections[$level] = $sections[$level] + 1;
  		$prev_level = $level;
  		$section_number = join(".",$sections);
  		$sql = "UPDATE manuals SET section_number='$section_number' WHERE manual_id=$cat_id";
  		$db2->query($sql);
  	}
  	while ($db->next_record());
  }

}

function get_path($parent_id,$cat_id)
{
	global $db;
	global $db3;

	$cats = "/";
  	$original_cat_id = $cat_id;

  	while ($parent_id != $cat_id)
  	{
  		$sql = "SELECT * FROM manuals WHERE manual_id=$parent_id";
		$db3->query($sql);
		$db3->next_record();
		$parent_id = $db3->Record["parent_manual_id"];
		$cat_id    = $db3->Record["manual_id"];
		//if ($parent_id != $cat_id)
		$cats     = "/" . $cat_id . $cats;
  	}
  	$cats .= "$original_cat_id/";

  	return $cats;
}

function get_children($cat_id)
{
	global $db;
	$db2 = new DB_Sql();
	$db2->Database = $db->Database;
	$db2->User     = $db->User;
	$db2->Password = $db->Password;
	$db2->Host     = $db->Host;

	$children = ""; $arr_children = array();
	$sql = "SELECT * FROM manuals WHERE parent_manual_id=$cat_id";
	$db2->query($sql);
	while ($db2->next_record())
	{
		$child = $db2->Record["manual_id"];
		if ($children) $children .= ",";
		$children .= $child;
		$arr_children[$child] = true;
		//$more      = get_children($child);
		//if ($more) $children.= ",$more";
	}
	
	foreach($arr_children as $child)
	{
		$sql = "";
	}
	echo $children;
	exit;
  	return $children;
}

function spaces_level($level)
{
	$spaces = "";
	for ($i =1; $i <= $level; $i++)
	{
		$spaces .= "--- ";
	}
	return $spaces;
}


?>