<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  block_login.php                                          ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


function login_form($block_name, $block_prefix = "")
{
	global $t, $db, $table_prefix, $settings;

	if($block_name) {
	  $t->set_file("block_body", "block_login.html");
	}

  $t->set_var("user_home_href", "user_home.php");
  $t->set_var("forgot_password_href", "forgot_password.php");

	$query_string = transfer_params("", true);

	$login_action = get_param("login_action");
	$login_errors = ""; $user_login = "";
	if(strlen($login_action))
	{
		if ($login_action == "logout") {
			user_logout();
		} else {

			$user_login = get_param("user_login");
			$user_password = get_param("user_password");
			
			if(!strlen($user_login)) {
				$error_message = str_replace("{field_name}", LOGIN_FIELD, REQUIRED_MESSAGE);
				$login_errors .= $error_message . "<br>";
			}
	  
			if(!strlen($user_password)) {
				$error_message = str_replace("{field_name}", PASSWORD_FIELD, REQUIRED_MESSAGE);
				$login_errors .= $error_message . "<br>";
			}

			if(!$login_errors && check_black_ip()) {
				$login_errors = BLACK_IP_MSG;
			}
			
			if(!strlen($login_errors)) {
				user_login($user_login, $user_password, "", 0, "user_home.php", true, $login_errors);
			}
		}
	}

	if (get_session("session_user_id"))	{
		$user_info = get_session("session_user_info");
		$user_login = get_setting_value($user_info, "nickname", "");
		if (!$user_login) { 
			$user_login = get_setting_value($user_info, "login", "");
		}
		$t->set_var("user_login", $user_login);
		$t->set_var("user_name", get_session("session_user_name"));
		$t->set_var("login_action", "logout");
		$t->set_var("login_form", "");
		$t->parse($block_prefix . "logout_form", false);
	}	else {
		$t->set_var("user_login", htmlspecialchars($user_login));
		$t->set_var("login_action", "login");
		$t->set_var("logout_form", "");
		$t->parse($block_prefix . "login_form", false);
	}

	if(strlen($login_errors))
	{
		$t->set_var("errors_list", $login_errors);
		$t->parse($block_prefix . "login_errors", false);
	}

	if($block_name) {
		$t->parse("block_body", false);
		$t->parse($block_name, true);
	}

}

?>