<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  block_search.php                                         ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


function search_form($block_name)
{
	global $t, $db, $table_prefix, $language_code;
	global $category_id;
	global $page_settings;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	if($block_name) {
		$t->set_file("block_body", "block_search.html");
	}

	//$t->set_var("search_href",   "products.php");
	$t->set_var("search_href",   "products_search.php");
	$t->set_var("search_name",   PRODUCTS_TITLE);
	$t->set_var("SEARCH_TITLE",  SEARCH_TITLE);
	$t->set_var("GO_BUTTON",     GO_BUTTON);
	$t->set_var("SEARCH_BUTTON", SEARCH_BUTTON);
	$t->set_var("ADVANCED_SEARCH_TITLE", ADVANCED_SEARCH_TITLE);

	$category_id = get_param("category_id");
	$search_string = trim(get_param("search_string"));
	if (!strlen($category_id)) { $category_id = 0; }

	$query_string = transfer_params("", false);
	$t->set_var("advanced_search_href", "search.php" . $query_string);
	$t->global_parse("advanced_search", false, false, true);

	$search_categories[] = array(0, SEARCH_IN_ALL_MSG);
  
	if($category_id != 0) {
		$search_categories[] = array($category_id, SEARCH_IN_CURRENT_MSG);
	}

	$sql  = " SELECT category_id,category_name ";
	$sql .= " FROM " . $table_prefix . "categories ";
	$sql .= " WHERE is_showing=1";
	$sql .= " AND parent_category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " ORDER BY category_order ";
	$db->query($sql);
	while ($db->next_record())
	{
		$show_category_id  = $db->f("category_id");
		$category_name  = get_translation($db->f("category_name"), $language_code);
		$search_categories[] = array($show_category_id, $category_name);
	}

	// set up search form parameters
	$t->set_var("no_search_categories", "");
	if (sizeof($search_categories) > 1) {
		set_options($search_categories, $category_id, "search_category_id");
		$t->global_parse("search_categories", false, false, true);
	} else {
		$t->set_var("search_categories", "");
	}
	$t->set_var("search_string", htmlspecialchars($search_string));
	$t->set_var("current_category_id", htmlspecialchars($category_id));

	if($block_name) {
		$t->parse("block_body", false);
		$t->parse($block_name, true);
	}

}

?>