<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  shopping_cart.php                                        ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$eol = get_eol();
	$sc_errors = "";
	$sc_item_id = "";
	$cart = get_param("cart");
	$cart_id = get_param("cart_id");
	if($cart)
	{
		$placed_ids = get_session("placed_ids");
		if (!is_array($placed_ids)) {
	    $placed_ids = array();
		}
		$random_id = get_param("rnd");

		//-- checking if such page has been already called
		if (!strlen($random_id) || !isset($placed_ids[$random_id]))
		{
			$placed_ids[$random_id] = $random_id;

			switch(strtoupper($cart))
			{
				case "ADD": // add item to the cart
  
					$item_id = get_param("add_id");
					if (!strlen($item_id)) {
						$item_id = get_param("item_id");
					}
					$accessory_id = get_param("accessory_id");
					$sc_item_id = $accessory_id ? $accessory_id : $item_id;
					$sc_price = get_param("price");
					$sc_quantity = get_param("quantity");
					if ($sc_quantity < 1) { $sc_quantity = 1; }

					/* start of adding item to the cart */ 
					$item_added = add_to_cart($sc_item_id, $sc_price, $sc_quantity, $type, $new_cart_id, $second_page_options, $sc_errors);
					/* end of adding item to the cart */

					if ($item_added) {
						$rp = get_param("rp");
						if ($type == "options") {
							$cart_page = strlen($rp) ? "basket.php?rp=" . urlencode($rp) : "basket.php";
							header("Location: " . $cart_page);	
							exit;
						} else if ($second_page_options) {
							$product_options_page = "product_options.php?cart_id=" . $new_cart_id;
							if (strlen($rp)) {
								$product_options_page .= "&rp=" . urlencode($rp);
							}
							header("Location: " . $product_options_page);	
							exit;
						} else if (isset($settings["redirect_to_cart"])) {
							if ($settings["redirect_to_cart"] == 1) {
								$cart_page = strlen($rp) ? "basket.php?rp=" . urlencode($rp) : "basket.php";
								header("Location: " . $cart_page);	
								exit;
							} else if ($settings["redirect_to_cart"] == 2) {
								header("Location: checkout.php");	
								exit;
							}
						}
					}
					break;
				case "RM": //-- remove the item from the cart
					$shopping_cart = get_session("shopping_cart");
					if (is_array($shopping_cart)) 
					{
						$cart_id = get_param("cart_id");
			      unset($shopping_cart[$cart_id]);
						if (sizeof($shopping_cart) == 0) {
							unset($shopping_cart);
							set_session("shopping_cart", "");
							set_session("session_coupons", "");
						} else {
							set_session("shopping_cart", $shopping_cart);
						}
					}  
					break;
				case "QTY": // update item quantity in the cart
					$shopping_cart = get_session("shopping_cart");
					if (is_array($shopping_cart))
					{
						get_stock_levels($items_stock, $options_stock);
						$cart_id = get_param("cart_id");
						$new_quantity = get_param("new_quantity");
						$new_quantity = abs($new_quantity);
			      if(isset($shopping_cart[$cart_id]))
						{
							$item_id = $shopping_cart[$cart_id]["ITEM_ID"];
							$old_quantity = $shopping_cart[$cart_id]["QUANTITY"];
							$change_quantity = $new_quantity - $old_quantity;
							$sql  = " SELECT item_name, stock_level, use_stock_level, hide_out_of_stock, disable_out_of_stock FROM " . $table_prefix . "items ";
							$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
							$db->query($sql);
							if($db->next_record()) {
								$item_name = $db->f("item_name");
								$stock_level = $db->f("stock_level");
								$use_stock_level = $db->f("use_stock_level");
								$hide_out_of_stock = $db->f("hide_out_of_stock");
								$disable_out_of_stock = $db->f("disable_out_of_stock");
							} else {
								// item doesn't exists or unavailable
								$shopping_cart[$cart_id]["ERROR"] = PROD_NOT_AVAILABLE_ERROR;
								return;
							}

						  // check products availability
							if($hide_out_of_stock || $disable_out_of_stock)
							{
								if (!$use_stock_level || $stock_level >= ($items_stock[$item_id] + $change_quantity)) {
									$available_quantity = $new_quantity;
								} else {
									if ($stock_level > 0) {
										$available_quantity = $stock_level - $items_stock[$item_id] + $old_quantity;
									} else {
										$available_quantity = 0;
									}
									if ($available_quantity > 0) {
										$stock_error = str_replace("{limit_quantity}", $stock_level, PRODUCT_LIMIT_MSG);
										$stock_error = str_replace("{product_name}", get_translation($item_name), $stock_error);
										$sc_errors .= $stock_error . "<br>";
									} else {
										$shopping_cart[$cart_id]["ERROR"] = PRODUCT_OUT_STOCK_MSG . "<br>";
									}
								}
							} else {
								$available_quantity = $new_quantity;
							}
							// change product quantity available in stock
							$shopping_cart[$cart_id]["QUANTITY"] = $available_quantity;
							$change_quantity = $available_quantity - $old_quantity;

							// check options availability
							$options_errors = "";
							$min_available_quantity = $available_quantity;
							$properties_info = $shopping_cart[$cart_id]["PROPERTIES_INFO"];
							$item_more_properties = $shopping_cart[$cart_id]["PROPERTIES_MORE"];
							if (is_array($properties_info) && !$item_more_properties) {
								foreach ($properties_info as $property_id => $property_info) {
									$ct = strtoupper($property_info["CONTROL"]);
									$property_type_id = $property_info["TYPE"];
									$property_name = $property_info["NAME"];
									$property_values = $property_info["VALUES"];
									if ($property_type_id == 1) {
										if (strtoupper($ct) == "LISTBOX" || strtoupper($ct) == "RADIOBUTTON" || strtoupper($ct) == "CHECKBOXLIST") {
											for ($pv = 0; $pv < sizeof($property_values); $pv++) {
												$option_value_id = $property_values[$pv];
												$sql  = " SELECT property_value, stock_level, use_stock_level, hide_out_of_stock ";
												$sql .= " FROM " . $table_prefix . "items_properties_values ipv ";
												$sql .= " WHERE property_id=" . $db->tosql($property_id, INTEGER);
												$sql .= " AND item_property_id=" . $db->tosql($option_value_id, INTEGER);
												$db->query($sql);
												if ($db->next_record()) {
													$option_value = get_translation($db->f("property_value"));
													$option_stock_level = $db->f("stock_level");
													$option_use_stock = $db->f("use_stock_level");
													$option_hide_stock = $db->f("hide_out_of_stock");

													if ($option_use_stock && $option_stock_level < ($options_stock[$option_value_id] + $change_quantity) && $option_hide_stock) {
														$available_option_quantity = $option_stock_level - $options_stock[$option_value_id] + $old_quantity;
														if ($min_available_quantity > $available_option_quantity) { $min_available_quantity = $available_option_quantity; }

														if ($option_stock_level > 0) {
															$limit_product = get_translation($item_name) . " (" . $property_name . ": " . $option_value . ")";
															$limit_error = str_replace("{limit_quantity}", $option_stock_level, PRODUCT_LIMIT_MSG);
															$limit_error = str_replace("{product_name}", $limit_product, $limit_error);
															$options_errors .= $limit_error . "<br>";
														} else {
															$shopping_cart[$cart_id]["ERROR"] = PRODUCT_OUT_STOCK_MSG . "<br>";
														}
													}
												} else {
													$shopping_cart[$cart_id]["ERROR"] = PROD_NOT_AVAILABLE_ERROR;
												}
											}
										}
									}
					
								}
							}
							// if any of product option is out of stock we restore old quantity value
							if ($options_errors) {
								if ($min_available_quantity > 0) {
									$shopping_cart[$cart_id]["QUANTITY"] = $min_available_quantity;
									$sc_errors .= $options_errors;
								} else {
									$shopping_cart[$cart_id]["ERROR"] = PROD_NOT_AVAILABLE_ERROR;
								}
							}

						
							set_session("shopping_cart", $shopping_cart);
						}

					}  
					break;
				case "CLR": //-- remove all items from the cart
					$shopping_cart = get_session("shopping_cart");
					if (is_array($shopping_cart)) {
						set_session("shopping_cart", "");
						set_session("session_coupons", "");
					}
					break;
			}
			set_session("placed_ids", $placed_ids);
		}
	}

function add_to_cart($sc_item_id, $sc_price, $sc_quantity, $type, &$new_cart_id, &$second_page_options, &$sc_errors, $cart_item_id = "", $sc_item_name = "") 
{
	global $db, $table_prefix;

	$item_added = false;
	
	$shopping_cart = get_session("shopping_cart");
	if (!is_array($shopping_cart)) {
		$shopping_cart = array();
	}

	$discount_type = get_session("session_discount_type");
	$discount_amount = get_session("session_discount_amount");
	$user_type_id = get_session("session_user_type_id");
	$price_type = get_session("session_price_type");
	if ($price_type == 1) {
		$price_field = "trade_price";
		$sales_field = "trade_sales";
	} else {
		$price_field = "price";
		$sales_field = "sales_price";
	}

	$sql  = " SELECT item_type_id,item_name," . $price_field . ",is_price_edit,is_sales," . $sales_field . ",buying_price,tax_free,stock_level,";
	$sql .= " use_stock_level,hide_out_of_stock,disable_out_of_stock ";
	$sql .= " FROM " . $table_prefix . "items ";
	$sql .= " WHERE item_id=" . $db->tosql($sc_item_id, INTEGER);
	$sql .= " AND is_showing=1";
	$sql .= " AND ((hide_out_of_stock=1 AND stock_level > 0) OR hide_out_of_stock=0 OR hide_out_of_stock IS NULL)";
	$db->query($sql);
	if($db->next_record()) {
		$item_type_id = $db->f("item_type_id");
		$item_name = $db->f("item_name");
		$stock_level = $db->f("stock_level");
		$use_stock_level = $db->f("use_stock_level");
		$hide_out_of_stock = $db->f("hide_out_of_stock");
		$disable_out_of_stock = $db->f("disable_out_of_stock");
		$buying_price = $db->f("buying_price");
		$tax_free = $db->f("tax_free");
		$is_price_edit = $db->f("is_price_edit");
		if ($is_price_edit) {
			$price = $sc_price;
		} else {
			$price = calculate_price($db->f($price_field), $db->f("is_sales"), $db->f($sales_field));
		}
		$properties_buying = 0;
		$properties_discount = 0;
		$discount_applicable = 1;
	} else {
		// item doesn't exists or no longer unavailable
		if ($type == "db") {
			$item = array (
				"ITEM_ID"	=> $sc_item_id,
				"ITEM_TYPE_ID"	=> 0,
				"ITEM_NAME" => $sc_item_name,
				"ERROR" => PROD_NOT_AVAILABLE_ERROR,
				"PROPERTIES"	=> "", "PROPERTIES_PRICE"	=> 0, "PROPERTIES_PERCENTAGE"	=> 0,
				"PROPERTIES_BUYING"	=> 0, "PROPERTIES_DISCOUNT" => 0, "PROPERTIES_MORE" => 0,
				"COMPONENTS" => "",
				"QUANTITY"	=> $sc_quantity, // only one item can be placed 
				"TAX_FREE" => 0, "DISCOUNT" => 0, "BUYING_PRICE" => 0, "PRICE_EDIT"	=> 0,
				"PRICE"	=> $sc_price
			);
			//-- add to cart with error
			$shopping_cart[] = $item;
			end($shopping_cart); 
			$new_cart_id = key($shopping_cart);
			set_session("shopping_cart", $shopping_cart);

			return true;
		} else {
			return false;
		}
	}

	// calculate summary stock levels for products and options available in the cart
	$stock_levels = array(); 
	foreach ($shopping_cart as $cart_id => $cart_info) {
		$item_id = $cart_info["ITEM_ID"];
		$item_quantity = $cart_info["QUANTITY"];
		$item_properties = $cart_info["PROPERTIES"];
		$item_more_properties = $cart_info["PROPERTIES_MORE"];
		if (!$item_more_properties) {
			if (isset($stock_levels[$item_id])) {
				$stock_levels[$item_id] += $item_quantity;
			} else {
				$stock_levels[$item_id] = $item_quantity;
			}
			$item_components = $cart_info["COMPONENTS"];
			if (is_array($item_components) && sizeof($item_components) > 1) {
				foreach ($item_components as $property_id => $component_values) {
					foreach ($component_values as $property_item_id => $component) {
						$sub_item_id = $component["sub_item_id"];
						if (isset($stock_levels[$sub_item_id])) {
							$stock_levels[$sub_item_id] += $item_quantity;
						} else {
							$stock_levels[$sub_item_id] = $item_quantity;
						}
					}
				}
			}
			/*
			if (is_array($item_properties)) {
				foreach($item_properties as $property_id => $property_values) {
					for ($ov = 0; $ov < sizeof($property_values); $ov++) {
						$option_value_id = $property_values[$ov];
						if (isset($options_levels[$option_value_id])) {
							$options_levels[$option_value_id] += $item_quantity;
						} else {
							$options_levels[$option_value_id] = $item_quantity;
						}
					}
				}
			}*/
		}
	}

	// check stock level for parent product
	if (isset($stock_levels[$sc_item_id])) {
		$total_quantity = $stock_levels[$sc_item_id] + $sc_quantity;
	} else {
		$total_quantity = $sc_quantity;
	}

	if ($use_stock_level && $stock_level < $total_quantity && ($hide_out_of_stock || $disable_out_of_stock)) {
		if ($stock_level > 0) {
			$limit_error = str_replace("{limit_quantity}", $stock_level, PRODUCT_LIMIT_MSG);
			$limit_error = str_replace("{product_name}", get_translation($item_name), $limit_error);
			$sc_errors .= $limit_error . "<br>";
		} else {
			$sc_errors .= PRODUCT_OUT_STOCK_MSG . "<br>";
		}
		if ($type != "db") {
			return false;
		}
	} else if ($is_price_edit && $type != "options") {
		$error_message = "";
		if(!strlen($price)) {
			$error_message = str_replace("{field_name}", PRICE_MSG, REQUIRED_MESSAGE);
		} else if (!is_numeric($price)) {
			$error_message = str_replace("{field_name}", PRICE_MSG, INCORRECT_VALUE_MESSAGE);
		} else if ($price < 0) {
			$error_message = str_replace("{field_name}", PRICE_MSG, MIN_VALUE_MESSAGE);
			$error_message = str_replace("{min_value}", "0.01", $error_message);
		}
		if ($error_message) {
			$sc_errors .= $error_message . "<br>" . $eol;
			if ($type != "db") {
				return false;
			}
		} else {
			// convert value to basic currency
			$currency = get_currency();
			$currency_rate = $currency["rate"];
			$price = $price / $currency_rate;
		}
	}

	// get properties from db
	$db_properties = array();
	if ($type == "db") {
		$sql  = " SELECT property_id, property_value, property_values_ids FROM " . $table_prefix . "saved_items_properties ";
		$sql .= " WHERE cart_item_id=" . $db->tosql($cart_item_id, INTEGER);
		$db->query($sql);
		while ($db->next_record()) {	
			$property_id = $db->f("property_id");
			$property_value = $db->f("property_value");
			$property_values_ids = $db->f("property_values_ids");
			if (strlen($property_value)) {
				$db_properties[$property_id] = array($property_value); 
			} else if (strlen($property_values_ids)) {
				$db_properties[$property_id] = explode(",", $property_values_ids); 
			}
		}
	}

	$components = array(); $components_values = array();
	$components_price = 0;
	$properties = "";
	$properties_ids = "";
	$properties_info = "";
	$properties_controls = array(); $properties_types = array(); $properties_names = array();
	$sql  = " SELECT property_type_id, property_id, sub_item_id, property_name, additional_price, control_type, required ";
	$sql .= " FROM " . $table_prefix . "items_properties ";
	$sql .= " WHERE (item_id=" . $sc_item_id . " OR item_type_id=" . $db->tosql($item_type_id, INTEGER) . ") ";
	if ($type == "db") {
		$sql .= " AND (use_on_details=1 OR use_on_list=1 OR use_on_second=1)";
	} else if ($type == "list") {
		$sql .= " AND use_on_list=1 ";
	} else if ($type == "options") {
		$sql .= " AND use_on_second=1 ";
	} else {
		$sql .= " AND use_on_details=1 ";
	}
	$sql .= " ORDER BY property_order, property_id ";
	$db->query($sql);
	while($db->next_record())
	{
		$property_type_id = $db->f("property_type_id");
		$property_id = $db->f("property_id");
		$property_name = get_translation($db->f("property_name"));
		$additional_price = $db->f("additional_price");
		if ($property_type_id == 2) {
			$sub_item_id = $db->f("sub_item_id");
			$components[$property_id][0] = array("type_id" => 2, "sub_item_id" => $sub_item_id, "price" => $additional_price);
		} else {
			$property_type = $db->f("control_type");
			$property_required = $db->f("required");
			$property_values = array();
			if ($properties_ids) { $properties_ids .= ","; }
			$properties_ids .= $property_id;
			if ($type == "db") {
				// get properties from db
				if (isset($db_properties[$property_id])) {
					$property_values = $db_properties[$property_id];
				}
			} else {
				// get properties from form
				if ($property_type == "CHECKBOXLIST") {
					$property_total = get_param("property_total_" . $property_id);
					for ($i = 1; $i <= $property_total; $i++) {
						$property_value = get_param("property_" . $property_id . "_" . $i);
						if ($property_value) { $property_values[] = $property_value; }
					}
				} else {
					$property_value = get_param("property_" . $property_id);
					if (strlen($property_value)) { 
						if ($property_type == "IMAGEUPLOAD" && !preg_match("/^http\:\/\//", $property_value)) { 
							$property_value = $settings["site_url"] . "images/options/" . $property_value; 
						}
						$property_values[] = $property_value; 
					}
				}
			}
			if (sizeof($property_values) > 0) {
				$properties[$property_id] = $property_values;
				$properties_controls[$property_id] = $property_type;
				$properties_types[$property_id] = $property_type_id;
				$properties_names[$property_id] = $property_name;
				if ($property_type_id == 3) {
					$components_values[$property_id] = $property_values;
				}
				$properties_info[$property_id] = array(
					"CONTROL" => $property_type, "TYPE" => $property_type_id, "NAME" => $property_name, "VALUES" => $property_values
				);
			} else if ($property_required) {
				$property_error = str_replace("{property_name}", $property_name, REQUIRED_PROPERTY_MSG);
				$property_error = str_replace("{product_name}", get_translation($item_name), $property_error);
				$sc_errors .= $property_error . "<br>";
			}
		}
	}

	// calculate summary stock levels for options recently selected
	$options_levels = array();
	foreach ($shopping_cart as $cart_id => $cart_info) {
		$item_id = $cart_info["ITEM_ID"];
		$item_quantity = $cart_info["QUANTITY"];
		$item_properties = $cart_info["PROPERTIES"];
		$item_more_properties = $cart_info["PROPERTIES_MORE"];
		if (!$item_more_properties) {
			if (is_array($item_properties)) {
				foreach($item_properties as $property_id => $property_values) {
					if (isset($properties_controls[$property_id])) {
						$ct = $properties_controls[$property_id];
						if(strtoupper($ct) == "LISTBOX" 
							|| strtoupper($ct) == "RADIOBUTTON"
							|| strtoupper($ct) == "CHECKBOXLIST") {
							for ($ov = 0; $ov < sizeof($property_values); $ov++) {
								$option_value_id = $property_values[$ov];
								if (isset($options_levels[$option_value_id])) {
									$options_levels[$option_value_id] += $item_quantity;
								} else {
									$options_levels[$option_value_id] = $item_quantity;
								}
							}
						}
					}
				}
			}
		}
	}

	// check components values for selection
	if (sizeof($components_values)) {
		foreach ($components_values as $property_id => $values) {
			for ($v = 0; $v < sizeof($values); $v++) {
				$item_property_id = $values[$v];
				$sql  = " SELECT ipv.sub_item_id, ipv.additional_price ";
				$sql .= " FROM " . $table_prefix . "items_properties_values ipv ";
				$sql .= " WHERE ipv.item_property_id=" . $db->tosql($item_property_id, INTEGER);
				$db->query($sql);
				if ($db->next_record()) {
					$sub_item_id = $db->f("sub_item_id");
					$additional_price = $db->f("additional_price");
					$components[$property_id][$item_property_id] = array("type_id" => 3, "sub_item_id" => $sub_item_id, "price" => $additional_price);
				}
			}
		}
	}

	$second_page_options = 0;
	if ($type != "options" && $type != "db") {
		$sql  = " SELECT COUNT(*) ";
		$sql .= " FROM " . $table_prefix . "items_properties ";
		$sql .= " WHERE (item_id=" . $sc_item_id . " OR item_type_id=" . $db->tosql($item_type_id, INTEGER) . ") ";
		$sql .= " AND use_on_second=1 AND property_type_id<>2 ";
		if ($properties_ids) {
			$sql .= " AND property_id NOT IN (" . $properties_ids . ") ";
		}
		$second_page_options = get_db_value($sql);
	}
	if ($sc_errors && $type != "db") {
		// error occurred can't continue process
		return false;
	}

	// check if such item already in our cart than increase quantity 
	$in_cart = false;
	if (!$second_page_options && $type != "options") {
		foreach ($shopping_cart as $in_cart_id => $item)
		{
			if($item["ITEM_ID"] == $sc_item_id && !$item["PROPERTIES_MORE"]) 
			{
				$item_properties = $item["PROPERTIES"];
				if(!is_array($item_properties) && !is_array($properties))
				{
					$in_cart = true;
					break;
				}
				else if(is_array($item_properties) && is_array($properties) && sizeof($item_properties) == sizeof($properties))
				{
					$identical_properties = true;
					reset($properties);
					while(list($property_id, $property_values) = each($properties))
					{
						$new_values = implode(",", $property_values);
						if(isset($item_properties[$property_id])) {
							$exists_values = implode(",", $item_properties[$property_id]);
						} else {
							$exists_values = "";
						}
						if ($exists_values != $new_values) {
							$identical_properties = false;
							break;
						}
					}
					if($identical_properties)
					{
						$in_cart = true;
						break;
					}
				}
			}
		}
	}

	if ($in_cart) {
		$new_quantity = $shopping_cart[$in_cart_id]["QUANTITY"] + $sc_quantity;
	} else {
		$new_quantity = $sc_quantity;
	}

	// check components prices and stock levels
	if (sizeof($components) > 0) {
		foreach ($components as $property_id => $component_values) {
			foreach ($component_values as $item_property_id => $component) {
				$sub_item_id = $component["sub_item_id"];
				$component_price = $component["price"];
				if (isset($stock_levels[$sub_item_id])) {
					$component_quantity = $stock_levels[$sub_item_id] + $sc_quantity;
				} else {
					$component_quantity = $sc_quantity;
				}
				$sql  = " SELECT i.item_type_id, i.item_name, i.buying_price, i." . $price_field . ", i.is_sales, i." . $sales_field . ", i.tax_free, ";
				$sql .= " i.stock_level, i.use_stock_level, i.hide_out_of_stock, i.disable_out_of_stock, ";
				$sql .= " ip.price AS user_price, ip.discount_action AS user_price_action ";
				$sql .= " FROM (" . $table_prefix . "items i ";
				$sql .= " LEFT JOIN " . $table_prefix . "items_prices ip ON ";
				$sql .= " (i.item_id=ip.item_id AND ip.min_quantity>=" . $db->tosql($new_quantity, INTEGER) . " AND ip.max_quantity<=" . $db->tosql($new_quantity, INTEGER);
				$sql .= " AND (ip.user_type_id=0 OR ip.user_type_id=" . $db->tosql($user_type_id, INTEGER) . "))) ";
				$sql .= " WHERE i.item_id=" . $db->tosql($sub_item_id, INTEGER);
				$sql .= " ORDER BY ip.user_type_id DESC ";
				$db->query($sql);
				if ($db->next_record()) {
					$sub_type_id = $db->f("item_type_id");
					$sub_tax_free = $db->f("tax_free");
					$sub_stock_level = $db->f("stock_level");
					$sub_use_stock = $db->f("use_stock_level");
					$sub_hide_stock = $db->f("hide_out_of_stock");
					$sub_disable_stock = $db->f("disable_out_of_stock");
					$sub_item_name = get_translation($db->f("item_name"));
					if ($sub_use_stock && $sub_stock_level < $component_quantity && ($sub_hide_stock || $sub_disable_stock)) {
						if ($sub_stock_level > 0) {
							$limit_product = get_translation($item_name);
							if (isset($properties_names[$property_id])) {
								$limit_product .= " (" . $properties_names[$property_id] . ": " . $sub_item_name . ")";
							}
							$limit_error = str_replace("{limit_quantity}", $sub_stock_level, PRODUCT_LIMIT_MSG);
							$limit_error = str_replace("{product_name}", $limit_product, $limit_error);
							$sc_errors .= $limit_error . "<br>";
						} else {
							$sc_errors .= PRODUCT_OUT_STOCK_MSG . "<br>";
						}
						if ($type != "db") {
							return false;
						}
					}
					$components[$property_id][$item_property_id]["item_type_id"] = $sub_type_id;
					$components[$property_id][$item_property_id]["tax_free"] = $sub_tax_free;
					if (!strlen($component_price)) {
						$sub_price = $db->f($price_field);
						$sub_is_sales = $db->f("is_sales");
						$sub_sales = $db->f($sales_field);
						if ($sub_is_sales && $sub_sales > 0) {
							$components[$property_id][$item_property_id]["base_price"] = $sub_sales;
						} else {
							$components[$property_id][$item_property_id]["base_price"] = $sub_price;
						}
						$components[$property_id][$item_property_id]["buying"] = $db->f("buying_price");
						$components[$property_id][$item_property_id]["user_price"] = $db->f("user_price");
						$components[$property_id][$item_property_id]["user_price_action"] = $db->f("user_price_action");
						if ($in_cart) {
							$shopping_cart[$in_cart_id]["COMPONENTS"][$property_id][$item_property_id] = $components[$property_id][$item_property_id];
						}
					}
				} else { // there is no such subcomponent
					$sc_errors .= "Component is missing.<br>";
					if ($type != "db") {
						return false;
					}
				}
			}
		}
	}

	//-- check for additional price for product and options availabiltiy
	$properties_price = 0; $properties_percentage = 0;
	if(is_array($properties)) {
		foreach($properties as $property_id => $property_values) {                                  
			if(strtoupper($properties_controls[$property_id]) == "LISTBOX" 
				|| strtoupper($properties_controls[$property_id]) == "RADIOBUTTON"
				|| strtoupper($properties_controls[$property_id]) == "CHECKBOXLIST") {
				for($pv = 0; $pv < sizeof($property_values); $pv++) {
					if ($properties_types[$property_id] == 3) {

					} else {
						$item_property_id = $property_values[$pv];
						if (isset($options_levels[$item_property_id])) {
							$option_quantity = $options_levels[$item_property_id] + $sc_quantity;
						} else {
							$option_quantity = $sc_quantity;
						}
						$sql  = " SELECT buying_price, additional_price, percentage_price, additional_weight, ";
						$sql .= " property_value, stock_level, use_stock_level, hide_out_of_stock ";
						$sql .= " FROM " . $table_prefix . "items_properties_values ipv ";
						$sql .= " WHERE property_id=" . $db->tosql($property_id, INTEGER);
						$sql .= " AND item_property_id=" . $db->tosql($property_values[$pv], INTEGER);
						$sql .= " ORDER BY item_property_id ";
						$db->query($sql);
						if($db->next_record()) {
							$additional_price = $db->f("additional_price");
							$percentage_price = $db->f("percentage_price");
							$properties_price += $additional_price;
							$properties_percentage += $percentage_price;
							$properties_buying += $db->f("buying_price");
							$option_value = get_translation($db->f("property_value"));
							$option_stock_level = $db->f("stock_level");
							$option_use_stock = $db->f("use_stock_level");
							$option_hide_stock = $db->f("hide_out_of_stock");
						}
						if ($option_use_stock && $option_stock_level < $option_quantity && $option_hide_stock) {
							if ($option_stock_level > 0) {
								$limit_product = get_translation($item_name) . " (" . $properties_names[$property_id] . ": " . $option_value . ")";
								$limit_error = str_replace("{limit_quantity}", $option_stock_level, PRODUCT_LIMIT_MSG);
								$limit_error = str_replace("{product_name}", $limit_product, $limit_error);
								$sc_errors .= $limit_error . "<br>";
							} else {
								$sc_errors .= PRODUCT_OUT_STOCK_MSG . "<br>";
							}
							if ($type != "db") {
								return false;
							}
						}
					}
				}
			}
		}
	}

	if($in_cart && !$is_price_edit) 
	{
		$shopping_cart[$in_cart_id]["QUANTITY"] += $sc_quantity;
		$quantity_price = get_quantity_price($item["ITEM_ID"], $shopping_cart[$in_cart_id]["QUANTITY"]);
		if (sizeof($quantity_price) > 0) {
			$shopping_cart[$in_cart_id]["PRICE"] = $quantity_price[0];
			$shopping_cart[$in_cart_id]["PROPERTIES_DISCOUNT"] = $quantity_price[1];
			$shopping_cart[$in_cart_id]["DISCOUNT"] = $quantity_price[2];
		}
		$item_added = true;
	} else {
		if ($type == "options") {
			$shopping_cart[$cart_id]["PROPERTIES_PRICE"] += $properties_price;
			$shopping_cart[$cart_id]["PROPERTIES_PERCENTAGE"] += $properties_percentage;
			$shopping_cart[$cart_id]["PROPERTIES_BUYING"] += $properties_buying;
			$shopping_cart[$cart_id]["PROPERTIES_MORE"] = 0;
			$all_properties = $shopping_cart[$cart_id]["PROPERTIES"];
			$all_properties_info = $shopping_cart[$cart_id]["PROPERTIES_INFO"];
			if (is_array($properties)) {
				foreach($properties as $property_id => $property_values) {
					$all_properties[$property_id] = $property_values;
				}
				foreach($properties_info as $property_id => $property_info) {
					$all_properties_info[$property_id] = $property_info;
				}
			}
			$shopping_cart[$cart_id]["PROPERTIES"] = $all_properties;
			$shopping_cart[$cart_id]["PROPERTIES_INFO"] = $all_properties_info;
		} else {
			if (!$is_price_edit) {
				$quantity_price = get_quantity_price($sc_item_id, $sc_quantity);
				if (sizeof($quantity_price) > 0) {
					$price = $quantity_price[0];   
					$properties_discount = $quantity_price[1];   
					$discount_applicable = $quantity_price[2];   
				}
			}
			$item = array (
				"ITEM_ID"	=> $sc_item_id,
				"ITEM_TYPE_ID"	=> $item_type_id,
				"ITEM_NAME" => $item_name,
				"ERROR" => $sc_errors,
				"PROPERTIES"	=> $properties,
				"PROPERTIES_INFO"	=> $properties_info,
				"PROPERTIES_PRICE"	=> $properties_price,
				"PROPERTIES_PERCENTAGE"	=> $properties_percentage,
				"PROPERTIES_BUYING"	=> $properties_buying,
				"PROPERTIES_DISCOUNT" => $properties_discount,
				"PROPERTIES_MORE" => $second_page_options,
				"COMPONENTS" => $components,
				"QUANTITY"	=> $sc_quantity, // only one item can be placed 
				"TAX_FREE" => $tax_free,
				"DISCOUNT" => $discount_applicable,
				"BUYING_PRICE" => $buying_price,
				"PRICE_EDIT"	=> $is_price_edit,
				"PRICE"	=> $price
			);
			//-- add to cart
			$shopping_cart[] = $item;
			end($shopping_cart); 
			$new_cart_id = key($shopping_cart);
		}
		$item_added = true;
	}
	set_session("shopping_cart", $shopping_cart);

	return $item_added;
}

function add_subscription($user_type_id)
{
	global $db, $table_prefix;

	$subsciption_added = false;
	
	$shopping_cart = get_session("shopping_cart");
	if (!is_array($shopping_cart)) {
		$shopping_cart = array();
	}

	foreach ($shopping_cart as $cart_id => $cart_info) {
		$subscription_id = isset($item["USER_TYPE_ID"]) ? $item["USER_TYPE_ID"] : "";
		unset($shopping_cart[$cart_id]);
	}

	$sql  = " SELECT is_subscription, subscription_name, subscription_fee, subscription_period, subscription_interval ";
	$sql .= " FROM " . $table_prefix . "user_types WHERE type_id=" . $db->tosql($user_type_id, INTEGER) . " AND is_active=1 ";
	$db->query($sql);
	if ($db->next_record()) {
		$is_subscription = $db->f("is_subscription");
		$subscription_fee = $db->f("subscription_fee");
		$subscription_name = $db->f("subscription_name");
		$subscription_period = $db->f("subscription_period");
		$subscription_interval = $db->f("subscription_interval");
	
		$item = array (
			"ITEM_ID"	=> 0,
			"ITEM_TYPE_ID"	=> 0,
			"USER_TYPE_ID"	=> $user_type_id,
			"ITEM_NAME" => $subscription_name,
			"PROPERTIES"	=> "", "PROPERTIES_PRICE"	=> 0, "PROPERTIES_PERCENTAGE"	=> 0,
			"PROPERTIES_BUYING"	=> 0, "PROPERTIES_DISCOUNT" => 0, "PROPERTIES_MORE" => 0,
			"COMPONENTS" => "",
			"QUANTITY"	=> 1, 
			"PRICE"	=> $subscription_fee
		);
		//-- add to cart
		$shopping_cart[] = $item;
		end($shopping_cart); 
		$new_cart_id = key($shopping_cart);

		$subsciption_added = true;
	}

	set_session("shopping_cart", $shopping_cart);
	return $subsciption_added;
}

function calculate_price($price, $is_sales, $sales_price)
{
	if($is_sales && $sales_price)
	{
		$price = $sales_price;
	}
	return $price;
}

function set_quantity_control($quantity_limit, $stock_level)
{
	global $settings, $t;
	$quantity_control = "";
	$product_quantity = isset($settings["product_quantity"]) ? $settings["product_quantity"] : "";
	if(!$quantity_limit || $stock_level > 1) {
		if(strtoupper($product_quantity) == "LISTBOX") {
			$max_quantity = 10;
			if($quantity_limit && $max_quantity > $stock_level) {
				$max_quantity = $stock_level;
			}
			$quantity_control .= "<select name=\"quantity\" onChange=\"changeQuantity(this.form)\">"; 
			for($i = 1; $i <= $max_quantity; $i++)
				$quantity_control .= "<option value=\"" . $i ."\">" . $i . "</option>";
			$quantity_control .= "</select>"; 
		} else if(strtoupper($product_quantity) == "TEXTBOX") {
			$quantity_control .= "<input type=\"text\" name=\"quantity\" class=\"field\"";
			$quantity_control .= " value=\"1\" size=\"4\" maxlength=\"6\"";
			$quantity_control .= " onChange=\"changeQuantity(this.form)\">";
		} else if(strtoupper($product_quantity) == "LABEL") {
			$quantity_control = "1";
		}
	}
	if (strlen($quantity_control)) {
		$t->set_var("quantity_control", $quantity_control);
		$t->sparse("quantity", false);
	} else {
		$t->set_var("quantity", "");
	}
}

function get_quantity_price($item_id, $quantity)
{
	global $db, $table_prefix;

	$price = array();
	$discount_type = get_session("session_discount_type");
	$user_type_id  = get_session("session_user_type_id");
	$sql  = " SELECT price,properties_discount,discount_action FROM " . $table_prefix . "items_prices ";
	$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
	$sql .= " AND is_active=1 ";
	$sql .= " AND min_quantity<=" . $db->tosql($quantity, INTEGER);
	$sql .= " AND max_quantity>=" . $db->tosql($quantity, INTEGER);
	$sql .= " AND (user_type_id=0 OR user_type_id=" . $db->tosql($user_type_id, INTEGER) . ") ";
	if ($discount_type > 0) {
		$sql .= " AND discount_action>0 ";
	}
	$sql .= " ORDER BY user_type_id DESC ";
	$db->query($sql);
	if ($db->next_record()) {
		$price[0] = $db->f("price");
		$price[1] = $db->f("properties_discount");
		$discount_action = $db->f("discount_action");
		$price[2] = ($discount_action == 1) ? 0 : 1;
	}

	return $price;
}

function get_product_price($item_id, $price, $buying, $is_sales, $sales, $user_price, $user_action, $discount_type, $discount_amount)
{
	$prices = array();

	if ($user_price > 0 && ($user_action > 0 || !$discount_type)) {
		if ($is_sales && $sales > 0) {
			$sales = $user_price;
		} else {
			$price = $user_price;
		}
	}

	if ($user_action != 1) {
		if ($discount_type == 1 || $discount_type == 3) {
			$price -= round(($price * $discount_amount) / 100, 2);
			$sales -= round(($sales * $discount_amount) / 100, 2);
		} else if ($discount_type == 2) {
			$price -= round($discount_amount, 2);
			$sales -= round($discount_amount, 2);
		} else if ($discount_type == 4) {
			$price -= round((($price - $buying) * $discount_amount) / 100, 2);
			$sales -= round((($sales - $buying) * $discount_amount) / 100, 2);
		}
	}

	if ($is_sales && $sales > 0) {
		$prices["base"] = $sales;
	} else {
		$prices["base"] = $price;
	}
	$prices["price"] = $price;
	$prices["sales"] = $price;

	return $prices;
}

function get_option_price($additional_price, $buying_price, $properties_percent, $discount_applicable, $discount_type, $discount_amount)
{
	if ($properties_percent) {
		$additional_price -= round(($additional_price * $properties_percent) / 100, 2);
	}
	if ($discount_applicable) {
		if ($discount_type == 1) {
			$additional_price -= round(($additional_price * $discount_amount) / 100, 2);
		} else if ($discount_type == 4) {
			$additional_price -= round((($additional_price - $buying_price) * $discount_amount) / 100, 2);
		}
	}

	return $additional_price;
}

function get_stock_levels(&$items_stock, &$options_stock) 
{
	global $db, $table_prefix, $shopping_cart;

	$items_stock = array();
	$options_stock = array();
	foreach ($shopping_cart as $cart_id => $cart_info) {
		$item_id = $cart_info["ITEM_ID"];
		$item_quantity = $cart_info["QUANTITY"];
		if (isset($items_stock[$item_id])) {
			$items_stock[$item_id] += $item_quantity;
		} else {
			$items_stock[$item_id] = $item_quantity;
		}
		$item_properties = $cart_info["PROPERTIES"];
		$properties_info = $cart_info["PROPERTIES_INFO"];
		$item_more_properties = $cart_info["PROPERTIES_MORE"];
		if (is_array($item_properties) && !$item_more_properties) {
			foreach($properties_info as $property_id => $property_info) {
				$ct = strtoupper($property_info["CONTROL"]);
				$property_type_id = $property_info["TYPE"];
				$property_name = $property_info["NAME"];
				$property_values = $property_info["VALUES"];
				if ($property_type_id == 1) {
					if(strtoupper($ct) == "LISTBOX" 
						|| strtoupper($ct) == "RADIOBUTTON"
						|| strtoupper($ct) == "CHECKBOXLIST") {
						for ($ov = 0; $ov < sizeof($property_values); $ov++) {
							$option_value_id = $property_values[$ov];
							if (isset($options_stock[$option_value_id])) {
								$options_stock[$option_value_id] += $item_quantity;
							} else {
								$options_stock[$option_value_id] = $item_quantity;
							}
						}
					}
				}
				
			}
		}
	}
}

function remove_coupon($coupon_id) 
{
	global $shopping_cart, $coupons;
	if (is_array($coupons) && isset($coupons[$coupon_id])) {
		unset($coupons[$coupon_id]);
		if (sizeof($coupons) == 0) {
			set_session("session_coupons", "");
		} else {	
			set_session("session_coupons", $coupons);
		}
	} 
	foreach ($shopping_cart as $cart_id => $item) {
		if (isset($shopping_cart[$cart_id]["COUPONS"]) && isset($shopping_cart[$cart_id]["COUPONS"][$coupon_id])) {
			unset($shopping_cart[$cart_id]["COUPONS"][$coupon_id]);
			if (sizeof($shopping_cart[$cart_id]["COUPONS"]) == 0) {
				unset($shopping_cart[$cart_id]["COUPONS"]);
			}
		}
	}
	set_session("shopping_cart", $shopping_cart);
}

function get_tax_rates($live_taxes = false, $country_code = "", $state_code = "", $postal_code = "")
{
	global $db, $table_prefix, $settings;

	if (!$live_taxes) {
		$tax_rates = get_session("session_tax_rates");
	} else {
		$tax_rates = "";
	}
	if (!is_array($tax_rates)) {
		$tax_rates = array();
		if (!$live_taxes) {
			$country_code = get_setting_value($settings, "country_code", "");
			$state_code = get_setting_value($settings, "state_code", "");
			$postal_code = get_setting_value($settings, "postal_code", "");
		}
		$tax_id = "";
		$sql  = " SELECT tax_id, tax_name, tax_percent ";
		$sql .= " FROM " . $table_prefix . "tax_rates ";
		$sql .= " WHERE country_code=" . $db->tosql($country_code, TEXT);
		$sql .= " AND (state_code IS NULL OR state_code=" . $db->tosql($state_code, TEXT) . ")";
		$sql .= " ORDER BY state_code DESC ";
		$db->query($sql);
		if ($db->next_record()) {
			$tax_id = $db->f("tax_id");
			$tax_name = $db->f("tax_name");
			$tax_percent = $db->f("tax_percent");
			$tax_rates[0] = $tax_percent;
			$tax_rates["tax_name"] = $tax_name;
		}
  
		if ($tax_id) {
			$sql  = " SELECT item_type_id, tax_percent FROM " . $table_prefix . "tax_rates_items ";
			$sql .= " WHERE tax_id=" . $db->tosql($tax_id, INTEGER);
			$db->query($sql);
			while ($db->next_record()) {
				$item_type_id = $db->f("item_type_id");
				$tax_percent = $db->f("tax_percent");
				$tax_rates[$item_type_id] = $tax_percent;
			}
		}
		if ($live_taxes) {
			set_session("session_tax_rates", "");
		} else {
			set_session("session_tax_rates", $tax_rates);
		}
	}

	return $tax_rates;
}

function set_tax_price($item_id, $item_type_id, $price, $sales, $tax_free, $price_tag = "", $sales_tag = "", $tax_tag = "", $tag_id = false, $comp_price = 0, $comp_tax = 0)
{
	global $t, $settings, $tax_rates;
	global $currency_left, $currency_right;

	$tax_prices = get_setting_value($settings, "tax_prices", 0);
	$tax_note   = get_translation(get_setting_value($settings, "tax_note", ""));
	$tax_amount = 0; $tax_percent = 0; $sales_tax_price = 0;
	$product_price = $price + $comp_price;
	$product_sales = $sales + $comp_price;
	if ($tax_prices > 0) {
		if (!$tax_free) {
			if (isset($tax_rates[$item_type_id]) && strlen($tax_rates[$item_type_id])) {
				$tax_percent = $tax_rates[$item_type_id];
			} else if (isset($tax_rates[0]) && strlen($tax_rates[0])) {
				$tax_percent = $tax_rates[0];
			}
		}
		$tax_amount = round(($price * $tax_percent) / 100, 2);
		$tax_price  = $price + $tax_amount + $comp_price + $comp_tax;
		$sales_tax_amount = round(($sales * $tax_percent) / 100, 2);
		$sales_tax_price  = $sales + $sales_tax_amount + $comp_price + $comp_tax;
		if ($tax_prices == 2) {
			$tax_note   = get_translation(get_setting_value($settings, "tax_note_excl", ""));
			$product_price = $tax_price;
			$tax_price = $price + $comp_price;
			$product_sales = $sales_tax_price;
			$sales_tax_price = $sales + $comp_price;
		} else if ($tax_prices == 3) {
			$tax_tag = "";
			$product_price = $tax_price;
			$product_sales = $sales_tax_price;
		}

	} else {
		$tax_tag = "";
	}
	if ($price_tag) {
		$t->set_var("tax_percent", $tax_percent);
		$t->set_var("tax_prices", $tax_prices);
		$t->set_var("comp_price", $comp_price);
		$t->set_var("comp_tax", $comp_tax);
		$t->set_var($price_tag, $currency_left . number_format($product_price, 2) . $currency_right);
		$t->set_var($price_tag . "_control", $currency_left . number_format($product_price, 2) . $currency_right);
		if ($sales > 0 && $sales_tag) {
			$tax_price = $sales_tax_price;
			$t->set_var($sales_tag, $currency_left . number_format($product_sales, 2) . $currency_right);
			$t->set_var($sales_tag. "_control", $currency_left . number_format($product_sales, 2) . $currency_right);
			$t->set_var("you_save", $currency_left . number_format($product_price - $product_sales, 2) . $currency_right);
		}
	}
	if ($tax_tag) {
		if ($tax_note) { $tax_note = " " . $tax_note; }
		if ($tag_id) {
			$t->set_var($tax_tag, "(<span id=\"tax_price_" . $item_id . "\">" . $currency_left . number_format($tax_price, 2) . $currency_right . "</span>" . $tax_note . ")");
		} else {
			$t->set_var($tax_tag, "(" . $currency_left . number_format($tax_price, 2) . $currency_right . $tax_note . ")");
		}
	}

	return $tax_amount;
}

function delete_products($items_ids) 
{
	global $db, $table_prefix;

	// delete all properties
	$properties_ids = "";
	$sql = " SELECT property_id FROM " . $table_prefix ."items_properties WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")"; 
	$db->query($sql);
	while ($db->next_record()) {
		if(strlen($properties_ids)) { $properties_ids .= ","; }
		$properties_ids .= $db->f("property_id");
	}
	if (strlen($properties_ids)) {
		$db->query("DELETE FROM " . $table_prefix . "items_properties_values WHERE property_id IN (" . $db->tosql($properties_ids, TEXT, false) . ") ");
		$db->query("DELETE FROM " . $table_prefix . "items_properties WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ") "); 
	}
	// delete properties and values where it's a subcomponent
	$db->query("DELETE FROM " . $table_prefix . "items_properties_values WHERE sub_item_id IN (" . $db->tosql($items_ids, TEXT, false) . ") ");
	$db->query("DELETE FROM " . $table_prefix . "items_properties WHERE sub_item_id IN (" . $db->tosql($items_ids, TEXT, false) . ") "); 

	// delete all releases
	$releases_ids = "";
	$sql = " SELECT release_id FROM " . $table_prefix ."releases WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")";
	$db->query($sql);
	while ($db->next_record()) {
		if(strlen($releases_ids)) { $releases_ids .= ","; }
		$releases_ids .= $db->f("release_id");
	}
	if (strlen($releases_ids)) {
		$db->query("DELETE FROM " . $table_prefix . "release_changes WHERE release_id  IN (" . $db->tosql($releases_ids, TEXT, false) . ") "); 
		$db->query("DELETE FROM " . $table_prefix . "releases WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ") ");
	}

	// delete from other tables
	$db->query("DELETE FROM " . $table_prefix . "reviews WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")");
	$db->query("DELETE FROM " . $table_prefix . "items_categories WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")");
	$db->query("DELETE FROM " . $table_prefix . "items_related WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")");
	$db->query("DELETE FROM " . $table_prefix . "features WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")");
	$db->query("DELETE FROM " . $table_prefix . "items_images WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")");
	$db->query("DELETE FROM " . $table_prefix . "items_accessories WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")");
	$db->query("DELETE FROM " . $table_prefix . "items WHERE item_id IN (" . $db->tosql($items_ids, TEXT, false) . ")");
}

?>