<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  messages.php                                             ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	define("CHARSET", "windows-1252");
	// mensajes de la fecha
	define("YEAR_MSG", "(Ao");
	define("YEARS_QTY_MSG", "{quantity} years");
	define("MONTH_MSG", "(Mes");
	define("MONTHS_QTY_MSG", "{quantity} months");
	define("DAY_MSG", "Da");
	define("DAYS_MSG", "Das");
	define("DAYS_QTY_MSG", "{quantity} days");
	define("HOUR_MSG", "Hora");
	define("HOURS_QTY_MSG", "{quantity} hours");
	define("MINUTE_MSG", "Minuto");
	define("MINUTES_QTY_MSG", "{quantity} minutes");
	define("SECOND_MSG", "Segundo");
	define("SECONDS_QTY_MSG", "{quantity} seconds");
	define("WEEK_MSG", "Week");
	define("WEEKS_QTY_MSG", "{quantity} weeks");
	define("TODAY_MSG", "Today");
	define("YESTERDAY_MSG", "Yesterday");
	define("LAST_7DAYS_MSG", "Last 7 Days");
	define("THIS_MONTH_MSG", "This Month");
	define("LAST_MONTH_MSG", "Last Month");
	define("THIS_QUARTER_MSG", "This Quarter");
	define("THIS_YEAR_MSG", "This Year");

	// meses
	define("JANUARY", "enero");
	define("FEBRUARY", "febrero");
	define("MARCH", "marzo");
	define("APRIL", "abril");
	define("MAY", "mayo");
	define("JUNE", "junio");
	define("JULY", "julio");
	define("AUGUST", "agosto");
	define("SEPTEMBER", "septiembre");
	define("OCTOBER", "octubre");
	define("NOVEMBER", "noviembre");
	define("DECEMBER", "diciembre");

	define("JANUARY_SHORT", "ene.");
	define("FEBRUARY_SHORT", "feb.");
	define("MARCH_SHORT", "marzo");
	define("APRIL_SHORT", "abr.");
	define("MAY_SHORT", "mayo");
	define("JUNE_SHORT", "jun.");
	define("JULY_SHORT", "jul.");
	define("AUGUST_SHORT", "agos.");
	define("SEPTEMBER_SHORT", "sept.");
	define("OCTOBER_SHORT", "oct.");
	define("NOVEMBER_SHORT", "nov.");
	define("DECEMBER_SHORT", "dic.");

	// los das de la semana
	define("SUNDAY", "domingo");
	define("MONDAY", "lunes");
	define("TUESDAY", "martes");
	define("WEDNESDAY", "mircoles");
	define("THURSDAY", "jueves");
	define("FRIDAY", "viernes");
	define("SATURDAY", "sbado");

	define("SUNDAY_SHORT", "dom.");
	define("MONDAY_SHORT", "lun.");
	define("TUESDAY_SHORT", "mart.");
	define("WEDNESDAY_SHORT", "mirc.");
	define("THURSDAY_SHORT", "juev.");
	define("FRIDAY_SHORT", "viern.");
	define("SATURDAY_SHORT", "sb.");

	// los mensajes de validacin
	define("REQUIRED_MESSAGE", "se requiere <b>{field_name}</b>");
	define("UNIQUE_MESSAGE", "El valor del campo <b>{field_name}</b> ya est en la base de datos");
	define("VALIDATION_MESSAGE", "La validacin para el campo {field_name} ha fallado");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> y <b>{field_two}</b> no concuerdan");
	define("INSERT_ALLOWED_ERROR", "Sorry, but insert operation is not allowed for you");
	define("UPDATE_ALLOWED_ERROR", "Sorry, but update operation is not allowed for you");
	define("DELETE_ALLOWED_ERROR", "Sorry, but delete operation is not allowed for you");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Only alpha-numeric characters, hyphen and underscore are allowed for field <b>{field_name}</b>");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> tiene un valor de fecha falso. Utilice fechas del calendario.");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> no concuerda con la mscara. Utilice la siguiente '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "El formato del correo electrnico no es vlido en el campo {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Valor incorrecto en el campo <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "El valor del campo <b>{field_name}</b> no puede ser menor que {min_value}");
	define("MAX_VALUE_MESSAGE", "El valor del campo <b>{field_name}</b>) no puede ser mayor que {max_value}");
	define("MIN_LENGTH_MESSAGE", "La longitud del campo <b>{field_name}</b> no puede ser menor que {min_length}");
	define("MAX_LENGTH_MESSAGE", "La longitud del campo <b>{field_name}</b> no puede ser mayor que {min_length}");

	define("FILE_PERMISSION_MESSAGE", "No hay permiso de escritura para el archivo <b>'{file_name}'</b>. Por favor cambie el permiso del archivo antes de continuar.");
	define("FOLDER_PERMISSION_MESSAGE", "No hay permiso de escritura para la carpeta <b>'{file_name}'</b>. Por favor cambie el permiso de la carpeta antes de continuar.");
	define("INVALID_EMAIL_MSG", "Su e-mail no es vlido.");
	define("DATABASE_ERROR_MSG", "Ha ocurrido un error en la base de datos");
	define("BLACK_IP_MSG", "This action is not permitted from your host.");
	define("BANNED_CONTENT_MSG", "Sorry, the provided content contains illegal statement.");
	define("ERRORS_MSG", "Errores");
	define("REGISTERED_ACCESS_MSG", "Only registered users could access this option.");

	// ttulos
	define("TOP_RATED_TITLE", "Lo mejor valorado");
	define("TOP_VIEWED_TITLE", "Lo ms visto");
	define("RECENTLY_VIEWED_TITLE", "Visto recientemente");
	define("HOT_TITLE", "Popular");
	define("LATEST_TITLE", "Lo ltimo");
	define("CONTENT_TITLE", "Contenido");
	define("RELATED_TITLE", "Relacionado");
	define("SEARCH_TITLE", "Buscar");
	define("ADVANCED_SEARCH_TITLE", "Bsqueda Avanzada");
	define("LOGIN_TITLE", "Usuario");
	define("CATEGORIES_TITLE", "Categoras");
	define("MANUFACTURERS_TITLE", "Fabricantes");
	define("SPECIAL_OFFER_TITLE", "Oferta especial");
	define("NEWS_TITLE", "Noticias");
	define("EVENTS_TITLE", "Eventos");
	define("PROFILE_TITLE", "Perfil");
	define("USER_HOME_TITLE", "Pgina principal");
	define("DOWNLOAD_TITLE", "Descargar");
	define("FAQ_TITLE", "Preguntas frecuentes");
	define("POLL_TITLE", "Encuesta");
	define("HOME_PAGE_TITLE", "Pgina principal");
	define("CURRENCY_TITLE", "Moneda");
	define("SUBSCRIBE_TITLE", "Suscribirse");
	define("UNSUBSCRIBE_TITLE", "Darse de Baja");
	define("UPLOAD_TITLE", "Subir");
	define("ADS_TITLE", "Anuncios");
	define("ADS_COMPARE_TITLE", "Comparacin de Anuncios");
	define("ADS_SELLERS_TITLE", "Vendedores");
	define("AD_REQUEST_TITLE", "Haga una Oferta / Haga una pregunta al Vendedor");
	define("LANGUAGE_TITLE", "Idiomas");
	define("MERCHANTS_TITLE", "Merchants");
	define("PREVIEW_TITLE", "Preview");
	define("ARTICLES_TITLE", "Articles");
	define("SITE_MAP_TITLE", "Site Map");

	// menu items
	define("MENU_ABOUT", "Sobre nosotros");
	define("MENU_ACCOUNT", "Su cuenta");
	define("MENU_BASKET", "Su carro");
	define("MENU_CONTACT", "Contacte con nosotros");
	define("MENU_DOCUMENTATION", "Documentacin");
	define("MENU_DOWNLOADS", "Descargas");
	define("MENU_EVENTS", "Eventos");
	define("MENU_FAQ", "Preguntas frecuentes");
	define("MENU_FORUM", "Foro");
	define("MENU_HELP", "Ayuda");
	define("MENU_HOME", "Pagina principal");
	define("MENU_HOW", "Cmo comprar");
	define("MENU_MEMBERS", "Miembros");
	define("MENU_MYPROFILE", "Mi perfil");
	define("MENU_NEWS", "Noticias");
	define("MENU_PRIVACY", "Privacidad");
	define("MENU_PRODUCTS", "Productos");
	define("MENU_REGISTRATION", "Registro");
	define("MENU_SHIPPING", "Envo");
	define("MENU_SIGNIN", "Entrar");
	define("MENU_SIGNOUT", "Salir");
	define("MENU_SUPPORT", "Soporte");
	define("MENU_USERHOME", "Usuario");
	define("MENU_ADS", "Anuncios clasificados");
	define("MENU_ADMIN", "Administracin");
	define("MENU_KNOWLEDGE", "Knowledge Base");

	// trminos principales
	define("NO_MSG", "No");
	define("YES_MSG", "S");
	define("NOT_AVAILABLE_MSG", "N/D");
	define("MORE_MSG", "ms...");
	define("READ_MORE_MSG", "leer ms ");
	define("CLICK_HERE_MSG", "Pulsar Aqu");
	define("ENTER_YOUR_MSG", "Escriba su ");
	define("CHOOSE_A_MSG", "Escoja un(una) ");
	define("PLEASE_CHOOSE_MSG", "Por favor escoja ");
	define("SELECT_MSG", "Seleccionar");
	define("DATE_FORMAT_MSG", "use el siguiente formato <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Siguiente");
	define("PREV_PAGE_MSG", "Anterior");
	define("FIRST_PAGE_MSG", "Primero");
	define("LAST_PAGE_MSG", "ltimo");
	define("OF_PAGE_MSG", "de");
	define("TOP_CATEGORY_MSG", "Arriba");
	define("SEARCH_IN_CURRENT_MSG", "Categora actual");
	define("SEARCH_IN_ALL_MSG", "Todas las categoras");
	define("FOUND_IN_MSG", "Encontrado en");
	define("TOTAL_VIEWS_MSG", "Vistas");
	define("VOTES_MSG", "Votos");
	define("TOTAL_VOTES_MSG", "Total Votes");
	define("TOTAL_POINTS_MSG", "Total Points");
	define("VIEW_RESULTS_MSG", "Ver Resultados");
	define("PREVIOUS_POLLS_MSG", "Encuestas previas");
	define("TOTAL_MSG", "Total");
	define("CLOSED_MSG", "Cerrado");
	define("CLOSE_WINDOW_MSG", "Cerrar la ventana");
	define("ASTERISK_MSG", "asterisco (*) - Campos requeridos");
	define("PROVIDE_INFO_MSG", "Por favor rellene la informacin en las secciones con asterisco rojo y pulse '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Se han encontrado <b>{found_records}</b> artculos respondiendi al criterio '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "No hay disponible un artculo con ese identificador");
	define("NO_ARTICLES_MSG", "No se encontraron artculos");
	define("NOTES_MSG", "Notas");
	define("KEYWORDS_MSG", "Palabras Clave");
	define("LINK_URL_MSG", "Enlace");
	define("DOWNLOAD_URL_MSG", "Descargar");
	define("SUBSCRIBE_FORM_MSG", "Para recibir nuestro boletn, por favor introduzca su direccin de e-mail en el campo de abajo y pulse el botn '{button_name}' .");
	define("UNSUBSCRIBE_FORM_MSG", "Por favor introduzca su direccin de e-mail en el campo de abajo para y pulse el botn '{button_name}'.");
	define("SUBSCRIBE_LINK_MSG", "Suscribirse");
	define("UNSUBSCRIBE_LINK_MSG", "Darse de Baja");
	define("SUBSCRIBED_MSG", "Enhorabuena! Ya es un suscriptor de nuestro boletn.");
	define("ALREADY_SUBSCRIBED_MSG", "Ya est suscrito a nuestro Boletn. Muchas Gracias.");
	define("UNSUBSCRIBED_MSG", "Se ha dado de baja con xito de nuestro boletn, Muchas Gracias.");
	define("UNSUBSCRIBED_ERROR_MSG", "Lo sentimos pero no se ha encontrado su e-mail en nuestra base de datos, probablemente ya se haya dado de baja de nuestro boletn.");
	define("FORGOT_PASSWORD_MSG", "Olvid su contrasea?");
	define("FORGOT_PASSWORD_DESC", "Por favor, introduzca la direccin de e-mail que us al registrarse:");
	define("FORGOT_EMAIL_ERROR_MSG", "Lo sentimos pero no se ha encontrado su e-mail en nuestra base de datos.");
	define("FORGOT_EMAIL_SENT_MSG", "Sus detalles de usuario han sido enviados a su direccin de e-mail.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Some required parameters were missed.");
	define("RESET_PASSWORD_PARAMS_MSG", "The parameters you supplied does not match any in the database.");
	define("RESET_PASSWORD_EXPIRY_MSG", "The reset code you supplied has expired. Please request a new code to reset your password.");
	define("RESET_PASSWORD_SAVED_MSG", "Your new password was successfully saved.");
	define("PRINTER_FRIENDLY_MSG", "Formato Imprimible");
	define("PRINT_PAGE_MSG", "Imprimir esta pgina");
	define("ATTACHMENTS_MSG", "Attachments");
	define("VIEW_DETAILS_MSG", "View Details");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Plain Text");
	define("META_DATA_MSG", "Meta Data");
	define("META_TITLE_MSG", "Page Title");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Description");
	define("FRIENDLY_URL_MSG", "Friendly URL");
	define("IMAGES_MSG", "Imgenes");
	define("IMAGE_MSG", "Imgen");
	define("IMAGE_SMALL_MSG", "Imagen Pequea");
	define("IMAGE_SMALL_DESC", "shown on list page");
	define("IMAGE_SMALL_ALT_MSG", "Small Image Alt");
	define("IMAGE_LARGE_MSG", "Imagen Grande");
	define("IMAGE_LARGE_DESC", "shown on details page");
	define("IMAGE_LARGE_ALT_MSG", "Large Image Alt");
	define("IMAGE_SUPER_MSG", "Super-Sized Image");
	define("IMAGE_SUPER_DESC", "image popup in the new window");
	define("IS_APPROVED_MSG", "Approved");
	define("IS_ACTIVE_MSG", "Is Active");
	define("CATEGORY_MSG", "Categora");
	define("SELECT_CATEGORY_MSG", "Seleccione Categora");
	define("DESCRIPTION_MSG", "Descripcin");
	define("SHORT_DESCRIPTION_MSG", "Short Description");
	define("FULL_DESCRIPTION_MSG", "Full Description");
	define("HIGHLIGHTS_MSG", "Highlights");
	define("SPECIAL_OFFER_MSG", "Oferta especial");
	define("OTHER_MSG", "Other");
	define("WIDTH_MSG", "Width");
	define("HEIGHT_MSG", "Height");
	define("LENGTH_MSG", "Length");
	define("WEIGHT_MSG", "Peso");
	define("QUANTITY_MSG", "Cantidad");
	define("CALENDAR_MSG", "Calendar");
	define("FROM_DATE_MSG", "From Date");
	define("TO_DATE_MSG", "To Date");
	define("TIME_PERIOD_MSG", "Time Period");
	define("GROUP_BY_MSG", "Group By");
	define("BIRTHDAY_MSG", "Birthday");
	define("BIRTH_DATE_MSG", "Birth Date");
	define("BIRTH_YEAR_MSG", "Birth Year");
	define("BIRTH_MONTH_MSG", "Birth Month");
	define("BIRTH_DAY_MSG", "Birth Day");
	define("STEP_NUMBER_MSG", "Step {current_step} of {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Where status is");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Email Notification");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Administrator Email Notification");
	define("EMAIL_NOTIFICATION_USER_MSG", "User Email Notification");
	define("EMAIL_SEND_ADMIN_MSF", "Send notification to administrator ");
	define("EMAIL_SEND_USER_MSG", "Send notification to user");
	define("EMAIL_USER_IF_STATUS_MSG", "Send notification email to user when the status is applied");
	define("EMAIL_TO_MSG", "To");
	define("EMAIL_TO_USER_DESC", "Customer email used if is empty");
	define("EMAIL_FROM_MSG", "From");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Reply To");
	define("EMAIL_RETURN_PATH_MSG", "Return Path");
	define("EMAIL_SUBJECT_MSG", "Subject");
	define("EMAIL_MESSAGE_TYPE_MSG", "Message Type");
	define("EMAIL_MESSAGE_MSG", "Message");
	define("SMS_NOTIFICATION_MSG", "SMS Notification");
	define("SMS_NOTIFICATION_ADMIN_MSG", "Administrator SMS Notification");
	define("SMS_NOTIFICATION_USER_MSG", "User SMS Notification ");
	define("SMS_SEND_ADMIN_MSF", "Send SMS Notification to Administrator");
	define("SMS_SEND_USER_MSG", "Send SMS Notification to User ");
	define("SMS_USER_IF_STATUS_MSG", "Send SMS notification to user when the status is applied");
	define("SMS_RECIPIENT_MSG", "SMS Recipient");
	define("SMS_RECIPIENT_ADMIN_DESC", "administrator cell phone number");
	define("SMS_RECIPIENT_USER_DESC", "Cell phone' field used if is empty");
	define("SMS_ORIGINATOR_MSG", "SMS Originator");
	define("SMS_MESSAGE_MSG", "SMS Message");

	// los mensajes de la cuenta
	define("LOGIN_AS_MSG", "Identificado como");
	define("LOGIN_INFO_MSG", "Informacin de usuario");
	define("ACCESS_HOME_MSG", "Acceder a su Pgina Principal");
	define("REMEMBER_LOGIN_MSG", "Recordar mi usuario y contrasea");
	define("ENTER_LOGIN_MSG", "Introduzca su usuario y contrasea");
	define("LOGIN_PASSWORD_ERROR", "El usuario o la contrasea no son correctos");
	define("ACCOUNT_APPROVE_ERROR", "Lo sentimos, su cuenta no ha sido aprobada todava.");
	define("ACCOUNT_EXPIRED_MSG", "Your account has expired.");
	define("NEW_PROFILE_ERROR", "No tiene permisos para abrir una cuenta.");
	define("EDIT_PROFILE_ERROR", "No tiene permisos para editar su perfil.");
	define("CHANGE_DETAILS_MSG", "Cambiar sus datos");
	define("CHANGE_DETAILS_DESC", "Pulse el enlace de arriba para cambiar su nombre o la informacin personal que introdujo al abrir la cuenta.");
	define("CHANGE_PASSWORD_MSG", "Cambiar la contrasea");
	define("CHANGE_PASSWORD_DESC", "El enlace de abajo lo llevar a la pgina donde puede cambiar su contrasea");
	define("SIGN_UP_MSG", "Regstrese ahora");
	define("MY_ACCOUNT_MSG", "Mi cuenta");
	define("NEW_USER_MSG", "Usuario nuevo");
	define("EXISTS_USER_MSG", "Usuarios inscritos");
	define("EDIT_PROFILE_MSG", "Cambiar la informacin personal");
	define("PERSONAL_DETAILS_MSG", "Informacin personal");
	define("DELIVERY_DETAILS_MSG", "Informacin de envo");
	define("SAME_DETAILS_MSG", "Si la informacin de envo es igual a la de arriba, pinche aqu.<br> Si no, por favor rellene la informacin necesaria. ");
	define("DELIVERY_MSG", "Envo");
	define("SUBSCRIBE_CHECKBOX_MSG", "Por favor marque esta opcin si quiere recibir nuestro boletn.");
	define("ADDITIONAL_DETAILS_MSG", "Additional Details");
	define("GUEST_MSG", "Guest");

	// ads messages
	define("MY_ADS_MSG", "Mis Anuncios");
	define("MY_ADS_DESC", "Si tiene algunos objetos que le gustara vender puede poner su anuncio en esta web. Es rpido y sencillo.");
	define("EDIT_AD_MSG", "Editar Anuncio");
	define("ADD_NEW_AD_MSG", "Aadir nuevo Anuncio");
	define("AD_ID_COLUMN", "ID");
	define("AD_TITLE_COLUMN", "Ttulo");
	define("AD_PRICE_COLUMN", "Precio");
	define("AD_STATUS_COLUMN", "Estado");
	define("AD_GENERAL_MSG", "Informacin General del Anuncio");
	define("AD_CATEGORY_MSG", "Categora");
	define("AD_SELECT_CATEGORY_MSG", "Seleccione Categora");
	define("AD_TYPE_MSG", "Tipo");
	define("AD_TITLE_MSG", "Ttulo");
	define("AD_SELLER_MSG", "Vendedor");
	define("AD_START_MSG", "Fecja de Inicio");
	define("AD_RUNS_MSG", "Das hasta que expire");
	define("AD_PRICE_MSG", "Precio");
	define("AD_QTY_MSG", "Cantidad");
	define("AD_AVAILABILITY_MSG", "Disponibilidad");
	define("AD_COMPARED_MSG", "Permitir comparacin de Anuncios");
	define("AD_IMAGES_MSG", "Imgenes");
	define("AD_UPLOAD_MSG", "Subir Imagen");
	define("AD_SMALL_IMAGE_MSG", "Imagen Pequea");
	define("AD_LARGE_IMAGE_MSG", "Imagen Grande");
	define("AD_DESCRIPTION_MSG", "Descripcin");
	define("AD_SHORT_DESC_MSG", "Descripcin Corta");
	define("AD_FULL_DESC_MSG", "Descripcin Completa");
	define("AD_LOCATION_MSG", "Lugar");
	define("AD_CITY_MSG", "Ciudad");
	define("AD_STATE_MSG", "Provincia");
	define("AD_COUNTRY_MSG", "Pas");
	define("AD_LOCATION_INFO_MSG", "Informacin Adicional");
	define("AD_PROPERTIES_MSG", "Propiedades del Anuncio");
	define("AD_SPECIFICATION_MSG", "Especificacin del Anuncio");
	define("AD_MORE_IMAGES_MSG", "Ms Imgenes");
	define("AD_IMAGE_MSG", "Imgen");
	define("AD_IMAGE_TITLE_MSG", "Ttulo");
	define("AD_IMAGE_PREVIEW_MSG", "Vista previa Imagen");
	define("AD_IMAGE_LARGE_MSG", "Imagen Grande");
	define("AD_IMAGE_DESC_MSG", "Descripcin de la Imagen");
	define("AD_DELETE_CONFIRM_MSG", "Quiere borrar este anuncio?");
	define("AD_NOT_APPROVED_MSG", "No Aprobado");
	define("AD_RUNNING_MSG", "Vigente");
	define("AD_CLOSED_MSG", "Cerrado");
	define("AD_EXPIRED_MSG", "Expirado");
	define("AD_NOT_STARTED_MSG", "No Comenzado");
	define("AD_NEW_ERROR", "No tiene permisos para crear un nuevo Anuncio.");
	define("AD_EDIT_ERROR", "No tiene permisos para editar el Anuncio.");
	define("AD_DELETE_ERROR", "No tiene permisos para borrar el Anuncio.");
	define("NO_ADS_MSG", "No se encontraron anuncios en esta categora");
	define("NO_AD_MSG", "El anuncio con ese identificador no est disponible ya en esta categora");
	define("FOUND_ADS_MSG", "Se han encontrado <b>{found_records}</b> anuncios que concuerdan con el trmino(s) '<b>{search_string}</b>'");
	define("AD_OFFER_PRICE_MSG", "Precio");
	define("AD_OFFER_MESSAGE_MSG", "Oferta");
	define("AD_OFFER_LOGIN_ERROR", "Necesita identificarse antes de proceder.");
	define("AD_REQUEST_BUTTON", "Enviar peticin");
	define("AD_SENT_MSG", "Su oferta fue enviada con xito.");

	// search message
	define("SEARCH_FOR_MSG", "Buscar por");
	define("SEARCH_IN_MSG", "Buscar en");
	define("SEARCH_TITLE_MSG", "Ttulo");
	define("SEARCH_CODE_MSG", "Code");
	define("SEARCH_SHORT_DESC_MSG", "Descripcin Corta");
	define("SEARCH_FULL_DESC_MSG", "Descripcin Detallada");
	define("SEARCH_CATEGORY_MSG", "Buscar en categora");
	define("SEARCH_MANUFACTURER_MSG", "Fabricante");
	define("SEARCH_SELLER_MSG", "Vendedor");
	define("SEARCH_PRICE_MSG", "Rango de Precio");
	define("SEARCH_WEIGHT_MSG", "Lmites de Peso");
	define("SEARCH_RESULTS_MSG", "Search Results");

	// compare messages
	define("COMPARE_MSG", "Compare");
	define("COMPARE_REMOVE_MSG", "Quite");
	define("COMPARE_REMOVE_HELP_MSG", "Click aqu para quitar este producto de la tabla comparativa");
	define("COMPARE_MIN_ALLOWED_MSG", "Debe seleccionar al menos 2 productos");
	define("COMPARE_MAX_ALLOWED_MSG", "No debe seleccionar ms de 5 productos");
	define("COMPARE_PARAM_ERROR_MSG", "La tabla comparativa tiene un valor errneo");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Enviar a un Amigo");
	define("TELL_FRIEND_SUBJECT_MSG", "Su amigo le ha enviado este enlace");
	define("TELL_FRIEND_DEFAULT_MSG", "Hola {friend_name} - He pensado que podras estar interesado en echar un vistazo a {item_title} en esta web {site_url}");
	define("TELL_YOUR_NAME_FIELD", "Su nombre");
	define("TELL_YOUR_EMAIL_FIELD", "Su e-mail");
	define("TELL_FRIENDS_NAME_FIELD", "Nombre del amigo");
	define("TELL_FRIENDS_EMAIL_FIELD", "E-mail del amigo");
	define("TELL_COMMENT_FIELD", "Comentario");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "PRIVACIDAD DE LOS DATOS: No se guardar ni reutilizar el e-mail de su amigo para ningn otro propsito");
	define("TELL_SENT_MSG", "Su mensaje se ha enviado con xito<br>Muchas Gracias!");

	define("CONTACT_US_TITLE", "Contact Us");
	define("CONTACT_USER_NAME_FIELD", "Su nombre");
	define("CONTACT_USER_EMAIL_FIELD", "Su correo electrnico");
	define("CONTACT_SUMMARY_FIELD", "Resumen on-line");
	define("CONTACT_DESCRIPTION_FIELD", "Descripcin");
	define("CONTACT_REQUEST_SENT_MSG", "Your request was successfully sent.");

	// botones
	define("GO_BUTTON", "Adelante");
	define("CONTINUE_BUTTON", "Continuar");
	define("BACK_BUTTON", "Atrs");
	define("NEXT_BUTTON", "Siguiente");
	define("PREV_BUTTON", "Anterior");
	define("SIGN_IN_BUTTON", "Identificarse");
	define("LOGIN_BUTTON", "Entrar");
	define("LOGOUT_BUTTON", "Cerrar la sesin");
	define("SEARCH_BUTTON", "Buscar");
	define("RATE_IT_BUTTON", "Valore!");
	define("ADD_BUTTON", "Aadir");
	define("UPDATE_BUTTON", "Actualizar la informacin");
	define("APPLY_BUTTON", "Aplicar");
	define("REGISTER_BUTTON", "Registrarse");
	define("VOTE_BUTTON", "Votar");
	define("CANCEL_BUTTON", "Cancelar");
	define("CLEAR_BUTTON", "Borrar");
	define("RESET_BUTTON", "Reiniciar");
	define("DELETE_BUTTON", "Borrar");
	define("SUBSCRIBE_BUTTON", "Suscribirse");
	define("UNSUBSCRIBE_BUTTON", "Darse de Baja");
	define("SUBMIT_BUTTON", "Confirmar");
	define("UPLOAD_BUTTON", "Subir");
	define("SEND_BUTTON", "Enviar");
	define("PREVIEW_BUTTON", "Preview");
	define("FILTER_BUTTON", "Filter");
	define("DOWNLOAD_BUTTON", "Download");

	// campos
	define("LOGIN_FIELD", "Nombre de usuario");
	define("PASSWORD_FIELD", "Contrasea");
	define("CONFIRM_PASS_FIELD", "Confirmar contrasea");
	define("NEW_PASS_FIELD", "Nueva contrasea");
	define("CURRENT_PASS_FIELD", "Contrasea actual");
	define("NAME_FIELD", "Nombre");
	define("FIRST_NAME_FIELD", "Nombre");
	define("LAST_NAME_FIELD", "Apellido");
	define("NICKNAME_FIELD", "Apodo");
	define("PERSONAL_IMAGE_FIELD", "Imagen Personal");
	define("COMPANY_SELECT_FIELD", "Empresa");
	define("SELECT_COMPANY_MSG", "Seleccione Empresa");
	define("COMPANY_NAME_FIELD", "Nombre de la Empresa");
	define("EMAIL_FIELD", "Correo Electrnico");
	define("STREET_FIRST_FIELD", "Calle 1");
	define("STREET_SECOND_FIELD", "Calle 2");
	define("CITY_FIELD", "Ciudad");
	define("PROVINCE_FIELD", "Provincia");
	define("SELECT_STATE_MSG", "No estoy en E.E.U.U.");
	define("STATE_FIELD", "Estado (solamente para los EE.UU.)");
	define("ZIP_FIELD", "Cdigo postal");
	define("SELECT_COUNTRY_MSG", "Seleccione Pas");
	define("COUNTRY_FIELD", "Pas");
	define("PHONE_FIELD", "Telfono");
	define("DAYTIME_PHONE_FIELD", "Nmero de telfono durante el da");
	define("EVENING_PHONE_FIELD", "Nmero de telfono durante la tarde");
	define("CELL_PHONE_FIELD", "Nmero de telfono mvil");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Validation Code");
	define("AFFILIATE_CODE_FIELD", "Affiliate Code");
	define("AFFILIATE_CODE_HELP_MSG", "Please use the following URL {affiliate_url} to create a link affiliated with our site");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal Account");
	define("TAX_ID_FIELD", "Tax Number");
	define("MSN_ACCOUNT_FIELD", "MSN Account");
	define("ICQ_NUMBER_FIELD", "ICQ Number");
	define("USER_SITE_URL_FIELD", "Customer Site URL");
	define("HIDDEN_STATUS_FIELD", "Hidden Status");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Do not show my online status");

	// no hay mensajes grabados
	define("NO_RECORDS_MSG", "No se encontraron registros");
	define("NO_EVENTS_MSG", "No hay eventos en la base de datos");
	define("NO_QUESTIONS_MSG", "No hay preguntas en la base de datos");
	define("NO_NEWS_MSG", "No hay artculos nuevos en la base de datos");
	define("NO_POLLS_MSG", "No se encontraron encuestas");

	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Please enter your cell phone number and press button 'SEND_BUTTON' to receive test message");
	define("INVALID_CELL_PHONE", "Incorrect cell phone number");

?>
