<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  messages.php                                             ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	define("CHARSET", "windows-1252");
	// date messages
	define("YEAR_MSG", "Anne");
	define("YEARS_QTY_MSG", "{quantity} years");
	define("MONTH_MSG", "Mois");
	define("MONTHS_QTY_MSG", "{quantity} months");
	define("DAY_MSG", "Jour");
	define("DAYS_MSG", "Jours");
	define("DAYS_QTY_MSG", "{quantity} days");
	define("HOUR_MSG", "Heure");
	define("HOURS_QTY_MSG", "{quantity} hours");
	define("MINUTE_MSG", "Minute");
	define("MINUTES_QTY_MSG", "{quantity} minutes");
	define("SECOND_MSG", "Seconde");
	define("SECONDS_QTY_MSG", "{quantity} seconds");
	define("WEEK_MSG", "Semaine");
	define("WEEKS_QTY_MSG", "{quantity} weeks");
	define("TODAY_MSG", "Aujourd'hui");
	define("YESTERDAY_MSG", "Hier");
	define("LAST_7DAYS_MSG", "7 Derniers Jours");
	define("THIS_MONTH_MSG", "Ce Mois");
	define("LAST_MONTH_MSG", "Mois Prcdent");
	define("THIS_QUARTER_MSG", "Ce Trimestre");
	define("THIS_YEAR_MSG", "Cette Anne");

	// des mois
	define("JANUARY", "janvier");
	define("FEBRUARY", "fvrier");
	define("MARCH", "mars");
	define("APRIL", "avril");
	define("MAY", "mai");
	define("JUNE", "juin");
	define("JULY", "juillet");
	define("AUGUST", "aot");
	define("SEPTEMBER", "septembre");
	define("OCTOBER", "octobre");
	define("NOVEMBER", "novembre");
	define("DECEMBER", "dcembre");

	define("JANUARY_SHORT", "Jan");
	define("FEBRUARY_SHORT", "Fb");
	define("MARCH_SHORT", "Mar");
	define("APRIL_SHORT", "Avr");
	define("MAY_SHORT", "Mai");
	define("JUNE_SHORT", "Juin");
	define("JULY_SHORT", "Juil");
	define("AUGUST_SHORT", "Aot");
	define("SEPTEMBER_SHORT", "Sept");
	define("OCTOBER_SHORT", "Oct.");
	define("NOVEMBER_SHORT", "Nov");
	define("DECEMBER_SHORT", "Dc");

	// weekdays
	define("SUNDAY", "Dimanche");
	define("MONDAY", "Lundi");
	define("TUESDAY", "Mardi");
	define("WEDNESDAY", "Mercredi");
	define("THURSDAY", "Jeudi");
	define("FRIDAY", "Vendredi");
	define("SATURDAY", "Samedi");

	define("SUNDAY_SHORT", "Dim");
	define("MONDAY_SHORT", "Lun");
	define("TUESDAY_SHORT", "Mar");
	define("WEDNESDAY_SHORT", "Mer");
	define("THURSDAY_SHORT", "Jeu");
	define("FRIDAY_SHORT", "Ven");
	define("SATURDAY_SHORT", "Sam");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> is required");
	define("UNIQUE_MESSAGE", "The value in field <b>{field_name}</b> is already in database");
	define("VALIDATION_MESSAGE", "Validation failed for field <b>{field_name}</b>");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> and <b>{field_two}</b> didn't match");
	define("INSERT_ALLOWED_ERROR", "Sorry, but insert operation is not allowed for you");
	define("UPDATE_ALLOWED_ERROR", "Sorry, but update operation is not allowed for you");
	define("DELETE_ALLOWED_ERROR", "Sorry, but delete operation is not allowed for you");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Only alpha-numeric characters, hyphen and underscore are allowed for field <b>{field_name}</b>");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> has incorrect date value. Use calendar dates");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> didn't match with mask. Use following '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Invalid email format in field {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Incorrect value in field <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "The value in field <b>{field_name}</b> can't be less than {min_value}");
	define("MAX_VALUE_MESSAGE", "The value in field <b>{field_name}</b> can't be greater than {max_value}");
	define("MIN_LENGTH_MESSAGE", "The length in field <b>{field_name}</b> can't be less than {min_length} symbols");
	define("MAX_LENGTH_MESSAGE", "The length in field <b>{field_name}</b> can't be greater than {max_length} symbols");

	define("FILE_PERMISSION_MESSAGE", "Don't have writable permission to file <b>'{file_name}'</b>. Please change file permission before continue");
	define("FOLDER_PERMISSION_MESSAGE", "Don't have writable permission to folder <b>'{folder_name}'</b>. Please change folder permission before continue");
	define("INVALID_EMAIL_MSG", "Your email is not valid.");
	define("DATABASE_ERROR_MSG", "Database error has occurred");
	define("BLACK_IP_MSG", "This action is not permitted from your host.");
	define("BANNED_CONTENT_MSG", "Sorry, the provided content contains illegal statement.");
	define("ERRORS_MSG", "Errors");
	define("REGISTERED_ACCESS_MSG", "Only registered users could access this option.");

	// titles 
	define("TOP_RATED_TITLE", "Meilleures Notes");
	define("TOP_VIEWED_TITLE", "Les Plus Visits");
	define("RECENTLY_VIEWED_TITLE", "Visualis Rcemment");
	define("HOT_TITLE", "Promotion");
	define("LATEST_TITLE", "Dernier Ajout");
	define("CONTENT_TITLE", "Contenu");
	define("RELATED_TITLE", "Rapporter");
	define("SEARCH_TITLE", "Rechercher");
	define("ADVANCED_SEARCH_TITLE", "Recherche avance");
	define("LOGIN_TITLE", "Membres");
	define("CATEGORIES_TITLE", "Catgories");
	define("MANUFACTURERS_TITLE", "Fabricants");
	define("SPECIAL_OFFER_TITLE", "Offres Spciales");
	define("NEWS_TITLE", "Nouvelles");
	define("EVENTS_TITLE", "Evnements");
	define("PROFILE_TITLE", "Profile");
	define("USER_HOME_TITLE", "Mon compte");
	define("DOWNLOAD_TITLE", "Tlchargement");
	define("FAQ_TITLE", "Questions poses frquement");
	define("POLL_TITLE", "Voter");
	define("HOME_PAGE_TITLE", "Accueil");
	define("CURRENCY_TITLE", "Devises");
	define("SUBSCRIBE_TITLE", "Newsletter");
	define("UNSUBSCRIBE_TITLE", "Ne plus recevoir de Newsletter");
	define("UPLOAD_TITLE", "Tlcharger");
	define("ADS_TITLE", "Annonces");
	define("ADS_COMPARE_TITLE", "Comparaison");
	define("ADS_SELLERS_TITLE", "Vendeurs");
	define("AD_REQUEST_TITLE", "Poser une question");
	define("LANGUAGE_TITLE", "Langues");
	define("MERCHANTS_TITLE", "Marchands");
	define("PREVIEW_TITLE", "Prvisualiser");
	define("ARTICLES_TITLE", "Articles");
	define("SITE_MAP_TITLE", "Site Map");

	// menu items
	define("MENU_ABOUT", "A Propos");
	define("MENU_ACCOUNT", "Mon Compte");
	define("MENU_BASKET", "Mon Panier");
	define("MENU_CONTACT", "Contactez-nous");
	define("MENU_DOCUMENTATION", "Documentation");
	define("MENU_DOWNLOADS", "Tlchargements");
	define("MENU_EVENTS", "Evnements");
	define("MENU_FAQ", "FAQ");
	define("MENU_FORUM", "Forum");
	define("MENU_HELP", "Aide");
	define("MENU_HOME", "Accueil");
	define("MENU_HOW", "Comment Acheter");
	define("MENU_MEMBERS", "Membres");
	define("MENU_MYPROFILE", "Mon profil");
	define("MENU_NEWS", "News");
	define("MENU_PRIVACY", "Vie Prive");
	define("MENU_PRODUCTS", "Produits");
	define("MENU_REGISTRATION", "Inscription");
	define("MENU_SHIPPING", "Livraison");
	define("MENU_SIGNIN", "S'inscrire");
	define("MENU_SIGNOUT", "Dconnexion");
	define("MENU_SUPPORT", "Support");
	define("MENU_USERHOME", "Mon compte");
	define("MENU_ADS", "Informations");
	define("MENU_ADMIN", "Administration");
	define("MENU_KNOWLEDGE", "Base de Connaissances");

	// main terms
	define("NO_MSG", "Non");
	define("YES_MSG", "Oui");
	define("NOT_AVAILABLE_MSG", "N/A");
	define("MORE_MSG", "Plus de");
	define("READ_MORE_MSG", "En savoir plus...");
	define("CLICK_HERE_MSG", "Cliquez ici");
	define("ENTER_YOUR_MSG", "Entrez votre");
	define("CHOOSE_A_MSG", "Choisissez");
	define("PLEASE_CHOOSE_MSG", "S'il vous plat, faites votre choix");
	define("SELECT_MSG", "Slectionner");
	define("DATE_FORMAT_MSG", "Veuillez utiliser le format suivant");
	define("NEXT_PAGE_MSG", "Suivant");
	define("PREV_PAGE_MSG", "Prcedent");
	define("FIRST_PAGE_MSG", "Premier");
	define("LAST_PAGE_MSG", "Dernier");
	define("OF_PAGE_MSG", "De");
	define("TOP_CATEGORY_MSG", "Haut");
	define("SEARCH_IN_CURRENT_MSG", "Recherche dans le Message");
	define("SEARCH_IN_ALL_MSG", "Rechecher dans tous les Messages");
	define("FOUND_IN_MSG", "Trouver");
	define("TOTAL_VIEWS_MSG", "Total Visualiss");
	define("VOTES_MSG", "Votes");
	define("TOTAL_VOTES_MSG", "Total Votes");
	define("TOTAL_POINTS_MSG", "Total Points");
	define("VIEW_RESULTS_MSG", "Resultats");
	define("PREVIOUS_POLLS_MSG", "Les votes prcdents");
	define("TOTAL_MSG", "Total");
	define("CLOSED_MSG", "Ferm");
	define("CLOSE_WINDOW_MSG", "Fermer la fentre");
	define("ASTERISK_MSG", " (*) champs obligatoires");
	define("PROVIDE_INFO_MSG", "Veuillez remplir les sections marques en rouge puis cliquer '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Trouv");
	define("NO_ARTICLE_MSG", "Rfrence non trouve");
	define("NO_ARTICLES_MSG", "Produits non trouvs");
	define("NOTES_MSG", "Notes");
	define("KEYWORDS_MSG", "Mots-cls");
	define("LINK_URL_MSG", "Lien URL");
	define("DOWNLOAD_URL_MSG", "Tlchargement");
	define("SUBSCRIBE_FORM_MSG", "Pour recevoir notre newsletter, veuillez entrer votre adresse e-mail dans le casier ci-dessous et appuyez '{button_name}' le bouton");
	define("UNSUBSCRIBE_FORM_MSG", "Veuillez taper votre adresse e-mail dans le box situ ci-dessous et appuyez le '{button_name}' bouton");
	define("SUBSCRIBE_LINK_MSG", "S'inscrire");
	define("UNSUBSCRIBE_LINK_MSG", "Annuler l'inscription");
	define("SUBSCRIBED_MSG", "Felicitations, vous venez de vous abonner  notre newsletter");
	define("ALREADY_SUBSCRIBED_MSG", "Vous tes dj inscrits dans notre mailing list. Merci");
	define("UNSUBSCRIBED_MSG", "Vous venez de vous desabonner de newsletter.Merci. de notre newsletter");
	define("UNSUBSCRIBED_ERROR_MSG", "Desol, il est impossible de trouver votre adresse e-mail dans notre base de donns; probablement vous tes vous  dj dsabonn de notre newsletter");
	define("FORGOT_PASSWORD_MSG", "Mot de passe oubli ?");
	define("FORGOT_PASSWORD_DESC", "Veuillez entrer l'adresse email saisie lors de votre inscription");
	define("FORGOT_EMAIL_ERROR_MSG", "Desol, il est impossible de trouver votre adresse e-mail dans notre base de donns;probablement vous vous tes dj desabonns de notre newsletter");
	define("FORGOT_EMAIL_SENT_MSG", "Votre identifiant a t envoy sur votre adresse e-mail.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Some required parameters were missed.");
	define("RESET_PASSWORD_PARAMS_MSG", "The parameters you supplied does not match any in the database.");
	define("RESET_PASSWORD_EXPIRY_MSG", "The reset code you supplied has expired. Please request a new code to reset your password.");
	define("RESET_PASSWORD_SAVED_MSG", "Your new password was successfully saved.");
	define("PRINTER_FRIENDLY_MSG", "Impression Ecran");
	define("PRINT_PAGE_MSG", "Imprimer cette page");
	define("ATTACHMENTS_MSG", "Attachements");
	define("VIEW_DETAILS_MSG", "Visualiser Dtails");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Mode Texte");
	define("META_DATA_MSG", "Meta Data");
	define("META_TITLE_MSG", "Meta Titre");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Description");
	define("FRIENDLY_URL_MSG", "Friendly URL");
	define("IMAGES_MSG", "Images");
	define("IMAGE_MSG", "Image");
	define("IMAGE_SMALL_MSG", "Petite Image");
	define("IMAGE_SMALL_DESC", "Description");
	define("IMAGE_SMALL_ALT_MSG", "Small Image Alt");
	define("IMAGE_LARGE_MSG", "Grande Image");
	define("IMAGE_LARGE_DESC", "shown on details page");
	define("IMAGE_LARGE_ALT_MSG", "Large Image Alt");
	define("IMAGE_SUPER_MSG", "Zoom Image");
	define("IMAGE_SUPER_DESC", "image popup in the new window");
	define("IS_APPROVED_MSG", "Approved");
	define("IS_ACTIVE_MSG", "Is Active");
	define("CATEGORY_MSG", "Catgorie");
	define("SELECT_CATEGORY_MSG", "Selectionner catgorie");
	define("DESCRIPTION_MSG", "Dscription");
	define("SHORT_DESCRIPTION_MSG", "Short Description");
	define("FULL_DESCRIPTION_MSG", "Full Description");
	define("HIGHLIGHTS_MSG", "Highlights");
	define("SPECIAL_OFFER_MSG", "Proposition spciale");
	define("OTHER_MSG", "Autre");
	define("WIDTH_MSG", "Width");
	define("HEIGHT_MSG", "Height");
	define("LENGTH_MSG", "Length");
	define("WEIGHT_MSG", "Poids");
	define("QUANTITY_MSG", "Quantit");
	define("CALENDAR_MSG", "Calendrier");
	define("FROM_DATE_MSG", "From Date");
	define("TO_DATE_MSG", "To Date");
	define("TIME_PERIOD_MSG", "Time Period");
	define("GROUP_BY_MSG", "Group By");
	define("BIRTHDAY_MSG", "Birthday");
	define("BIRTH_DATE_MSG", "Birth Date");
	define("BIRTH_YEAR_MSG", "Birth Year");
	define("BIRTH_MONTH_MSG", "Birth Month");
	define("BIRTH_DAY_MSG", "Birth Day");
	define("STEP_NUMBER_MSG", "Step {current_step} of {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Le statut est");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Notification Email ");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Notification Email Administrateur");
	define("EMAIL_NOTIFICATION_USER_MSG", "User Email Notification");
	define("EMAIL_SEND_ADMIN_MSF", "Send notification to administrator ");
	define("EMAIL_SEND_USER_MSG", "Send notification to user");
	define("EMAIL_USER_IF_STATUS_MSG", "Send notification email to user when the status is applied");
	define("EMAIL_TO_MSG", "To");
	define("EMAIL_TO_USER_DESC", "Customer email used if is empty");
	define("EMAIL_FROM_MSG", "From");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Reply To");
	define("EMAIL_RETURN_PATH_MSG", "Return Path");
	define("EMAIL_SUBJECT_MSG", "Subject");
	define("EMAIL_MESSAGE_TYPE_MSG", "Message Type");
	define("EMAIL_MESSAGE_MSG", "Message");
	define("SMS_NOTIFICATION_MSG", "SMS Notification");
	define("SMS_NOTIFICATION_ADMIN_MSG", "Administrator SMS Notification");
	define("SMS_NOTIFICATION_USER_MSG", "User SMS Notification ");
	define("SMS_SEND_ADMIN_MSF", "Send SMS Notification to Administrator");
	define("SMS_SEND_USER_MSG", "Send SMS Notification to User ");
	define("SMS_USER_IF_STATUS_MSG", "Send SMS notification to user when the status is applied");
	define("SMS_RECIPIENT_MSG", "SMS Recipient");
	define("SMS_RECIPIENT_ADMIN_DESC", "administrator cell phone number");
	define("SMS_RECIPIENT_USER_DESC", "Cell phone' field used if is empty");
	define("SMS_ORIGINATOR_MSG", "SMS Originator");
	define("SMS_MESSAGE_MSG", "SMS Message");

	// account messages
	define("LOGIN_AS_MSG", "Votre identifiant est");
	define("LOGIN_INFO_MSG", "L'information sur votre identifiant");
	define("ACCESS_HOME_MSG", "Page d'accueil");
	define("REMEMBER_LOGIN_MSG", "Retenir mon identifiant et mot de passe");
	define("ENTER_LOGIN_MSG", "Entrer votre identifiant et votre mot de passe");
	define("LOGIN_PASSWORD_ERROR", "Mot de passe ou identifiant incorrect");
	define("ACCOUNT_APPROVE_ERROR", "Desol, votre compte n'a pas t encore confirm");
	define("ACCOUNT_EXPIRED_MSG", "Your account has expired.");
	define("NEW_PROFILE_ERROR", "Vous n'avez pas l'autorisation d'ouvrir un compte");
	define("EDIT_PROFILE_ERROR", "Vous n'avez pas l'autorisation d'diter ce profil");
	define("CHANGE_DETAILS_MSG", "Rajouter des modifications");
	define("CHANGE_DETAILS_DESC", "Cliquez sur le lien ci-dessous si vous voulez changer vos informations personnelles que vous avez entr lors de cration de votre compte");
	define("CHANGE_PASSWORD_MSG", "Changer le mot de passe");
	define("CHANGE_PASSWORD_DESC", "Cliquer pour modifier votre mot de passe");
	define("SIGN_UP_MSG", "Se Connecter");
	define("MY_ACCOUNT_MSG", "Mon compte");
	define("NEW_USER_MSG", "Nouvel utilisateur");
	define("EXISTS_USER_MSG", "Utilisateur Existant");
	define("EDIT_PROFILE_MSG", "Editer un profil");
	define("PERSONAL_DETAILS_MSG", "Information personnelle");
	define("DELIVERY_DETAILS_MSG", "Information livraison");
	define("SAME_DETAILS_MSG", "Si vous voulez utiliser les mmes informations pour la livraison, <br> cochez ici, si non veuillez remplir les informations ci-dessous");
	define("DELIVERY_MSG", "Livraison");
	define("SUBSCRIBE_CHECKBOX_MSG", "Cocher cette case pour recevoir notre newsletter");
	define("ADDITIONAL_DETAILS_MSG", "Dtails Additionels");
	define("GUEST_MSG", "Guest");

	// ads messages
	define("MY_ADS_MSG", "Mes annonces");
	define("MY_ADS_DESC", "Si vous avez des articles  vendre, placez votre annonce ici. C'est facile et rapide de placer des annonces.");
	define("EDIT_AD_MSG", "Rediger une annonce");
	define("ADD_NEW_AD_MSG", "Rajouter une annonce");
	define("AD_ID_COLUMN", "ID");
	define("AD_TITLE_COLUMN", "Titre");
	define("AD_PRICE_COLUMN", "Prix");
	define("AD_STATUS_COLUMN", "Statut");
	define("AD_GENERAL_MSG", "Le contenu de l'annonce");
	define("AD_CATEGORY_MSG", "Catgorie");
	define("AD_SELECT_CATEGORY_MSG", "Selectionner catgorie");
	define("AD_TYPE_MSG", "Type");
	define("AD_TITLE_MSG", "Titre");
	define("AD_SELLER_MSG", "Vendeur");
	define("AD_START_MSG", "Date de parution de l'annonce ");
	define("AD_RUNS_MSG", "La dure de l'annonce");
	define("AD_PRICE_MSG", "Prix");
	define("AD_QTY_MSG", "Quantit");
	define("AD_AVAILABILITY_MSG", "Disponibilit");
	define("AD_COMPARED_MSG", "Comparer des annonces");
	define("AD_IMAGES_MSG", "Images");
	define("AD_UPLOAD_MSG", "Tlcharger des image");
	define("AD_SMALL_IMAGE_MSG", "Format d'image : petite");
	define("AD_LARGE_IMAGE_MSG", "Format d'image : large");
	define("AD_DESCRIPTION_MSG", "Description");
	define("AD_SHORT_DESC_MSG", "Courte description");
	define("AD_FULL_DESC_MSG", "Dscription complte");
	define("AD_LOCATION_MSG", "Localisation");
	define("AD_CITY_MSG", "Ville");
	define("AD_STATE_MSG", "Departement");
	define("AD_COUNTRY_MSG", "Pays");
	define("AD_LOCATION_INFO_MSG", "Information supplmentaire");
	define("AD_PROPERTIES_MSG", "Spcifications de l'annonce");
	define("AD_SPECIFICATION_MSG", "Ad Specification");
	define("AD_MORE_IMAGES_MSG", "Plus d'images");
	define("AD_IMAGE_MSG", "Image");
	define("AD_IMAGE_TITLE_MSG", "Titre");
	define("AD_IMAGE_PREVIEW_MSG", "Visionner l'image");
	define("AD_IMAGE_LARGE_MSG", "Image large");
	define("AD_IMAGE_DESC_MSG", "Dscription de l'image");
	define("AD_DELETE_CONFIRM_MSG", "Souhaitez-vous de supprimer cette annonce?");
	define("AD_NOT_APPROVED_MSG", "Pas de confirmation");
	define("AD_RUNNING_MSG", "Excecution");
	define("AD_CLOSED_MSG", "Ferm");
	define("AD_EXPIRED_MSG", "Expir");
	define("AD_NOT_STARTED_MSG", "L'action n'a pas t commence");
	define("AD_NEW_ERROR", "Vous n'etes pas permis de crer une nouvelle annonce");
	define("AD_EDIT_ERROR", "Vous n'etes pas permis d'editer cette annonce");
	define("AD_DELETE_ERROR", "Vous n'etes pas permis de supprimer cette annonce");
	define("NO_ADS_MSG", "Aucune annonce n'a pas t trouve dans cette catgorie");
	define("NO_AD_MSG", "Dsol, il n'existe pas d'annonce avec cette ID");
	define("FOUND_ADS_MSG", "Nous avons trouv& les annonces qui contiennent le (les)mots&");
	define("AD_OFFER_PRICE_MSG", "Prix");
	define("AD_OFFER_MESSAGE_MSG", "Proposition");
	define("AD_OFFER_LOGIN_ERROR", "Vous tes oblig de revenir sur l'operation prcdente");
	define("AD_REQUEST_BUTTON", "Envoyer une demande");
	define("AD_SENT_MSG", "Votre proposition a t envoy avec succs");

	// search message
	define("SEARCH_FOR_MSG", "Rechercher ");
	define("SEARCH_IN_MSG", "Rechercher dans");
	define("SEARCH_TITLE_MSG", "Titre");
	define("SEARCH_CODE_MSG", "Code");
	define("SEARCH_SHORT_DESC_MSG", "Description courte ");
	define("SEARCH_FULL_DESC_MSG", "Description dtaille");
	define("SEARCH_CATEGORY_MSG", "Rechercher dans la catgorie");
	define("SEARCH_MANUFACTURER_MSG", "Fabricant");
	define("SEARCH_SELLER_MSG", "Vendeur");
	define("SEARCH_PRICE_MSG", "Echelle des prix");
	define("SEARCH_WEIGHT_MSG", "Poids limite");
	define("SEARCH_RESULTS_MSG", "Rsultats Recherche");

	// compare messages
	define("COMPARE_MSG", "Comparer");
	define("COMPARE_REMOVE_MSG", "Supprimer");
	define("COMPARE_REMOVE_HELP_MSG", "Cliquez ici pour supprimer ce produit du tableau de comparaison");
	define("COMPARE_MIN_ALLOWED_MSG", "Vous devez slectionner au moins 2 produits");
	define("COMPARE_MAX_ALLOWED_MSG", "Vous ne pouvez slectionner que 5 produits");
	define("COMPARE_PARAM_ERROR_MSG", "Erreur paramtre de comparaison");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Envoyer  un ami");
	define("TELL_FRIEND_SUBJECT_MSG", "votre ami vous a envoy ce lien");
	define("TELL_FRIEND_DEFAULT_MSG", "Bonjour - J'ai pens que tu pourrais tre intress par les producits que propose ce site");
	define("TELL_YOUR_NAME_FIELD", "Votre nom");
	define("TELL_YOUR_EMAIL_FIELD", "Votre email");
	define("TELL_FRIENDS_NAME_FIELD", "Le nom de votre ami");
	define("TELL_FRIENDS_EMAIL_FIELD", "L'email de votre ami");
	define("TELL_COMMENT_FIELD", "Commentaires");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "Nous n'allons ni enregistrer ni r-utiliser votre adresse email ni celui de votre ami pour aucune autre proposition");
	define("TELL_SENT_MSG", "Votre message a t envoy avec succs!<br> Merci");

	define("CONTACT_US_TITLE", "Contact Us");
	define("CONTACT_USER_NAME_FIELD", "Your Name");
	define("CONTACT_USER_EMAIL_FIELD", "Your Email Address");
	define("CONTACT_SUMMARY_FIELD", "One-line Summary");
	define("CONTACT_DESCRIPTION_FIELD", "Description");
	define("CONTACT_REQUEST_SENT_MSG", "Your request was successfully sent.");

	// buttons
	define("GO_BUTTON", "Se connecter");
	define("CONTINUE_BUTTON", "Continuer");
	define("BACK_BUTTON", "Revenir");
	define("NEXT_BUTTON", "Suivant");
	define("PREV_BUTTON", "Prcdent");
	define("SIGN_IN_BUTTON", "Se connecter");
	define("LOGIN_BUTTON", "Se connecter");
	define("LOGOUT_BUTTON", "Se dconnecter");
	define("SEARCH_BUTTON", "Recherche");
	define("RATE_IT_BUTTON", "Noter");
	define("ADD_BUTTON", "Ajouter");
	define("UPDATE_BUTTON", "Mettre  jour");
	define("APPLY_BUTTON", "Appliquer");
	define("REGISTER_BUTTON", "Enregistrer");
	define("VOTE_BUTTON", "Voter");
	define("CANCEL_BUTTON", "Annuler");
	define("CLEAR_BUTTON", "Effacer");
	define("RESET_BUTTON", "Rinitialiser");
	define("DELETE_BUTTON", "Supprimer");
	define("SUBSCRIBE_BUTTON", "Souscrire");
	define("UNSUBSCRIBE_BUTTON", "Annuler une souscription");
	define("SUBMIT_BUTTON", "Soumettre");
	define("UPLOAD_BUTTON", "Tlcharger");
	define("SEND_BUTTON", "Envoyer");
	define("PREVIEW_BUTTON", "Prvisualiser");
	define("FILTER_BUTTON", "Filter");
	define("DOWNLOAD_BUTTON", "Download");

	// fields
	define("LOGIN_FIELD", "Identifiant");
	define("PASSWORD_FIELD", "Mot de passe");
	define("CONFIRM_PASS_FIELD", "Confirmation de mot de passe");
	define("NEW_PASS_FIELD", "Nouveau mot de passe");
	define("CURRENT_PASS_FIELD", "Mot de passe existant");
	define("NAME_FIELD", "Nom");
	define("FIRST_NAME_FIELD", "Prnom");
	define("LAST_NAME_FIELD", "Nom");
	define("NICKNAME_FIELD", "Surnom");
	define("PERSONAL_IMAGE_FIELD", "Photo personnelle");
	define("COMPANY_SELECT_FIELD", "Socit");
	define("SELECT_COMPANY_MSG", "Choisir une socit");
	define("COMPANY_NAME_FIELD", "Nom de la socit");
	define("EMAIL_FIELD", "Email");
	define("STREET_FIRST_FIELD", "Adresse 1");
	define("STREET_SECOND_FIELD", "Adresse 2");
	define("CITY_FIELD", "Ville");
	define("PROVINCE_FIELD", "Dpartement");
	define("SELECT_STATE_MSG", "Non US");
	define("STATE_FIELD", "Etat (pour uniquement pour les Etats Unis)");
	define("ZIP_FIELD", "Code postal");
	define("SELECT_COUNTRY_MSG", "Choisir pays");
	define("COUNTRY_FIELD", "Pays");
	define("PHONE_FIELD", "Tlphone");
	define("DAYTIME_PHONE_FIELD", "Tlphone professionnel");
	define("EVENING_PHONE_FIELD", "Tlphone personnel");
	define("CELL_PHONE_FIELD", "Portable");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Code Validation");
	define("AFFILIATE_CODE_FIELD", "Code Affiliate");
	define("AFFILIATE_CODE_HELP_MSG", "Please use the following URL {affiliate_url} to create a link affiliated with our site");
	define("PAYPAL_ACCOUNT_FIELD", "Compte PayPal");
	define("TAX_ID_FIELD", "Numro TVA");
	define("MSN_ACCOUNT_FIELD", "MSN Account");
	define("ICQ_NUMBER_FIELD", "ICQ Number");
	define("USER_SITE_URL_FIELD", "Customer Site URL");
	define("HIDDEN_STATUS_FIELD", "Hidden Status");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Do not show my online status");

	// no records messages
	define("NO_RECORDS_MSG", "Dsol, aucun enregistrement ne correspond  votre recherche");
	define("NO_EVENTS_MSG", "Dsol, aucun venement ne correspond  votre demande");
	define("NO_QUESTIONS_MSG", "Aucune question ne correspond  votre requte");
	define("NO_NEWS_MSG", "aucun nouvel article");
	define("NO_POLLS_MSG", "Pas de sondage trouv");

	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Please enter your cell phone number and press button 'SEND_BUTTON' to receive test message");
	define("INVALID_CELL_PHONE", "Incorrect cell phone number");

?>
