<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// cart messages
	define("CART_TITLE", "Carrello");
	define("SMALL_CART_TITLE", "Il tuo carrello");
	define("PRODUCTS_TITLE", "Prodotti");
	define("RELATED_PRODUCTS_TITLE", "Prodotti Correlati");
	define("TOP_SELLERS_TITLE", "Top Venditori");
	define("PRODUCTS_RECOMMENDED_TITLE", "I Prodotti raccomandati");
	define("CHECKOUT_LOGIN_TITLE", "Checkout :: Accesso");
	define("CHECKOUT_INFO_TITLE", "Checkout :: Informazioni Personali");
	define("CHECKOUT_PAYMENT_TITLE", "Checkout :: Dettagli di pagamento");
	define("CHECKOUT_CONFIRM_TITLE", "Checkout :: Conferma");
	define("CHECKOUT_FINAL_TITLE", "Checkout :: Completamento");
	define("RELEASES_TITLE", "Versioni");
	define("CHANGES_LOG_TITLE", "Modfiche");
	define("COMPARE_TITLE", "Comparazione Prodotti");

	define("PRODUCT_MSG", "Prodotto");
	define("PRICE_MSG", "Prezzo");
	define("OUR_PRICE_MSG", "Il Nostro Prezzo");
	define("YOU_SAVE_MSG", "Il Tuo Risparmio");
	define("PROD_OPTIONS_MSG", "Opzioni");
	define("PROD_SUBCOMPONENTS_MSG", "Sotto Componenti");
	define("PROD_AVAILABILITY_MSG", "Disponibilita'");
	define("PROD_HIGHLIGHT_MSG", "Caratteristiche");
	define("PROD_SUPER_IMAGE_MSG", "Premi qui per una immagine piu' grande");
	define("PROD_PREVIEW_MSG", "Anteprima");
	define("PROD_PREVIEW_CLICK_MSG", "Premi qui per vedere l'anteprima");
	define("PROD_DESCRIPTION_MSG", "Descrizione");
	define("PROD_SPECIFICATION_MSG", "Specifiche");
	define("PROD_IMAGES_MSG", "Immagini");
	define("PROD_ACCESSORIES_MSG", "Accessori");
	define("PROD_NOTE_MSG", "Note");
	define("PROD_SHIPPING_MSG", "Spedizione");
	define("PROD_WEIGHT_MSG", "Peso");
	define("PROD_DOWNLOAD_COLUMN", "Links");
	define("PROD_ID_COLUMN", "ID");
	define("PROD_TITLE_COLUMN", "Prodotto");
	define("PROD_CODE_MSG", "Codice");
	define("PROD_QTY_COLUMN", "Qta'");
	define("PROD_PRICE_COLUMN", "Prezzo");
	define("PROD_STATUS_COLUMN", "Stato");
	define("PROD_TOTAL_COLUMN", "Totale");
	define("PROD_TAX_TOTAL_COLUMN", "Totale");
	define("GOODS_TOTAL_MSG", "Totale Merce");
	define("TOTAL_DISCOUNT_MSG", "Totale Sconto");
	define("GOODS_WITH_DISCOUNT_MSG", "Costo della merce dopo lo sconto");
	define("SHIPPING_TRACKING_MSG", "Numero di spedizione");
	define("SHIPPING_EXPECTING_MSG", "Data prevista di spedizione");
	define("PROCESSING_FEE_MSG", "Costo di processo");
	define("MY_PRODUCTS_MSG", "I miei prodotti");
	define("MY_PRODUCTS_DESC", "Premi qui per aggiungere nuovi prodotti o per modificare quelli esistenti");
	define("EDIT_PRODUCT_MSG", "Modifica prodotto");
	define("ADD_NEW_PRODUCT_MSG", "Aggiungi nuono prodotto");
	define("PROD_NEW_ERROR", "Non hai il permesso di creare nuovi prodotti");
	define("PROD_EDIT_ERROR", "Non hai il permesso di modificare questo prodotto");
	define("PROD_DELETE_ERROR", "Non hai il permesso di cancellare questo prodotto");
	define("PROD_DELETE_CONFIRM_MSG", "Vuoi cancellare questo prodotto ?");
	define("PROD_NOT_APPROVED_MSG", "Non approvato");
	define("PROD_HIDDEN_MSG", "Nascosto");
	define("PROD_ACTIVE_MSG", "Attivo");
	define("PROD_GENERAL_TAB", "Generale");
	define("PROD_DOWNLOADABLE_TAB", "Downloadable / Software");
	define("PROD_SPECIAL_OFFER_TAB", "Offerta speciale");
	define("PROD_RECURRING_TAB", "Recurring");
	define("PROD_NOTIFICATION_TAB", "Notifica");
	define("PROD_NOTES_TAB", "Valutazione / Note");
	define("PROD_GENERAL_INFO_MSG", "Informazioni generali sul prodotto");
	define("PROD_SHOWN_MSG", "Segna questo prodotto come disponibile alla vendita");
	define("PROD_ORDER_MSG", "Ordine prodotto");
	define("PROD_TYPE_MSG", "Tipo di prodotto");
	define("PROD_NAME_MSG", "Nome del prodotto");
	define("PROD_MANUFACTURER_MSG", "Produttore");
	define("PROD_ISSUE_DATE_MSG", "Data dell'uscita del prodotto");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Opzioni aggiuntive");
	define("PROD_ALLOWED_COMPARISON_MSG", "Abilita il prodotto alla comparazione");
	define("PROD_TAX_FREE_MSG", "Prodotto \"Tax free\"");
	define("PROD_LANGUAGE_MSG", "Lingua");
	define("PROD_LANGUAGE_DESC", "mostra prodotto solo per la lingua selezionata");
	define("PROD_PRICING_MSG", "Prezzo");
	define("PROD_CHANGE_PRICE_MSG", "Permetti ai clienti di cambiare il prezzo");
	define("PROD_LIST_PRICE_MSG", "Prezzo (Prezzo di listino)");
	define("PROD_DISCOUNT_PRICE_MSG", "Prezzo Scontato");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "Attiva Sconto");
	define("PROD_TRADE_PRICE_MSG", "Prezzo di vendita");
	define("PROD_DISCOUNT_TRADE_MSG", "Prezzo di vendita scontato");
	define("PROD_BUYING_PRICE_MSG", "Prezzo di acquisto");
	define("PROD_SHOWN_DISCOUNT_MSG", "Mostra sconto (%)");
	define("PROD_OPTIONS_PRICE_MSG", "Opzioni di prezzo");
	define("PROD_OPTIONS_PRICE_DESC", "Usa questo campo se vuoi mostrare il prezzo comprendente i prezzo delle opzioni del prodotto qualora le opzioni non fossero disponibili");
	define("PROD_PRICE_PREVIEW_MSG", "Anteprima prezzo (come appare sulla pagina)");
	define("PROD_APPEARANCE_MSG", "Aspetto");
	define("CUSTOM_TEMPLATE_MSG", "Template personalizzato");
	define("HIDE_ADD_BUTTON_MSG", "Nascondi il pulsante '<b>{ADD_TO_CART_MSG}</b>' ");
	define("ON_PROD_LIST_MSG", "sulla pagina elenco prodotti");
	define("ON_PROD_DETAILS_MSG", "sulla pagina dettagli prodotto");
	define("PROD_PREVIEW_URL_MSG", "URL di anteprima del prodotto");
	define("PROD_STOCK_MSG", "A Magazzino");
	define("USE_STOCK_MSG", "Usa i livelli di magazzino");
	define("STOCK_QUANTITY_MSG", "Quantita' a magazzino");
	define("HIDE_OUT_STOCK_MSG", "Nascondi i prodotti \"fuori produzione\"");
	define("HIDE_OUT_STOCK_DESC", "Non mostare il prodotto sul web se non e' disponibile a magazzino");
	define("DISABLE_OUT_STOCK_MSG", "Disabilita i prodotti \"fuori produzione\"");
	define("DISABLE_OUT_STOCK_DESC", "disabilita il bottone '<b>{ADD_TO_CART_MSG}</b>'  se il prodotto non e' disponibile a magazzino");
	define("IN_STOCK_AVAILABILITY_MSG", "Disponibilita' a magazzino");
	define("IN_STOCK_AVAILABILITY_DESC", "Tempo di spedizione di questo prodotto quando e' disponibile");
	define("OUT_STOCK_AVAILABILITY_MSG", "Non disponibile a magazzino");
	define("OUT_STOCK_AVAILABILITY_DESC", "Tempo di spedizione di questo prodotto quando non e' disponibile");
	define("SHIPPING_RESTRICTIONS_MSG", "Limitazione della spedizione");
	define("PROD_OFFER_ACTIVATE_MSG", "Aggiungi questo prodotto alla sezione offerte speciali");
	define("PROD_RATING_MSG", "Valutazione prodotto");
	define("PROD_DIRECT_LINK_MSG", "Collegamento diretto per l'acquisto del prodotto");
	define("PRODUCTS_REPORT_MSG", "Lista Prodotti");
	define("MERCHANT_SALES_MSG", "Vendite del Commerciante");
	define("MERCHANT_SALES_DESC", "Questa sezione permette di vedere la lista delle vendite relative ai prodotti che tu hai presentato. Potrai inoltre vedere l'importo totale delle commissioni generate.");
	define("AFFILIATE_SALES_MSG", "Vendite affiliate");
	define("AFFILIATE_SALES_DESC", "Premi qui per vedere tutte la lista delle vendite affiliate con il tuo account. Potrai inoltre vedere l'importo totale delle commissioni generate.");
	define("COMMISSION_PAYMENTS_MSG", "Pagamento delle commissioni");
	define("COMMISSION_PAYMENTS_DESC", "Visitare questa sezione per l'organizzazione dei pagamenti che ricevete come commissioni");
	define("PAYMENT_ID_COLUMN", "ID");
	define("PAYMENT_NAME_COLUMN", "Tipo di pagamento");
	define("PAYMENT_TOTAL_COLUMN", "Totale");
	define("PAYMENT_DATE_COLUMN", "Data pagamento");
	define("NO_COMMISSION_PAYMENTS_MSG", "Nessun pagamento della commissione e' stato trovato");
	define("COMMISSIONS_MSG", "Commissioni");
	define("COMMISSION_AMOUNT_COLUMN", "Importo della commissione");
	define("COMMISSION_TYPE_COLUMN", "Tipo");
	define("COMMISSION_DATE_COLUMN", "Data commissione");
	define("NO_COMMISSIONS_MSG", "Nessuna commissione e stata trovata");
	define("AFFILIATE_MSG", "Affiliata");
	define("MERCHANT_MSG", "Commerciante");
	define("CONTACT_MERCHANT_TITLE", "Contact Merchant");
	define("PROD_SORT_BY_MSG", "Sort by");
	define("PROD_SORT_DEFAULT_MSG", "Default");
	define("PROD_SORT_PRICE_MSG", "Prezzo");
	define("PROD_SORT_MANUFACTURER_MSG", "Produttore");
	define("PROD_SORT_NAME_MSG", "Name");
	define("PROD_SORT_CODE_MSG", "Codice");
	define("PROD_MOST_POPULAR_MSG", "Most Popular");
	define("PROD_FIELDS_TAB", "Fields");
	define("PROD_TERMS_TAB", "Terms");
	define("PROD_SHOW_TERMS_MSG", "Show Terms & Conditions");
	define("PROD_SHOW_TERMS_DESC", "To submit the product user has to read and agree to our terms and conditions");
	define("PROD_TERMS_MSG", "Terms & Conditions");
	define("PROD_TERMS_USER_DESC", "I have read and agree to your terms and conditions");
	define("PROD_TERMS_USER_ERROR", "To submit the product you have to read and agree to our terms and conditions");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Number of products can be added by merchant");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "leave this field blank if you do not want to limit number of products merchant can post");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Sorry, but you are not allowed add more than {products_limit} products.");
	define("FEES_COMMISSIONS_MSG", "Fees & Commissions");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "Discounts, Fees, Commissions");
	define("DISCOUNT_MSG", "Discount");
	define("MERCHANT_FEE_MSG", "Merchant Fee");
	define("AFFILIATE_COMMISSION_MSG", "Affiliate Commission");

	define("CART_TOTAL_MSG", "Importo totale ordine");
	define("CONTINUE_SHOPPING_MSG", "Continuare con gli acquisti");
	define("REMOVE_FROM_CART_MSG", "Rimuovi");
	define("EMPTY_CART_MSG", "Il tuo carrello e' vuoto!");
	define("CLEAR_CART_MSG", "Cancella il Carrello");
	define("ADD_TO_CART_MSG", "Aggiungi al Carrello");
	define("VIEW_CART_MSG", "Visualizza il Carrello");
	define("AMEND_CART_MSG", "Rivedi il Carrello");
	define("MY_SAVED_CARTS_MSG", "My Saved Carts");
	define("MY_SAVED_CARTS_DESC", "Here you can view/retrieve baskets saved in the past.");
	define("NO_CARTS_MSG", "No carts were found");
	define("SAVE_CART_TITLE", "Save Your Cart");
	define("SAVE_CART_BUTTON", "Save Cart");
	define("SAVE_CART_INFO_MSG", "You can save your current cart and retrieve it at anytime. Please enter a cart name and press 'Save Cart' button. We'll supply you with a unique cart number that you can use along with cart name to retreive your current cart contents. If you are registered user you can retrieve your cart contents from your home page.");
	define("CART_NO_FIELD", "Cart No");
	define("CART_NAME_FIELD", "Cart Name");
	define("CART_SAVED_DATE_COLUMN", "Saved Date");
	define("CART_TOTAL_COLUMN", "Cart Total");
	define("CART_SAVED_MSG", "Your cart has been saved. Your Cart Number is <b>{cart_id}</b>.");
	define("RETRIEVE_CART_TITLE", "Retrieve Your Cart");
	define("RETRIEVE_CART_BUTTON", "Retrieve Cart");
	define("RETRIEVE_CART_INFO_MSG", "Please enter your Cart Number and Cart Name to retrieve your previously saved cart.");
	define("RETRIEVE_CART_NOTE_MSG", "Please note that retrieved cart will overwrite your current cart. If you make any changes to this cart once loaded, please make sure that you save it again.");
	define("CART_RETRIEVED_MSG", "Your cart has been retrieved.");
	define("RETRIEVE_CART_ERROR", "We were unable to retrieve your cart. <br>Please check that you have entered the information correctly, and try again.");
	define("PROD_NOT_AVAILABLE_ERROR", "This product is currently no longer available in the store.");
	define("PROD_OPTIONS_MISSED_ERROR", "Some options for this product were missed. Please check the product page to select them.");
	define("GOTO_CHECKOUT_MSG", "Check out");
	define("CHECKOUT_WITHOUT_MSG", "Check out senza creare un account");
	define("OPEN_AND_CHECKOUT_MSG", "Crea account e procedi con il check out");
	define("REMOVE_FROM_CART_JS", "Sei sicuro di rimuovere questo {item_type} dal tuo carrello ?");
	define("CLEAR_CART_JS", "Sei sicuro di rimuovere tutti i prodotti dal carrello ?");
	define("CART_QTY_ZERO_JS", "Stai cambiando la quantita' da '{old_quantity}' a '0'.\\nQuesto rimuovera' '{product_name}' dal tuo carrello.\\nContinuare?");
	define("ALTER_CART_QTY_JS", "Stai cambiando la quantita' di \\n'{product_name}' da '{old_quantity}' a '{new_quantity}'\\nContinuare?");
	define("ADD_PRODUCT_MSG", "Aggiungi questo prodotto al Carrello ?");
	define("PRODUCT_OUT_STOCK_MSG", "Spiacente, ma non puoi acquistare questo prodotto, perche' attualmente non disponibile");
	define("REQUIRED_PROPERTY_MSG", "Specifica {property_name} per {product_name}.");
	define("PRODUCT_LIMIT_MSG", "Non puoi aggiungere piu' di  {limit_quantity} pezzi per {product_name}.");
	define("ADDED_PRODUCT_MSG", "{product_name} e' stato aggiunto al tuo carrello.");
	define("REQUIRED_DELIVERY_MSG", "Per favore scegliere un metodo di spedizione");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name} non puo' essere spedito in {country_name}.");
	define("NO_PRODUCT_MSG", "Il prodotto con questo ID non e' disponibile in questa categoria");
	define("NO_PRODUCTS_MSG", "Nessun prodotto trovato");
	define("NO_PRODUCTS_MATCH_MSG", "Nessun prodotto trovato corrispondente ai criteri specificati");
	define("FOUND_PRODUCTS_MSG", "Sono stati trovati <b>{found_records}</b> prodotti che contengono '<b>{search_string}</b>'");
	define("PROD_DOWNLOAD_MSG", "Download");
	define("PROD_VER_MSG", "ver.");
	define("PROD_RELEASES_MSG", "{product_name} versioni");
	define("PROD_CHANGES_LOG_MSG", "{product_name} modifiche");
	define("CHANGES_LOG_MSG", "Modifiche");
	define("ALL_PRODUCTS_MSG", "Tutti i prodotti");
	define("ALL_PROD_RELEASES_MSG", "Tutte le versioni");
	define("NO_PROD_RELEASES_MSG", "Nessuna versione disponibile");
	define("NO_RELEASE_CHANGES_MSG", "Nessun cambiamento disponibile");
	define("SERIAL_NUMBER_MSG", "S/N");
	define("RECURRING_OPTIONS_MSG", "Recurring options");
	define("RECURRING_ACTIVATE_MSG", "Activate recurring payments");
	define("RECURRING_PERIOD_MSG", "Recurring Period");
	define("RECURRING_INTERVAL_MSG", "Recurring Interval");
	define("RECURRING_INTERVAL_DESC", "This is the length of the billing cycle.");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Payments Total");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Total number of payments to be made");
	define("RECURRING_PAYMENTS_MADE_MSG", "Payments Made");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Payments Failed");
	define("RECURRING_START_DATE_MSG", "Payments Start Date");
	define("RECURRING_START_DATE_DESC", "Recurring payment start date is the date the recurring payments will be started");
	define("RECURRING_END_DATE_MSG", "Payments End Date");
	define("RECURRING_END_DATE_DESC", "Recurring payment end date is the date the recurring payment will be cancelled");
	define("RECURRING_LAST_PAYMENT_MSG", "Last payment date");
	define("RECURRING_PLAN_PAYMENT_MSG", "Planning payment date");
	define("RECURRING_NEXT_PAYMENT_MSG", "Next payment date");
	define("RECURRING_METHOD_MSG", "Recurring Method");
	define("RECURRING_NOT_ALLOWED_MSG", "Not Allowed");
	define("RECURRING_NOT_ALLOWED_ERROR", "The products with recurring payments are not allowed for '{payment_name}' payment method. Please select different payment method.");
	define("RECURRING_AUTO_CREATE_MSG", "Automatically create order for next payment");
	define("RECURRING_AUTO_BILL_MSG", "Automatically create and bill recurring orders");
	define("RECURRING_SHIPPING_MSG", "Apply shipping for recurring payments");
	define("SUBSCRIPTION_MSG", "Subscription");
	define("SUBSCRIPTION_OPTIONS_MSG", "Subscription Options");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Activate subscription");
	define("SUBSCRIPTION_RECURRING_MSG", "Activate recurring payments for this subscription");
	define("SUBSCRIPTION_NAME_MSG", "Subscription Name");
	define("SUBSCRIPTION_FEE_MSG", "Subscription Fee");
	define("SUBSCRIPTION_PERIOD_MSG", "Subscription Period");
	define("SUBSCRIPTION_INTERVAL_MSG", "Subscription Interval");
	define("SUBSCRIPTION_INTERVAL_DESC", "This is the length of the subscripion cycle.");
	define("SUBSCRIPTION_SUSPEND_MSG", "Subscription Suspend");
	define("SUBSCRIPTION_SUSPEND_DESC", "Number of days when all customer activities are suspended ");
	define("SUBSCRIPTION_CANCEL_MSG", "Cancel Subscription");

	define("COUPON_MSG", "Coupon");
	define("COUPON_NOT_FOUND_MSG", "Nessun Coupon con questo codice e' stato trovato.");
	define("COUPON_NON_ACTIVE_MSG", "Questo coupon non e' attivo.");
	define("COUPON_USED_MSG", "Questo coupon e' gia' stato usato.");
	define("COUPON_EXPIRED_MSG", "Questo coupon e' scaduto");
	define("COUPON_EXCLUSIVE_MSG", "Questo coupon non puo essere usato con i coupons che gia sono applicati.");
	define("COUPON_APPLIED_MSG", "Questo coupon e' gia stato applicato.");
	define("COUPON_PRODUCTS_MSG", "Spiacente, questo coupon non puo' essere usato con i prodotti presenti nel tuo carrello.");
	define("COUPON_ORDER_AMOUNT_MSG", "Spiacente, questo coupon non puo' essere applicato al vostro acquisto corrente.  <br>L'importo minimo per questo coupon e'  {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Spiacente, questo coupon non puo' essere applicato al prodotto.  <br>Il prezzo  minimo del prodotto per questo coupon e'  {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Cancella Coupon");
	define("COUPON_CODE_FIELD", "Coupon");

	define("CC_NAME_FIELD", "Nome dell'intestatario");
	define("CC_NAME_DESC", "come compare sulla carta");
	define("CC_FIRST_NAME_FIELD", "Nome");
	define("CC_LAST_NAME_FIELD", "Cognome");
	define("CC_NUMBER_FIELD", "Numero della Carta");
	define("CC_NUMBER_ERROR_MSG", "Spiacente, sembra esserci un problema con il numero della vostra carta di credito - prego controllare e provare ancora .");
	define("CC_NUMBER_ALLOWED_MSG", "Siacente, ma questo numero di carta di credito non e' abilitato per questo pagamento.");
	define("CC_START_DATE_FIELD", "Data di emissione");
	define("CC_EXPIRY_DATE_FIELD", "Data di scadenza");
	define("CC_TYPE_FIELD", "Tipo di carta");
	define("CC_ISSUE_NUMBER_FIELD", "Numero d'emissione");
	define("CC_ISSUE_NUMBER_DESC", "Solo per carte di credito Switch e Solo");
	define("CC_SECURITY_CODE_FIELD", "Codice di sicurezza");
	define("CC_SECURITY_CODE_HELP_MSG", "Aiuto ?");
	define("CC_SECURITY_CODE_TITLE", "Codice di sicurezza ?");
	define("CC_SECURITY_CODE_1_DESC", "Il codice di sicurezza della carta e' un codice unico di tre numeri stampati sulla tua carta di credito. Questo numero non e impresso sulla scheda e non e stampato sulle ricevute - rendendo difficile per chiunque tranne che per l'intestatario della carta la conoscenza di tale codice. Alcuni aziende si riferiscono a questo numero come il codice di sicurezza della schede\" altri come il codice di sicurezza personale\" ed altri come valore di verifica della scheda\". ");
	define("CC_SECURITY_CODE_2_DESC", "La maggior parte parte delle carte, ha tre numeri stampati sopra la striscia firma sul retro della carta di credito.");
	define("PAY_WITHOUT_CC_MSG", "Se non desiderate pagare con la carta di credito spuntare qui");
	define("PAY_WITHOUT_CC_FIELD", "Informazioni su altri medodi di pagamento");
	define("PAY_WITHOUT_CC_DESC", "Comunica come preferisci pagare per la tua merce");

	define("ORDER_NUMBER_COLUMN", "Num.");
	define("ORDER_STATUS_COLUMN", "Stato");
	define("ORDER_ADDED_COLUMN", "Ordine inviato");
	define("ORDER_TOTAL_COLUMN", "Totale");
	define("ORDER_NUMBER_MSG", "Num. Ordine");
	define("PARENT_ORDER_NUMBER_MSG", "Parent Order No");
	define("ORDER_DATE_MSG", "Data Ordine");
	define("ORDER_TOTAL_MSG", "TOTALE");
	define("INVOICE_MSG", "Invoice");
	define("INVOICE_TO_MSG", "Fatturare a");
	define("DELIVERY_TO_MSG", "Spedire a");
	define("PAYMENT_GATEWAY_MSG", "Medoto di pagamento");
	define("SELECT_PAYMENT_MSG", "Per favore selezionare il metodo di pagamento");
	define("GOTO_PAYMENT_MSG", "Ora verrai rediretto al {payment_system}. Se non succede niente per favore premere '{button_name}' per precedere");
	define("MY_ORDERS_MSG", "I miei ordini");
	define("MY_ORDERS_DESC", "Appena l'ordine sara' inviato, sara' possibile tracciare lo stato e vederne i dettagli");
	define("PURCHASED_ORDERS_MSG", "Ordini acquistati");
	define("NO_ORDERS_MSG", "Nessun ordine trovato");
	define("NO_ORDERS_MATCH_MSG", "Nessun ordine trovato con il criterio di ricerca fornito");
	define("VIEW_ORDER_DETAILS_MSG", "Visualizza dettagli");
	define("ORDER_DETAILS_MSG", "Dettagli ordine");
	define("PAYMENT_DETAILS_MSG", "Dettagli pagamento");
	define("CHECKOUT_SUCCESS_TITLE", "Il tuo ordine e' stato inviato correttamente!");
	define("CHECKOUT_SUCCESS_MSG", "Grazie per aver eseguito l'ordine. Il tuo numero di riferimento dell'ordine e' {order_id}!");
	define("CHECKOUT_PENDING_TITLE", "Il tuo ordine e' pendente");
	define("CHECKOUT_PENDING_MSG", "La tua transazione non e' stata completata e' in attesa di approvazione.");
	define("CHECKOUT_ERROR_TITLE", "Errore nell'ordine");
	define("CHECKOUT_ERROR_MSG", "Un errore e' accaduto mentre venina processato il vostro ordine. Siamo spiacenti per eventuali inconvenienti causati.");
	define("ORDER_CODE_ERROR", "Parametro di verifica errato.");
	define("ORDER_PLACED_ERROR", "<b>L' ordine</b> e' gia' stato inoltrato.");
	define("ORDER_EXISTS_ERROR", "Tale <b>Ordine</b> non esiste.");
	define("ORDER_NOTES_MSG", "Note dell'ordine");
	define("ORDER_NOTE_MSG", "Nota dell'ordine");
	define("CANCEL_ORDER_MSG", "Cancella Ordine");
	define("CANCEL_ORDER_CONFIRM_MSG", "Sei sicuro di cancellare questo ordine?");
	define("GROSS_SALES_MSG", "Vendite lorde");
	define("FEES_MSG", "Tasse");
	define("NET_SALES_MSG", "Vendite nette");
	define("ITEMS_NUMBER_COLUMN", "#Items");
	define("AVERAGE_PRICE_COLUMN", "Prezzo medio");
	define("PAID_STATUS_MSG", "Paid Status");
	define("PAID_MSG", "Paid");
	define("NOT_PAID_MSG", "Not Paid");
	define("PAY_FOR_YOUR_ORDER_MSG", "Pay for your Order");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "Minimum products cost per order");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "Maximum products cost per order");
	define("ORDER_MIN_WEIGHT_FIELD", "Minimum order weight");
	define("ORDER_MAX_WEIGHT_FIELD", "Maximum order weight");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "The total cost of products per one order can't be less than {min_cost}.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "The total cost of products per one order shouldn't exceed {max_cost}.");
	define("ORDER_MIN_WEIGHT_ERROR", "The total weight of products per one order can't be less {max_cost}.");
	define("ORDER_MAX_WEIGHT_ERROR", "The total weight of products per one order shouldn't exceed {max_cost}.");

?>
