<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// cart messages
	define("CART_TITLE", "Winkelwagen");
	define("SMALL_CART_TITLE", "Uw bestelling");
	define("PRODUCTS_TITLE", "Producten");
	define("RELATED_PRODUCTS_TITLE", "Gerelateerde producten");
	define("TOP_SELLERS_TITLE", "Meest verkocht");
	define("PRODUCTS_RECOMMENDED_TITLE", "Aanbevolen producten");
	define("CHECKOUT_LOGIN_TITLE", "Afrekenen :: Inloggen");
	define("CHECKOUT_INFO_TITLE", "Afrekenen :: Persoonlijke Informatie");
	define("CHECKOUT_PAYMENT_TITLE", "Afrekenen :: Betalingsdetails");
	define("CHECKOUT_CONFIRM_TITLE", "Afrekenen :: Bevestiging");
	define("CHECKOUT_FINAL_TITLE", "Afrekenen :: Afronden");
	define("RELEASES_TITLE", "Uitgaven");
	define("CHANGES_LOG_TITLE", "Veranderingen-Logboek");
	define("COMPARE_TITLE", "Productvergelijking");

	define("PRODUCT_MSG", "Product");
	define("PRICE_MSG", "Prijs");
	define("OUR_PRICE_MSG", "Onze prijs");
	define("YOU_SAVE_MSG", "U bespaart");
	define("PROD_OPTIONS_MSG", "Opties");
	define("PROD_SUBCOMPONENTS_MSG", "Onderdelen");
	define("PROD_AVAILABILITY_MSG", "Beschikbaarheid");
	define("PROD_HIGHLIGHT_MSG", "Hoogtepunten");
	define("PROD_SUPER_IMAGE_MSG", "Klik hier voor een grotere afbeelding");
	define("PROD_PREVIEW_MSG", "Preview");
	define("PROD_PREVIEW_CLICK_MSG", "Klik hier voor de preview");
	define("PROD_DESCRIPTION_MSG", "Beschrijving");
	define("PROD_SPECIFICATION_MSG", "Specificatie");
	define("PROD_IMAGES_MSG", "Afbeeldingen");
	define("PROD_ACCESSORIES_MSG", "Accessoires");
	define("PROD_NOTE_MSG", "Opmerking");
	define("PROD_SHIPPING_MSG", "Verzendkosten");
	define("PROD_WEIGHT_MSG", "Gewicht");
	define("PROD_DOWNLOAD_COLUMN", "Links");
	define("PROD_ID_COLUMN", "ID");
	define("PROD_TITLE_COLUMN", "Product");
	define("PROD_CODE_MSG", "Code");
	define("PROD_QTY_COLUMN", "Aant");
	define("PROD_PRICE_COLUMN", "Prijs");
	define("PROD_STATUS_COLUMN", "Status");
	define("PROD_TOTAL_COLUMN", "Totaal");
	define("PROD_TAX_TOTAL_COLUMN", "Totaal");
	define("GOODS_TOTAL_MSG", "Bestelling Totaal");
	define("TOTAL_DISCOUNT_MSG", "Totaal Korting");
	define("GOODS_WITH_DISCOUNT_MSG", "Bestelling kost na Korting");
	define("SHIPPING_TRACKING_MSG", "Verzending tracking nummer");
	define("SHIPPING_EXPECTING_MSG", "Verwachte verzenddatum");
	define("PROCESSING_FEE_MSG", "Verwerkingskosten");
	define("MY_PRODUCTS_MSG", "Mijn Producten");
	define("MY_PRODUCTS_DESC", "Klik hier om nieuwe producten toe te voegen of uw bestelling te wijzigen");
	define("EDIT_PRODUCT_MSG", "Product bewerken");
	define("ADD_NEW_PRODUCT_MSG", "Toevoegen nieuw product");
	define("PROD_NEW_ERROR", "U heeft geen rechten om een nieuw product aan te maken.");
	define("PROD_EDIT_ERROR", "U heeft geen rechten om dit product te wijzigen.");
	define("PROD_DELETE_ERROR", "U heeft geen rechten om dit product te verwijderen.");
	define("PROD_DELETE_CONFIRM_MSG", "Wilt u dit product verwijderen?");
	define("PROD_NOT_APPROVED_MSG", "Niet goedgekeurd");
	define("PROD_HIDDEN_MSG", "Verborgen");
	define("PROD_ACTIVE_MSG", "Actief");
	define("PROD_GENERAL_TAB", "Algemeen");
	define("PROD_DOWNLOADABLE_TAB", "Downloadable / Software");
	define("PROD_SPECIAL_OFFER_TAB", "Speciale aanbieding");
	define("PROD_RECURRING_TAB", "Recurring");
	define("PROD_NOTIFICATION_TAB", "Notificatie");
	define("PROD_NOTES_TAB", "Rating / Opmerkingen");
	define("PROD_GENERAL_INFO_MSG", "Algemene productinformatie");
	define("PROD_SHOWN_MSG", "Maak dit product beschikbaar voor verkoop");
	define("PROD_ORDER_MSG", "Product volgorde");
	define("PROD_TYPE_MSG", "Product type");
	define("PROD_NAME_MSG", "Product naam");
	define("PROD_MANUFACTURER_MSG", "Fabrikant");
	define("PROD_ISSUE_DATE_MSG", "Product ");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Additionele opties");
	define("PROD_ALLOWED_COMPARISON_MSG", "Toestemming productvergelijking");
	define("PROD_TAX_FREE_MSG", "Tax free product");
	define("PROD_LANGUAGE_MSG", "Taal");
	define("PROD_LANGUAGE_DESC", "Laat dit product alleen zien voor de geselcteerde taal");
	define("PROD_PRICING_MSG", "Prijsstelling");
	define("PROD_CHANGE_PRICE_MSG", "Toestemming klanten om prijs te wijzigen");
	define("PROD_LIST_PRICE_MSG", "Prijs (cataloguswaarde)");
	define("PROD_DISCOUNT_PRICE_MSG", "Kortingsprijs");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "Activeer korting");
	define("PROD_TRADE_PRICE_MSG", "Handelsprijs");
	define("PROD_DISCOUNT_TRADE_MSG", "Handelsprijs na korting");
	define("PROD_BUYING_PRICE_MSG", "Inkoopprijs");
	define("PROD_SHOWN_DISCOUNT_MSG", "Getoonde korting (%)");
	define("PROD_OPTIONS_PRICE_MSG", "Opties prijs");
	define("PROD_OPTIONS_PRICE_DESC", "Gebruik dit veld als u de prijs inclusief de prijzen voor opties wilt tonen, daar waar opties niet beschikbaar zijn.");
	define("PROD_PRICE_PREVIEW_MSG", "Prijs preview (hoe het er op de website uit zal zien)");
	define("PROD_APPEARANCE_MSG", "Verschijning");
	define("CUSTOM_TEMPLATE_MSG", "Custom Template");
	define("HIDE_ADD_BUTTON_MSG", "Verberg '<b>{ADD_TO_CART_MSG}</b>' knop");
	define("ON_PROD_LIST_MSG", "op de productenlijst pagina");
	define("ON_PROD_DETAILS_MSG", "op de product details pagina");
	define("PROD_PREVIEW_URL_MSG", "Product preview URL");
	define("PROD_STOCK_MSG", "Voorraad");
	define("USE_STOCK_MSG", "Gebruik voorraadniveau");
	define("STOCK_QUANTITY_MSG", "Hoeveelheid in voorraad");
	define("HIDE_OUT_STOCK_MSG", "Verberg producten die niet op voorraad zijn");
	define("HIDE_OUT_STOCK_DESC", "Laat producten die niet op vooraad zijn niet zien op de website");
	define("DISABLE_OUT_STOCK_MSG", "Disable producten die niet op voorraad zijn");
	define("DISABLE_OUT_STOCK_DESC", "Disable '<b>{ADD_TO_CART_MSG}</b>' knop als het product niet op voorraad is ");
	define("IN_STOCK_AVAILABILITY_MSG", "Beschikbaar op voorraad");
	define("IN_STOCK_AVAILABILITY_DESC", "Gemiddelde verzendtijd als het product op voorraad is");
	define("OUT_STOCK_AVAILABILITY_MSG", "Beschikbaar niet op voorraad");
	define("OUT_STOCK_AVAILABILITY_DESC", "Gemiddelde verzendtijd als het product niet op voorraad is");
	define("SHIPPING_RESTRICTIONS_MSG", "Beperkingen mbt verzending");
	define("PROD_OFFER_ACTIVATE_MSG", "Voeg dit product toe aan de Speciale Aanbiedingen sectie");
	define("PROD_RATING_MSG", "Product rating");
	define("PROD_DIRECT_LINK_MSG", "Directe link om het product te kopen");
	define("PRODUCTS_REPORT_MSG", "Product rapport");
	define("MERCHANT_SALES_MSG", "Merchant Sales");
	define("MERCHANT_SALES_DESC", "In deze sectie kunt u de verkoop van uw producten en uw commissie bekijken.");
	define("AFFILIATE_SALES_MSG", "Affiliate verkoop");
	define("AFFILIATE_SALES_DESC", "Klik hier voor een overzicht van de verkoop van uw producten en uw commissie.");
	define("COMMISSION_PAYMENTS_MSG", "Commissie betalingen");
	define("COMMISSION_PAYMENTS_DESC", "Hier kunt u de uitbetaling van uw commissie regelen.");
	define("PAYMENT_ID_COLUMN", "ID");
	define("PAYMENT_NAME_COLUMN", "Betaling Naam");
	define("PAYMENT_TOTAL_COLUMN", "Totaal");
	define("PAYMENT_DATE_COLUMN", "Betalingsdatum");
	define("NO_COMMISSION_PAYMENTS_MSG", "Geen commissie betalingen gevonden");
	define("COMMISSIONS_MSG", "Commissies");
	define("COMMISSION_AMOUNT_COLUMN", "Commissie Bedrag");
	define("COMMISSION_TYPE_COLUMN", "Type");
	define("COMMISSION_DATE_COLUMN", "Commissie Datum");
	define("NO_COMMISSIONS_MSG", "Geen commissie gevonden");
	define("AFFILIATE_MSG", "Affiliate");
	define("MERCHANT_MSG", "Merchant");
	define("CONTACT_MERCHANT_TITLE", "Contact Merchant");
	define("PROD_SORT_BY_MSG", "Sort by");
	define("PROD_SORT_DEFAULT_MSG", "Default");
	define("PROD_SORT_PRICE_MSG", "Prijs");
	define("PROD_SORT_MANUFACTURER_MSG", "Fabrikant");
	define("PROD_SORT_NAME_MSG", "Name");
	define("PROD_SORT_CODE_MSG", "Code");
	define("PROD_MOST_POPULAR_MSG", "Most Popular");
	define("PROD_FIELDS_TAB", "Fields");
	define("PROD_TERMS_TAB", "Terms");
	define("PROD_SHOW_TERMS_MSG", "Show Terms & Conditions");
	define("PROD_SHOW_TERMS_DESC", "To submit the product user has to read and agree to our terms and conditions");
	define("PROD_TERMS_MSG", "Terms & Conditions");
	define("PROD_TERMS_USER_DESC", "I have read and agree to your terms and conditions");
	define("PROD_TERMS_USER_ERROR", "To submit the product you have to read and agree to our terms and conditions");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Number of products can be added by merchant");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "leave this field blank if you do not want to limit number of products merchant can post");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Sorry, but you are not allowed add more than {products_limit} products.");
	define("FEES_COMMISSIONS_MSG", "Fees & Commissions");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "Discounts, Fees, Commissions");
	define("DISCOUNT_MSG", "Discount");
	define("MERCHANT_FEE_MSG", "Merchant Fee");
	define("AFFILIATE_COMMISSION_MSG", "Affiliate Commission");

	define("CART_TOTAL_MSG", "Totale kosten van uw bestelling");
	define("CONTINUE_SHOPPING_MSG", "Verder met winkelen");
	define("REMOVE_FROM_CART_MSG", "Verwijder");
	define("EMPTY_CART_MSG", "Uw winkelwagen is leeg!");
	define("CLEAR_CART_MSG", "Maak uw winkelwagen leeg");
	define("ADD_TO_CART_MSG", "Voeg toe aan winkelwagen");
	define("VIEW_CART_MSG", "Bekijk winkelwagen");
	define("AMEND_CART_MSG", "Wijzig winkelwagen");
	define("MY_SAVED_CARTS_MSG", "My Saved Carts");
	define("MY_SAVED_CARTS_DESC", "Here you can view/retrieve baskets saved in the past.");
	define("NO_CARTS_MSG", "No carts were found");
	define("SAVE_CART_TITLE", "Save Your Cart");
	define("SAVE_CART_BUTTON", "Save Cart");
	define("SAVE_CART_INFO_MSG", "You can save your current cart and retrieve it at anytime. Please enter a cart name and press 'Save Cart' button. We'll supply you with a unique cart number that you can use along with cart name to retreive your current cart contents. If you are registered user you can retrieve your cart contents from your home page.");
	define("CART_NO_FIELD", "Cart No");
	define("CART_NAME_FIELD", "Cart Name");
	define("CART_SAVED_DATE_COLUMN", "Saved Date");
	define("CART_TOTAL_COLUMN", "Cart Total");
	define("CART_SAVED_MSG", "Your cart has been saved. Your Cart Number is <b>{cart_id}</b>.");
	define("RETRIEVE_CART_TITLE", "Retrieve Your Cart");
	define("RETRIEVE_CART_BUTTON", "Retrieve Cart");
	define("RETRIEVE_CART_INFO_MSG", "Please enter your Cart Number and Cart Name to retrieve your previously saved cart.");
	define("RETRIEVE_CART_NOTE_MSG", "Please note that retrieved cart will overwrite your current cart. If you make any changes to this cart once loaded, please make sure that you save it again.");
	define("CART_RETRIEVED_MSG", "Your cart has been retrieved.");
	define("RETRIEVE_CART_ERROR", "We were unable to retrieve your cart. <br>Please check that you have entered the information correctly, and try again.");
	define("PROD_NOT_AVAILABLE_ERROR", "This product is currently no longer available in the store.");
	define("PROD_OPTIONS_MISSED_ERROR", "Some options for this product were missed. Please check the product page to select them.");
	define("GOTO_CHECKOUT_MSG", "Afrekenen");
	define("CHECKOUT_WITHOUT_MSG", "Afrekenen zonder account aan te maken");
	define("OPEN_AND_CHECKOUT_MSG", "Open een account en afrekenen");
	define("REMOVE_FROM_CART_JS", "Weet u zeker dat u dit product {item_type} wilt verwijderen uit uw winkelwagen?");
	define("CLEAR_CART_JS", "Weet u zeker dat u alle producten wilt verwijderen uit uw winkelwagen?");
	define("CART_QTY_ZERO_JS", "U staat op het punt om de hoeveelheid te veranderen van '{old_quantity}' naar '0'.\\\\nDit zal '{product_name}' verwijderen uit uw winkelwagen.\\\\nDoorgaan?");
	define("ALTER_CART_QTY_JS", "U staat op het punt om de hoeveelheid te veranderen van \\\\n'{product_name}' van '{old_quantity}' naar '{new_quantity}'\\\\nDoorgaan?");
	define("ADD_PRODUCT_MSG", "Dit product toevoegen aan uw winkelwagen?");
	define("PRODUCT_OUT_STOCK_MSG", "Dit product is op dit moment helaas niet op voorraad en kan daarom niet aan uw winkelwagen toegevoegd worden");
	define("REQUIRED_PROPERTY_MSG", "Kies aub {property_name} voor {product_name}");
	define("PRODUCT_LIMIT_MSG", "U kunt niet meer dan {limit_quantity} items van {product_name} toevoegen");
	define("ADDED_PRODUCT_MSG", "{product_name} is toegevoegd aan uw winkelwagen");
	define("REQUIRED_DELIVERY_MSG", "Kies een manier van verzending");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name} kan niet bezorgd worden in {country_name}");
	define("NO_PRODUCT_MSG", "Het product met dit ID is niet beschikbaar in deze categorie");
	define("NO_PRODUCTS_MSG", "Geen producten gevonden in deze categorie");
	define("NO_PRODUCTS_MATCH_MSG", "Geen producten gevonden met de opgegeven zoekterm(en)");
	define("FOUND_PRODUCTS_MSG", "We hebben <b>{found_records}</b> producten gevonden die voldoen aan de term(en) '<b>{search_string}</b>'");
	define("PROD_DOWNLOAD_MSG", "Download");
	define("PROD_VER_MSG", "ver.");
	define("PROD_RELEASES_MSG", "{product_name} uitgaven");
	define("PROD_CHANGES_LOG_MSG", "{product_name} veranderingen-log");
	define("CHANGES_LOG_MSG", "Veranderingen-log");
	define("ALL_PRODUCTS_MSG", "Alle producten");
	define("ALL_PROD_RELEASES_MSG", "Alle uitgaven");
	define("NO_PROD_RELEASES_MSG", "Geen uitgaven beschikbaar");
	define("NO_RELEASE_CHANGES_MSG", "Geen veranderingen beschikbaar");
	define("SERIAL_NUMBER_MSG", "S/N");
	define("RECURRING_OPTIONS_MSG", "Recurring options");
	define("RECURRING_ACTIVATE_MSG", "Activate recurring payments");
	define("RECURRING_PERIOD_MSG", "Recurring Period");
	define("RECURRING_INTERVAL_MSG", "Recurring Interval");
	define("RECURRING_INTERVAL_DESC", "This is the length of the billing cycle.");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Payments Total");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Total number of payments to be made");
	define("RECURRING_PAYMENTS_MADE_MSG", "Payments Made");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Payments Failed");
	define("RECURRING_START_DATE_MSG", "Payments Start Date");
	define("RECURRING_START_DATE_DESC", "Recurring payment start date is the date the recurring payments will be started");
	define("RECURRING_END_DATE_MSG", "Payments End Date");
	define("RECURRING_END_DATE_DESC", "Recurring payment end date is the date the recurring payment will be cancelled");
	define("RECURRING_LAST_PAYMENT_MSG", "Last payment date");
	define("RECURRING_PLAN_PAYMENT_MSG", "Planning payment date");
	define("RECURRING_NEXT_PAYMENT_MSG", "Next payment date");
	define("RECURRING_METHOD_MSG", "Recurring Method");
	define("RECURRING_NOT_ALLOWED_MSG", "Not Allowed");
	define("RECURRING_NOT_ALLOWED_ERROR", "The products with recurring payments are not allowed for '{payment_name}' payment method. Please select different payment method.");
	define("RECURRING_AUTO_CREATE_MSG", "Automatically create order for next payment");
	define("RECURRING_AUTO_BILL_MSG", "Automatically create and bill recurring orders");
	define("RECURRING_SHIPPING_MSG", "Apply shipping for recurring payments");
	define("SUBSCRIPTION_MSG", "Subscription");
	define("SUBSCRIPTION_OPTIONS_MSG", "Subscription Options");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Activate subscription");
	define("SUBSCRIPTION_RECURRING_MSG", "Activate recurring payments for this subscription");
	define("SUBSCRIPTION_NAME_MSG", "Subscription Name");
	define("SUBSCRIPTION_FEE_MSG", "Subscription Fee");
	define("SUBSCRIPTION_PERIOD_MSG", "Subscription Period");
	define("SUBSCRIPTION_INTERVAL_MSG", "Subscription Interval");
	define("SUBSCRIPTION_INTERVAL_DESC", "This is the length of the subscripion cycle.");
	define("SUBSCRIPTION_SUSPEND_MSG", "Subscription Suspend");
	define("SUBSCRIPTION_SUSPEND_DESC", "Number of days when all customer activities are suspended ");
	define("SUBSCRIPTION_CANCEL_MSG", "Cancel Subscription");

	define("COUPON_MSG", "Kortingsbon");
	define("COUPON_NOT_FOUND_MSG", "Kortingsbon met deze code niet gevonden");
	define("COUPON_NON_ACTIVE_MSG", "Deze kortingsbon is niet actief");
	define("COUPON_USED_MSG", "Deze kortingsbon is al een keer gebruikt");
	define("COUPON_EXPIRED_MSG", "Deze kortingsbon is niet langer geldig");
	define("COUPON_EXCLUSIVE_MSG", "Deze kortingsbon kan niet gebruikt worden met de al toegevoegde kortingsbon(nen)");
	define("COUPON_APPLIED_MSG", "Deze kortingsbon is al gebruikt");
	define("COUPON_PRODUCTS_MSG", "Sorry, deze kortingsbon kan niet gebruikt worden bij de producten in uw winkelwagen");
	define("COUPON_ORDER_AMOUNT_MSG", "Sorry, deze kortingsbon kan niet gebruikt worden bij uw huidige bestelling. <br>Minimumbedrag voor deze kortingsbon is {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Sorry, deze kortingsbon kan niet gebruikt worden bij uw product. <br>Minimumprijs van het product voor deze kortingsbon is {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Verwijder kortingsbon");
	define("COUPON_CODE_FIELD", "Kortingsbon");

	define("CC_NAME_FIELD", "Naam van kaarthouder");
	define("CC_NAME_DESC", "zoals afgedrukt op de kaart");
	define("CC_FIRST_NAME_FIELD", "Voornaam");
	define("CC_LAST_NAME_FIELD", "Achternaam");
	define("CC_NUMBER_FIELD", "Kaartnummer");
	define("CC_NUMBER_ERROR_MSG", "Er is een probleem geconstateerd met uw creditcard nummer. Controleer het nummer en probeer het opnieuw.");
	define("CC_NUMBER_ALLOWED_MSG", "Dit creditcard nummer is niet toegestaan voor deze betaling");
	define("CC_START_DATE_FIELD", "Begindatum");
	define("CC_EXPIRY_DATE_FIELD", "Vervaldatum");
	define("CC_TYPE_FIELD", "Kaarttype");
	define("CC_ISSUE_NUMBER_FIELD", "Issue Nummer");
	define("CC_ISSUE_NUMBER_DESC", "Alleen Switch & Solo cards");
	define("CC_SECURITY_CODE_FIELD", "Veiligheidscode");
	define("CC_SECURITY_CODE_HELP_MSG", "Help?");
	define("CC_SECURITY_CODE_TITLE", "Security Code?");
	define("CC_SECURITY_CODE_1_DESC", "De card security code is een unieke driecijferige code, die op de achterzijde van uw kaart is afgedrukt");
	define("CC_SECURITY_CODE_2_DESC", "De meeste kaarten hebben een drie-cijferige code op de achterzijde van de kaart afgedrukt, vlak boven de handtekening");
	define("PAY_WITHOUT_CC_MSG", "Als u niet met creditcard wenst te betalen, kunt u hier een vinkje plaatsen");
	define("PAY_WITHOUT_CC_FIELD", "Andere betaalinformatie");
	define("PAY_WITHOUT_CC_DESC", "Vertel ons hoe u wenst te betalen voor uw producten");

	define("ORDER_NUMBER_COLUMN", "Nee");
	define("ORDER_STATUS_COLUMN", "Status");
	define("ORDER_ADDED_COLUMN", "Bestelling geplaatst");
	define("ORDER_TOTAL_COLUMN", "Totaal");
	define("ORDER_NUMBER_MSG", "Ordernummer");
	define("PARENT_ORDER_NUMBER_MSG", "Parent Order No");
	define("ORDER_DATE_MSG", "Orderdatum");
	define("ORDER_TOTAL_MSG", "TOTAAL");
	define("INVOICE_MSG", "Invoice");
	define("INVOICE_TO_MSG", "Factuuradres");
	define("DELIVERY_TO_MSG", "Bezorgadres");
	define("PAYMENT_GATEWAY_MSG", "Online Betalingssysteem");
	define("SELECT_PAYMENT_MSG", "Selecteer et gewenste online betalingssysteem");
	define("GOTO_PAYMENT_MSG", "U wordt nu omgeleid naar {payment_system}. Als er niets gebeurt, klik dan op '{button_name}' om door te gaan.");
	define("MY_ORDERS_MSG", "Mijn Orders");
	define("MY_ORDERS_DESC", "Als u eenmaal uw bestelling bij ons heeft geplaatst, kunt u de status ervan altijd volgen of de bestelling nog eens nakijken.");
	define("PURCHASED_ORDERS_MSG", "Geplaatste bestellingen");
	define("NO_ORDERS_MSG", "Geen bestellingen gevonden");
	define("NO_ORDERS_MATCH_MSG", "Geen bestellingen gevonden die voldoen aan uw zoekterm(en)");
	define("VIEW_ORDER_DETAILS_MSG", "Bekijk Details");
	define("ORDER_DETAILS_MSG", "Bestelling-details");
	define("PAYMENT_DETAILS_MSG", "Betalings-details");
	define("CHECKOUT_SUCCESS_TITLE", "Bedankt voor uw bestelling!");
	define("CHECKOUT_SUCCESS_MSG", "Bedankt voor uw bestelling. Uw ordernummer is {order_id}!");
	define("CHECKOUT_PENDING_TITLE", "Uw bestelling wordt verwerkt&");
	define("CHECKOUT_PENDING_MSG", "Uw bestelling is nog niet afgerond en wacht op goedkeuring");
	define("CHECKOUT_ERROR_TITLE", "Bestelling FOUT");
	define("CHECKOUT_ERROR_MSG", "Er is een fout opgetreden bij het verwerken van uw bestelling. Excuses hiervoor.");
	define("ORDER_CODE_ERROR", "Verification parameter heeft een onjuiste waarde.");
	define("ORDER_PLACED_ERROR", "<b>Bestelling</b> is al eerder geplaatst");
	define("ORDER_EXISTS_ERROR", "Deze <b>Bestelling</b> bestaat niet");
	define("ORDER_NOTES_MSG", "Opmerkingen bij bestelling");
	define("ORDER_NOTE_MSG", "Opmerking bij bestelling");
	define("CANCEL_ORDER_MSG", "Annuleer bestelling");
	define("CANCEL_ORDER_CONFIRM_MSG", "Weet u zeker dat u deze bestelling wilt annuleren?");
	define("GROSS_SALES_MSG", "Bruto verkoop");
	define("FEES_MSG", "Fees");
	define("NET_SALES_MSG", "Netto verkoop");
	define("ITEMS_NUMBER_COLUMN", "#Items");
	define("AVERAGE_PRICE_COLUMN", "Gemiddelde prijs");
	define("PAID_STATUS_MSG", "Paid Status");
	define("PAID_MSG", "Paid");
	define("NOT_PAID_MSG", "Not Paid");
	define("PAY_FOR_YOUR_ORDER_MSG", "Pay for your Order");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "Minimum products cost per order");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "Maximum products cost per order");
	define("ORDER_MIN_WEIGHT_FIELD", "Minimum order weight");
	define("ORDER_MAX_WEIGHT_FIELD", "Maximum order weight");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "The total cost of products per one order can't be less than {min_cost}.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "The total cost of products per one order shouldn't exceed {max_cost}.");
	define("ORDER_MIN_WEIGHT_ERROR", "The total weight of products per one order can't be less {max_cost}.");
	define("ORDER_MAX_WEIGHT_ERROR", "The total weight of products per one order shouldn't exceed {max_cost}.");

?>
