<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// installation messages
	define("INSTALL_TITLE", "ViArt SHOP Installation");

	define("INSTALL_STEP_1_TITLE", "Instalacao Step 1");
	define("INSTALL_STEP_1_DESC", "Obrigado por escolher ViArt SHOP. Para completar esta instalacao, por favor, preencha os requisitos abaixo. Por favor, verifique se o Bando de Dados que voce selecionou ja exista. Se voce estiver instalando um banco de dados que use ODBC, e.g MS Access voce deve criar um DSN para prosseguir");
	define("INSTALL_STEP_2_TITLE", "Instalacao Step 2");
	define("INSTALL_STEP_2_DESC", " ");
	define("INSTALL_STEP_3_TITLE", "Instalacao Step 3");
	define("INSTALL_STEP_3_DESC", "Please select a site layout. You will be able to change the layout afterwards.");
	define("INSTALL_FINAL_TITLE", "Final da Instalacao");
	define("SELECT_DATE_TITLE", "Selecione o formato de Data");

	define("DB_SETTINGS_MSG", "Parametros de Banco de Dados");
	define("DB_PROGRESS_MSG", "Carregando o Banco de Dados");
	define("SELECT_PHP_LIB_MSG", "Selecione Biblioteca PHP");
	define("SELECT_DB_TYPE_MSG", "Selecione o tipo de Banco de Dados");
	define("SELECT_FROM_LIST_MSG", "Selecione de uma lista");
	define("ADMIN_SETTINGS_MSG", "Parametros Administrativo");
	define("DATE_SETTINGS_MSG", "Formato de Datas");
	define("NO_DATE_FORMATS_MSG", "Formato de Datas nao disponivel");
	define("INSTALL_FINISHED_MSG", "Ate este ponto a instalacao basica esta concluida. Por favor esteja certo e check os parametros na secao de administracao e faca as mudancas requeridas.");
	define("ACCESS_ADMIN_MSG", "Para acessar a secao de administracao clicar aqui");
	define("ADMIN_URL_MSG", "Administracao da URL");
	define("SITE_URL_MSG", "Pagina principal URL");
	define("MANUAL_URL_MSG", "Manual URL");
	define("THANKS_MSG", "Obrigado por escolher ViArt SHOP");

	define("DB_TYPE_FIELD", "Tipo Banco de Dados");
	define("DB_TYPE_DESC", "Please select the <b>type of database</b> that you are using. If you using SQL Server or Microsoft Access, please select ODBC.");
	define("DB_PHP_LIB_FIELD", "Biblioteca PHP");
	define("DB_HOST_FIELD", "Nome do Host");
	define("DB_HOST_DESC", "Please enter the <b>name</b> or <b>IP address of the server</b> on which your ViArt database will run. If you are running your database on your local PC then you can probably just leave this as \"<b>localhost</b>\" and the port blank. If you using a database provided by your hosting company, please see your hosting company's documentation for the server settings.");
	define("DB_PORT_FIELD", "Numero da Porta");
	define("DB_NAME_FIELD", "Nome Banco Dados / DSN");
	define("DB_NAME_DESC", "If you are using a database such as MySQL or PostgreSQL then please enter the <b>name of the database</b> where you would like ViArt to create its tables. This database must exist already. If you are just installing ViArt for testing purposes on your local PC then most systems have a \"<b>test</b>\" database you can use. If not, please create a database such as \"viart\" and use that. If you are using Microsoft Access or SQL Server then the Database Name should be the <b>name of the DSN</b> that you have set up in the Data Sources (ODBC) section of your Control Panel.");
	define("DB_USER_FIELD", "Usuario");
	define("DB_PASS_FIELD", "Senha");
	define("DB_USER_PASS_DESC", "<b>Username</b> and <b>Password</b> - please enter the username and password you want to use to access the database. If you are using a local test installation the username is probably \"<b>root</b>\" and the password is probably blank. This is fine for testing, but please note that this is not secure on production servers.");
	define("DB_PERSISTENT_FIELD", "Persistir na Conexao");
	define("DB_PERSISTENT_DESC", "to use MySQL or Postgre persistent connections, tick this box. If you do not know what it means, then leaving it unticked is probably best.");
	define("DB_CREATE_DB_FIELD", "Create DB");
	define("DB_CREATE_DB_DESC", "to create database if possible, tick this box. Works only for MySQL and Postgre");
	define("DB_POPULATE_FIELD", "Carregar Banco de Dados");
	define("DB_POPULATE_DESC", "Para criar o Banco de Dados e carregar use checkbox");
	define("DB_TEST_DATA_FIELD", "Test Data");
	define("DB_TEST_DATA_DESC", "to add some test data to your database tick the checkbox");
	define("SITE_URL_FIELD", "Site URL");
	define("ADMIN_EMAIL_FIELD", "Email Administrator Email");
	define("ADMIN_LOGIN_FIELD", "User Administrador");
	define("ADMIN_PASS_FIELD", "Administrator Password");
	define("ADMIN_CONF_FIELD", "Confirmar Senha");
	define("DATETIME_SHOWN_FIELD", "Formato de Data e Hora para o site");
	define("DATE_SHOWN_FIELD", "Formato de Data para o site");
	define("DATETIME_EDIT_FIELD", "Formato de Data e Hora para edicao");
	define("DATE_EDIT_FIELD", "Formato da Data para edicao");
	define("DATE_FORMAT_COLUMN", "Formato da Data");
	define("CURRENT_DATE_COLUMN", "Data Atual");

	define("DB_LIBRARY_ERROR", "Funcoes do PHP para {db_library} nao estao definidas. Por favor verifique seu arquivo de configuracao - php.ini.");
	define("DB_CONNECT_ERROR", "O banco de dados nao pode ser conectado. Por favor verifique os parametros do seu banco de dados.");
	define("INSTALL_FINISHED_ERROR", "Processo de instalacao finalizado");
	define("WRITE_FILE_ERROR", "Nao tem permissao para gravar neste arquivo <b>'incluir/var_definition.php'</b>. Por favor altere as permissoes antes de continuar.");
	define("WRITE_DIR_ERROR", "Nao tem permissao para gravar nesta pasta <b>'incluir/'</b>. Por favor altere as permissoes antes de continuar.");
	define("DUMP_FILE_ERROR", "Arquivo de Dump '{file_name}' nao foi encontrado.");
	define("DB_TABLE_ERROR", "Tabela '{table_name}' nao foi encontrada. Por favor popular o banco de dados com dados necessarios.");
	define("TEST_DATA_ERROR", "Check <b>{POPULATE_DB_FIELD}</b> before populating tables with test data");
	define("DB_HOST_ERROR", "The hostname that you specified could not be found.");
	define("DB_PORT_ERROR", "Can't connect to database server using specified port.");
	define("DB_USER_PASS_ERROR", "The username or password you specified is not correct.");
	define("DB_NAME_ERROR", "Login settings were correct, but the database '{db_name}' could not be found.");

	// upgrade messages
	define("UPGRADE_TITLE", "ViArt SHOP Atualizacao");
	define("UPGRADE_NOTE", "Nota: Faca um backup antes de contunuar");
	define("UPGRADE_AVAILABLE_MSG", "Atualizacao de Banco de Dados disponivel");
	define("UPGRADE_BUTTON", "Atualizacao de Banco de Dados para {version_number} agora");
	define("CURRENT_VERSION_MSG", "Versao atual instalada");
	define("LATEST_VERSION_MSG", "Versao disponivel para instalacao");
	define("UPGRADE_RESULTS_MSG", "Resultado da atualizacao");
	define("SQL_SUCCESS_MSG", "Consulta mal sucedida");
	define("SQL_FAILED_MSG", "Consulta bem sucedida");
	define("SQL_TOTAL_MSG", "Total de queries executadas");
	define("VERSION_UPGRADED_MSG", "Seu Banco de Dados foi atualizado para ");
	define("ALREADY_LATEST_MSG", "Voce ja esta com a ultima versao");
	define("DOWNLOAD_NEW_MSG", "Uma nova versao foi encontrada");
	define("DOWNLOAD_NOW_MSG", "Download da versao {version_number} agora");
	define("DOWNLOAD_FOUND_MSG", "Nos detectamos que a nova {version_number} versao esta disponivel para download. Favor clique no link abaixo para iniciar downloading. Depois completar o download e trocar os arquivos ncao esqueca de rodar o Upgarde novamente.");
	define("NO_XML_CONNECTION", "Aviso! A conexao nao pode ser estabelecida");

?>
