<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  messages.php                                             ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	define("CHARSET", "iso-8859-1");
	// date messages
	define("YEAR_MSG", "Ano");
	define("YEARS_QTY_MSG", "{quantity} years");
	define("MONTH_MSG", "Mes");
	define("MONTHS_QTY_MSG", "{quantity} months");
	define("DAY_MSG", "Dia");
	define("DAYS_MSG", "Dias");
	define("DAYS_QTY_MSG", "{quantity} days");
	define("HOUR_MSG", "Hora");
	define("HOURS_QTY_MSG", "{quantity} hours");
	define("MINUTE_MSG", "Minuto");
	define("MINUTES_QTY_MSG", "{quantity} minutes");
	define("SECOND_MSG", "Segundo");
	define("SECONDS_QTY_MSG", "{quantity} seconds");
	define("WEEK_MSG", "Week");
	define("WEEKS_QTY_MSG", "{quantity} weeks");
	define("TODAY_MSG", "Today");
	define("YESTERDAY_MSG", "Yesterday");
	define("LAST_7DAYS_MSG", "Last 7 Days");
	define("THIS_MONTH_MSG", "This Month");
	define("LAST_MONTH_MSG", "Last Month");
	define("THIS_QUARTER_MSG", "This Quarter");
	define("THIS_YEAR_MSG", "This Year");

	// Meses
	define("JANUARY", "Janeiro");
	define("FEBRUARY", "Fevereiro");
	define("MARCH", "Marco");
	define("APRIL", "Abril");
	define("MAY", "Maio");
	define("JUNE", "Junho");
	define("JULY", "Julho");
	define("AUGUST", "Agosto");
	define("SEPTEMBER", "Setembro");
	define("OCTOBER", "Outubro");
	define("NOVEMBER", "Novembro");
	define("DECEMBER", "Dezembro");

	define("JANUARY_SHORT", "Jan");
	define("FEBRUARY_SHORT", "Fev");
	define("MARCH_SHORT", "Mar");
	define("APRIL_SHORT", "Apr");
	define("MAY_SHORT", "Mai");
	define("JUNE_SHORT", "Jun");
	define("JULY_SHORT", "Jul");
	define("AUGUST_SHORT", "Ago");
	define("SEPTEMBER_SHORT", "Set");
	define("OCTOBER_SHORT", "Out");
	define("NOVEMBER_SHORT", "Nov");
	define("DECEMBER_SHORT", "Dec");

	// weekdays
	define("SUNDAY", "Domingo");
	define("MONDAY", "Segunda");
	define("TUESDAY", "Terca");
	define("WEDNESDAY", "Quarta");
	define("THURSDAY", "Quinta");
	define("FRIDAY", "Sexta");
	define("SATURDAY", "Sabado");

	define("SUNDAY_SHORT", "Dom");
	define("MONDAY_SHORT", "Seg");
	define("TUESDAY_SHORT", "Ter");
	define("WEDNESDAY_SHORT", "Qua");
	define("THURSDAY_SHORT", "Qui");
	define("FRIDAY_SHORT", "Sex");
	define("SATURDAY_SHORT", "Sab");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> e obrigatorio");
	define("UNIQUE_MESSAGE", "O valor do campo <b>{field_name}</b> ja existe no banco de dados");
	define("VALIDATION_MESSAGE", "Falha na validacao <b>{field_name}</b>");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> and <b>{field_two}</b> nao encontrado");
	define("INSERT_ALLOWED_ERROR", "Sorry, but insert operation is not allowed for you");
	define("UPDATE_ALLOWED_ERROR", "Sorry, but update operation is not allowed for you");
	define("DELETE_ALLOWED_ERROR", "Sorry, but delete operation is not allowed for you");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Only alpha-numeric characters, hyphen and underscore are allowed for field <b>{field_name}</b>");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> Valor incorreto, use o calendario de datas");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> Nao bate com a mascara. Use o seguinte '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Email Invalido no campo {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Valor do campo incorreto <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "O valor do campo <b>{field_name}</b> nao pode ser menor {min_value}");
	define("MAX_VALUE_MESSAGE", "O valor do campo <b>{field_name}</b> nao pode ser maior {min_value}");
	define("MIN_LENGTH_MESSAGE", "O tamanho do campo <b>{field_name}</b> nao pode ser menor {min_value}");
	define("MAX_LENGTH_MESSAGE", "O tamanho do campo <b>{field_name}</b> nao pode ser maior {min_value}");

	define("FILE_PERMISSION_MESSAGE", "Nao tem permissao para gravar no arquivo");
	define("FOLDER_PERMISSION_MESSAGE", "Nao tem permissao para gravar na pasta");
	define("INVALID_EMAIL_MSG", "Seu email esta invalido");
	define("DATABASE_ERROR_MSG", "Ocorreu um erro no Banco de Dados");
	define("BLACK_IP_MSG", "Esta acao nao e permitida");
	define("BANNED_CONTENT_MSG", "Desculpe, conteudo ilegal");
	define("ERRORS_MSG", "Erros");
	define("REGISTERED_ACCESS_MSG", "Only registered users could access this option.");

	// titles 
	define("TOP_RATED_TITLE", "Mais Avaliado");
	define("TOP_VIEWED_TITLE", "Mais Visitado");
	define("RECENTLY_VIEWED_TITLE", "Recentemente visitados");
	define("HOT_TITLE", "Quente");
	define("LATEST_TITLE", "Ultima");
	define("CONTENT_TITLE", "Conteudo");
	define("RELATED_TITLE", "Relacionada");
	define("SEARCH_TITLE", "Pesquisa");
	define("ADVANCED_SEARCH_TITLE", "Pesquisa avancada");
	define("LOGIN_TITLE", "Usuario");
	define("CATEGORIES_TITLE", "Categorias");
	define("MANUFACTURERS_TITLE", "Manufaturas");
	define("SPECIAL_OFFER_TITLE", "Ofertas especiais");
	define("NEWS_TITLE", "Novidades");
	define("EVENTS_TITLE", "Eventos");
	define("PROFILE_TITLE", "Perfil");
	define("USER_HOME_TITLE", "Pagina Principal");
	define("DOWNLOAD_TITLE", "Baixar");
	define("FAQ_TITLE", "Perguntas Frequentes");
	define("POLL_TITLE", "Pesquisados");
	define("HOME_PAGE_TITLE", "Principal");
	define("CURRENCY_TITLE", "Moeda corrente");
	define("SUBSCRIBE_TITLE", "Assinar");
	define("UNSUBSCRIBE_TITLE", "Nao assinar");
	define("UPLOAD_TITLE", "Subir");
	define("ADS_TITLE", "Anuncio");
	define("ADS_COMPARE_TITLE", "comparar anuncio");
	define("ADS_SELLERS_TITLE", "Vendedores");
	define("AD_REQUEST_TITLE", "Ofertar");
	define("LANGUAGE_TITLE", "Linguagens");
	define("MERCHANTS_TITLE", "Merchants");
	define("PREVIEW_TITLE", "Prever");
	define("ARTICLES_TITLE", "Articles");
	define("SITE_MAP_TITLE", "Site Map");

	// menu items
	define("MENU_ABOUT", "Quem somos");
	define("MENU_ACCOUNT", "Sua conta");
	define("MENU_BASKET", "Suas Compras");
	define("MENU_CONTACT", "Fale conosco");
	define("MENU_DOCUMENTATION", "Documentacao");
	define("MENU_DOWNLOADS", "Baixar");
	define("MENU_EVENTS", "Eventos");
	define("MENU_FAQ", "Perguntas frequentes");
	define("MENU_FORUM", "Forum");
	define("MENU_HELP", "Ajuda");
	define("MENU_HOME", "Home");
	define("MENU_HOW", "Como comprar");
	define("MENU_MEMBERS", "Membros");
	define("MENU_MYPROFILE", "Meu perfil");
	define("MENU_NEWS", "Novidades");
	define("MENU_PRIVACY", "Privativo");
	define("MENU_PRODUCTS", "Produtos");
	define("MENU_REGISTRATION", "Registre");
	define("MENU_SHIPPING", "Encomenda");
	define("MENU_SIGNIN", "Logar");
	define("MENU_SIGNOUT", "Deslogar");
	define("MENU_SUPPORT", "Suporte");
	define("MENU_USERHOME", "Pagina do usuario");
	define("MENU_ADS", "Anuncio de Classificados");
	define("MENU_ADMIN", "Adiministracao");
	define("MENU_KNOWLEDGE", "Banco de conhecimento");

	// main terms
	define("NO_MSG", "Nao");
	define("YES_MSG", "Sim");
	define("NOT_AVAILABLE_MSG", "Nao Disponivel");
	define("MORE_MSG", "Maiores Infomacoes");
	define("READ_MORE_MSG", "Leia Mais");
	define("CLICK_HERE_MSG", "Clicar aqui");
	define("ENTER_YOUR_MSG", "Introduza sua");
	define("CHOOSE_A_MSG", "Escolha uma");
	define("PLEASE_CHOOSE_MSG", "Por favor escolha");
	define("SELECT_MSG", "Selecione");
	define("DATE_FORMAT_MSG", "Usar o seguinte formato <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Proxima");
	define("PREV_PAGE_MSG", "Anterior");
	define("FIRST_PAGE_MSG", "Primeiro");
	define("LAST_PAGE_MSG", "Ultima");
	define("OF_PAGE_MSG", "de");
	define("TOP_CATEGORY_MSG", "Topo");
	define("SEARCH_IN_CURRENT_MSG", "Categoria atual");
	define("SEARCH_IN_ALL_MSG", "Todas as Categorias");
	define("FOUND_IN_MSG", "Encontrado em");
	define("TOTAL_VIEWS_MSG", "Visoes");
	define("VOTES_MSG", "Votos");
	define("TOTAL_VOTES_MSG", "Total Votes");
	define("TOTAL_POINTS_MSG", "Total Points");
	define("VIEW_RESULTS_MSG", "Ver resultados");
	define("PREVIOUS_POLLS_MSG", "Pesquisas Anteriores");
	define("TOTAL_MSG", "Total");
	define("CLOSED_MSG", "Fechado");
	define("CLOSE_WINDOW_MSG", "Fechar Janela");
	define("ASTERISK_MSG", "Asterisco");
	define("PROVIDE_INFO_MSG", "Por favor, forneca as informacoes nas secoes em vermelho e clique '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Nos encontramos <b>{found_records}</b> artigos coincidem com termo(s) '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "O artigo com esta identificacao nao esta disponivel");
	define("NO_ARTICLES_MSG", "Nenhum artigo foi encontrado");
	define("NOTES_MSG", "Notas");
	define("KEYWORDS_MSG", "Palavras Chaves");
	define("LINK_URL_MSG", "Link");
	define("DOWNLOAD_URL_MSG", "Download");
	define("SUBSCRIBE_FORM_MSG", "Para receber nossa newsletter enter seu email address no box abaixo e pressione '{button_name}' button.");
	define("UNSUBSCRIBE_FORM_MSG", "Favor informar seu email na caixa abaixo e pressione '{button_name}' botao.");
	define("SUBSCRIBE_LINK_MSG", "Assinar");
	define("UNSUBSCRIBE_LINK_MSG", "Cancelar Assinatura");
	define("SUBSCRIBED_MSG", "Parabens! Voce agora e assinante de nossa Newsletter;");
	define("ALREADY_SUBSCRIBED_MSG", "Voce ja e assinnate de nossa lista de emails. Obrigado.");
	define("UNSUBSCRIBED_MSG", "Voce teve sucesso no cancelamento da assinatura");
	define("UNSUBSCRIBED_ERROR_MSG", "Desculpe, mas nao encontramos seu email em nosso banco de dados; voce provavelmente cancelou sua assinatura.");
	define("FORGOT_PASSWORD_MSG", "Esqueceu sua senha?");
	define("FORGOT_PASSWORD_DESC", "Favor informar seu email quando voce se registrou.");
	define("FORGOT_EMAIL_ERROR_MSG", "Desculpe, mas nao encontramos seu email em nosso banco de dados.");
	define("FORGOT_EMAIL_SENT_MSG", "As instrucoes de login foram enviadas para o seu email.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Alguns parametros requeridos estao ausentes.");
	define("RESET_PASSWORD_PARAMS_MSG", "Os parametros que voce forneceu nao coincidem com nosso banco de dados.");
	define("RESET_PASSWORD_EXPIRY_MSG", "O codigo de reset esta expirado. Por favor requiste um novo codigo para resetar sua senha.");
	define("RESET_PASSWORD_SAVED_MSG", "Sua nova senha foi salva com sucesso.");
	define("PRINTER_FRIENDLY_MSG", "Impressao amigaevl");
	define("PRINT_PAGE_MSG", "Imprima esta pagina");
	define("ATTACHMENTS_MSG", "Attachments");
	define("VIEW_DETAILS_MSG", "View Details");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Plain Text");
	define("META_DATA_MSG", "Meta Data");
	define("META_TITLE_MSG", "Page Title");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Description");
	define("FRIENDLY_URL_MSG", "Friendly URL");
	define("IMAGES_MSG", "Imagens");
	define("IMAGE_MSG", "Imagem");
	define("IMAGE_SMALL_MSG", "Imagem pequena");
	define("IMAGE_SMALL_DESC", "shown on list page");
	define("IMAGE_SMALL_ALT_MSG", "Small Image Alt");
	define("IMAGE_LARGE_MSG", "Imagem grande");
	define("IMAGE_LARGE_DESC", "shown on details page");
	define("IMAGE_LARGE_ALT_MSG", "Large Image Alt");
	define("IMAGE_SUPER_MSG", "Super-Sized Image");
	define("IMAGE_SUPER_DESC", "image popup in the new window");
	define("IS_APPROVED_MSG", "Approved");
	define("IS_ACTIVE_MSG", "Is Active");
	define("CATEGORY_MSG", "Categoria");
	define("SELECT_CATEGORY_MSG", "Selecione categoria");
	define("DESCRIPTION_MSG", "Descricao");
	define("SHORT_DESCRIPTION_MSG", "Short Description");
	define("FULL_DESCRIPTION_MSG", "Full Description");
	define("HIGHLIGHTS_MSG", "Highlights");
	define("SPECIAL_OFFER_MSG", "Ofertas especiais");
	define("OTHER_MSG", "Other");
	define("WIDTH_MSG", "Width");
	define("HEIGHT_MSG", "Height");
	define("LENGTH_MSG", "Length");
	define("WEIGHT_MSG", "Weight");
	define("QUANTITY_MSG", "Quantidade");
	define("CALENDAR_MSG", "Calendar");
	define("FROM_DATE_MSG", "From Date");
	define("TO_DATE_MSG", "To Date");
	define("TIME_PERIOD_MSG", "Time Period");
	define("GROUP_BY_MSG", "Group By");
	define("BIRTHDAY_MSG", "Birthday");
	define("BIRTH_DATE_MSG", "Birth Date");
	define("BIRTH_YEAR_MSG", "Birth Year");
	define("BIRTH_MONTH_MSG", "Birth Month");
	define("BIRTH_DAY_MSG", "Birth Day");
	define("STEP_NUMBER_MSG", "Step {current_step} of {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Where status is");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Email Notification");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Administrator Email Notification");
	define("EMAIL_NOTIFICATION_USER_MSG", "User Email Notification");
	define("EMAIL_SEND_ADMIN_MSF", "Send notification to administrator ");
	define("EMAIL_SEND_USER_MSG", "Send notification to user");
	define("EMAIL_USER_IF_STATUS_MSG", "Send notification email to user when the status is applied");
	define("EMAIL_TO_MSG", "To");
	define("EMAIL_TO_USER_DESC", "Customer email used if is empty");
	define("EMAIL_FROM_MSG", "From");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Reply To");
	define("EMAIL_RETURN_PATH_MSG", "Return Path");
	define("EMAIL_SUBJECT_MSG", "Subject");
	define("EMAIL_MESSAGE_TYPE_MSG", "Message Type");
	define("EMAIL_MESSAGE_MSG", "Message");
	define("SMS_NOTIFICATION_MSG", "SMS Notification");
	define("SMS_NOTIFICATION_ADMIN_MSG", "Administrator SMS Notification");
	define("SMS_NOTIFICATION_USER_MSG", "User SMS Notification ");
	define("SMS_SEND_ADMIN_MSF", "Send SMS Notification to Administrator");
	define("SMS_SEND_USER_MSG", "Send SMS Notification to User ");
	define("SMS_USER_IF_STATUS_MSG", "Send SMS notification to user when the status is applied");
	define("SMS_RECIPIENT_MSG", "SMS Recipient");
	define("SMS_RECIPIENT_ADMIN_DESC", "administrator cell phone number");
	define("SMS_RECIPIENT_USER_DESC", "Cell phone' field used if is empty");
	define("SMS_ORIGINATOR_MSG", "SMS Originator");
	define("SMS_MESSAGE_MSG", "SMS Message");

	// account messages
	define("LOGIN_AS_MSG", "Seu login como");
	define("LOGIN_INFO_MSG", "Informacoes de login");
	define("ACCESS_HOME_MSG", "Para acessar sua Home Page");
	define("REMEMBER_LOGIN_MSG", "Lembrar usuario e senha");
	define("ENTER_LOGIN_MSG", "Digite seu login e senha para continuar");
	define("LOGIN_PASSWORD_ERROR", "Senha ou Login esta incorreto");
	define("ACCOUNT_APPROVE_ERROR", "Desculpe, sua conta ainda nao foi aprovada");
	define("ACCOUNT_EXPIRED_MSG", "Your account has expired.");
	define("NEW_PROFILE_ERROR", "Voce nao tem permissao para abrir uma conta");
	define("EDIT_PROFILE_ERROR", "Voce nao tem permissao para editar perfil.");
	define("CHANGE_DETAILS_MSG", "Atualizar seu perfil");
	define("CHANGE_DETAILS_DESC", "Clique no link acima, caso deseje alterar o contato ou informacoes de login, voce entrara quando criar sua conta");
	define("CHANGE_PASSWORD_MSG", "Trocar Senha");
	define("CHANGE_PASSWORD_DESC", "O link abaixo o levara para a pagina onde voce trocara sua senha");
	define("SIGN_UP_MSG", "Logar agora");
	define("MY_ACCOUNT_MSG", "Minha conta");
	define("NEW_USER_MSG", "Novo usuario");
	define("EXISTS_USER_MSG", "Usuario ja cadastrado");
	define("EDIT_PROFILE_MSG", "Atualizar perfil");
	define("PERSONAL_DETAILS_MSG", "Detalhes pessoais");
	define("DELIVERY_DETAILS_MSG", "Detalhes Entrega");
	define("SAME_DETAILS_MSG", "Se as informacoes de entrega sao os mesmos acima, marque aqui<br> se nao, complete os detalhes abaixo");
	define("DELIVERY_MSG", "Entrega");
	define("SUBSCRIBE_CHECKBOX_MSG", "Favor preencher o checkbox se quiser receber noticias");
	define("ADDITIONAL_DETAILS_MSG", "Additional Details");
	define("GUEST_MSG", "Guest");

	// ads messages
	define("MY_ADS_MSG", "Meus anuncio");
	define("MY_ADS_DESC", "If you have items that you would like to sell, place an ad here. It's quick and easy to place ads.");
	define("EDIT_AD_MSG", "Editar anuncio");
	define("ADD_NEW_AD_MSG", "Incluir novo ");
	define("AD_ID_COLUMN", "Identificador");
	define("AD_TITLE_COLUMN", "Titulo");
	define("AD_PRICE_COLUMN", "Preco");
	define("AD_STATUS_COLUMN", "Status");
	define("AD_GENERAL_MSG", "General Ad Information");
	define("AD_CATEGORY_MSG", "Categoria");
	define("AD_SELECT_CATEGORY_MSG", "Selecione categoria");
	define("AD_TYPE_MSG", "Tipo");
	define("AD_TITLE_MSG", "Titulo");
	define("AD_SELLER_MSG", "Vendedor");
	define("AD_START_MSG", "Data inicio");
	define("AD_RUNS_MSG", "Dias corridos");
	define("AD_PRICE_MSG", "Preco");
	define("AD_QTY_MSG", "Quantidade");
	define("AD_AVAILABILITY_MSG", "Disponibilidade");
	define("AD_COMPARED_MSG", "Permitir comparacao");
	define("AD_IMAGES_MSG", "Imagens");
	define("AD_UPLOAD_MSG", "Upload imagem");
	define("AD_SMALL_IMAGE_MSG", "Imagem pequena");
	define("AD_LARGE_IMAGE_MSG", "Imagem grande");
	define("AD_DESCRIPTION_MSG", "Descricao");
	define("AD_SHORT_DESC_MSG", "Descricao resumida");
	define("AD_FULL_DESC_MSG", "Descricao detalhada");
	define("AD_LOCATION_MSG", "Localizacao");
	define("AD_CITY_MSG", "Cidade");
	define("AD_STATE_MSG", "Estado");
	define("AD_COUNTRY_MSG", "Pais");
	define("AD_LOCATION_INFO_MSG", "Informacoes adicionais");
	define("AD_PROPERTIES_MSG", "Incluir Propriedades");
	define("AD_SPECIFICATION_MSG", "Incluir Especificacao");
	define("AD_MORE_IMAGES_MSG", "Mias imagens");
	define("AD_IMAGE_MSG", "Imagem");
	define("AD_IMAGE_TITLE_MSG", "Ttulo");
	define("AD_IMAGE_PREVIEW_MSG", "Prever Imagem");
	define("AD_IMAGE_LARGE_MSG", "Imagem larga");
	define("AD_IMAGE_DESC_MSG", "Descricao da Imagem");
	define("AD_DELETE_CONFIRM_MSG", "Voce quer deletar este anuncio?");
	define("AD_NOT_APPROVED_MSG", "Nao aprovado");
	define("AD_RUNNING_MSG", "Executando");
	define("AD_CLOSED_MSG", "Fechado");
	define("AD_EXPIRED_MSG", "Expirado");
	define("AD_NOT_STARTED_MSG", "Nao iniciado");
	define("AD_NEW_ERROR", "Voce nao tem permissao para criar um novo anuncio.");
	define("AD_EDIT_ERROR", "Voce nao tem permissao para editar este anuncio.");
	define("AD_DELETE_ERROR", "Voce nao tem permissao para deletar este anuncio.");
	define("NO_ADS_MSG", "Nenhum anuncio foi encontrado nesta categoria");
	define("NO_AD_MSG", "Nenhum AD com este ID foi encontrado nesta categoria");
	define("FOUND_ADS_MSG", "Nos encontramos <b>{found_records}</b> anuncios com os termo(s) '<b>{search_string}</b>'");
	define("AD_OFFER_PRICE_MSG", "Preco");
	define("AD_OFFER_MESSAGE_MSG", "Ofertas");
	define("AD_OFFER_LOGIN_ERROR", "Voce precisa estar logado antes de proceder.");
	define("AD_REQUEST_BUTTON", "Esclarecer Duvidas");
	define("AD_SENT_MSG", "Suas ofertas foram enviadas com sucesso.");

	// search message
	define("SEARCH_FOR_MSG", "Pesquisar por ");
	define("SEARCH_IN_MSG", "Pesquisar ");
	define("SEARCH_TITLE_MSG", "Titulo");
	define("SEARCH_CODE_MSG", "Codigo");
	define("SEARCH_SHORT_DESC_MSG", "Descricao resumida");
	define("SEARCH_FULL_DESC_MSG", "Descricao detalhada");
	define("SEARCH_CATEGORY_MSG", "Pesquisa na categoria");
	define("SEARCH_MANUFACTURER_MSG", "Manutaturado");
	define("SEARCH_SELLER_MSG", "Vendedor");
	define("SEARCH_PRICE_MSG", "Media de preco");
	define("SEARCH_WEIGHT_MSG", "limite de peso");
	define("SEARCH_RESULTS_MSG", "Resultados da pesquisa");

	// compare messages
	define("COMPARE_MSG", "Comparar");
	define("COMPARE_REMOVE_MSG", "Remover");
	define("COMPARE_REMOVE_HELP_MSG", "Clique aqui para remover este produto da tabela de comparacao");
	define("COMPARE_MIN_ALLOWED_MSG", "Voce deve selecionar pelo menos 2 produtos");
	define("COMPARE_MAX_ALLOWED_MSG", "Voce nao pode selecionar mais que 5 produtos");
	define("COMPARE_PARAM_ERROR_MSG", "Parametro de comparacao tem valor errado ");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Indique um amigo");
	define("TELL_FRIEND_SUBJECT_MSG", "Seu amigo lhe enviou este link");
	define("TELL_FRIEND_DEFAULT_MSG", "Oi {friend_name} - Eu pensei que voce poderia estar interessado em ver  {item_title} neste site {site_url}");
	define("TELL_YOUR_NAME_FIELD", "Seu nome");
	define("TELL_YOUR_EMAIL_FIELD", "Seu email");
	define("TELL_FRIENDS_NAME_FIELD", "Nome do seu amigo");
	define("TELL_FRIENDS_EMAIL_FIELD", "Nome do seu email");
	define("TELL_COMMENT_FIELD", "Comentarios");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "NOTA DE PRIVACIDADE: Nos nao salvamos ou fazemos uso dos emails de nossos clientes.");
	define("TELL_SENT_MSG", "Sua mensagem foi enviada com sucesso!<br> Obrigado");

	define("CONTACT_US_TITLE", "Contact Us");
	define("CONTACT_USER_NAME_FIELD", "Nome");
	define("CONTACT_USER_EMAIL_FIELD", "Email");
	define("CONTACT_SUMMARY_FIELD", "Sumario online");
	define("CONTACT_DESCRIPTION_FIELD", "Descricao");
	define("CONTACT_REQUEST_SENT_MSG", "Your request was successfully sent.");

	// buttons
	define("GO_BUTTON", "Ir");
	define("CONTINUE_BUTTON", "Continuar");
	define("BACK_BUTTON", "Voltar");
	define("NEXT_BUTTON", "Avancar");
	define("PREV_BUTTON", "Anterior");
	define("SIGN_IN_BUTTON", "Sign in");
	define("LOGIN_BUTTON", "Login");
	define("LOGOUT_BUTTON", "Logout");
	define("SEARCH_BUTTON", "Pesquisa");
	define("RATE_IT_BUTTON", "Rate it!");
	define("ADD_BUTTON", "Adicionar");
	define("UPDATE_BUTTON", "Atualizar");
	define("APPLY_BUTTON", "Aplicar");
	define("REGISTER_BUTTON", "Registrar");
	define("VOTE_BUTTON", "Votar");
	define("CANCEL_BUTTON", "Cancelar");
	define("CLEAR_BUTTON", "Limpar");
	define("RESET_BUTTON", "Resetar");
	define("DELETE_BUTTON", "Deletar");
	define("SUBSCRIBE_BUTTON", "Assinar");
	define("UNSUBSCRIBE_BUTTON", "Cancelar assinatura");
	define("SUBMIT_BUTTON", "Submeter");
	define("UPLOAD_BUTTON", "Upload");
	define("SEND_BUTTON", "Enviar");
	define("PREVIEW_BUTTON", "Prever");
	define("FILTER_BUTTON", "Filter");
	define("DOWNLOAD_BUTTON", "Download");

	// fields
	define("LOGIN_FIELD", "Usuario");
	define("PASSWORD_FIELD", "Senha");
	define("CONFIRM_PASS_FIELD", "Confirme Senha");
	define("NEW_PASS_FIELD", "Nova Senha");
	define("CURRENT_PASS_FIELD", "Senha Atual");
	define("NAME_FIELD", "Nome");
	define("FIRST_NAME_FIELD", "Primeiro Nome");
	define("LAST_NAME_FIELD", "Ultimo Nome");
	define("NICKNAME_FIELD", "Apelido");
	define("PERSONAL_IMAGE_FIELD", "Imagem Pessoal");
	define("COMPANY_SELECT_FIELD", "Empresa");
	define("SELECT_COMPANY_MSG", "Selecione ");
	define("COMPANY_NAME_FIELD", "Nome da Empresa");
	define("EMAIL_FIELD", "Email");
	define("STREET_FIRST_FIELD", "Endereco 1");
	define("STREET_SECOND_FIELD", "Endereco 2");
	define("CITY_FIELD", "Cidade");
	define("PROVINCE_FIELD", "Provincia");
	define("SELECT_STATE_MSG", "Nao US");
	define("STATE_FIELD", "Estado");
	define("ZIP_FIELD", "Cep");
	define("SELECT_COUNTRY_MSG", "Selecione Pais");
	define("COUNTRY_FIELD", "Pais");
	define("PHONE_FIELD", "Telefone");
	define("DAYTIME_PHONE_FIELD", "Telefone Diurno");
	define("EVENING_PHONE_FIELD", "Telefone Noturno");
	define("CELL_PHONE_FIELD", "Telefone Celular");
	define("FAX_FIELD", "Numero Fax");
	define("VALIDATION_CODE_FIELD", "Codigo de Validacao");
	define("AFFILIATE_CODE_FIELD", "Affiliate Code");
	define("AFFILIATE_CODE_HELP_MSG", "Please use the following URL {affiliate_url} to create a link affiliated with our site");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal Account");
	define("TAX_ID_FIELD", "Tax Number");
	define("MSN_ACCOUNT_FIELD", "MSN Account");
	define("ICQ_NUMBER_FIELD", "ICQ Number");
	define("USER_SITE_URL_FIELD", "Customer Site URL");
	define("HIDDEN_STATUS_FIELD", "Hidden Status");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Do not show my online status");

	// no records messages
	define("NO_RECORDS_MSG", "Nenhum registro foi encontrado");
	define("NO_EVENTS_MSG", "Nenhum evento foi encontrado");
	define("NO_QUESTIONS_MSG", "Nenhuma pergunta foi encontrada");
	define("NO_NEWS_MSG", "Nenhum artigo foi encontrado");
	define("NO_POLLS_MSG", "Nao foram encontradas pesquisas");

	// SMS messages
	define("SMS_TITLE", "Mensagens de Texto");
	define("SMS_TEST_TITLE", "Mensagens de Teste");
	define("SMS_TEST_DESC", "Por favor digite o numero do seu Celular e pressione Botao Envia para receber o teste de mensagem");
	define("INVALID_CELL_PHONE", "Numero do Celular Invalido");

?>
