<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// cart messages
	define("CART_TITLE", "Varukorg");
	define("SMALL_CART_TITLE", "Varukorgen");
	define("PRODUCTS_TITLE", "Produkter");
	define("RELATED_PRODUCTS_TITLE", "Relaterade Produkter");
	define("TOP_SELLERS_TITLE", "Top Sljare");
	define("PRODUCTS_RECOMMENDED_TITLE", "Recommended Products");
	define("CHECKOUT_LOGIN_TITLE", "Kassan :: Inloggning");
	define("CHECKOUT_INFO_TITLE", "Kassan :: Personuppgifter");
	define("CHECKOUT_PAYMENT_TITLE", "Kassan :: Betalningsinfo");
	define("CHECKOUT_CONFIRM_TITLE", "Kassan :: Bekrfta");
	define("CHECKOUT_FINAL_TITLE", "Kassan :: Klar");
	define("RELEASES_TITLE", "Utgvor");
	define("CHANGES_LOG_TITLE", "ndringslogg");
	define("COMPARE_TITLE", "Produktjmfrelse");

	define("PRODUCT_MSG", "Produkt");
	define("PRICE_MSG", "Pris");
	define("OUR_PRICE_MSG", "Vrat Pris");
	define("YOU_SAVE_MSG", "Du Sparar");
	define("PROD_OPTIONS_MSG", "Extra Val");
	define("PROD_SUBCOMPONENTS_MSG", "Subcomponents");
	define("PROD_AVAILABILITY_MSG", "Tillgnglighet");
	define("PROD_HIGHLIGHT_MSG", "Hjdpunkter");
	define("PROD_SUPER_IMAGE_MSG", "Click Here for Larger Image");
	define("PROD_PREVIEW_MSG", "Preview");
	define("PROD_PREVIEW_CLICK_MSG", "Click here to see preview");
	define("PROD_DESCRIPTION_MSG", "Beskrivning");
	define("PROD_SPECIFICATION_MSG", "Specifikationer");
	define("PROD_IMAGES_MSG", "Bilder");
	define("PROD_ACCESSORIES_MSG", "Tillbehr");
	define("PROD_NOTE_MSG", "Notering");
	define("PROD_SHIPPING_MSG", "Frakt");
	define("PROD_WEIGHT_MSG", "Vikt");
	define("PROD_DOWNLOAD_COLUMN", "Lnkar");
	define("PROD_ID_COLUMN", "ID");
	define("PROD_TITLE_COLUMN", "Produkt");
	define("PROD_CODE_MSG", "Code");
	define("PROD_QTY_COLUMN", "Antal");
	define("PROD_PRICE_COLUMN", "Pris");
	define("PROD_STATUS_COLUMN", "Status");
	define("PROD_TOTAL_COLUMN", "Totalt");
	define("PROD_TAX_TOTAL_COLUMN", "Totalt");
	define("GOODS_TOTAL_MSG", "Produkter");
	define("TOTAL_DISCOUNT_MSG", "Rabatt");
	define("GOODS_WITH_DISCOUNT_MSG", "Produktkostad efter Rabatt");
	define("SHIPPING_TRACKING_MSG", "Fraktsedelnr");
	define("SHIPPING_EXPECTING_MSG", "Shipping Expecting Date");
	define("PROCESSING_FEE_MSG", "Processing Fee");
	define("MY_PRODUCTS_MSG", "My Products");
	define("MY_PRODUCTS_DESC", "Click here to to add new products or amend existing ones.");
	define("EDIT_PRODUCT_MSG", "Edit Product");
	define("ADD_NEW_PRODUCT_MSG", "Add New Product");
	define("PROD_NEW_ERROR", "You don't have permissions to create a new product.");
	define("PROD_EDIT_ERROR", "You don't have permissions to edit this product.");
	define("PROD_DELETE_ERROR", "You don't have permissions to delete this product.");
	define("PROD_DELETE_CONFIRM_MSG", "Do you want delete this product?");
	define("PROD_NOT_APPROVED_MSG", "Inte accepterad");
	define("PROD_HIDDEN_MSG", "Hidden");
	define("PROD_ACTIVE_MSG", "Active");
	define("PROD_GENERAL_TAB", "General");
	define("PROD_DOWNLOADABLE_TAB", "Downloadable / Software");
	define("PROD_SPECIAL_OFFER_TAB", "Special Offer");
	define("PROD_RECURRING_TAB", "Recurring");
	define("PROD_NOTIFICATION_TAB", "Notification");
	define("PROD_NOTES_TAB", "Rating / Notes");
	define("PROD_GENERAL_INFO_MSG", "General Product Information");
	define("PROD_SHOWN_MSG", "Make this Product available for sales");
	define("PROD_ORDER_MSG", "Product Order");
	define("PROD_TYPE_MSG", "Product Type");
	define("PROD_NAME_MSG", "Product Name");
	define("PROD_MANUFACTURER_MSG", "Manufacturer");
	define("PROD_ISSUE_DATE_MSG", "Product Issue Date");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Additional Options");
	define("PROD_ALLOWED_COMPARISON_MSG", "Allow product comparison");
	define("PROD_TAX_FREE_MSG", "Tax free product");
	define("PROD_LANGUAGE_MSG", "Language");
	define("PROD_LANGUAGE_DESC", "show product only for selected language");
	define("PROD_PRICING_MSG", "Pricing");
	define("PROD_CHANGE_PRICE_MSG", "Allow customers to change the price");
	define("PROD_LIST_PRICE_MSG", "Price (List Price)");
	define("PROD_DISCOUNT_PRICE_MSG", "Discount Price");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "Activate Discount");
	define("PROD_TRADE_PRICE_MSG", "Trade Price");
	define("PROD_DISCOUNT_TRADE_MSG", "Discount Trade Price ");
	define("PROD_BUYING_PRICE_MSG", "Buying Price");
	define("PROD_SHOWN_DISCOUNT_MSG", "Shown Discount (%)");
	define("PROD_OPTIONS_PRICE_MSG", "Options Price");
	define("PROD_OPTIONS_PRICE_DESC", "use this field if you want show the price including the product options prices for blocks wherever options are not available");
	define("PROD_PRICE_PREVIEW_MSG", "Price Preview  (how it will appear on the page)");
	define("PROD_APPEARANCE_MSG", "Appearance");
	define("CUSTOM_TEMPLATE_MSG", "Custom Template");
	define("HIDE_ADD_BUTTON_MSG", "Hide '<b>{ADD_TO_CART_MSG}</b>' button");
	define("ON_PROD_LIST_MSG", "on products list page");
	define("ON_PROD_DETAILS_MSG", "on product details page");
	define("PROD_PREVIEW_URL_MSG", "Product Preview URL");
	define("PROD_STOCK_MSG", "Stock");
	define("USE_STOCK_MSG", "Use Stock Level");
	define("STOCK_QUANTITY_MSG", "Quantity In Stock");
	define("HIDE_OUT_STOCK_MSG", "Hide Off Limits Products");
	define("HIDE_OUT_STOCK_DESC", "don't show the product on web if it is out of stock");
	define("DISABLE_OUT_STOCK_MSG", "Disable Off Limits Products");
	define("DISABLE_OUT_STOCK_DESC", "disable '<b>{ADD_TO_CART_MSG}</b>' button if the product is out of stock");
	define("IN_STOCK_AVAILABILITY_MSG", "In Stock Availability");
	define("IN_STOCK_AVAILABILITY_DESC", "usually it's time to ship the product when it is in stock");
	define("OUT_STOCK_AVAILABILITY_MSG", "Out of Stock Availability");
	define("OUT_STOCK_AVAILABILITY_DESC", "usually it's time to ship the product when it is out of stock");
	define("SHIPPING_RESTRICTIONS_MSG", "Shipping Restrictions");
	define("PROD_OFFER_ACTIVATE_MSG", "Add this Product to Special Offers section");
	define("PROD_RATING_MSG", "Product Rating");
	define("PROD_DIRECT_LINK_MSG", "Direct Link to buy product");
	define("PRODUCTS_REPORT_MSG", "Products Report");
	define("MERCHANT_SALES_MSG", "Merchant Sales");
	define("MERCHANT_SALES_DESC", "This section allows seeing  the sales list related to products you've submitted. Also here you could check the total amount of generated commissions.");
	define("AFFILIATE_SALES_MSG", "Affiliate Sales");
	define("AFFILIATE_SALES_DESC", "Please click here to see the list of all sales affiliated with our account. Also here you could view the total amount of generated commissions.");
	define("COMMISSION_PAYMENTS_MSG", "Commission Payments");
	define("COMMISSION_PAYMENTS_DESC", "Please visit this section for arranging the payments you receive as commissions.");
	define("PAYMENT_ID_COLUMN", "ID");
	define("PAYMENT_NAME_COLUMN", "Payment Name");
	define("PAYMENT_TOTAL_COLUMN", "Totalt");
	define("PAYMENT_DATE_COLUMN", "Payment Date");
	define("NO_COMMISSION_PAYMENTS_MSG", "No commission payments were found");
	define("COMMISSIONS_MSG", "Commissions");
	define("COMMISSION_AMOUNT_COLUMN", "Commission Amount");
	define("COMMISSION_TYPE_COLUMN", "Type");
	define("COMMISSION_DATE_COLUMN", "Commission Date");
	define("NO_COMMISSIONS_MSG", "No commissions were found");
	define("AFFILIATE_MSG", "Affiliate");
	define("MERCHANT_MSG", "Merchant");
	define("CONTACT_MERCHANT_TITLE", "Contact Merchant");
	define("PROD_SORT_BY_MSG", "Sort by");
	define("PROD_SORT_DEFAULT_MSG", "Default");
	define("PROD_SORT_PRICE_MSG", "Pris");
	define("PROD_SORT_MANUFACTURER_MSG", "Tillverkare");
	define("PROD_SORT_NAME_MSG", "Name");
	define("PROD_SORT_CODE_MSG", "Code");
	define("PROD_MOST_POPULAR_MSG", "Most Popular");
	define("PROD_FIELDS_TAB", "Fields");
	define("PROD_TERMS_TAB", "Terms");
	define("PROD_SHOW_TERMS_MSG", "Show Terms & Conditions");
	define("PROD_SHOW_TERMS_DESC", "To submit the product user has to read and agree to our terms and conditions");
	define("PROD_TERMS_MSG", "Terms & Conditions");
	define("PROD_TERMS_USER_DESC", "I have read and agree to your terms and conditions");
	define("PROD_TERMS_USER_ERROR", "To submit the product you have to read and agree to our terms and conditions");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Number of products can be added by merchant");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "leave this field blank if you do not want to limit number of products merchant can post");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Sorry, but you are not allowed add more than {products_limit} products.");
	define("FEES_COMMISSIONS_MSG", "Fees & Commissions");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "Discounts, Fees, Commissions");
	define("DISCOUNT_MSG", "Discount");
	define("MERCHANT_FEE_MSG", "Merchant Fee");
	define("AFFILIATE_COMMISSION_MSG", "Affiliate Commission");

	define("CART_TOTAL_MSG", "Total kostnad");
	define("CONTINUE_SHOPPING_MSG", "Fortstt shoppa");
	define("REMOVE_FROM_CART_MSG", "Ta bort");
	define("EMPTY_CART_MSG", "Din varukorg r tom!");
	define("CLEAR_CART_MSG", "Tm Varukorgen");
	define("ADD_TO_CART_MSG", "Lgg till i Varukorgen");
	define("VIEW_CART_MSG", "Visa Varukorgen");
	define("AMEND_CART_MSG", "Utka Varukorgen");
	define("MY_SAVED_CARTS_MSG", "My Saved Carts");
	define("MY_SAVED_CARTS_DESC", "Here you can view/retrieve baskets saved in the past.");
	define("NO_CARTS_MSG", "No carts were found");
	define("SAVE_CART_TITLE", "Save Your Cart");
	define("SAVE_CART_BUTTON", "Save Cart");
	define("SAVE_CART_INFO_MSG", "You can save your current cart and retrieve it at anytime. Please enter a cart name and press 'Save Cart' button. We'll supply you with a unique cart number that you can use along with cart name to retreive your current cart contents. If you are registered user you can retrieve your cart contents from your home page.");
	define("CART_NO_FIELD", "Cart No");
	define("CART_NAME_FIELD", "Cart Name");
	define("CART_SAVED_DATE_COLUMN", "Saved Date");
	define("CART_TOTAL_COLUMN", "Cart Total");
	define("CART_SAVED_MSG", "Your cart has been saved. Your Cart Number is <b>{cart_id}</b>.");
	define("RETRIEVE_CART_TITLE", "Retrieve Your Cart");
	define("RETRIEVE_CART_BUTTON", "Retrieve Cart");
	define("RETRIEVE_CART_INFO_MSG", "Please enter your Cart Number and Cart Name to retrieve your previously saved cart.");
	define("RETRIEVE_CART_NOTE_MSG", "Please note that retrieved cart will overwrite your current cart. If you make any changes to this cart once loaded, please make sure that you save it again.");
	define("CART_RETRIEVED_MSG", "Your cart has been retrieved.");
	define("RETRIEVE_CART_ERROR", "We were unable to retrieve your cart. <br>Please check that you have entered the information correctly, and try again.");
	define("PROD_NOT_AVAILABLE_ERROR", "This product is currently no longer available in the store.");
	define("PROD_OPTIONS_MISSED_ERROR", "Some options for this product were missed. Please check the product page to select them.");
	define("GOTO_CHECKOUT_MSG", "G till Kassan");
	define("CHECKOUT_WITHOUT_MSG", "G till Kassan UTAN att skapa konto");
	define("OPEN_AND_CHECKOUT_MSG", "ppna ett konto och g till kassan");
	define("REMOVE_FROM_CART_JS", "r du sker p att du vill ta bort {item_type} frn Varukorgen?");
	define("CLEAR_CART_JS", "r du sker p att du vill ta bort alla produkter i Varukrogen?");
	define("CART_QTY_ZERO_JS", "Du r p vg att ndra antalet frn '{old_quantity}' till '0'.\\nDetta kommer ta bort '{product_name}' rn din varukorg.\\nFortstt?");
	define("ALTER_CART_QTY_JS", "Du r p vg att ndra antalet fr \\n'{product_name}' frn '{old_quantity}' till '{new_quantity}'\\nFortstt?");
	define("ADD_PRODUCT_MSG", "Lgg till denna produkt i Varukorgen?");
	define("PRODUCT_OUT_STOCK_MSG", "Ledsen, men varan finns inte fr nrvarande i vrat sortiment.");
	define("REQUIRED_PROPERTY_MSG", "Vnligen specificera {property_name} fr {product_name}.");
	define("PRODUCT_LIMIT_MSG", "Du kan inte lgga till fler n totalt {limit_quantity} fr {product_name}.");
	define("ADDED_PRODUCT_MSG", "{product_name} har lagts i din Varukorg.");
	define("REQUIRED_DELIVERY_MSG", "Vnligen vlj fraktmetod.");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name} can't be delivered to {country_name}.");
	define("NO_PRODUCT_MSG", "Produkter med detta ID finns inte i denna kategori.");
	define("NO_PRODUCTS_MSG", "Inga produkter hittade i denna kategori.");
	define("NO_PRODUCTS_MATCH_MSG", "No products were found that match the given criteria");
	define("FOUND_PRODUCTS_MSG", "Vi har hittat <b>{found_records}</b> produkter som matchar skterm(erna) '<b>{search_string}</b>'");
	define("PROD_DOWNLOAD_MSG", "Ladda ner");
	define("PROD_VER_MSG", "ver.");
	define("PROD_RELEASES_MSG", "{product_name} -utgvor");
	define("PROD_CHANGES_LOG_MSG", "{product_name} -ndringslogg");
	define("CHANGES_LOG_MSG", "ndringslogg");
	define("ALL_PRODUCTS_MSG", "Alla Produkter");
	define("ALL_PROD_RELEASES_MSG", "Alla Utgvor");
	define("NO_PROD_RELEASES_MSG", "Inga utgvor tillgngliga");
	define("NO_RELEASE_CHANGES_MSG", "Inga ndringar tillgngliga");
	define("SERIAL_NUMBER_MSG", "S/N");
	define("RECURRING_OPTIONS_MSG", "Recurring options");
	define("RECURRING_ACTIVATE_MSG", "Activate recurring payments");
	define("RECURRING_PERIOD_MSG", "Recurring Period");
	define("RECURRING_INTERVAL_MSG", "Recurring Interval");
	define("RECURRING_INTERVAL_DESC", "This is the length of the billing cycle.");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Payments Total");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Total number of payments to be made");
	define("RECURRING_PAYMENTS_MADE_MSG", "Payments Made");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Payments Failed");
	define("RECURRING_START_DATE_MSG", "Payments Start Date");
	define("RECURRING_START_DATE_DESC", "Recurring payment start date is the date the recurring payments will be started");
	define("RECURRING_END_DATE_MSG", "Payments End Date");
	define("RECURRING_END_DATE_DESC", "Recurring payment end date is the date the recurring payment will be cancelled");
	define("RECURRING_LAST_PAYMENT_MSG", "Last payment date");
	define("RECURRING_PLAN_PAYMENT_MSG", "Planning payment date");
	define("RECURRING_NEXT_PAYMENT_MSG", "Next payment date");
	define("RECURRING_METHOD_MSG", "Recurring Method");
	define("RECURRING_NOT_ALLOWED_MSG", "Not Allowed");
	define("RECURRING_NOT_ALLOWED_ERROR", "The products with recurring payments are not allowed for '{payment_name}' payment method. Please select different payment method.");
	define("RECURRING_AUTO_CREATE_MSG", "Automatically create order for next payment");
	define("RECURRING_AUTO_BILL_MSG", "Automatically create and bill recurring orders");
	define("RECURRING_SHIPPING_MSG", "Apply shipping for recurring payments");
	define("SUBSCRIPTION_MSG", "Subscription");
	define("SUBSCRIPTION_OPTIONS_MSG", "Subscription Options");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Activate subscription");
	define("SUBSCRIPTION_RECURRING_MSG", "Activate recurring payments for this subscription");
	define("SUBSCRIPTION_NAME_MSG", "Subscription Name");
	define("SUBSCRIPTION_FEE_MSG", "Subscription Fee");
	define("SUBSCRIPTION_PERIOD_MSG", "Subscription Period");
	define("SUBSCRIPTION_INTERVAL_MSG", "Subscription Interval");
	define("SUBSCRIPTION_INTERVAL_DESC", "This is the length of the subscripion cycle.");
	define("SUBSCRIPTION_SUSPEND_MSG", "Subscription Suspend");
	define("SUBSCRIPTION_SUSPEND_DESC", "Number of days when all customer activities are suspended ");
	define("SUBSCRIPTION_CANCEL_MSG", "Cancel Subscription");

	define("COUPON_MSG", "Rabattkod");
	define("COUPON_NOT_FOUND_MSG", "Ingen Rabattkod funnen.");
	define("COUPON_NON_ACTIVE_MSG", "Denna rabattkod r inte aktiv.");
	define("COUPON_USED_MSG", "Denna rabattkod har redan anvnts.");
	define("COUPON_EXPIRED_MSG", "Denna rabattkod har gtt ut.");
	define("COUPON_EXCLUSIVE_MSG", "Denna rabattkod kan inte anvndas med de andra rabattkoderna.");
	define("COUPON_APPLIED_MSG", "Denna rabattkod har redan gtt in.");
	define("COUPON_PRODUCTS_MSG", "Ledsen, denna rabattkod kan inte anvndas med produkten i din varukorg.");
	define("COUPON_ORDER_AMOUNT_MSG", "Ledsen, denna rabattkod kan inte anvndas fr ditt nuvarande kp. <br>Minsta summan fr denna rabattkod r {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Ledsen, denna rabattkod kan inte anvndas med produkten. <br>Minsta produktpris fr denna rabattkod r {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Ta bort Rabattkod");
	define("COUPON_CODE_FIELD", "Rabattkod");

	define("CC_NAME_FIELD", "Namn p bankkort");
	define("CC_NAME_DESC", "som det ser ut p kortet");
	define("CC_FIRST_NAME_FIELD", "Frnamn");
	define("CC_LAST_NAME_FIELD", "Efternamn");
	define("CC_NUMBER_FIELD", "Kortnummer");
	define("CC_NUMBER_ERROR_MSG", "Ledsen, det verkar som att det r ett problem med bankkortets nummer - testa igen senare.");
	define("CC_NUMBER_ALLOWED_MSG", "Sorry, but this credit card number is not allowed for this payment.");
	define("CC_START_DATE_FIELD", "Startdatum");
	define("CC_EXPIRY_DATE_FIELD", "Utgngsdatum");
	define("CC_TYPE_FIELD", "Korttyp");
	define("CC_ISSUE_NUMBER_FIELD", "Verifieringskod");
	define("CC_ISSUE_NUMBER_DESC", "Switch & Solo -kort endast");
	define("CC_SECURITY_CODE_FIELD", "Skerhetskod / Verifieringsnummer");
	define("CC_SECURITY_CODE_HELP_MSG", "Hjlp?");
	define("CC_SECURITY_CODE_TITLE", "Skerhetskod?");
	define("CC_SECURITY_CODE_1_DESC", "Skerhetskoden r det tresiffriga numret p baksidan av ditt bankkort. Detta nummer r inte graverat i kortet, eller printat p kvitton, vilket gr det svrare fr nn annan n kortgare att veta om det. Vissa banker referrerar numret till 'Kortets Skerhetskod', andra som 'Personlig Skerhetskod', och andra som 'Kortverifieringsnummer'. ");
	define("CC_SECURITY_CODE_2_DESC", "De flesta korten har ett tresiffrigt nummer inskrivet p bakdelen av kortets signaturyta.");
	define("PAY_WITHOUT_CC_MSG", "Om du inte vill betala via kreditkort, kryssa i hr");
	define("PAY_WITHOUT_CC_FIELD", "Andra Betalningsmetoder");
	define("PAY_WITHOUT_CC_DESC", "Bertta fr oss hur du vill betala fr produkterna");

	define("ORDER_NUMBER_COLUMN", "Nej");
	define("ORDER_STATUS_COLUMN", "Status");
	define("ORDER_ADDED_COLUMN", "Bestllning skickad");
	define("ORDER_TOTAL_COLUMN", "Totalt");
	define("ORDER_NUMBER_MSG", "Nej");
	define("PARENT_ORDER_NUMBER_MSG", "Parent Order No");
	define("ORDER_DATE_MSG", "Bestllning skickad");
	define("ORDER_TOTAL_MSG", "TOTALT");
	define("INVOICE_MSG", "Invoice");
	define("INVOICE_TO_MSG", "Faktura till");
	define("DELIVERY_TO_MSG", "Leverans till");
	define("PAYMENT_GATEWAY_MSG", "Betalningsmetod");
	define("SELECT_PAYMENT_MSG", "Vnligen vlj en Betalningsmetod");
	define("GOTO_PAYMENT_MSG", "Nu tas du vidare till {payment_system}. Om inget hnder, klicka p '{button_name}' -knappen fr att fortstta.");
	define("MY_ORDERS_MSG", "Mina Orders");
	define("MY_ORDERS_DESC", "Nr du har gjort din bestllning hos oss kan du spra ditt orderfrlopp och g igenom din bestllning i detalj. ");
	define("PURCHASED_ORDERS_MSG", "Betalda orders.");
	define("NO_ORDERS_MSG", "Inga orders funna.");
	define("NO_ORDERS_MATCH_MSG", "No orders were found that match the given criteria");
	define("VIEW_ORDER_DETAILS_MSG", "Visa Detaljer");
	define("ORDER_DETAILS_MSG", "Orderdetaljer");
	define("PAYMENT_DETAILS_MSG", "Betalningsdetaljer");
	define("CHECKOUT_SUCCESS_TITLE", "Din order har fullstndigt mottagits.");
	define("CHECKOUT_SUCCESS_MSG", "Tack fr din order. Ditt referensnummer r {order_id}!");
	define("CHECKOUT_PENDING_TITLE", "Din order r i vntkn...");
	define("CHECKOUT_PENDING_MSG", "Din transaktion blev inte klar och vntar godknnande.");
	define("CHECKOUT_ERROR_TITLE", "Order-fel");
	define("CHECKOUT_ERROR_MSG", "Ett fel uppstod medan din order undersktes. Vi r ledsna fr det extra besvret.");
	define("ORDER_CODE_ERROR", "Verifieringsparametern har fel vrde.");
	define("ORDER_PLACED_ERROR", "<b>Ordern</b> har redan gjorts.");
	define("ORDER_EXISTS_ERROR", "Sdan <b>Order</b> finns inte.");
	define("ORDER_NOTES_MSG", "Bestllningsnoteringar");
	define("ORDER_NOTE_MSG", "Bestllningsnotering");
	define("CANCEL_ORDER_MSG", "Avbryt Bestllning");
	define("CANCEL_ORDER_CONFIRM_MSG", "r du sker p att du vill avbryta din bestllning?");
	define("GROSS_SALES_MSG", "Gross Sales");
	define("FEES_MSG", "Fees");
	define("NET_SALES_MSG", "Net Sales");
	define("ITEMS_NUMBER_COLUMN", "#Items");
	define("AVERAGE_PRICE_COLUMN", "Average Price");
	define("PAID_STATUS_MSG", "Paid Status");
	define("PAID_MSG", "Paid");
	define("NOT_PAID_MSG", "Not Paid");
	define("PAY_FOR_YOUR_ORDER_MSG", "Pay for your Order");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "Minimum products cost per order");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "Maximum products cost per order");
	define("ORDER_MIN_WEIGHT_FIELD", "Minimum order weight");
	define("ORDER_MAX_WEIGHT_FIELD", "Maximum order weight");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "The total cost of products per one order can't be less than {min_cost}.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "The total cost of products per one order shouldn't exceed {max_cost}.");
	define("ORDER_MIN_WEIGHT_ERROR", "The total weight of products per one order can't be less {max_cost}.");
	define("ORDER_MAX_WEIGHT_ERROR", "The total weight of products per one order shouldn't exceed {max_cost}.");

?>
