<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  cybersource_check.php                                    ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


/*
* Cybersource (www.cybersource.com) transaction handler by ViArt Ltd. (www.viart.com)
*/

	include_once("./payments/cybersource_functions.php");

	$orderAmount = get_param("orderAmount");
	$orderAmount_publicSignature = get_param("orderAmount_publicSignature");
	$orderNumber = get_param("orderNumber");
	$orderNumber_publicSignature = get_param("orderNumber_publicSignature");
	$decision = get_param("decision");
	$decision_publicSignature = get_param("decision_publicSignature");

	$error_message = "";
	if (VerifySignature($orderAmount, $orderAmount_publicSignature) &&
	VerifySignature($orderNumber, $orderNumber_publicSignature) &&
	VerifySignature($decision, $decision_publicSignature)	) {
		if ($decision == "ACCEPT" || $decision == "REVIEW") {
			$success_message = "Your order has been accepted.";
		} else {
			$error_message .= "Your order has been rejected.";
		}
	} else {
		if (!VerifySignature($orderAmount, $orderAmount_publicSignature))	{
			$error_message .=  "Your order amount is not valid." . "<br>\n";
		}
		if (!VerifySignature($orderNumber, $orderNumber_publicSignature))	{
			$error_message .= "Your order number is not valid." . "<br>\n";
		}
		if (!VerifySignature($decision, $decision_publicSignature))	{
			$error_message .= "Your order decision is not valid." . "<br>\n";
		}
	}

?>