<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  protx_server_process.php                                 ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

/*
 * VSP (www.protx.com) transaction handler by www.viart.com
 */

	$root_folder_path = "./";
	include_once ($root_folder_path ."payments/protx_vsp_functions.php");

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $advanced_url);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_HEADER, 1);
	curl_setopt($ch, CURLOPT_TIMEOUT, 90);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $post_params);
	curl_setopt($ch, CURLOPT_NOBODY, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_VERBOSE, 1);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST,  2);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch, CURLOPT_ENCODING, "x-www-form-urlencoded");

	$result=curl_exec ($ch);
	$http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
	if (curl_errno($ch))
		$error_message = curl_errno($ch)." - ".curl_error($ch);
	curl_close ($ch);

	$output = split(chr(10),$result);
	
	$response = array();
	$response = protx_vsp_get_associative_array('=', $output);

	$error_message='';
	$transaction_id='';
	switch($response["Status"]) {
		case 'OK':
			if (isset($response['VPSTxId'])){
				$transaction_id = "VPSTxId=".$response['VPSTxId'];
			}else{
				$error_message = "Not exist 'VPSTxId' ";
			}
			if (isset($response['SecurityKey'])){
				$transaction_id .= " SecurityKey=".$response['SecurityKey'];
			}else{
				$error_message .= "Not exist 'SecurityKey' ";
			}
			protx_vsp_set_order_message($order_id, 'transaction_id', $transaction_id);
			if (!strlen($error_message) && isset($response['NextURL'])){
				header("Location: " . $response["NextURL"]);
				exit;
			}else{
				$error_message .= "Not exist 'NextURL' ";
			}
	
			if (strlen($error_message) && isset($response['StatusDetail'])){
				$error_message .= $response['StatusDetail'];
			}
		break;
	
		case 'FAIL':
			if (isset($response['StatusDetail'])){
				$error_message .= $response['StatusDetail'];
			}else{
				$error_message .= "Status=FAIL and not exist 'StatusDetail'";
			}
		break;
	
		default:
			$error_message .= "Status=".$response['Status'];
			if (isset($response['StatusDetail'])){
				$error_message .= ' '.$response['StatusDetail'];
			}else{
				$error_message .= " Not exist 'StatusDetail'";
			}
			if (isset($response['VPSTxId'])){
				$error_message .= "VPSTxId=".$response['VPSTxId'];
			}
			if (isset($response['SecurityKey'])){
				$error_message .= " SecurityKey=".$response['SecurityKey'];
			}
			if (isset($response['NextURL'])){
				$error_message .= " NextURL=".$response["NextURL"];
			}
		break;
	}
?>