<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  polls.php                                                ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/sorter.php");
	include("./includes/navigator.php");

	$t = new VA_Template($settings["templates_dir"]);
	$t->set_file("main","polls.html");
	$t->set_var("PREVIOUS_POLLS_MSG", PREVIOUS_POLLS_MSG);
	$t->set_var("VIEW_RESULTS_MSG",   VIEW_RESULTS_MSG);
	$t->set_var("READ_MORE_MSG",      READ_MORE_MSG);
	$t->set_var("NO_POLLS_MSG",       NO_POLLS_MSG);

	$t->set_var("polls_href", "polls.php");
	$t->set_var("poll_vote_href", "poll_vote.php");

	$n = new VA_Navigator($settings["templates_dir"], "navigator.html", "polls.php");

	include("./header.php");
	include("./footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "polls WHERE is_active<>1  ");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 20;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$t->set_var("page", $page_number);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT * FROM " . $table_prefix . "polls ";
	$sql .= " WHERE is_active<>1 ";
	$sql .= " ORDER BY date_added DESC ";
	$db->query($sql);
	if($db->next_record())
	{
		$meta_description = get_translation($db->f("question"), $language_code);
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("poll_id", $db->f("poll_id"));
			$t->set_var("poll_question", get_translation($db->f("question"), $language_code));
			$poll_date = $db->f("date_added", DATETIME);
			$t->set_var("poll_date", va_date($date_show_format, $poll_date));

			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$meta_description = NO_POLLS_MSG;
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("meta_description", get_meta_desc($meta_description));
	$t->pparse("main");

?>