<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  product_options.php                                      ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/
                           

	$type = "options";
	include_once ("./includes/common.php");
	include_once ("./messages/".$language_code."/cart_messages.php");
	include_once ("./includes/navigator.php");
	include_once ("./includes/tree.php");
	include_once ("./includes/items_properties.php");
	include_once ("./includes/shopping_cart.php");
	include_once ("./block_product_options.php");


	$display_products = get_setting_value($settings, "display_products", 0);
	if ($display_products == 1) {
		// user need to be logged in before viewing products
		check_user_session();
	}

	$currency = get_currency();
	$currency_left  = $currency["left"];
	$currency_right = $currency["right"];
	$currency_rate  = $currency["rate"];
	$tax_rates = get_tax_rates();
	$current_page = "product_options.php";
	$confirm_add = get_setting_value($settings, "confirm_add", 1);

	$t = new VA_Template($settings["templates_dir"]);
	$t->set_file("main","product_options.html");
	$t->set_var("current_href", "product_options.php");
	$t->set_var("confirm_add", $confirm_add);

	include_once ("./header.php");

	$html_title = ""; $meta_keywords = ""; $meta_description = "";
	product_options("product_options");

	include_once ("./footer.php");

	$t->set_var("html_title", $html_title);
	$t->set_var("meta_keywords", $meta_keywords);
	$t->set_var("meta_description", get_meta_desc($meta_description));
	$t->pparse("main");

?>