<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 3.2                                                  ***
  ***      File:  user_payments.php                                        ***
  ***      Built: Fri Jun 15 02:54:45 2007                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$includes_path = "./includes/";
	include_once ($includes_path . "/common.php");
	include_once ($includes_path . "/sorter.php");
	include_once ($includes_path . "/navigator.php");
	include_once ($includes_path . "/record.php");
	include_once ("./messages/".$language_code."/cart_messages.php");

	check_user_session();

	$currency = get_currency();
	$currency_left = $currency["left"];
	$currency_right = $currency["right"];
	$currency_rate = $currency["rate"];
	$currency_code = $currency["code"];

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","user_payments.html");
	$t->set_var("user_payments_href", "user_payments.php");
	$t->set_var("user_payment_href", "user_payment.php");
	$t->set_var("user_home_href", "user_home.php");

	$s = new VA_Sorter($settings["templates_dir"], "sorter_img.html", "user_payments.php");
	$s->set_default_sorting(4, "desc");
	$s->set_sorter(PAYMENT_ID_COLUMN, "sorter_id", "1", "payment_id");
	$s->set_sorter(PAYMENT_NAME_COLUMN, "sorter_payment_name", "2", "payment_name");
	$s->set_sorter(PAYMENT_TOTAL_COLUMN, "sorter_total", "3", "payment_total");
	$s->set_sorter(PAYMENT_DATE_COLUMN, "sorter_date", "4", "date_paid");

	$n = new VA_Navigator($settings["templates_dir"], "navigator.html", "user_payments.php");

	include("./header.php");
	include("./footer.php");

	// set up variables for navigator
	$sql  = " SELECT COUNT(*) FROM " . $table_prefix . "users_payments up ";
	$sql .= " WHERE up.user_id=" . $db->tosql(get_session("session_user_id"), INTEGER) . " AND is_paid=1 ";
	$db->query($sql);
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;

	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT up.payment_id, up.payment_name, up.payment_total, up.is_paid, up.date_paid ";
	$sql .= " FROM " . $table_prefix . "users_payments up ";
	$sql .= " WHERE up.user_id=" . $db->tosql(get_session("session_user_id"), INTEGER);
	$sql .= " AND is_paid=1 ";
	$sql .= $s->order_by;
	$db->query($sql);
	if($db->next_record())
	{
		$t->parse("sorters", false);
		$t->set_var("no_records", "");
		do
		{
			$payment_total = $db->f("payment_total");
			$t->set_var("payment_id", $db->f("payment_id"));

			$date_paid = $db->f("date_paid", DATETIME);
			$t->set_var("date_paid", va_date($datetime_show_format, $date_paid));

			$t->set_var("payment_name", $db->f("payment_name"));
			$t->set_var("payment_total", $currency_left . number_format($payment_total * $currency_rate, 2) . $currency_right);

			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("sorters", "");
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>